// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 264);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/*
 * @Author: lidan6
 * @Date: 2018-09-05 18:16:06
 * @LastEditors: lidan6
 * @LastEditTime: 2021-07-23 10:45:29
 * @Description: 
 */
var isProduction = true;

var host = 'https://tousu.sina.cn/';
var payhost = 'https://app.finance.sina.com.cn/';
var applepay = 'https://pay.cj.sina.com.cn/wallet/api/';
if (!isProduction) {
    host = 'http://dev.tousu.sina.cn/';
    payhost = 'http://test.app.finance.sina.com.cn/';
    applepay = 'http://junli5.pay.cj.sina.com.cn/wallet/api/';
}
var configApi = {
    // host
    version: "2.4.3",
    host: host,
    ARTICLES: host + 'apps/api/article/feed_v1?', //报道接口 需要修改
    MESSAGE_LIST: host + 'apps/api/user/message_list_v1?', //消息列表
    send_message: host + 'apps/api/sms/send_v1?', //发送短信 初次绑定
    SEND_CERT: host + 'apps/api/user/send_cert_v1?', //发送验证码
    VERIFY_PHONE: host + 'apps/api/user/verify_phone_v1?', //验证验证码
    update_phone: host + 'apps/api/user/update_phone_v1?', //更新手机
    top_rank: host + 'apps/api/top_rank/index_v1?', //红黑榜
    article_view: host + 'apps/api/article/view_v1/?', //报道详情页
    INDEX_FEED: host + 'apps/api/complaint/feed_v1?', //首页投诉列表
    INDEX_OTHER: host + 'apps/api/index/index_v1?', //首页其他消息
    index_eval: host + 'apps/api/complaint/hot_evals_v1?', //首页其他消息
    complaint_create: host + 'apps/api/complaint/create_v2/?', //创建投诉页面
    complaint_reply: host + 'apps/api/complaint/reply_v2/?', //商家回复投诉
    grp_reply: host + 'apps/api/grp_comp/reply_v1/?', //集体投诉回复
    grp_join: host + 'apps/api/grp_comp/join_v1/?', //集体投诉回复
    complaint_update: host + 'apps/api/complaint/update_v2/?', //用户更新投诉
    company_detail: host + 'apps/api/company/view_v1?', //商家详情页
    company_received: host + 'apps/api/company/received_complaints_v1?', //商家收到的投诉页
    company_list: host + 'apps/api/company/list_v1?page_size=10&', //商家列表
    complaint_view: host + 'apps/api/complaint/view_v1/?', //投诉单页面
    complaint_complete: host + 'apps/api/complaint/complete_v1/?', //用户完成投诉
    evaluate_star: host + 'apps/api/complaint/evaluate_after_auto_cocomplete_v1/?', //投诉评价
    complaint_info: host + 'apps/api/complaint/info_v1/?', //用户评价页面商家信息
    user_view: host + 'apps/api/user/view_v1?', //我的个人中心
    user_complaints: host + 'apps/api/user/complaints_v1?', //用户的投诉
    user_received_complaints: host + 'apps/api/user/received_complaints_v1?', //商家收到的投诉
    SEARCH_SUGGEST: host + 'apps/api/index/suggest_v1?', //搜索投诉单
    SEARCH_RESULT: host + 'apps/api/complaint/search_v1?', //搜索结果页投诉单列表
    SELLER_LIST: host + 'api/company/main_search?sort_col=1&sort_ord=2&', //商家list
    share_amount_complaint: host + 'apps/api/complaint/share_v1/?', //投诉分享数 首页
    share_amount_article: host + 'apps/api/article/share_v1/?', //投诉分享数 文章
    complaint_like: host + 'apps/api/complaint/info_v1?sn=', //获取投诉点赞数
    report_like: host + 'apps/api/article/info_v1?id=', //获取报到点赞数
    report_upvote: host + 'apps/api/article/upvote_v1?', //报道点赞
    complaint_upvote: host + 'apps/api/complaint/upvote_v1?', //投诉点赞
    // 评论数接口
    cmnt_num: 'https://comment5.news.sina.com.cn/cmnt/count?format=json&newslist=',
    // 评论列表接口
    cmnt_list: 'https://comment5.news.sina.com.cn/page/info?channel=tousu&',
    // 热门评论列表
    cmnt_hot_list: 'https://comment5.news.sina.com.cn/page/info?version=1&format=json&channel=tousu&group=0&compress=0&ie=utf-8&oe=utf-8&page_size=10&t_size=5&h_size=5&thread=1&',
    // 更多评论接口
    cmnt_detail: 'https://comment5.news.sina.com.cn/cmnt/info?channel=tousu&ie=utf-8&oe=utf-8&format=json&page_size=15&order=0&thread=1&',
    // 评论点赞接口
    cmnt_zan: 'https://cmnt.sina.cn/aj/v2/vote?tj_ch=cj',
    // 发送评论
    cmnt_send: host + 'apps/api/comment/submit_v1?',
    //帮帮团
    jury_index: host + 'apps/api/jury/feed_v1?',
    jury_page: host + 'apps/api/jury/view_v1?',
    jury_list: host + 'apps/api/jury/list_complaints_v1?',
    jury_invite: host + 'apps/api/jury/invite_v1?',
    jury_handle_invite: host + 'apps/api/jury/handle_invite_v1?',
    jury_hot: host + 'apps/api/jury/hot_v1?', //热门帮帮团
    jury_hot_comp: host + 'apps/api/jury/hotcomps_v1?', //热门投诉
    jury_rank: host + 'apps/api/jury/rank_v1?', //回复、点赞榜
    invite_list: host + 'apps/api/jury/jury_list_v1?', //可邀请帮帮团列表
    //微博之夜活动
    activity_list: host + 'apps/api/activity/star_list_v1?activity_id=1&src=2&',
    detail_star: host + 'apps/api/activity/star_detail_v1?activity_id=1&src=2&',
    vote_star: host + 'apps/api/activity/vote_v1?',
    weiboList: host + 'apps/api/activity/star_list_v1?activity_id=1&src=2&page=1&page_size=9',
    weiboMy: host + 'apps/api/activity/my_votes_v1?activity_id=1&src=2',
    weiboSearch: host + 'apps/api/activity/star_search_v1?activity_id=1&src=2&keywords=',
    weiboTip: host + 'apps/api/activity/get_votes_v1?activity_id=1&src=2',
    jsVersion: host + 'apps/api/index/static_resource_version_v1?activity_id=1&src=2',
    video_get_auth: host + 'apps/api/video/get_auth_url_v1?',
    video_create_video: host + 'apps/api/video/create_video_v1?',
    tousu_create: host + 'apps/api/complaint/store_create_v1?',
    tousu_verify: host + 'apps/api/complaint/check_alertword_v1?',
    //complaint_update:`${host}apps/api/complaint/store_update_v1?`,
    complaint_my_history: host + 'apps/api/complaint/my_history_companies_v1?',
    complaint_hot_company: host + 'apps/api/complaint/hot_companies_v1?',
    MY_COMPLAINT_COMPANY: host + 'api/company/search?', //投诉公司搜索
    complaint_types: host + 'apps/api/company/issues_v1?',
    push_get: host + 'apps/api/user/push_msg_v1?',
    push_delete: host + 'apps/api/user/del_push_msg_v1?',
    image_upload: host + 'apps/api/files/image_uploader_v1?add_water=1',
    company_billboard: host + 'api/top_rank/rank?', //红黑榜
    company_field: host + 'api/top_rank/rank_fields?', //红黑榜领域
    login_phone_vcode: host + 'apps/api/user/send_vc_v1?', //手机号验证码
    login_phone: host + 'apps/api/user/phone_login_v1?', //手机号登录
    logout_phone: host + 'apps/api/user/logout_v1?', //手机号登出
    cookie_phone: host + 'apps/api/user/get_cookie_v1?', //手机号cookie刷新
    weixin_login: host + 'apps/api/user/wx_login_v1?', //微信登录
    apple_login: host + 'apps/api/user/apple_login_v1?', //苹果登录
    token_cookie: host + 'apps/api/user/token2cookie_v1?', //微博登录token换cookie
    grp_list: host + 'apps/api/grp_comp/feed_v1?', //
    group_tslist: host + 'apps/api/grp_comp/feed_by_co_v1?', //选择商家集体投诉列表
    group_suggest: host + 'apps/api/grp_comp/suggs_v1?', //历史维权建议
    group_progress: host + 'apps/api/grp_comp/progs_v1?', //历史投诉进度
    group_comps: host + 'apps/api/grp_comp/comps_v1?', //集体投诉的子投诉
    user_glist: host + 'apps/api/grp_comp/init_grpcomps_v1?', //用户发起的集体投诉
    company_glist: host + 'apps/api/grp_comp/recv_grpcomps_v1?', //商家收到的集体投诉
    group_reply: host + 'apps/api/grp_comp/store_reply_v1?', //集体投诉回复
    group_join: host + 'apps/api/grp_comp/join_info_v1?', //参与集体投诉
    group_store_sugg: host + 'apps/api/grp_comp/store_sugg_v1?', //保存历史维权建议
    group_share_img: host + 'apps/api/grp_comp/shr_img_v1?', //获取分享海报
    ts_share_img: host + 'apps/api/complaint/shr_img_v1?', //获取分享海报
    group_share_num: host + 'apps/api/grp_comp/incr_shr_amt_v1/', //集体投诉分享数
    group_file_hide: host + 'apps/api/grp_comp/set_atch_hide_v1?', //集体投诉隐藏附件
    group_can_join: host + 'apps/api/grp_comp/can_join_v1?', //集体投诉隐藏附件
    group_upvote: host + 'apps/api/grp_comp/upvote_v1?', //投诉点赞
    group_view: host + 'apps/api/grp_comp/view_v1/', //投诉单页面
    group_info: host + 'apps/api/grp_comp/info_v1/', //投诉单
    //打赏
    food_list: payhost + 'pay/order/mplevels?type=7&arr[pCode]=hmreward',
    food_order: payhost + 'pay/order/make?decrypt=1&type=7&id=',
    food_cancel: payhost + 'pay/order/cancel?orderId=',
    food_detail: payhost + 'pay/order/detail?orderId=',
    pay_order: payhost + 'pay/order/pay?decrypt=1&orderId=',
    bind_order: host + 'apps/api/reward/create?',
    share_order: host + 'apps/api/reward/shr_img?',
    order_list: host + 'apps/api/reward/records?',
    //苹果端打赏
    apple_food_list: applepay + 'wallet_order/levels?app_id=2&type=2',
    apple_food_order: applepay + 'wallet_order/make?app_id=2&type=2&id=',
    apple_food_cancel: applepay + 'wallet_order/cancel?app_id=2&type=2&order_id=',
    apple_order_receipt: applepay + 'wallet_order/recv_receipt?',
    //黑猫双十二活动
    lotteryPage: host + 'apps/api/act/lottery?',
    lotteryChance: host + 'apps/api/act/can_draw?',
    //主播
    zhubo_list: host + 'apps/api/company/anchor_feed_v1?',
    zhubo_rank: host + 'apps/api/company/anchor_rank_v1?',
    //反馈
    feedback_sub: host + 'apps/api/feedback/add?',
    feedback_pic: host + 'apps/api/feedback/img_upload?',
    message_read: host + 'apps/api/user/message_read_v1?', //读取消息
    user_device_info: host + 'apps/api/index/app_version?', //上报用户信息
    top_card_time: host + 'apps/api/top_rank/grprank_span?', //总榜card
    new_rank_card: host + 'apps/api/top_rank/grprank_card?', //总榜card
    filed_rank_card: host + 'apps/api/top_rank/grprank_field_card?', //分领域card
    top_card_list: host + 'apps/api/top_rank/grprank_list?', //关注榜单列表
    week_rank_list: host + 'apps/api/top_rank/riserank_list?', //蹿升周榜单列表
    comp_is_field: host + 'apps/api/company/field?', //查询商家分类
    //618活动
    act_offline: host + 'apps/api/topic/act20210618?',
    act_user_rank: host + 'apps/api/topic/user_rank?',
    act_comp_rank: host + 'apps/api/topic/company_rank?',
    act_cmnt_rank: host + 'apps/api/topic/hot_comment?',
    user_is_law: host + 'apps/api/complaint/sync_lawfirm?',
    all_comp_field: host + 'apps/api/complaint/qxzx_fields?'
};

exports.default = configApi;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

var _login = __webpack_require__(3);

var _login2 = _interopRequireDefault(_login);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * @Author: lidan6
 * @Date: 2018-09-11 13:55:45
 * @LastEditors: lidan6
 * @LastEditTime: 2021-07-13 18:22:11
 * @Description: 
 */
var stream = weex.requireModule('stream');
var SHA256 = __webpack_require__(5);
var MD5 = __webpack_require__(6);
var loginModule = weex.requireModule('STWeekLoginModule');
var storage = weex.requireModule('storage');
var device = weex.config.env;


//const console = weex.requireModule('console');

function randomWord(randomFlag, min, max) {
   var str = "",
       range = min,
       arr = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
   // 随机产生
   if (randomFlag) {
      range = Math.round(Math.random() * (max - min)) + min;
   }
   for (var i = 0; i < range; i++) {
      var pos = Math.round(Math.random() * (arr.length - 1));
      str += arr[pos];
   }
   return str;
}

var versionCode = _configApi2.default.version;
var ts = new Date().getTime();
var rs = randomWord(false, 16);
var token = 'P0tk894Tcxi4t%S$';
var urlparam = "";
var ShareParam = "";

function getUrlParam() {
   var signature = "";
   signature = SHA256([ts, rs, token].sort().join('')).toString();
   urlparam = "&version=" + versionCode + "&ts=" + ts + "&rs=" + rs + "&signature=" + signature;
}

function getUrlToken() {
   var signature = "";
   var logintoken = "";
   var loginrefresh = "";
   var logindata = loginModule.weiboUserInfo();
   if (logindata.length > 0) {
      logindata = JSON.parse(logindata);
      logintoken = logindata["access_token"];
      loginrefresh = logindata["refresh_token"];
      signature = SHA256([ts, rs, token, logintoken, loginrefresh].sort().join('')).toString();
      urlparam = "&version=" + versionCode + "&ts=" + ts + "&rs=" + rs + "&signature=" + signature + "&token=" + logintoken + "&refresh=" + loginrefresh;
   }
}

//获取苹果支付的参数
var apple_ts = new Date().getTime();
var apple_rs = randomWord(false, 16);
var apple_token = 'sfApp_A#8$n@i%!S*8_';
var apple_param = "";
function getAppleParam() {
   var apple_sign = MD5(apple_ts + apple_rs + apple_token).toString();
   apple_param = "&version=" + versionCode + "&ts=" + apple_ts + "&rs=" + apple_rs + "&signature=" + apple_sign;
}

function toParams(obj) {
   var param = "";
   for (var name in obj) {
      if (typeof obj[name] != 'function' && _typeof(obj[name]) != "object") {
         param += "&" + name + "=" + obj[name];
      } else {
         param += "&" + name + "=" + JSON.stringify(obj[name]);
      }
   }
   return param.substring(1);
}

function getParams() {
   getUrlParam();
   return urlparam;
}

var login_time_dif = 36000000; //10小时
function refresh_cookie() {
   return new Promise(function (resolve, reject) {
      storage.getItem("phone_login_code", function (event) {
         if (event.data && event.data != 'undefined') {
            var loginarr = event.data.split("$login$");
            var logintime = loginarr[2] * 1000;
            var nowtime = new Date().getTime();
            if (logintime > 0 && logintime - nowtime < login_time_dif) {
               var ldata = {
                  sub: loginarr[0],
                  uid: loginarr[1],
                  ver: versionCode
               };
               post(_configApi2.default.cookie_phone, ldata).then(function (res) {
                  if (res && res.result.status.code == 0) {
                     var logincookie1 = res.result.data;
                     storage.setItem("phone_login_code", logincookie1.sub + "$login$" + logincookie1.uid + "$login$" + logincookie1.expire);
                     //webview里的cookie
                     _login2.default.setWebCookie(logincookie1);
                     resolve(true);
                  } else {
                     resolve(false);
                  }
               });
            } else {
               resolve(true);
            }
         } else {
            resolve(true);
         }
      });
   });
}

function fetch(dataurl) {
   getUrlParam();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   var headstr = "";
   if (device.platform === 'iOS') {
      headstr = loginModule.reqidstr();
   }
   return new Promise(function (resolve, reject) {
      var requestObj = {
         method: 'GET',
         url: url,
         type: 'json'
      };
      if (headstr) {
         requestObj["headers"] = {
            "SN-REQID": headstr
         };
      }
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function post(dataurl, data, cmnttag) {
   getUrlParam();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function fetchCookie(dataurl, data) {
   getUrlToken();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function videopost(dataurl, data) {
   var url = "" + dataurl;
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {});
}

function videoComplete(dataurl, data) {
   var url = "" + dataurl;
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/json',
         'Referer': 'https://tousu.sina.cn',
         'User-Agent': 'Mozilla/5.0 (iPhone; CPU iPhone OS 9_1 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Version/9.0 Mobile/13B143 Safari/601.1'
      };
      stream.fetch({
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: data
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.ok);
         }
      });
   });
}

function get(dataurl) {
   //let url = `${dataurl+cmnttoken}`
   var url = dataurl;
   return new Promise(function (resolve, reject) {
      stream.fetch({
         method: 'GET',
         url: url,
         type: 'json'
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.status);
         }
      });
   });
}

function send(dataurl, data) {
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded'
      };
      stream.fetch({
         method: 'POST',
         url: dataurl,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.status); //修改为错误状态码
         }
      });
   });
}

function appleFetch(dataurl) {
   getAppleParam();
   var url = "" + (dataurl + apple_param);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var requestObj = {
         method: 'GET',
         url: url,
         type: 'json'
      };

      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function applePost(dataurl, data) {
   getAppleParam();
   var url = "" + (dataurl + apple_param);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };

      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

exports.default = {
   fetch: fetch,
   send: send,
   get: get,
   post: post,
   getParams: getParams,
   fetchCookie: fetchCookie,
   videopost: videopost,
   videoComplete: videoComplete,
   refresh_cookie: refresh_cookie,
   appleFetch: appleFetch,
   applePost: applePost
};

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.isiPhoneX) ? _c('div', {
    staticClass: ["iPhoneXDiv", "navbar"]
  }) : (_vm.isiOS) ? _c('div', {
    staticClass: ["iOSDiv", "navbar"]
  }) : (_vm.isAndroid) ? _c('div', {
    staticClass: ["android", "navbar"]
  }) : _vm._e(), _c('div', {
    staticClass: ["aheader"]
  }, [_c('div', {
    staticClass: ["backdiv"],
    on: {
      "click": _vm.back
    }
  }, [_c('image', {
    staticClass: ["back"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/backto.png"
    }
  })]), _c('text', {
    staticClass: ["hcenter"]
  }, [_vm._v(_vm._s(_vm.title))]), (_vm.subtitle) ? _c('text', {
    staticClass: ["hright"],
    on: {
      "click": _vm.toPage
    }
  }, [_vm._v(_vm._s(_vm.subtitle))]) : _vm._e()])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 11:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var WXNetwork = weex.requireModule('WXNetwork');
var modal = weex.requireModule('modal');

var isNet = true;
WXNetwork.hasNet(function (ret) {
    if (ret == 'false') {
        isNet = false;
        modal.toast({
            message: '网络断开，请联网后重试',
            duration: 0.8
        });
    }
});
exports.default = {
    getNet: function getNet() {
        return isNet;
    }
};

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory();
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define([], factory);
	}
	else {
		// Global (browser)
		root.CryptoJS = factory();
	}
}(this, function () {

	/**
	 * CryptoJS core components.
	 */
	var CryptoJS = CryptoJS || (function (Math, undefined) {
	    /*
	     * Local polyfil of Object.create
	     */
	    var create = Object.create || (function () {
	        function F() {};

	        return function (obj) {
	            var subtype;

	            F.prototype = obj;

	            subtype = new F();

	            F.prototype = null;

	            return subtype;
	        };
	    }())

	    /**
	     * CryptoJS namespace.
	     */
	    var C = {};

	    /**
	     * Library namespace.
	     */
	    var C_lib = C.lib = {};

	    /**
	     * Base object for prototypal inheritance.
	     */
	    var Base = C_lib.Base = (function () {


	        return {
	            /**
	             * Creates a new object that inherits from this object.
	             *
	             * @param {Object} overrides Properties to copy into the new object.
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         field: 'value',
	             *
	             *         method: function () {
	             *         }
	             *     });
	             */
	            extend: function (overrides) {
	                // Spawn
	                var subtype = create(this);

	                // Augment
	                if (overrides) {
	                    subtype.mixIn(overrides);
	                }

	                // Create default initializer
	                if (!subtype.hasOwnProperty('init') || this.init === subtype.init) {
	                    subtype.init = function () {
	                        subtype.$super.init.apply(this, arguments);
	                    };
	                }

	                // Initializer's prototype is the subtype object
	                subtype.init.prototype = subtype;

	                // Reference supertype
	                subtype.$super = this;

	                return subtype;
	            },

	            /**
	             * Extends this object and runs the init method.
	             * Arguments to create() will be passed to init().
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var instance = MyType.create();
	             */
	            create: function () {
	                var instance = this.extend();
	                instance.init.apply(instance, arguments);

	                return instance;
	            },

	            /**
	             * Initializes a newly created object.
	             * Override this method to add some logic when your objects are created.
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         init: function () {
	             *             // ...
	             *         }
	             *     });
	             */
	            init: function () {
	            },

	            /**
	             * Copies properties into this object.
	             *
	             * @param {Object} properties The properties to mix in.
	             *
	             * @example
	             *
	             *     MyType.mixIn({
	             *         field: 'value'
	             *     });
	             */
	            mixIn: function (properties) {
	                for (var propertyName in properties) {
	                    if (properties.hasOwnProperty(propertyName)) {
	                        this[propertyName] = properties[propertyName];
	                    }
	                }

	                // IE won't copy toString using the loop above
	                if (properties.hasOwnProperty('toString')) {
	                    this.toString = properties.toString;
	                }
	            },

	            /**
	             * Creates a copy of this object.
	             *
	             * @return {Object} The clone.
	             *
	             * @example
	             *
	             *     var clone = instance.clone();
	             */
	            clone: function () {
	                return this.init.prototype.extend(this);
	            }
	        };
	    }());

	    /**
	     * An array of 32-bit words.
	     *
	     * @property {Array} words The array of 32-bit words.
	     * @property {number} sigBytes The number of significant bytes in this word array.
	     */
	    var WordArray = C_lib.WordArray = Base.extend({
	        /**
	         * Initializes a newly created word array.
	         *
	         * @param {Array} words (Optional) An array of 32-bit words.
	         * @param {number} sigBytes (Optional) The number of significant bytes in the words.
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.create();
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607]);
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607], 6);
	         */
	        init: function (words, sigBytes) {
	            words = this.words = words || [];

	            if (sigBytes != undefined) {
	                this.sigBytes = sigBytes;
	            } else {
	                this.sigBytes = words.length * 4;
	            }
	        },

	        /**
	         * Converts this word array to a string.
	         *
	         * @param {Encoder} encoder (Optional) The encoding strategy to use. Default: CryptoJS.enc.Hex
	         *
	         * @return {string} The stringified word array.
	         *
	         * @example
	         *
	         *     var string = wordArray + '';
	         *     var string = wordArray.toString();
	         *     var string = wordArray.toString(CryptoJS.enc.Utf8);
	         */
	        toString: function (encoder) {
	            return (encoder || Hex).stringify(this);
	        },

	        /**
	         * Concatenates a word array to this word array.
	         *
	         * @param {WordArray} wordArray The word array to append.
	         *
	         * @return {WordArray} This word array.
	         *
	         * @example
	         *
	         *     wordArray1.concat(wordArray2);
	         */
	        concat: function (wordArray) {
	            // Shortcuts
	            var thisWords = this.words;
	            var thatWords = wordArray.words;
	            var thisSigBytes = this.sigBytes;
	            var thatSigBytes = wordArray.sigBytes;

	            // Clamp excess bits
	            this.clamp();

	            // Concat
	            if (thisSigBytes % 4) {
	                // Copy one byte at a time
	                for (var i = 0; i < thatSigBytes; i++) {
	                    var thatByte = (thatWords[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                    thisWords[(thisSigBytes + i) >>> 2] |= thatByte << (24 - ((thisSigBytes + i) % 4) * 8);
	                }
	            } else {
	                // Copy one word at a time
	                for (var i = 0; i < thatSigBytes; i += 4) {
	                    thisWords[(thisSigBytes + i) >>> 2] = thatWords[i >>> 2];
	                }
	            }
	            this.sigBytes += thatSigBytes;

	            // Chainable
	            return this;
	        },

	        /**
	         * Removes insignificant bits.
	         *
	         * @example
	         *
	         *     wordArray.clamp();
	         */
	        clamp: function () {
	            // Shortcuts
	            var words = this.words;
	            var sigBytes = this.sigBytes;

	            // Clamp
	            words[sigBytes >>> 2] &= 0xffffffff << (32 - (sigBytes % 4) * 8);
	            words.length = Math.ceil(sigBytes / 4);
	        },

	        /**
	         * Creates a copy of this word array.
	         *
	         * @return {WordArray} The clone.
	         *
	         * @example
	         *
	         *     var clone = wordArray.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone.words = this.words.slice(0);

	            return clone;
	        },

	        /**
	         * Creates a word array filled with random bytes.
	         *
	         * @param {number} nBytes The number of random bytes to generate.
	         *
	         * @return {WordArray} The random word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.random(16);
	         */
	        random: function (nBytes) {
	            var words = [];

	            var r = (function (m_w) {
	                var m_w = m_w;
	                var m_z = 0x3ade68b1;
	                var mask = 0xffffffff;

	                return function () {
	                    m_z = (0x9069 * (m_z & 0xFFFF) + (m_z >> 0x10)) & mask;
	                    m_w = (0x4650 * (m_w & 0xFFFF) + (m_w >> 0x10)) & mask;
	                    var result = ((m_z << 0x10) + m_w) & mask;
	                    result /= 0x100000000;
	                    result += 0.5;
	                    return result * (Math.random() > .5 ? 1 : -1);
	                }
	            });

	            for (var i = 0, rcache; i < nBytes; i += 4) {
	                var _r = r((rcache || Math.random()) * 0x100000000);

	                rcache = _r() * 0x3ade67b7;
	                words.push((_r() * 0x100000000) | 0);
	            }

	            return new WordArray.init(words, nBytes);
	        }
	    });

	    /**
	     * Encoder namespace.
	     */
	    var C_enc = C.enc = {};

	    /**
	     * Hex encoding strategy.
	     */
	    var Hex = C_enc.Hex = {
	        /**
	         * Converts a word array to a hex string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The hex string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var hexString = CryptoJS.enc.Hex.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;

	            // Convert
	            var hexChars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                hexChars.push((bite >>> 4).toString(16));
	                hexChars.push((bite & 0x0f).toString(16));
	            }

	            return hexChars.join('');
	        },

	        /**
	         * Converts a hex string to a word array.
	         *
	         * @param {string} hexStr The hex string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Hex.parse(hexString);
	         */
	        parse: function (hexStr) {
	            // Shortcut
	            var hexStrLength = hexStr.length;

	            // Convert
	            var words = [];
	            for (var i = 0; i < hexStrLength; i += 2) {
	                words[i >>> 3] |= parseInt(hexStr.substr(i, 2), 16) << (24 - (i % 8) * 4);
	            }

	            return new WordArray.init(words, hexStrLength / 2);
	        }
	    };

	    /**
	     * Latin1 encoding strategy.
	     */
	    var Latin1 = C_enc.Latin1 = {
	        /**
	         * Converts a word array to a Latin1 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The Latin1 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var latin1String = CryptoJS.enc.Latin1.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;

	            // Convert
	            var latin1Chars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                latin1Chars.push(String.fromCharCode(bite));
	            }

	            return latin1Chars.join('');
	        },

	        /**
	         * Converts a Latin1 string to a word array.
	         *
	         * @param {string} latin1Str The Latin1 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Latin1.parse(latin1String);
	         */
	        parse: function (latin1Str) {
	            // Shortcut
	            var latin1StrLength = latin1Str.length;

	            // Convert
	            var words = [];
	            for (var i = 0; i < latin1StrLength; i++) {
	                words[i >>> 2] |= (latin1Str.charCodeAt(i) & 0xff) << (24 - (i % 4) * 8);
	            }

	            return new WordArray.init(words, latin1StrLength);
	        }
	    };

	    /**
	     * UTF-8 encoding strategy.
	     */
	    var Utf8 = C_enc.Utf8 = {
	        /**
	         * Converts a word array to a UTF-8 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The UTF-8 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var utf8String = CryptoJS.enc.Utf8.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            try {
	                return decodeURIComponent(escape(Latin1.stringify(wordArray)));
	            } catch (e) {
	                throw new Error('Malformed UTF-8 data');
	            }
	        },

	        /**
	         * Converts a UTF-8 string to a word array.
	         *
	         * @param {string} utf8Str The UTF-8 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Utf8.parse(utf8String);
	         */
	        parse: function (utf8Str) {
	            return Latin1.parse(unescape(encodeURIComponent(utf8Str)));
	        }
	    };

	    /**
	     * Abstract buffered block algorithm template.
	     *
	     * The property blockSize must be implemented in a concrete subtype.
	     *
	     * @property {number} _minBufferSize The number of blocks that should be kept unprocessed in the buffer. Default: 0
	     */
	    var BufferedBlockAlgorithm = C_lib.BufferedBlockAlgorithm = Base.extend({
	        /**
	         * Resets this block algorithm's data buffer to its initial state.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm.reset();
	         */
	        reset: function () {
	            // Initial values
	            this._data = new WordArray.init();
	            this._nDataBytes = 0;
	        },

	        /**
	         * Adds new data to this block algorithm's buffer.
	         *
	         * @param {WordArray|string} data The data to append. Strings are converted to a WordArray using UTF-8.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm._append('data');
	         *     bufferedBlockAlgorithm._append(wordArray);
	         */
	        _append: function (data) {
	            // Convert string to WordArray, else assume WordArray already
	            if (typeof data == 'string') {
	                data = Utf8.parse(data);
	            }

	            // Append
	            this._data.concat(data);
	            this._nDataBytes += data.sigBytes;
	        },

	        /**
	         * Processes available data blocks.
	         *
	         * This method invokes _doProcessBlock(offset), which must be implemented by a concrete subtype.
	         *
	         * @param {boolean} doFlush Whether all blocks and partial blocks should be processed.
	         *
	         * @return {WordArray} The processed data.
	         *
	         * @example
	         *
	         *     var processedData = bufferedBlockAlgorithm._process();
	         *     var processedData = bufferedBlockAlgorithm._process(!!'flush');
	         */
	        _process: function (doFlush) {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;
	            var dataSigBytes = data.sigBytes;
	            var blockSize = this.blockSize;
	            var blockSizeBytes = blockSize * 4;

	            // Count blocks ready
	            var nBlocksReady = dataSigBytes / blockSizeBytes;
	            if (doFlush) {
	                // Round up to include partial blocks
	                nBlocksReady = Math.ceil(nBlocksReady);
	            } else {
	                // Round down to include only full blocks,
	                // less the number of blocks that must remain in the buffer
	                nBlocksReady = Math.max((nBlocksReady | 0) - this._minBufferSize, 0);
	            }

	            // Count words ready
	            var nWordsReady = nBlocksReady * blockSize;

	            // Count bytes ready
	            var nBytesReady = Math.min(nWordsReady * 4, dataSigBytes);

	            // Process blocks
	            if (nWordsReady) {
	                for (var offset = 0; offset < nWordsReady; offset += blockSize) {
	                    // Perform concrete-algorithm logic
	                    this._doProcessBlock(dataWords, offset);
	                }

	                // Remove processed words
	                var processedWords = dataWords.splice(0, nWordsReady);
	                data.sigBytes -= nBytesReady;
	            }

	            // Return processed words
	            return new WordArray.init(processedWords, nBytesReady);
	        },

	        /**
	         * Creates a copy of this object.
	         *
	         * @return {Object} The clone.
	         *
	         * @example
	         *
	         *     var clone = bufferedBlockAlgorithm.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone._data = this._data.clone();

	            return clone;
	        },

	        _minBufferSize: 0
	    });

	    /**
	     * Abstract hasher template.
	     *
	     * @property {number} blockSize The number of 32-bit words this hasher operates on. Default: 16 (512 bits)
	     */
	    var Hasher = C_lib.Hasher = BufferedBlockAlgorithm.extend({
	        /**
	         * Configuration options.
	         */
	        cfg: Base.extend(),

	        /**
	         * Initializes a newly created hasher.
	         *
	         * @param {Object} cfg (Optional) The configuration options to use for this hash computation.
	         *
	         * @example
	         *
	         *     var hasher = CryptoJS.algo.SHA256.create();
	         */
	        init: function (cfg) {
	            // Apply config defaults
	            this.cfg = this.cfg.extend(cfg);

	            // Set initial values
	            this.reset();
	        },

	        /**
	         * Resets this hasher to its initial state.
	         *
	         * @example
	         *
	         *     hasher.reset();
	         */
	        reset: function () {
	            // Reset data buffer
	            BufferedBlockAlgorithm.reset.call(this);

	            // Perform concrete-hasher logic
	            this._doReset();
	        },

	        /**
	         * Updates this hasher with a message.
	         *
	         * @param {WordArray|string} messageUpdate The message to append.
	         *
	         * @return {Hasher} This hasher.
	         *
	         * @example
	         *
	         *     hasher.update('message');
	         *     hasher.update(wordArray);
	         */
	        update: function (messageUpdate) {
	            // Append
	            this._append(messageUpdate);

	            // Update the hash
	            this._process();

	            // Chainable
	            return this;
	        },

	        /**
	         * Finalizes the hash computation.
	         * Note that the finalize operation is effectively a destructive, read-once operation.
	         *
	         * @param {WordArray|string} messageUpdate (Optional) A final message update.
	         *
	         * @return {WordArray} The hash.
	         *
	         * @example
	         *
	         *     var hash = hasher.finalize();
	         *     var hash = hasher.finalize('message');
	         *     var hash = hasher.finalize(wordArray);
	         */
	        finalize: function (messageUpdate) {
	            // Final message update
	            if (messageUpdate) {
	                this._append(messageUpdate);
	            }

	            // Perform concrete-hasher logic
	            var hash = this._doFinalize();

	            return hash;
	        },

	        blockSize: 512/32,

	        /**
	         * Creates a shortcut function to a hasher's object interface.
	         *
	         * @param {Hasher} hasher The hasher to create a helper for.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var SHA256 = CryptoJS.lib.Hasher._createHelper(CryptoJS.algo.SHA256);
	         */
	        _createHelper: function (hasher) {
	            return function (message, cfg) {
	                return new hasher.init(cfg).finalize(message);
	            };
	        },

	        /**
	         * Creates a shortcut function to the HMAC's object interface.
	         *
	         * @param {Hasher} hasher The hasher to use in this HMAC helper.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var HmacSHA256 = CryptoJS.lib.Hasher._createHmacHelper(CryptoJS.algo.SHA256);
	         */
	        _createHmacHelper: function (hasher) {
	            return function (message, key) {
	                return new C_algo.HMAC.init(hasher, key).finalize(message);
	            };
	        }
	    });

	    /**
	     * Algorithm namespace.
	     */
	    var C_algo = C.algo = {};

	    return C;
	}(Math));


	return CryptoJS;

}));

/***/ }),

/***/ 264:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _feedback = __webpack_require__(265);

var _feedback2 = _interopRequireDefault(_feedback);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_feedback2.default.el = '#root';
new Vue(_feedback2.default);

/***/ }),

/***/ 265:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(266)
)

/* script */
__vue_exports__ = __webpack_require__(267)

/* template */
var __vue_template__ = __webpack_require__(268)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/src/views/information/feedback.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5bd19fbc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 266:
/***/ (function(module, exports) {

module.exports = {
  "tousu_page": {
    "backgroundColor": "#f8f8f8"
  },
  "file-mask": {
    "position": "fixed",
    "top": 0,
    "bottom": 0,
    "width": "750"
  },
  "file-blk-mask": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "right": 0,
    "bottom": 0,
    "backgroundColor": "rgba(0,0,0,0.5)"
  },
  "file-wrap": {
    "position": "absolute",
    "left": "24",
    "right": "24",
    "bottom": "24"
  },
  "file-box": {
    "width": "702",
    "backgroundColor": "#ffffff",
    "borderRadius": "20",
    "marginBottom": "24"
  },
  "file-title": {
    "fontSize": "32",
    "lineHeight": "40",
    "fontWeight": "bold",
    "color": "#212121",
    "paddingTop": "30",
    "paddingBottom": "30",
    "textAlign": "center"
  },
  "file-text": {
    "fontSize": "28",
    "color": "#333333",
    "lineHeight": "40",
    "paddingLeft": "32",
    "paddingRight": "32"
  },
  "file-btn": {
    "height": "110",
    "lineHeight": "110",
    "borderTopWidth": "2",
    "borderColor": "#d8d8d8",
    "borderStyle": "solid",
    "fontSize": "32",
    "color": "#fbaf17",
    "textAlign": "center"
  },
  "webview": {
    "width": "702",
    "height": "100",
    "borderTopWidth": "2",
    "borderColor": "#d8d8d8",
    "borderStyle": "solid"
  },
  "file-photo": {
    "marginTop": "32"
  },
  "file-cancel": {
    "width": "702",
    "height": "110",
    "lineHeight": "110",
    "fontSize": "32",
    "color": "#666666",
    "textAlign": "center",
    "backgroundColor": "#ffffff",
    "borderRadius": "20"
  },
  "file-list": {
    "marginTop": "24",
    "marginLeft": "24",
    "marginRight": "24",
    "display": "flex",
    "flexDirection": "row",
    "flexWrap": "wrap"
  },
  "file-item": {
    "position": "relative",
    "width": "226",
    "height": "226",
    "marginBottom": "24"
  },
  "file-success": {
    "position": "relative",
    "width": "226",
    "height": "226"
  },
  "file-pic": {
    "width": "196",
    "height": "196",
    "position": "absolute",
    "left": 0,
    "bottom": 0
  },
  "video-item": {
    "backgroundColor": "#d8d8d8"
  },
  "video-tag": {
    "width": "56",
    "height": "56",
    "position": "absolute",
    "left": "70",
    "bottom": "70"
  },
  "file-del": {
    "width": "50",
    "height": "50",
    "position": "absolute",
    "right": 0,
    "top": 0
  },
  "file-progress": {
    "width": "196",
    "height": "196",
    "position": "absolute",
    "left": 0,
    "bottom": 0,
    "backgroundColor": "#f8f8f8",
    "display": "flex",
    "flexDirection": "column",
    "alignItems": "center",
    "justifyContent": "center",
    "borderWidth": "1",
    "borderColor": "#e5e5e5",
    "borderStyle": "solid"
  },
  "file-tip1": {
    "fontSize": "24",
    "color": "#5d5d5d",
    "marginBottom": "16"
  },
  "fback_name": {
    "fontSize": "26",
    "color": "#212121",
    "lineHeight": "36",
    "paddingTop": "36",
    "paddingLeft": "48",
    "paddingBottom": "21"
  },
  "fback_textarea": {
    "marginLeft": "24",
    "marginRight": "24",
    "height": "226",
    "paddingLeft": "24",
    "paddingRight": "24",
    "backgroundColor": "#ffffff"
  },
  "ftextarea": {
    "height": "140",
    "width": "654",
    "paddingTop": "24",
    "fontSize": "26",
    "color": "#5d5d5d"
  },
  "fnumber": {
    "fontSize": "26",
    "color": "#A3A3A3",
    "marginTop": "24",
    "textAlign": "right",
    "lineHeight": "36"
  },
  "fback_item": {
    "marginBottom": "14",
    "marginLeft": "24",
    "marginRight": "24"
  },
  "ftitle": {
    "paddingLeft": "24",
    "fontSize": "26",
    "color": "#212121",
    "lineHeight": "36",
    "marginBottom": "20"
  },
  "finput_div": {
    "width": "702",
    "height": "100",
    "backgroundColor": "#ffffff",
    "paddingLeft": "24",
    "paddingRight": "24",
    "paddingTop": "32",
    "paddingBottom": "32"
  },
  "finput": {
    "width": "654",
    "height": "36",
    "lineHeight": "36",
    "fontSize": "26",
    "color": "#5d5d5d"
  },
  "fsubmit": {
    "marginTop": "75",
    "marginLeft": "32",
    "marginRight": "32",
    "marginBottom": "55",
    "backgroundColor": "#FBAF17",
    "borderRadius": "50",
    "textAlign": "center",
    "lineHeight": "100",
    "width": "702",
    "fontSize": "32",
    "color": "#FFFFFF"
  },
  "fback_file": {
    "marginTop": "24",
    "marginBottom": "24",
    "marginLeft": "24"
  },
  "fback_show": {
    "width": "196",
    "height": "196"
  },
  "fback_uptip": {
    "marginLeft": "24",
    "marginBottom": "36",
    "fontSize": "26",
    "color": "#A3A3A3",
    "lineHeight": "36"
  },
  "fback_tip": {
    "marginLeft": "40",
    "marginTop": "36"
  },
  "ftip": {
    "fontSize": "26",
    "color": "#5D5D5D",
    "lineHeight": "36"
  }
}

/***/ }),

/***/ 267:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _wxcLightbox = __webpack_require__(64);

var _wxcLightbox2 = _interopRequireDefault(_wxcLightbox);

var _wxcProgress = __webpack_require__(79);

var _wxcProgress2 = _interopRequireDefault(_wxcProgress);

__webpack_require__(84);

__webpack_require__(85);

var _navBar = __webpack_require__(7);

var _navBar2 = _interopRequireDefault(_navBar);

var _util = __webpack_require__(4);

var _util2 = _interopRequireDefault(_util);

var _netinfo = __webpack_require__(11);

var _netinfo2 = _interopRequireDefault(_netinfo);

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

var _iphoneName = __webpack_require__(63);

var _iphoneName2 = _interopRequireDefault(_iphoneName);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule('modal');
var WXFile = weex.requireModule('WXFile');
var device = weex.config.env;
var storage = weex.requireModule('storage');
var WXVersion = weex.requireModule("WXVersion");
var navigator = weex.requireModule('navigator');

// const console = weex.requireModule('console');
exports.default = {
    name: 'App',
    components: {
        NavBar: _navBar2.default,
        WxcProgress: _wxcProgress2.default,
        WxcLightbox: _wxcLightbox2.default
    },
    data: function data() {
        return {
            isiPhoneX: device.platform === "iOS" && (device.deviceHeight === 1792 || device.deviceHeight >= 2436),
            isiOS: device.platform === "iOS",
            ftype: 0,
            fname: "",
            quesArr: ["", "问题类型：无法获取验证码", "意见建议：用的不爽，我有话说", "功能询问：有些功能不了解，不会用", "产品需求：想要加一个这样的功能", "产品bug：功能故障或不能正常使用", "性能问题：卡顿/闪退、发热/耗电", "投诉相关：处理进度、隐藏内容等", "分享问题：案例图片无法正常生成、无法分享", "评论问题：无法评论", "其他问题"],
            fcontent: "",
            fphone: "",
            fmodel: "",
            fsn: "",

            complaintUrl: "",
            videoHidden: 750,
            file_show: false,
            progress_value: 0,
            photos_arr: [],
            imageShow: false,
            imageIndex: 0,
            videos_arr: [],
            video_suc_tag: true,
            urlparams: "",
            deviceId: "",
            phonereg: /^1(3|4|5|6|7|8|9)\d{9}/,

            form_tag: true
        };
    },
    created: function created() {
        var _this = this;

        var pageurl = this.$getConfig().bundleUrl;
        this.ftype = _util2.default.getUrlSearch(pageurl, 'type');
        WXVersion.getDeviceId(function (deviceid) {
            _this.deviceId = deviceid;
        });

        this.urlparams = _apis2.default.getParams();
        storage.getItem("user_login_sub", function (event) {
            if (event.data && event.data != 'undefined') {
                _this.urlparams += "&sub=" + event.data;
            }
        });
        scorechannel.onmessage = function (event) {
            if (event.data.indexOf("video_suc") > 0) {
                _this.video_suc_tag = true;
                var videolen = _this.videos_arr.length;
                _this.videos_arr[videolen - 1].tagbar = 0;
                _this.videos_arr[videolen - 1].video_id = parseInt(event.data);
            } else if (event.data.indexOf("video_fail") > 0) {
                _this.video_suc_tag = true;
                _this.videos_arr.pop();
                modal.toast({
                    message: "视频上传失败，请重新上传~",
                    duration: 1
                });
            }
        };
    },

    methods: {
        del_files: function del_files(index, type) {
            if (type == 1) this.photos_arr.splice(index, 1);else {
                this.videos_arr.splice(index, 1);
                this.video_suc_tag = true;
            }
        },
        images_open: function images_open(num) {
            if (this.photos_arr[num].src) {
                this.imageIndex = num;
                this.imageShow = true;
            }
        },
        images_close: function images_close() {
            this.imageShow = false;
        },
        file_upload: function file_upload() {
            this.videoHidden = 0;
        },
        file_close: function file_close() {
            this.videoHidden = 750;
        },
        getPhoto: function getPhoto() {
            var _this2 = this;

            this.file_show = true;
            var photos_len = this.photos_arr.length;
            var photos_up = true;
            if (photos_len >= 9) {
                photos_up = false;
                modal.toast({
                    message: "图片最多上传9张~",
                    duration: 1
                });
                return;
            } else photos_up = true;
            var photos_total = 0;
            var photos_num = photos_len;
            var photos_num1 = photos_len;
            var photos_url = _configApi2.default.feedback_pic + this.urlparams;
            WXFile.getFile("photo", photos_url, function (imgProgress) {
                if (!photos_up) return;
                if (_this2.isiOS) {
                    if (!imgProgress.cover && !imgProgress.result) {
                        if (imgProgress.indexOf("total") > 0) {
                            photos_total = parseInt(imgProgress);
                            if (photos_total + photos_len > 9) {
                                photos_up = false;
                                modal.toast({
                                    message: "图片最多上传9张~",
                                    duration: 1
                                });
                                return;
                            }
                            for (var i = 0; i < photos_total; i++) {
                                _this2.photos_arr.push({
                                    "text": "正在上传",
                                    "progress": 0,
                                    "cover": "",
                                    "tagbar": 1,
                                    "width": 0,
                                    "height": 0,
                                    "src": ""
                                });
                            }
                        } else if (imgProgress.indexOf("progress") > 0) {
                            var proarr = imgProgress.split("progress");
                            photos_num = photos_len + parseInt(proarr[0]);
                            var progressnum = parseInt(parseFloat(proarr[1]) * 100);

                            if (progressnum >= 100) {
                                _this2.photos_arr[photos_num].text = "请等待...";
                                _this2.photos_arr[photos_num].tagbar = 2;
                            } else {
                                _this2.photos_arr[photos_num].progress = progressnum;
                            }
                        } else if (imgProgress.indexOf("fail") > 0) {
                            var fail_num = photos_len + parseInt(imgProgress);
                            _this2.photos_arr[fail_num].text = "上传失败";
                            _this2.photos_arr[fail_num].tagbar = 2;
                        }
                    } else if (imgProgress.cover) {
                        _this2.photos_arr[photos_num1].src = "data:image/jpg;base64," + imgProgress.cover;
                        _this2.photos_arr[photos_num1].width = imgProgress.width;
                        _this2.photos_arr[photos_num1].height = imgProgress.height;
                        _this2.photos_arr[photos_num1].tagbar = 0;
                    } else if (imgProgress.result) {
                        _this2.photos_arr[photos_num1].cover = imgProgress.result.data.key;
                        ++photos_num1;
                    }
                } else {
                    if (imgProgress.indexOf("total") > 0) {
                        photos_total = parseInt(imgProgress);
                        if (photos_total + photos_len > 9) {
                            photos_up = false;
                            modal.toast({
                                message: "图片最多上传9张~",
                                duration: 1
                            });
                            return;
                        }
                        for (var i = 0; i < photos_total; i++) {
                            _this2.photos_arr.push({
                                "text": "正在上传",
                                "progress": 0,
                                "cover": "",
                                "tagbar": 1,
                                "width": 0,
                                "height": 0,
                                "src": ""
                            });
                        }
                    } else if (imgProgress.indexOf("progress") > 0) {
                        var _proarr = imgProgress.split("progress");
                        photos_num = photos_len + parseInt(_proarr[0]);
                        var _progressnum = parseInt(_proarr[1]);
                        if (_progressnum >= 98) {
                            _this2.photos_arr[photos_num].text = "请等待...";
                            _this2.photos_arr[photos_num].tagbar = 2;
                        } else {
                            _this2.photos_arr[photos_num].progress = _progressnum;
                        }
                    } else if (imgProgress.indexOf("fail") > 0) {
                        var fail_num = photos_len + parseInt(imgProgress);
                        _this2.photos_arr[fail_num].text = "上传失败";
                        _this2.photos_arr[fail_num].tagbar = 2;
                    } else {
                        imgProgress = JSON.parse(imgProgress);
                        if (imgProgress.cover) {
                            _this2.photos_arr[photos_num1].src = "file://" + imgProgress.cover;
                            _this2.photos_arr[photos_num1].width = imgProgress.width;
                            _this2.photos_arr[photos_num1].height = imgProgress.height;
                            _this2.photos_arr[photos_num1].tagbar = 0;
                        } else if (imgProgress.result) {
                            _this2.photos_arr[photos_num1].cover = imgProgress.result.data.key;
                            ++photos_num1;
                        }
                    }
                }
            });
        },
        onPageStart: function onPageStart(event) {
            var turl = event.url;
            if (turl.indexOf("fileupstart") > 0) {
                if (this.videos_arr.length >= 3) {
                    if (this.video_suc_tag) {
                        this.video_suc_tag = false;
                        this.videoHidden = 750;
                        modal.toast({
                            message: "最多上传三个音/视频！",
                            duration: 1
                        });
                        return;
                    }
                } else {
                    var volen = this.videos_arr.length;
                    if (volen == 0 || this.videos_arr[volen - 1]["tagbar"] == 0) {
                        this.videos_arr.push({
                            "text": "请等待...",
                            "progress": 0,
                            "tagbar": 2,
                            "video_id": _util2.default.getUrlSearch(turl, "videoId"),
                            "file_name": _util2.default.getUrlSearch(turl, "s3Name"),
                            "file_size": _util2.default.getUrlSearch(turl, "filesize")
                        });
                    }
                    this.file_show = true;
                    this.videoHidden = 750;
                }
            } else if (turl.indexOf("filesize") > 0) {
                var videoId = _util2.default.getUrlSearch(turl, "videoId");
                if (videoId) {
                    var vlen = 0;
                    if (this.videos_arr.length > 1) vlen = this.videos_arr.length - 1;
                    this.videos_arr[vlen].tagbar = 0;
                    this.videos_arr[vlen].video_id = videoId;
                    this.videos_arr[vlen].file_name = _util2.default.getUrlSearch(turl, "s3Name");
                    this.videos_arr[vlen].file_size = _util2.default.getUrlSearch(turl, "filesize");
                }
            } else if (turl.indexOf("fileupnum") > 0) {
                modal.toast({
                    message: "最多上传三个音/视频！",
                    duration: 1
                });
            } else if (turl.indexOf("fileupmax") > 0) {
                modal.toast({
                    message: "音/视频太大！",
                    duration: 1
                });
            } else if (turl.indexOf("fileuptype") > 0) {
                modal.toast({
                    message: "音/视频格式不正确！",
                    duration: 1
                });
            } else if (turl.indexOf("fileupdoing") > 0) {
                modal.toast({
                    message: "请等待上个音/视频上传完成！",
                    duration: 1
                });
                this.videoHidden = 750;
            } else if (turl.indexOf("fileupsize") > 0) {
                modal.toast({
                    message: "该设备暂不支持上传此类文件！",
                    duration: 1
                });
                this.videoHidden = 750;
            }
        },
        feedbackSub: function feedbackSub() {
            var _this3 = this;

            var temp_phone = parseInt(this.fphone.trim());
            var temp_content = this.fcontent.trim();
            var temp_model = this.fmodel.trim();
            var temp_sn = this.fsn.trim();
            if (temp_content == "") {
                modal.toast({
                    message: "请填写反馈内容",
                    duration: 1
                });
                return;
            } else if (temp_content.length > 500) {
                modal.toast({
                    message: "反馈内容请控制在500字以内",
                    duration: 1
                });
                return;
            } else if (temp_phone.length == "" || temp_phone.length > 11 || !this.phonereg.test(temp_phone)) {
                modal.toast({
                    message: "请输入正确手机号",
                    duration: 1
                });
                return;
            }
            if (this.ftype != 1 && this.ftype != 7) {
                if (temp_model == "") {
                    modal.toast({
                        message: "请填写手机型号",
                        duration: 1
                    });
                    return;
                } else if (temp_model.length > 30) {
                    modal.toast({
                        message: "手机型号请控制在30字以内",
                        duration: 1
                    });
                    return;
                }
            } else if (this.ftype == 7) {
                if (temp_sn == "") {
                    modal.toast({
                        message: "请输入投诉单号",
                        duration: 1
                    });
                    return;
                } else if (temp_sn.length > 20) {
                    modal.toast({
                        message: "请输入正确投诉单号",
                        duration: 1
                    });
                    return;
                }
            }
            if (this.form_tag) {
                this.form_tag = false;
                var deviceModel = device.deviceModel;
                if (this.isiOS) {
                    if (_iphoneName2.default[deviceModel]) deviceModel = _iphoneName2.default[deviceModel];
                }
                var fdata = {
                    type: parseInt(this.ftype) + 1,
                    content: temp_content,
                    phone: temp_phone,
                    from: 2,
                    device_id: this.deviceId,
                    channel: device.platform == "iOS" ? 1 : 2,
                    device_model: deviceModel,
                    version: _configApi2.default.version
                };
                if (this.ftype != 1 && this.ftype != 7) fdata["user_device_model"] = temp_model;else if (this.ftype == 7) fdata["sn"] = temp_sn;
                var photolen = this.photos_arr.length;
                if (photolen > 0) {
                    var sub_datas = {};
                    for (var i = 0; i < photolen; i++) {
                        var item = this.photos_arr[i];
                        if (item.tagbar > 0) {
                            this.form_tag = true;
                            modal.toast({
                                message: "图片上传中，请勿提交",
                                duration: 1
                            });
                            return;
                        }
                        if (item.cover && item.cover != "") {
                            sub_datas['attach[' + i + '][type]'] = "image";
                            sub_datas['attach[' + i + '][src]'] = item.cover;
                            sub_datas['attach[' + i + '][width]'] = item.width;
                            sub_datas['attach[' + i + '][height]'] = item.height;
                        }
                    }
                    fdata = Object.assign(fdata, sub_datas);
                }
                _apis2.default.post('' + _configApi2.default.feedback_sub, fdata).then(function (res) {
                    if (res && res.result.status.code == 0) {
                        modal.toast({
                            message: "提交成功，黑猫小姐姐正在火速处理~",
                            duration: 2
                        });
                        setTimeout(function () {
                            navigator.pop();
                        }, 2000);
                    } else {
                        modal.toast({
                            message: res.result.status.msg,
                            duration: 2
                        });
                        setTimeout(function () {
                            _this3.form_tag = true;
                        }, 3000);
                    }
                });
            } else {
                modal.toast({
                    message: "请稍等...",
                    duration: 1
                });
            }
        }
    }
};

/***/ }),

/***/ 268:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    staticClass: ["tousu_page"],
    attrs: {
      "showScrollbar": "false"
    }
  }, [_c('NavBar', {
    attrs: {
      "title": "意见反馈"
    }
  }), _c('text', {
    staticClass: ["fback_name"]
  }, [_vm._v(_vm._s(_vm.quesArr[_vm.ftype]))]), _c('div', {
    staticClass: ["fback_textarea"]
  }, [_c('textarea', {
    staticClass: ["ftextarea"],
    attrs: {
      "rows": "4",
      "placeholder": "请补充详细问题和意见，黑猫小姐姐会认真看完的哦～",
      "value": (_vm.fcontent)
    },
    on: {
      "input": function($event) {
        _vm.fcontent = $event.target.attr.value
      }
    }
  }), (_vm.fcontent.length <= 500) ? _c('text', {
    staticClass: ["fnumber"]
  }, [_vm._v(_vm._s(_vm.fcontent.length) + "/500")]) : _c('richtext', {
    staticClass: ["fnumber"]
  }, [_c('span', {
    staticStyle: {
      color: "#FBAF17"
    }
  }, [_vm._v(_vm._s(_vm.fcontent.length))]), _vm._v("/500")])], 1), (_vm.file_show) ? _c('div', {
    staticClass: ["file-list"]
  }, [_vm._l((_vm.photos_arr), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["file-item"],
      on: {
        "click": function($event) {
          _vm.images_open(index)
        }
      }
    }, [_c('image', {
      staticClass: ["file-pic"],
      attrs: {
        "resize": "contain",
        "src": item.src
      }
    }), (item.tagbar > 0) ? _c('div', {
      staticClass: ["file-progress"]
    }, [_c('text', {
      staticClass: ["file-tip1"]
    }, [_vm._v(_vm._s(item.text))]), (item.tagbar == 1) ? _c('wxc-progress', {
      attrs: {
        "value": item.progress,
        "height": "12",
        "barWidth": "86",
        "barRadius": "12"
      }
    }) : _vm._e()], 1) : _vm._e(), _c('image', {
      staticClass: ["file-del"],
      attrs: {
        "src": "https://n.sinaimg.cn/finance/blackcat/wap/images/icon-code-14.png"
      },
      on: {
        "click": function($event) {
          _vm.del_files(index, 1)
        }
      }
    })])
  }), _vm._l((_vm.videos_arr), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["file-item"]
    }, [_c('div', {
      staticClass: ["file-pic", "video-item"]
    }), _c('image', {
      staticClass: ["video-tag"],
      attrs: {
        "src": "https://n.sinaimg.cn/finance/blackcat/pc/img/ico-video.png"
      }
    }), (item.tagbar > 0) ? _c('div', {
      staticClass: ["file-progress"]
    }, [_c('text', {
      staticClass: ["file-tip1"]
    }, [_vm._v(_vm._s(item.text))]), (item.tagbar == 1) ? _c('wxc-progress', {
      attrs: {
        "value": item.progress,
        "height": "12",
        "barWidth": "86",
        "barRadius": "12"
      }
    }) : _vm._e()], 1) : _vm._e(), _c('image', {
      staticClass: ["file-del"],
      attrs: {
        "src": "https://n.sinaimg.cn/finance/blackcat/wap/images/icon-code-14.png"
      },
      on: {
        "click": function($event) {
          _vm.del_files(index, 2)
        }
      }
    })])
  })], 2) : _vm._e(), _c('div', {
    staticClass: ["fback_file"]
  }, [_c('image', {
    staticClass: ["fback_show"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/feedback_up.png"
    },
    on: {
      "click": _vm.getPhoto
    }
  })]), _c('text', {
    staticClass: ["fback_uptip"]
  }, [_vm._v("图片最多上传9张，大小不超过5M，支持jpg。")]), _c('div', {
    staticClass: ["fback_item"]
  }, [_c('text', {
    staticClass: ["ftitle"]
  }, [_vm._v("联系方式")]), _c('div', {
    staticClass: ["finput_div"]
  }, [_c('input', {
    staticClass: ["finput"],
    attrs: {
      "type": "tel",
      "placeholder": "请输入手机号",
      "maxlength": "11",
      "value": (_vm.fphone)
    },
    on: {
      "input": function($event) {
        _vm.fphone = $event.target.attr.value
      }
    }
  })])]), (_vm.ftype == 7) ? [_c('div', {
    staticClass: ["fback_item"]
  }, [_c('text', {
    staticClass: ["ftitle"]
  }, [_vm._v("投诉单号")]), _c('div', {
    staticClass: ["finput_div"]
  }, [_c('input', {
    staticClass: ["finput"],
    attrs: {
      "type": "text",
      "placeholder": "输入投诉单号",
      "maxlength": "20",
      "value": (_vm.fsn)
    },
    on: {
      "input": function($event) {
        _vm.fsn = $event.target.attr.value
      }
    }
  })])])] : (_vm.ftype == 1) ? [_vm._m(0)] : [_c('div', {
    staticClass: ["fback_item"]
  }, [_c('text', {
    staticClass: ["ftitle"]
  }, [_vm._v("手机型号")]), _c('div', {
    staticClass: ["finput_div"]
  }, [_c('input', {
    staticClass: ["finput"],
    attrs: {
      "type": "text",
      "placeholder": "输入手机型号，如iPhone12",
      "maxlength": "30",
      "value": (_vm.fmodel)
    },
    on: {
      "input": function($event) {
        _vm.fmodel = $event.target.attr.value
      }
    }
  })])])], _c('text', {
    staticClass: ["fsubmit"],
    on: {
      "click": _vm.feedbackSub
    }
  }, [_vm._v("提交")]), (_vm.imageShow) ? _c('div', {
    staticClass: ["images-mask"]
  }, [(_vm.isiPhoneX) ? _c('div', {
    staticClass: ["iPhoneXDiv", "navbar"]
  }) : (_vm.isiOS) ? _c('div', {
    staticClass: ["iOSDiv", "navbar"]
  }) : _c('div', {
    staticClass: ["android", "navbar"]
  }), _c('wxc-lightbox', {
    ref: "wxc-lightbox",
    attrs: {
      "width": "750",
      "height": "800",
      "show": _vm.imageShow,
      "imageList": _vm.photos_arr,
      "index": _vm.imageIndex
    },
    on: {
      "wxcLightboxOverlayClicked": _vm.images_close
    }
  })], 1) : _vm._e()], 2)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["fback_tip"]
  }, [_c('text', {
    staticClass: ["ftip"]
  }, [_vm._v("手机收不到验证码可以先尝试以下方式解决哦")]), _c('text', {
    staticClass: ["ftip"]
  }, [_vm._v("1.手机装了短信拦截软件，建议您解除对黑猫短信的拦截。")]), _c('text', {
    staticClass: ["ftip"]
  }, [_vm._v("2.被运营商屏蔽接收，建议您联系运营商协助解决。")]), _c('text', {
    staticClass: ["ftip"]
  }, [_vm._v("3.曾经退订过黑猫的短信，建议您取消退订即可。")])])
}]}
module.exports.render._withStripped = true

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// 登录组件
var loginModule = weex.requireModule('STWeekLoginModule');
var modal = weex.requireModule('modal');
var WXBadge = weex.requireModule('WXBadge');
var storage = weex.requireModule('storage');


// 是否登录
function isLogin() {
  return new Promise(function (resolve) {
    // let userInfo = loginModule.weiboUserInfo();
    // if (userInfo.length <= 0) {
    storage.getItem("user_login_sub", function (event) {
      if (event.data && event.data != 'undefined') {
        resolve(true);
      } else {
        resolve(false);
      }
    });
    // }
    // else {
    //   resolve(true);
    // }
  });
}

// 退出登录
function logout(msg) {
  storage.getItem("user_login_type", function (event) {
    if (event.data && event.data == 'weibo') {
      loginModule.openURL('weiboLogoutAction', function (ret) {
        var loginInfo = ret;
        if (loginInfo.length <= 0) {
          storage.removeItem("phone_login_code"); //清理刷新cookie
          storage.removeItem("user_login_sub"); //清理登录sub
          storage.removeItem("phone_web_cookie"); //清理webview的cookie
          delWebCookie(); //端上清理webview的cookie
          WXBadge.hideBadge(); //清理个人消息
          var logoutchannel = new BroadcastChannel("logout");
          logoutchannel.postMessage("logout");
          storage.setItem("toPageTag", "false"); //清理创建投诉tag
          _apis2.default.loginsub = {}; //清理sub
          if (!msg) {
            modal.toast({
              message: '退出登录成功',
              duration: 0.3
            });
          }
        }
      });
    } else {
      _apis2.default.post('' + _configApi2.default.logout_phone, {
        "sub": event.data
      }).then(function () {
        storage.removeItem("phone_login_code"); //清理刷新cookie
        storage.removeItem("user_login_sub"); //清理登录sub
        storage.removeItem("phone_web_cookie"); //清理webview的cookie
        delWebCookie(); //端上清理webview的cookie
        WXBadge.hideBadge(); //清理个人消息
        var logoutchannel = new BroadcastChannel("logout");
        logoutchannel.postMessage("logout");
        storage.setItem("toPageTag", "false"); //清理创建投诉tag
        _apis2.default.loginsub = {}; //清理sub
        if (!msg) {
          modal.toast({
            message: '退出登录成功',
            duration: 0.3
          });
        }
      });
    }
  });
}
function setWebCookie(obj) {
  var wcookie = {
    ".sina.cn": {
      "Expries": obj.expire,
      "data": obj.cookie['.sina.cn'],
      "Domain": ".sina.cn"
    },
    ".sina.com.cn": {
      "Expries": obj.expire,
      "data": obj.cookie['.sina.com.cn'],
      "Domain": ".sina.com.cn"
    },
    ".weibo.com": {
      "Expries": obj.expire,
      "data": obj.cookie['.weibo.com'],
      "Domain": ".weibo.com"
    }
  };
  loginModule.setAppHttpCookie(JSON.stringify(wcookie));

  storage.setItem("phone_web_cookie", JSON.stringify(obj));
}

function delWebCookie() {
  loginModule.deleteAppHttpCookie();
}

storage.getItem("phone_web_cookie", function (event) {
  if (event.data && event.data != 'undefined') {
    setWebCookie(JSON.parse(event.data));
    var cookie_data = event.data;
    storage.getItem("phone_login_code", function (event) {
      if (event.data == "undefined") {
        storage.setItem("phone_login_code", cookie_data.sub + "$login$" + cookie_data.uid + "$login$" + cookie_data.expire);
      }
    });
  }
});

exports.default = {
  isLogin: isLogin,
  logout: logout,
  setWebCookie: setWebCookie
};

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
 * @Author: lidan6
 * @Date: 2018-09-10 09:54:36
 * @LastEditors: lidan6
 * @LastEditTime: 2021-03-03 10:37:52
 * @Description: 
 */
var device = weex.config.env;
var WXShareModule = weex.requireModule("WXShareModule");
var modal = weex.requireModule('modal');

var _votetemptag = false;
var utilFunc = {
  showShare: function showShare(param, callback) {
    WXShareModule.weexShare(param, function (ret) {
      if (ret == "success") {
        modal.toast({
          message: "分享成功",
          duration: 0.3
        });
        callback(true);
      } else if (ret == "fail") {
        modal.toast({
          message: "分享失败",
          duration: 0.3
        });
        //callback(false)
      }
    });
  },
  voteFor: function voteFor(obj, callback) {
    if (_votetemptag) return;
    _votetemptag = true;
    var turl = "";
    var data = {};
    if (obj.type) {
      turl = _configApi2.default.report_upvote;
      data = {
        id: obj.id
      };
    } else {
      turl = _configApi2.default.complaint_upvote;
      data = {
        sn: obj.id
      };
    }
    _apis2.default.post(turl, data).then(function (res) {
      callback(res);
      _votetemptag = false;
    }).catch(function (err) {
      _votetemptag = false;
      modal.toast({
        message: "点赞失败",
        duration: 0.8
      });
    });
  },
  initIconFont: function initIconFont() {
    //  let domModule = weex.requireModule('dom');
    //  domModule.addRule('fontFace', {
    //    'fontFamily': "iconfont",
    //    'src': "url('https://at.alicdn.com/t/font_404010_jgmnakd1zizr529.ttf')"
    //  });
  },
  getBaseUrl: function getBaseUrl(url) {
    var bundleUrl = new String(url);
    var nativeBase = void 0;
    //let isAndroidAssets  bundleUrl.indexOf('file://assets/') >= 0;
    //let isiOSAssets = device.platform === 'iOS' || bundleUrl.indexOf('file://') >= 0 && bundleUrl.indexOf('.app') > 0;
    if (device.platform === 'iOS') {
      nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
      nativeBase = nativeBase.split("/views/")[0] + "/views/";
    } else {
      nativeBase = 'file://assets/dist/views/';
    }
    //console.log("ios++:"+nativeBase);
    // }
    // else {
    //     let host = 'localhost:12580';
    //     let matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
    //     if (matches && matches.length >= 2) {
    //         host = matches[1];
    //     }
    //     nativeBase = 'https://' + host + '/' + this.dir + '/build/';
    // }
    var h5Base = './index.html?page=./' + this.dir + '/build/';
    // in Native
    var base = nativeBase;
    if ((typeof window === "undefined" ? "undefined" : _typeof(window)) === 'object') {
      // in Browser or WebView
      base = h5Base;
    }
    return base;
  },
  setBundleUrl: function setBundleUrl(url, jsFile) {
    var bundleUrl = url;
    var host = '';
    var path = '';
    var nativeBase = void 0;
    var isAndroidAssets = bundleUrl.indexOf('your_current_IP') >= 0 || bundleUrl.indexOf('file://assets/') >= 0;
    var isiOSAssets = bundleUrl.indexOf('file:///') >= 0 && bundleUrl.indexOf('SinaZC.app') > 0;
    if (isAndroidAssets) {
      nativeBase = 'file://assets/dist';
    } else if (isiOSAssets) {
      // file:///var/mobile/Containers/Bundle/Application/{id}/SinaZC.app/
      // file:///Users/{user}/Library/Developer/CoreSimulator/Devices/{id}/data/Containers/Bundle/Application/{id}/SinaZC.app/
      nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
    } else {
      var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
      var matchFirstPath = /\/\/[^\/]+\/([^\/]+)\//.exec(bundleUrl);
      if (matches && matches.length >= 2) {
        host = matches[1];
      }
      if (matchFirstPath && matchFirstPath.length >= 2) {
        path = matchFirstPath[1];
      }
      nativeBase = 'https://' + host + '/';
    }
    var h5Base = './index.html?page=';
    // in Native
    var base = nativeBase;
    if (typeof navigator !== 'undefined' && (navigator.appCodeName === 'Mozilla' || navigator.product === 'Gecko')) {
      // check if in weexpack project
      if (path === 'web' || path === 'dist') {
        base = h5Base + '/dist/';
      } else {
        base = h5Base + '';
      }
    } else {
      base = nativeBase + (!!path ? path + '/' : '');
    }

    var newUrl = base + jsFile;
    return newUrl;
  },
  getUrlSearch: function getUrlSearch(url, name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = url.slice(url.indexOf('?') + 1).match(reg);
    if (r != null) {
      try {
        return decodeURIComponent(r[2]);
      } catch (_e) {
        return null;
      }
    }
    return null;
  },
  getStrLen: function getStrLen(str) {
    var tstr = '' + str;
    var num = 0,
        arr = tstr.split(''),
        len = arr.length;
    for (var i = 0; i < len; i++) {
      if (/[^\x00-\xff]/ig.test(arr[i])) num += 2;else num++;
    }
    return num;
  },
  getUserName: function getUserName(str) {
    var tstr = '' + str;
    var num = 0,
        arr = tstr.split(''),
        len = arr.length,
        res = [];
    for (var i = 0; i < len; i++) {
      if (num > 10) {
        res.push('...');
        return res.join('');
      }
      if (/[^\x00-\xff]/ig.test(arr[i])) num += 2;else num++;
      res.push(arr[i]);
    }
    return res.join('');
  },
  isiOS: function isiOS() {
    return device.platform === 'iOS';
  },

  /*
   * 截断字符串
   * @param str 传入字符串
   * @param len 截断长度
   * @param hasDot 末尾是否...
   * @returns {String}
   */
  truncateString: function truncateString(str, len) {
    var hasDot = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

    var newLength = 0;
    var newStr = '';
    var singleChar = '';
    var chineseRegex = /[^\x00-\xff]/g;
    var strLength = str.replace(chineseRegex, '**').length;
    for (var i = 0; i < strLength; i++) {
      singleChar = str.charAt(i).toString();
      if (singleChar.match(chineseRegex) !== null) {
        newLength += 2;
      } else {
        newLength++;
      }
      if (newLength > len) {
        break;
      }
      newStr += singleChar;
    }

    if (hasDot && strLength > len) {
      newStr += '...';
    }
    return newStr;
  },
  mergeDeep: function mergeDeep(target) {
    var _Utils;

    for (var _len = arguments.length, sources = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      sources[_key - 1] = arguments[_key];
    }

    if (!sources.length) return target;
    var source = sources.shift();
    if (Utils.isObject(target) && Utils.isObject(source)) {
      for (var key in source) {
        if (Utils.isObject(source[key])) {
          if (!target[key]) {
            Object.assign(target, _defineProperty({}, key, {}));
          }
          Utils.mergeDeep(target[key], source[key]);
        } else {
          Object.assign(target, _defineProperty({}, key, source[key]));
        }
      }
    }
    return (_Utils = Utils).mergeDeep.apply(_Utils, [target].concat(sources));
  }
};

exports.default = utilFunc;

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory(__webpack_require__(2));
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define(["./core"], factory);
	}
	else {
		// Global (browser)
		factory(root.CryptoJS);
	}
}(this, function (CryptoJS) {

	(function (Math) {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var Hasher = C_lib.Hasher;
	    var C_algo = C.algo;

	    // Initialization and round constants tables
	    var H = [];
	    var K = [];

	    // Compute constants
	    (function () {
	        function isPrime(n) {
	            var sqrtN = Math.sqrt(n);
	            for (var factor = 2; factor <= sqrtN; factor++) {
	                if (!(n % factor)) {
	                    return false;
	                }
	            }

	            return true;
	        }

	        function getFractionalBits(n) {
	            return ((n - (n | 0)) * 0x100000000) | 0;
	        }

	        var n = 2;
	        var nPrime = 0;
	        while (nPrime < 64) {
	            if (isPrime(n)) {
	                if (nPrime < 8) {
	                    H[nPrime] = getFractionalBits(Math.pow(n, 1 / 2));
	                }
	                K[nPrime] = getFractionalBits(Math.pow(n, 1 / 3));

	                nPrime++;
	            }

	            n++;
	        }
	    }());

	    // Reusable object
	    var W = [];

	    /**
	     * SHA-256 hash algorithm.
	     */
	    var SHA256 = C_algo.SHA256 = Hasher.extend({
	        _doReset: function () {
	            this._hash = new WordArray.init(H.slice(0));
	        },

	        _doProcessBlock: function (M, offset) {
	            // Shortcut
	            var H = this._hash.words;

	            // Working variables
	            var a = H[0];
	            var b = H[1];
	            var c = H[2];
	            var d = H[3];
	            var e = H[4];
	            var f = H[5];
	            var g = H[6];
	            var h = H[7];

	            // Computation
	            for (var i = 0; i < 64; i++) {
	                if (i < 16) {
	                    W[i] = M[offset + i] | 0;
	                } else {
	                    var gamma0x = W[i - 15];
	                    var gamma0  = ((gamma0x << 25) | (gamma0x >>> 7))  ^
	                                  ((gamma0x << 14) | (gamma0x >>> 18)) ^
	                                   (gamma0x >>> 3);

	                    var gamma1x = W[i - 2];
	                    var gamma1  = ((gamma1x << 15) | (gamma1x >>> 17)) ^
	                                  ((gamma1x << 13) | (gamma1x >>> 19)) ^
	                                   (gamma1x >>> 10);

	                    W[i] = gamma0 + W[i - 7] + gamma1 + W[i - 16];
	                }

	                var ch  = (e & f) ^ (~e & g);
	                var maj = (a & b) ^ (a & c) ^ (b & c);

	                var sigma0 = ((a << 30) | (a >>> 2)) ^ ((a << 19) | (a >>> 13)) ^ ((a << 10) | (a >>> 22));
	                var sigma1 = ((e << 26) | (e >>> 6)) ^ ((e << 21) | (e >>> 11)) ^ ((e << 7)  | (e >>> 25));

	                var t1 = h + sigma1 + ch + K[i] + W[i];
	                var t2 = sigma0 + maj;

	                h = g;
	                g = f;
	                f = e;
	                e = (d + t1) | 0;
	                d = c;
	                c = b;
	                b = a;
	                a = (t1 + t2) | 0;
	            }

	            // Intermediate hash value
	            H[0] = (H[0] + a) | 0;
	            H[1] = (H[1] + b) | 0;
	            H[2] = (H[2] + c) | 0;
	            H[3] = (H[3] + d) | 0;
	            H[4] = (H[4] + e) | 0;
	            H[5] = (H[5] + f) | 0;
	            H[6] = (H[6] + g) | 0;
	            H[7] = (H[7] + h) | 0;
	        },

	        _doFinalize: function () {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;

	            var nBitsTotal = this._nDataBytes * 8;
	            var nBitsLeft = data.sigBytes * 8;

	            // Add padding
	            dataWords[nBitsLeft >>> 5] |= 0x80 << (24 - nBitsLeft % 32);
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 14] = Math.floor(nBitsTotal / 0x100000000);
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 15] = nBitsTotal;
	            data.sigBytes = dataWords.length * 4;

	            // Hash final blocks
	            this._process();

	            // Return final computed hash
	            return this._hash;
	        },

	        clone: function () {
	            var clone = Hasher.clone.call(this);
	            clone._hash = this._hash.clone();

	            return clone;
	        }
	    });

	    /**
	     * Shortcut function to the hasher's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     *
	     * @return {WordArray} The hash.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hash = CryptoJS.SHA256('message');
	     *     var hash = CryptoJS.SHA256(wordArray);
	     */
	    C.SHA256 = Hasher._createHelper(SHA256);

	    /**
	     * Shortcut function to the HMAC's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     * @param {WordArray|string} key The secret key.
	     *
	     * @return {WordArray} The HMAC.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hmac = CryptoJS.HmacSHA256(message, key);
	     */
	    C.HmacSHA256 = Hasher._createHmacHelper(SHA256);
	}(Math));


	return CryptoJS.SHA256;

}));

/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory(__webpack_require__(2));
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define(["./core"], factory);
	}
	else {
		// Global (browser)
		factory(root.CryptoJS);
	}
}(this, function (CryptoJS) {

	(function (Math) {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var Hasher = C_lib.Hasher;
	    var C_algo = C.algo;

	    // Constants table
	    var T = [];

	    // Compute constants
	    (function () {
	        for (var i = 0; i < 64; i++) {
	            T[i] = (Math.abs(Math.sin(i + 1)) * 0x100000000) | 0;
	        }
	    }());

	    /**
	     * MD5 hash algorithm.
	     */
	    var MD5 = C_algo.MD5 = Hasher.extend({
	        _doReset: function () {
	            this._hash = new WordArray.init([
	                0x67452301, 0xefcdab89,
	                0x98badcfe, 0x10325476
	            ]);
	        },

	        _doProcessBlock: function (M, offset) {
	            // Swap endian
	            for (var i = 0; i < 16; i++) {
	                // Shortcuts
	                var offset_i = offset + i;
	                var M_offset_i = M[offset_i];

	                M[offset_i] = (
	                    (((M_offset_i << 8)  | (M_offset_i >>> 24)) & 0x00ff00ff) |
	                    (((M_offset_i << 24) | (M_offset_i >>> 8))  & 0xff00ff00)
	                );
	            }

	            // Shortcuts
	            var H = this._hash.words;

	            var M_offset_0  = M[offset + 0];
	            var M_offset_1  = M[offset + 1];
	            var M_offset_2  = M[offset + 2];
	            var M_offset_3  = M[offset + 3];
	            var M_offset_4  = M[offset + 4];
	            var M_offset_5  = M[offset + 5];
	            var M_offset_6  = M[offset + 6];
	            var M_offset_7  = M[offset + 7];
	            var M_offset_8  = M[offset + 8];
	            var M_offset_9  = M[offset + 9];
	            var M_offset_10 = M[offset + 10];
	            var M_offset_11 = M[offset + 11];
	            var M_offset_12 = M[offset + 12];
	            var M_offset_13 = M[offset + 13];
	            var M_offset_14 = M[offset + 14];
	            var M_offset_15 = M[offset + 15];

	            // Working varialbes
	            var a = H[0];
	            var b = H[1];
	            var c = H[2];
	            var d = H[3];

	            // Computation
	            a = FF(a, b, c, d, M_offset_0,  7,  T[0]);
	            d = FF(d, a, b, c, M_offset_1,  12, T[1]);
	            c = FF(c, d, a, b, M_offset_2,  17, T[2]);
	            b = FF(b, c, d, a, M_offset_3,  22, T[3]);
	            a = FF(a, b, c, d, M_offset_4,  7,  T[4]);
	            d = FF(d, a, b, c, M_offset_5,  12, T[5]);
	            c = FF(c, d, a, b, M_offset_6,  17, T[6]);
	            b = FF(b, c, d, a, M_offset_7,  22, T[7]);
	            a = FF(a, b, c, d, M_offset_8,  7,  T[8]);
	            d = FF(d, a, b, c, M_offset_9,  12, T[9]);
	            c = FF(c, d, a, b, M_offset_10, 17, T[10]);
	            b = FF(b, c, d, a, M_offset_11, 22, T[11]);
	            a = FF(a, b, c, d, M_offset_12, 7,  T[12]);
	            d = FF(d, a, b, c, M_offset_13, 12, T[13]);
	            c = FF(c, d, a, b, M_offset_14, 17, T[14]);
	            b = FF(b, c, d, a, M_offset_15, 22, T[15]);

	            a = GG(a, b, c, d, M_offset_1,  5,  T[16]);
	            d = GG(d, a, b, c, M_offset_6,  9,  T[17]);
	            c = GG(c, d, a, b, M_offset_11, 14, T[18]);
	            b = GG(b, c, d, a, M_offset_0,  20, T[19]);
	            a = GG(a, b, c, d, M_offset_5,  5,  T[20]);
	            d = GG(d, a, b, c, M_offset_10, 9,  T[21]);
	            c = GG(c, d, a, b, M_offset_15, 14, T[22]);
	            b = GG(b, c, d, a, M_offset_4,  20, T[23]);
	            a = GG(a, b, c, d, M_offset_9,  5,  T[24]);
	            d = GG(d, a, b, c, M_offset_14, 9,  T[25]);
	            c = GG(c, d, a, b, M_offset_3,  14, T[26]);
	            b = GG(b, c, d, a, M_offset_8,  20, T[27]);
	            a = GG(a, b, c, d, M_offset_13, 5,  T[28]);
	            d = GG(d, a, b, c, M_offset_2,  9,  T[29]);
	            c = GG(c, d, a, b, M_offset_7,  14, T[30]);
	            b = GG(b, c, d, a, M_offset_12, 20, T[31]);

	            a = HH(a, b, c, d, M_offset_5,  4,  T[32]);
	            d = HH(d, a, b, c, M_offset_8,  11, T[33]);
	            c = HH(c, d, a, b, M_offset_11, 16, T[34]);
	            b = HH(b, c, d, a, M_offset_14, 23, T[35]);
	            a = HH(a, b, c, d, M_offset_1,  4,  T[36]);
	            d = HH(d, a, b, c, M_offset_4,  11, T[37]);
	            c = HH(c, d, a, b, M_offset_7,  16, T[38]);
	            b = HH(b, c, d, a, M_offset_10, 23, T[39]);
	            a = HH(a, b, c, d, M_offset_13, 4,  T[40]);
	            d = HH(d, a, b, c, M_offset_0,  11, T[41]);
	            c = HH(c, d, a, b, M_offset_3,  16, T[42]);
	            b = HH(b, c, d, a, M_offset_6,  23, T[43]);
	            a = HH(a, b, c, d, M_offset_9,  4,  T[44]);
	            d = HH(d, a, b, c, M_offset_12, 11, T[45]);
	            c = HH(c, d, a, b, M_offset_15, 16, T[46]);
	            b = HH(b, c, d, a, M_offset_2,  23, T[47]);

	            a = II(a, b, c, d, M_offset_0,  6,  T[48]);
	            d = II(d, a, b, c, M_offset_7,  10, T[49]);
	            c = II(c, d, a, b, M_offset_14, 15, T[50]);
	            b = II(b, c, d, a, M_offset_5,  21, T[51]);
	            a = II(a, b, c, d, M_offset_12, 6,  T[52]);
	            d = II(d, a, b, c, M_offset_3,  10, T[53]);
	            c = II(c, d, a, b, M_offset_10, 15, T[54]);
	            b = II(b, c, d, a, M_offset_1,  21, T[55]);
	            a = II(a, b, c, d, M_offset_8,  6,  T[56]);
	            d = II(d, a, b, c, M_offset_15, 10, T[57]);
	            c = II(c, d, a, b, M_offset_6,  15, T[58]);
	            b = II(b, c, d, a, M_offset_13, 21, T[59]);
	            a = II(a, b, c, d, M_offset_4,  6,  T[60]);
	            d = II(d, a, b, c, M_offset_11, 10, T[61]);
	            c = II(c, d, a, b, M_offset_2,  15, T[62]);
	            b = II(b, c, d, a, M_offset_9,  21, T[63]);

	            // Intermediate hash value
	            H[0] = (H[0] + a) | 0;
	            H[1] = (H[1] + b) | 0;
	            H[2] = (H[2] + c) | 0;
	            H[3] = (H[3] + d) | 0;
	        },

	        _doFinalize: function () {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;

	            var nBitsTotal = this._nDataBytes * 8;
	            var nBitsLeft = data.sigBytes * 8;

	            // Add padding
	            dataWords[nBitsLeft >>> 5] |= 0x80 << (24 - nBitsLeft % 32);

	            var nBitsTotalH = Math.floor(nBitsTotal / 0x100000000);
	            var nBitsTotalL = nBitsTotal;
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 15] = (
	                (((nBitsTotalH << 8)  | (nBitsTotalH >>> 24)) & 0x00ff00ff) |
	                (((nBitsTotalH << 24) | (nBitsTotalH >>> 8))  & 0xff00ff00)
	            );
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 14] = (
	                (((nBitsTotalL << 8)  | (nBitsTotalL >>> 24)) & 0x00ff00ff) |
	                (((nBitsTotalL << 24) | (nBitsTotalL >>> 8))  & 0xff00ff00)
	            );

	            data.sigBytes = (dataWords.length + 1) * 4;

	            // Hash final blocks
	            this._process();

	            // Shortcuts
	            var hash = this._hash;
	            var H = hash.words;

	            // Swap endian
	            for (var i = 0; i < 4; i++) {
	                // Shortcut
	                var H_i = H[i];

	                H[i] = (((H_i << 8)  | (H_i >>> 24)) & 0x00ff00ff) |
	                       (((H_i << 24) | (H_i >>> 8))  & 0xff00ff00);
	            }

	            // Return final computed hash
	            return hash;
	        },

	        clone: function () {
	            var clone = Hasher.clone.call(this);
	            clone._hash = this._hash.clone();

	            return clone;
	        }
	    });

	    function FF(a, b, c, d, x, s, t) {
	        var n = a + ((b & c) | (~b & d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function GG(a, b, c, d, x, s, t) {
	        var n = a + ((b & d) | (c & ~d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function HH(a, b, c, d, x, s, t) {
	        var n = a + (b ^ c ^ d) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function II(a, b, c, d, x, s, t) {
	        var n = a + (c ^ (b | ~d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    /**
	     * Shortcut function to the hasher's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     *
	     * @return {WordArray} The hash.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hash = CryptoJS.MD5('message');
	     *     var hash = CryptoJS.MD5(wordArray);
	     */
	    C.MD5 = Hasher._createHelper(MD5);

	    /**
	     * Shortcut function to the HMAC's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     * @param {WordArray|string} key The secret key.
	     *
	     * @return {WordArray} The HMAC.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hmac = CryptoJS.HmacMD5(message, key);
	     */
	    C.HmacMD5 = Hasher._createHmacHelper(MD5);
	}(Math));


	return CryptoJS.MD5;

}));

/***/ }),

/***/ 63:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});
/*
 * @Author: lidan6
 * @Date: 2021-04-16 16:13:26
 * @LastEditors: lidan6
 * @LastEditTime: 2021-04-16 16:32:37
 * @Description: 
 */

exports.default = {
   "iPhone3,1": "iPhone 4",
   "iPhone3,2": "iPhone 4",
   "iPhone3,3": "iPhone 4",
   "iPhone4,1": "iPhone 4S",
   "iPhone5,1": "iPhone 5",
   "iPhone5,2": "iPhone 5",
   "iPhone5,3": "iPhone 5c",
   "iPhone5,4": "iPhone 5c",
   "iPhone6,1": "iPhone 5s",
   "iPhone6,2": "iPhone 5s",
   "iPhone7,1": "iPhone 6 Plus",
   "iPhone7,2": "iPhone 6",
   "iPhone8,1": "iPhone 6s",
   "iPhone8,2": "iPhone 6s Plus",
   "iPhone8,4": "iPhone SE",
   "iPhone9,1": "iPhone 7",
   "iPhone9,2": "iPhone 7 Plus",
   "iPhone9,3": "iPhone 7",
   "iPhone9,4": "iPhone 7 Plus",
   "iPhone10,1": "iPhone 8",
   "iPhone10,2": "iPhone 8 Plus",
   "iPhone10,4": "iPhone 8",
   "iPhone10,5": "iPhone 8 Plus",
   "iPhone10,3": "iPhone X",
   "iPhone10,6": "iPhone X",
   "iPhone11,2": "iPhone XS",
   "iPhone11,4": "iPhone XS Max",
   "iPhone11,6": "iPhone XS Max",
   "iPhone11,8": "iPhone XR",
   "iPhone12,1": "iPhone 11",
   "iPhone12,3": "iPhone 11 Pro",
   "iPhone12,5": "iPhone 11 Pro Max",
   "iPhone12,8": "iPhone SE 2",
   "iPhone13,1": "iPhone 12 mini",
   "iPhone13,2": "iPhone 12",
   "iPhone13,3": "iPhone 12 pro",
   "iPhone13,4": "iPhone 12 pro Max"

};

/***/ }),

/***/ 64:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(65);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 65:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(66)
)

/* script */
__vue_exports__ = __webpack_require__(67)

/* template */
var __vue_template__ = __webpack_require__(78)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/node_modules/weex-ui/packages/wxc-lightbox/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5a41033f"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 66:
/***/ (function(module, exports) {

module.exports = {
  "indicator": {
    "position": "absolute",
    "itemColor": "rgba(255,195,0,0.5)",
    "itemSelectedColor": "#ffc300",
    "itemSize": "20",
    "height": "20",
    "bottom": "24"
  },
  "frame": {
    "position": "relative"
  }
}

/***/ }),

/***/ 67:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var _wxcMask = __webpack_require__(68);

var _wxcMask2 = _interopRequireDefault(_wxcMask);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  components: {
    WxcMask: _wxcMask2.default
  },
  props: {
    width: {
      type: [Number, String],
      default: 750
    },
    height: {
      type: [Number, String],
      default: 750
    },
    show: {
      type: Boolean,
      default: false
    },
    index: {
      type: [Number],
      default: 0
    },
    imageList: Array,
    indicatorColor: {
      type: Object,
      default: function _default() {
        return {
          'item-color': 'rgba(255, 195, 0, .5)',
          'item-selected-color': '#ffc300',
          'item-size': '20px'
        };
      }
    }
  },
  computed: {
    indicatorStyle: function indicatorStyle() {
      return _extends({
        width: this.width + 'px'
      }, this.indicatorColor);
    }
  },
  methods: {
    maskOverlayClick: function maskOverlayClick() {
      this.$emit('wxcLightboxOverlayClicked', {});
    }
  }
};

/***/ }),

/***/ 68:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(69);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 69:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(70)
)

/* script */
__vue_exports__ = __webpack_require__(71)

/* template */
var __vue_template__ = __webpack_require__(77)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/node_modules/weex-ui/packages/wxc-mask/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-419c27f6"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(8)
)

/* script */
__vue_exports__ = __webpack_require__(9)

/* template */
var __vue_template__ = __webpack_require__(10)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/src/components/navBar.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-68781400"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 70:
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "position": "fixed",
    "width": "750",
    "zIndex": 99999
  },
  "wxc-mask": {
    "position": "fixed",
    "top": "300",
    "left": "60",
    "width": "702",
    "height": "800"
  },
  "mask-bottom": {
    "width": "100",
    "height": "100",
    "backgroundColor": "rgba(0,0,0,0)",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "mask-close-icon": {
    "width": "64",
    "height": "64"
  }
}

/***/ }),

/***/ 71:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _wxcOverlay = __webpack_require__(72);

var _wxcOverlay2 = _interopRequireDefault(_wxcOverlay);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
exports.default = {
  components: { WxcOverlay: _wxcOverlay2.default },
  props: {
    height: {
      type: [String, Number],
      default: 800
    },
    width: {
      type: [String, Number],
      default: 702
    },
    top: {
      type: Number,
      default: 0
    },
    show: {
      type: Boolean,
      default: false
    },
    showClose: {
      type: Boolean,
      default: false
    },
    duration: {
      type: [String, Number],
      default: 300
    },
    hasOverlay: {
      type: Boolean,
      default: true
    },
    hasAnimation: {
      type: Boolean,
      default: true
    },
    timingFunction: {
      type: Array,
      default: function _default() {
        return ['ease-in', 'ease-out'];
      }
    },
    overlayCfg: {
      type: Object,
      default: function _default() {
        return {
          hasAnimation: true,
          timingFunction: ['ease-in', 'ease-out'],
          canAutoClose: true,
          duration: 300,
          opacity: 0.6
        };
      }
    },
    borderRadius: {
      type: [String, Number],
      default: 0
    },
    overlayCanClose: {
      type: Boolean,
      default: true
    },
    maskBgColor: {
      type: String,
      default: '#ffffff'
    }
  },
  data: function data() {
    return {
      closeIcon: 'https://gw.alicdn.com/tfs/TB1qDJUpwMPMeJjy1XdXXasrXXa-64-64.png',
      maskTop: 264,
      opened: false
    };
  },
  computed: {
    mergeOverlayCfg: function mergeOverlayCfg() {
      return _extends({}, this.overlayCfg, {
        hasAnimation: this.hasAnimation
      });
    },
    maskStyle: function maskStyle() {
      var width = this.width,
          height = this.height,
          showClose = this.showClose,
          hasAnimation = this.hasAnimation,
          opened = this.opened,
          top = this.top;

      var newHeight = showClose ? height - 0 + 100 : height;
      var _weex$config$env = weex.config.env,
          deviceHeight = _weex$config$env.deviceHeight,
          deviceWidth = _weex$config$env.deviceWidth,
          platform = _weex$config$env.platform;

      var _deviceHeight = deviceHeight || 1334;
      var isWeb = (typeof window === 'undefined' ? 'undefined' : _typeof(window)) === 'object' && platform.toLowerCase() === 'web';
      var navHeight = isWeb ? 0 : 130;
      var pageHeight = _deviceHeight / deviceWidth * 750 - navHeight;
      return {
        width: width + 'px',
        height: newHeight + 'px',
        left: (750 - width) / 2 + 'px',
        top: (top || (pageHeight - height) / 2) + 'px',
        opacity: hasAnimation && !opened ? 0 : 1
      };
    },
    contentStyle: function contentStyle() {
      return {
        width: this.width + 'px',
        backgroundColor: this.maskBgColor,
        height: this.height + 'px',
        borderRadius: this.borderRadius + 'px'
      };
    },
    shouldShow: function shouldShow() {
      var _this = this;

      var show = this.show,
          hasAnimation = this.hasAnimation;

      hasAnimation && setTimeout(function () {
        _this.appearMask(show);
      }, 50);
      return show;
    }
  },
  methods: {
    closeIconClicked: function closeIconClicked() {
      this.appearMask(false);
    },
    wxcOverlayBodyClicking: function wxcOverlayBodyClicking() {
      if (this.hasAnimation) {
        this.appearMask(false);
        this.$emit('wxcOverlayBodyClicking', {});
      }
    },
    wxcOverlayBodyClicked: function wxcOverlayBodyClicked() {
      if (!this.hasAnimation) {
        this.appearMask(false);
        this.$emit('wxcOverlayBodyClicked', {});
      }
    },
    needEmit: function needEmit() {
      var bool = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

      this.opened = bool;
      !bool && this.$emit('wxcMaskSetHidden', {});
    },
    appearMask: function appearMask(bool) {
      var _this2 = this;

      var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.duration;
      var hasAnimation = this.hasAnimation,
          timingFunction = this.timingFunction;

      var maskEl = this.$refs['wxc-mask'];
      if (hasAnimation && maskEl) {
        animation.transition(maskEl, {
          styles: {
            opacity: bool ? 1 : 0
          },
          duration: duration,
          timingFunction: timingFunction[bool ? 0 : 1],
          delay: 0
        }, function () {
          _this2.needEmit(bool);
        });
      } else {
        this.needEmit(bool);
      }
    }
  }
};

/***/ }),

/***/ 72:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(73);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 73:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(74)
)

/* script */
__vue_exports__ = __webpack_require__(75)

/* template */
var __vue_template__ = __webpack_require__(76)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/node_modules/weex-ui/packages/wxc-overlay/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-389bbc1c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 74:
/***/ (function(module, exports) {

module.exports = {
  "wxc-overlay": {
    "width": "750",
    "position": "fixed",
    "left": 0,
    "top": 0,
    "bottom": 0,
    "right": 0
  }
}

/***/ }),

/***/ 75:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    hasAnimation: {
      type: Boolean,
      default: true
    },
    duration: {
      type: [Number, String],
      default: 300
    },
    timingFunction: {
      type: Array,
      default: function _default() {
        return ['ease-in', 'ease-out'];
      }
    },
    opacity: {
      type: [Number, String],
      default: 0.6
    },
    canAutoClose: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    overlayStyle: function overlayStyle() {
      return {
        opacity: this.hasAnimation ? 0 : 1,
        backgroundColor: 'rgba(0, 0, 0,' + this.opacity + ')'
      };
    },
    shouldShow: function shouldShow() {
      var _this = this;

      var show = this.show,
          hasAnimation = this.hasAnimation;

      hasAnimation && setTimeout(function () {
        _this.appearOverlay(show);
      }, 50);
      return show;
    }
  },
  methods: {
    overlayClicked: function overlayClicked(e) {
      this.canAutoClose ? this.appearOverlay(false) : this.$emit('wxcOverlayBodyClicked', {});
    },
    appearOverlay: function appearOverlay(bool) {
      var _this2 = this;

      var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.duration;
      var hasAnimation = this.hasAnimation,
          timingFunction = this.timingFunction,
          canAutoClose = this.canAutoClose;

      var needEmit = !bool && canAutoClose;
      needEmit && this.$emit('wxcOverlayBodyClicking', {});
      var overlayEl = this.$refs['wxc-overlay'];
      if (hasAnimation && overlayEl) {
        animation.transition(overlayEl, {
          styles: {
            opacity: bool ? 1 : 0
          },
          duration: duration,
          timingFunction: timingFunction[bool ? 0 : 1],
          delay: 0
        }, function () {
          needEmit && _this2.$emit('wxcOverlayBodyClicked', {});
        });
      } else {
        needEmit && this.$emit('wxcOverlayBodyClicked', {});
      }
    }
  }
};

/***/ }),

/***/ 76:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.show) ? _c('div', {
    ref: "wxc-overlay",
    staticClass: ["wxc-overlay"],
    style: _vm.overlayStyle,
    attrs: {
      "hack": _vm.shouldShow
    },
    on: {
      "click": _vm.overlayClicked
    }
  }) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 77:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["container"]
  }, [(_vm.show) ? _c('wxc-overlay', _vm._b({
    attrs: {
      "show": _vm.show && _vm.hasOverlay,
      "canAutoClose": _vm.overlayCanClose
    },
    on: {
      "wxcOverlayBodyClicking": _vm.wxcOverlayBodyClicking,
      "wxcOverlayBodyClicked": _vm.wxcOverlayBodyClicked
    }
  }, 'wxc-overlay', _vm.mergeOverlayCfg, false)) : _vm._e(), (_vm.show) ? _c('div', {
    ref: "wxc-mask",
    staticClass: ["wxc-mask"],
    style: _vm.maskStyle,
    attrs: {
      "hack": _vm.shouldShow
    }
  }, [_c('div', {
    style: _vm.contentStyle
  }, [_vm._t("default")], 2), (_vm.showClose) ? _c('div', {
    staticClass: ["mask-bottom"],
    style: {
      width: _vm.width + 'px'
    },
    on: {
      "click": _vm.closeIconClicked
    }
  }, [_c('image', {
    staticClass: ["mask-close-icon"],
    attrs: {
      "src": _vm.closeIcon,
      "ariaLabel": "关闭"
    }
  })]) : _vm._e()]) : _vm._e()], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 78:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('wxc-mask', {
    attrs: {
      "width": _vm.width,
      "height": _vm.height,
      "ariaHidden": "true",
      "maskBgColor": "transparent",
      "overlayOpacity": "0.8",
      "show": _vm.show,
      "showClose": "true"
    },
    on: {
      "wxcMaskSetHidden": _vm.maskOverlayClick
    }
  }, [(_vm.show) ? _c('slider', {
    style: {
      height: _vm.height + 'px',
      width: _vm.width + 'px'
    },
    attrs: {
      "autoPlay": "false",
      "index": _vm.index
    }
  }, [_vm._l((_vm.imageList), function(v, index) {
    return _c('div', {
      key: index,
      staticClass: ["frame"],
      style: {
        height: _vm.height + 'px',
        width: _vm.width + 'px'
      }
    }, [_c('image', {
      style: {
        height: _vm.height + 'px',
        width: _vm.width + 'px'
      },
      attrs: {
        "resize": "contain",
        "src": v.src
      }
    })])
  }), _c('indicator', {
    staticClass: ["indicator"],
    style: _vm.indicatorStyle
  })], 2) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 79:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(80);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = {
  "iPhoneXDiv": {
    "height": "86"
  },
  "iOSDiv": {
    "height": "38"
  },
  "android": {
    "height": "0"
  },
  "navbar": {
    "width": "750",
    "backgroundColor": "#000000"
  },
  "aheader": {
    "position": "relative",
    "backgroundColor": "#000000",
    "height": "80",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center",
    "paddingRight": "32",
    "paddingLeft": "32"
  },
  "backdiv": {
    "position": "absolute",
    "left": "17",
    "top": "0",
    "width": "50",
    "height": "80",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "back": {
    "width": "20",
    "height": "36"
  },
  "hcenter": {
    "color": "#fbaf17",
    "fontSize": "32",
    "lineHeight": "80"
  },
  "hright": {
    "position": "absolute",
    "right": "30",
    "top": "0",
    "color": "#ffffff",
    "fontSize": "30",
    "lineHeight": "80",
    "height": "80"
  }
}

/***/ }),

/***/ 80:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(81)
)

/* script */
__vue_exports__ = __webpack_require__(82)

/* template */
var __vue_template__ = __webpack_require__(83)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/node_modules/weex-ui/packages/wxc-progress/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-33517677"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 81:
/***/ (function(module, exports) {

module.exports = {
  "wxc-progress": {
    "backgroundColor": "#f2f3f4"
  },
  "progress": {
    "position": "absolute",
    "backgroundColor": "#FFC900"
  }
}

/***/ }),

/***/ 82:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    barColor: {
      type: String,
      default: '#FFC900'
    },
    barWidth: {
      type: Number,
      default: 600
    },
    barHeight: {
      type: Number,
      default: 8
    },
    barRadius: {
      type: Number,
      default: 0
    },
    value: {
      type: Number,
      default: 0
    }
  },
  computed: {
    runWayStyle: function runWayStyle() {
      var barWidth = this.barWidth,
          barHeight = this.barHeight,
          barRadius = this.barRadius;

      return {
        width: barWidth + 'px',
        height: barHeight + 'px',
        borderRadius: barRadius + 'px'
      };
    },
    progressStyle: function progressStyle() {
      var value = this.value,
          barWidth = this.barWidth,
          barHeight = this.barHeight,
          barColor = this.barColor,
          barRadius = this.barRadius;

      var newValue = value < 0 ? 0 : value > 100 ? 100 : value;
      return {
        backgroundColor: barColor,
        borderRadius: barRadius + 'px',
        height: barHeight + 'px',
        width: newValue / 100 * barWidth + 'px'
      };
    }
  }
};

/***/ }),

/***/ 83:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wxc-progress"],
    style: _vm.runWayStyle,
    attrs: {
      "accessible": true,
      "ariaLabel": ("进度为百分之" + _vm.value)
    }
  }, [_c('div', {
    staticClass: ["progress"],
    style: _vm.progressStyle
  })])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 84:
/***/ (function(module, exports) {



/***/ }),

/***/ 85:
/***/ (function(module, exports) {



/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var navigator = weex.requireModule('navigator');
var device = weex.config.env;

exports.default = {
    props: ['title', 'subtitle', 'showtip'],
    data: function data() {
        return {
            isiPhoneX: device.platform === "iOS" && (device.deviceHeight === 1792 || device.deviceHeight >= 2436),
            isiOS: device.platform === 'iOS',
            isAndroid: device.platform === 'android'
        };
    },

    methods: {
        back: function back() {
            navigator.pop();
        },
        toPage: function toPage() {
            this.$emit("toPage");
        }
    }
};

/***/ })

/******/ });