// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 196);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/*
 * @Author: lidan6
 * @Date: 2018-09-05 18:16:06
 * @LastEditors: lidan6
 * @LastEditTime: 2021-07-23 10:45:29
 * @Description: 
 */
var isProduction = true;

var host = 'https://tousu.sina.cn/';
var payhost = 'https://app.finance.sina.com.cn/';
var applepay = 'https://pay.cj.sina.com.cn/wallet/api/';
if (!isProduction) {
    host = 'http://dev.tousu.sina.cn/';
    payhost = 'http://test.app.finance.sina.com.cn/';
    applepay = 'http://junli5.pay.cj.sina.com.cn/wallet/api/';
}
var configApi = {
    // host
    version: "2.4.3",
    host: host,
    ARTICLES: host + 'apps/api/article/feed_v1?', //报道接口 需要修改
    MESSAGE_LIST: host + 'apps/api/user/message_list_v1?', //消息列表
    send_message: host + 'apps/api/sms/send_v1?', //发送短信 初次绑定
    SEND_CERT: host + 'apps/api/user/send_cert_v1?', //发送验证码
    VERIFY_PHONE: host + 'apps/api/user/verify_phone_v1?', //验证验证码
    update_phone: host + 'apps/api/user/update_phone_v1?', //更新手机
    top_rank: host + 'apps/api/top_rank/index_v1?', //红黑榜
    article_view: host + 'apps/api/article/view_v1/?', //报道详情页
    INDEX_FEED: host + 'apps/api/complaint/feed_v1?', //首页投诉列表
    INDEX_OTHER: host + 'apps/api/index/index_v1?', //首页其他消息
    index_eval: host + 'apps/api/complaint/hot_evals_v1?', //首页其他消息
    complaint_create: host + 'apps/api/complaint/create_v2/?', //创建投诉页面
    complaint_reply: host + 'apps/api/complaint/reply_v2/?', //商家回复投诉
    grp_reply: host + 'apps/api/grp_comp/reply_v1/?', //集体投诉回复
    grp_join: host + 'apps/api/grp_comp/join_v1/?', //集体投诉回复
    complaint_update: host + 'apps/api/complaint/update_v2/?', //用户更新投诉
    company_detail: host + 'apps/api/company/view_v1?', //商家详情页
    company_received: host + 'apps/api/company/received_complaints_v1?', //商家收到的投诉页
    company_list: host + 'apps/api/company/list_v1?page_size=10&', //商家列表
    complaint_view: host + 'apps/api/complaint/view_v1/?', //投诉单页面
    complaint_complete: host + 'apps/api/complaint/complete_v1/?', //用户完成投诉
    evaluate_star: host + 'apps/api/complaint/evaluate_after_auto_cocomplete_v1/?', //投诉评价
    complaint_info: host + 'apps/api/complaint/info_v1/?', //用户评价页面商家信息
    user_view: host + 'apps/api/user/view_v1?', //我的个人中心
    user_complaints: host + 'apps/api/user/complaints_v1?', //用户的投诉
    user_received_complaints: host + 'apps/api/user/received_complaints_v1?', //商家收到的投诉
    SEARCH_SUGGEST: host + 'apps/api/index/suggest_v1?', //搜索投诉单
    SEARCH_RESULT: host + 'apps/api/complaint/search_v1?', //搜索结果页投诉单列表
    SELLER_LIST: host + 'api/company/main_search?sort_col=1&sort_ord=2&', //商家list
    share_amount_complaint: host + 'apps/api/complaint/share_v1/?', //投诉分享数 首页
    share_amount_article: host + 'apps/api/article/share_v1/?', //投诉分享数 文章
    complaint_like: host + 'apps/api/complaint/info_v1?sn=', //获取投诉点赞数
    report_like: host + 'apps/api/article/info_v1?id=', //获取报到点赞数
    report_upvote: host + 'apps/api/article/upvote_v1?', //报道点赞
    complaint_upvote: host + 'apps/api/complaint/upvote_v1?', //投诉点赞
    // 评论数接口
    cmnt_num: 'https://comment5.news.sina.com.cn/cmnt/count?format=json&newslist=',
    // 评论列表接口
    cmnt_list: 'https://comment5.news.sina.com.cn/page/info?channel=tousu&',
    // 热门评论列表
    cmnt_hot_list: 'https://comment5.news.sina.com.cn/page/info?version=1&format=json&channel=tousu&group=0&compress=0&ie=utf-8&oe=utf-8&page_size=10&t_size=5&h_size=5&thread=1&',
    // 更多评论接口
    cmnt_detail: 'https://comment5.news.sina.com.cn/cmnt/info?channel=tousu&ie=utf-8&oe=utf-8&format=json&page_size=15&order=0&thread=1&',
    // 评论点赞接口
    cmnt_zan: 'https://cmnt.sina.cn/aj/v2/vote?tj_ch=cj',
    // 发送评论
    cmnt_send: host + 'apps/api/comment/submit_v1?',
    //帮帮团
    jury_index: host + 'apps/api/jury/feed_v1?',
    jury_page: host + 'apps/api/jury/view_v1?',
    jury_list: host + 'apps/api/jury/list_complaints_v1?',
    jury_invite: host + 'apps/api/jury/invite_v1?',
    jury_handle_invite: host + 'apps/api/jury/handle_invite_v1?',
    jury_hot: host + 'apps/api/jury/hot_v1?', //热门帮帮团
    jury_hot_comp: host + 'apps/api/jury/hotcomps_v1?', //热门投诉
    jury_rank: host + 'apps/api/jury/rank_v1?', //回复、点赞榜
    invite_list: host + 'apps/api/jury/jury_list_v1?', //可邀请帮帮团列表
    //微博之夜活动
    activity_list: host + 'apps/api/activity/star_list_v1?activity_id=1&src=2&',
    detail_star: host + 'apps/api/activity/star_detail_v1?activity_id=1&src=2&',
    vote_star: host + 'apps/api/activity/vote_v1?',
    weiboList: host + 'apps/api/activity/star_list_v1?activity_id=1&src=2&page=1&page_size=9',
    weiboMy: host + 'apps/api/activity/my_votes_v1?activity_id=1&src=2',
    weiboSearch: host + 'apps/api/activity/star_search_v1?activity_id=1&src=2&keywords=',
    weiboTip: host + 'apps/api/activity/get_votes_v1?activity_id=1&src=2',
    jsVersion: host + 'apps/api/index/static_resource_version_v1?activity_id=1&src=2',
    video_get_auth: host + 'apps/api/video/get_auth_url_v1?',
    video_create_video: host + 'apps/api/video/create_video_v1?',
    tousu_create: host + 'apps/api/complaint/store_create_v1?',
    tousu_verify: host + 'apps/api/complaint/check_alertword_v1?',
    //complaint_update:`${host}apps/api/complaint/store_update_v1?`,
    complaint_my_history: host + 'apps/api/complaint/my_history_companies_v1?',
    complaint_hot_company: host + 'apps/api/complaint/hot_companies_v1?',
    MY_COMPLAINT_COMPANY: host + 'api/company/search?', //投诉公司搜索
    complaint_types: host + 'apps/api/company/issues_v1?',
    push_get: host + 'apps/api/user/push_msg_v1?',
    push_delete: host + 'apps/api/user/del_push_msg_v1?',
    image_upload: host + 'apps/api/files/image_uploader_v1?add_water=1',
    company_billboard: host + 'api/top_rank/rank?', //红黑榜
    company_field: host + 'api/top_rank/rank_fields?', //红黑榜领域
    login_phone_vcode: host + 'apps/api/user/send_vc_v1?', //手机号验证码
    login_phone: host + 'apps/api/user/phone_login_v1?', //手机号登录
    logout_phone: host + 'apps/api/user/logout_v1?', //手机号登出
    cookie_phone: host + 'apps/api/user/get_cookie_v1?', //手机号cookie刷新
    weixin_login: host + 'apps/api/user/wx_login_v1?', //微信登录
    apple_login: host + 'apps/api/user/apple_login_v1?', //苹果登录
    token_cookie: host + 'apps/api/user/token2cookie_v1?', //微博登录token换cookie
    grp_list: host + 'apps/api/grp_comp/feed_v1?', //
    group_tslist: host + 'apps/api/grp_comp/feed_by_co_v1?', //选择商家集体投诉列表
    group_suggest: host + 'apps/api/grp_comp/suggs_v1?', //历史维权建议
    group_progress: host + 'apps/api/grp_comp/progs_v1?', //历史投诉进度
    group_comps: host + 'apps/api/grp_comp/comps_v1?', //集体投诉的子投诉
    user_glist: host + 'apps/api/grp_comp/init_grpcomps_v1?', //用户发起的集体投诉
    company_glist: host + 'apps/api/grp_comp/recv_grpcomps_v1?', //商家收到的集体投诉
    group_reply: host + 'apps/api/grp_comp/store_reply_v1?', //集体投诉回复
    group_join: host + 'apps/api/grp_comp/join_info_v1?', //参与集体投诉
    group_store_sugg: host + 'apps/api/grp_comp/store_sugg_v1?', //保存历史维权建议
    group_share_img: host + 'apps/api/grp_comp/shr_img_v1?', //获取分享海报
    ts_share_img: host + 'apps/api/complaint/shr_img_v1?', //获取分享海报
    group_share_num: host + 'apps/api/grp_comp/incr_shr_amt_v1/', //集体投诉分享数
    group_file_hide: host + 'apps/api/grp_comp/set_atch_hide_v1?', //集体投诉隐藏附件
    group_can_join: host + 'apps/api/grp_comp/can_join_v1?', //集体投诉隐藏附件
    group_upvote: host + 'apps/api/grp_comp/upvote_v1?', //投诉点赞
    group_view: host + 'apps/api/grp_comp/view_v1/', //投诉单页面
    group_info: host + 'apps/api/grp_comp/info_v1/', //投诉单
    //打赏
    food_list: payhost + 'pay/order/mplevels?type=7&arr[pCode]=hmreward',
    food_order: payhost + 'pay/order/make?decrypt=1&type=7&id=',
    food_cancel: payhost + 'pay/order/cancel?orderId=',
    food_detail: payhost + 'pay/order/detail?orderId=',
    pay_order: payhost + 'pay/order/pay?decrypt=1&orderId=',
    bind_order: host + 'apps/api/reward/create?',
    share_order: host + 'apps/api/reward/shr_img?',
    order_list: host + 'apps/api/reward/records?',
    //苹果端打赏
    apple_food_list: applepay + 'wallet_order/levels?app_id=2&type=2',
    apple_food_order: applepay + 'wallet_order/make?app_id=2&type=2&id=',
    apple_food_cancel: applepay + 'wallet_order/cancel?app_id=2&type=2&order_id=',
    apple_order_receipt: applepay + 'wallet_order/recv_receipt?',
    //黑猫双十二活动
    lotteryPage: host + 'apps/api/act/lottery?',
    lotteryChance: host + 'apps/api/act/can_draw?',
    //主播
    zhubo_list: host + 'apps/api/company/anchor_feed_v1?',
    zhubo_rank: host + 'apps/api/company/anchor_rank_v1?',
    //反馈
    feedback_sub: host + 'apps/api/feedback/add?',
    feedback_pic: host + 'apps/api/feedback/img_upload?',
    message_read: host + 'apps/api/user/message_read_v1?', //读取消息
    user_device_info: host + 'apps/api/index/app_version?', //上报用户信息
    top_card_time: host + 'apps/api/top_rank/grprank_span?', //总榜card
    new_rank_card: host + 'apps/api/top_rank/grprank_card?', //总榜card
    filed_rank_card: host + 'apps/api/top_rank/grprank_field_card?', //分领域card
    top_card_list: host + 'apps/api/top_rank/grprank_list?', //关注榜单列表
    week_rank_list: host + 'apps/api/top_rank/riserank_list?', //蹿升周榜单列表
    comp_is_field: host + 'apps/api/company/field?', //查询商家分类
    //618活动
    act_offline: host + 'apps/api/topic/act20210618?',
    act_user_rank: host + 'apps/api/topic/user_rank?',
    act_comp_rank: host + 'apps/api/topic/company_rank?',
    act_cmnt_rank: host + 'apps/api/topic/hot_comment?',
    user_is_law: host + 'apps/api/complaint/sync_lawfirm?',
    all_comp_field: host + 'apps/api/complaint/qxzx_fields?'
};

exports.default = configApi;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

var _login = __webpack_require__(3);

var _login2 = _interopRequireDefault(_login);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * @Author: lidan6
 * @Date: 2018-09-11 13:55:45
 * @LastEditors: lidan6
 * @LastEditTime: 2021-07-13 18:22:11
 * @Description: 
 */
var stream = weex.requireModule('stream');
var SHA256 = __webpack_require__(5);
var MD5 = __webpack_require__(6);
var loginModule = weex.requireModule('STWeekLoginModule');
var storage = weex.requireModule('storage');
var device = weex.config.env;


//const console = weex.requireModule('console');

function randomWord(randomFlag, min, max) {
   var str = "",
       range = min,
       arr = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
   // 随机产生
   if (randomFlag) {
      range = Math.round(Math.random() * (max - min)) + min;
   }
   for (var i = 0; i < range; i++) {
      var pos = Math.round(Math.random() * (arr.length - 1));
      str += arr[pos];
   }
   return str;
}

var versionCode = _configApi2.default.version;
var ts = new Date().getTime();
var rs = randomWord(false, 16);
var token = 'P0tk894Tcxi4t%S$';
var urlparam = "";
var ShareParam = "";

function getUrlParam() {
   var signature = "";
   signature = SHA256([ts, rs, token].sort().join('')).toString();
   urlparam = "&version=" + versionCode + "&ts=" + ts + "&rs=" + rs + "&signature=" + signature;
}

function getUrlToken() {
   var signature = "";
   var logintoken = "";
   var loginrefresh = "";
   var logindata = loginModule.weiboUserInfo();
   if (logindata.length > 0) {
      logindata = JSON.parse(logindata);
      logintoken = logindata["access_token"];
      loginrefresh = logindata["refresh_token"];
      signature = SHA256([ts, rs, token, logintoken, loginrefresh].sort().join('')).toString();
      urlparam = "&version=" + versionCode + "&ts=" + ts + "&rs=" + rs + "&signature=" + signature + "&token=" + logintoken + "&refresh=" + loginrefresh;
   }
}

//获取苹果支付的参数
var apple_ts = new Date().getTime();
var apple_rs = randomWord(false, 16);
var apple_token = 'sfApp_A#8$n@i%!S*8_';
var apple_param = "";
function getAppleParam() {
   var apple_sign = MD5(apple_ts + apple_rs + apple_token).toString();
   apple_param = "&version=" + versionCode + "&ts=" + apple_ts + "&rs=" + apple_rs + "&signature=" + apple_sign;
}

function toParams(obj) {
   var param = "";
   for (var name in obj) {
      if (typeof obj[name] != 'function' && _typeof(obj[name]) != "object") {
         param += "&" + name + "=" + obj[name];
      } else {
         param += "&" + name + "=" + JSON.stringify(obj[name]);
      }
   }
   return param.substring(1);
}

function getParams() {
   getUrlParam();
   return urlparam;
}

var login_time_dif = 36000000; //10小时
function refresh_cookie() {
   return new Promise(function (resolve, reject) {
      storage.getItem("phone_login_code", function (event) {
         if (event.data && event.data != 'undefined') {
            var loginarr = event.data.split("$login$");
            var logintime = loginarr[2] * 1000;
            var nowtime = new Date().getTime();
            if (logintime > 0 && logintime - nowtime < login_time_dif) {
               var ldata = {
                  sub: loginarr[0],
                  uid: loginarr[1],
                  ver: versionCode
               };
               post(_configApi2.default.cookie_phone, ldata).then(function (res) {
                  if (res && res.result.status.code == 0) {
                     var logincookie1 = res.result.data;
                     storage.setItem("phone_login_code", logincookie1.sub + "$login$" + logincookie1.uid + "$login$" + logincookie1.expire);
                     //webview里的cookie
                     _login2.default.setWebCookie(logincookie1);
                     resolve(true);
                  } else {
                     resolve(false);
                  }
               });
            } else {
               resolve(true);
            }
         } else {
            resolve(true);
         }
      });
   });
}

function fetch(dataurl) {
   getUrlParam();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   var headstr = "";
   if (device.platform === 'iOS') {
      headstr = loginModule.reqidstr();
   }
   return new Promise(function (resolve, reject) {
      var requestObj = {
         method: 'GET',
         url: url,
         type: 'json'
      };
      if (headstr) {
         requestObj["headers"] = {
            "SN-REQID": headstr
         };
      }
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function post(dataurl, data, cmnttag) {
   getUrlParam();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function fetchCookie(dataurl, data) {
   getUrlToken();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function videopost(dataurl, data) {
   var url = "" + dataurl;
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {});
}

function videoComplete(dataurl, data) {
   var url = "" + dataurl;
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/json',
         'Referer': 'https://tousu.sina.cn',
         'User-Agent': 'Mozilla/5.0 (iPhone; CPU iPhone OS 9_1 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Version/9.0 Mobile/13B143 Safari/601.1'
      };
      stream.fetch({
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: data
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.ok);
         }
      });
   });
}

function get(dataurl) {
   //let url = `${dataurl+cmnttoken}`
   var url = dataurl;
   return new Promise(function (resolve, reject) {
      stream.fetch({
         method: 'GET',
         url: url,
         type: 'json'
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.status);
         }
      });
   });
}

function send(dataurl, data) {
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded'
      };
      stream.fetch({
         method: 'POST',
         url: dataurl,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.status); //修改为错误状态码
         }
      });
   });
}

function appleFetch(dataurl) {
   getAppleParam();
   var url = "" + (dataurl + apple_param);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var requestObj = {
         method: 'GET',
         url: url,
         type: 'json'
      };

      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function applePost(dataurl, data) {
   getAppleParam();
   var url = "" + (dataurl + apple_param);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };

      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

exports.default = {
   fetch: fetch,
   send: send,
   get: get,
   post: post,
   getParams: getParams,
   fetchCookie: fetchCookie,
   videopost: videopost,
   videoComplete: videoComplete,
   refresh_cookie: refresh_cookie,
   appleFetch: appleFetch,
   applePost: applePost
};

/***/ }),

/***/ 11:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
var WXNetwork = weex.requireModule('WXNetwork');
var modal = weex.requireModule('modal');

var isNet = true;
WXNetwork.hasNet(function (ret) {
    if (ret == 'false') {
        isNet = false;
        modal.toast({
            message: '网络断开，请联网后重试',
            duration: 0.8
        });
    }
});
exports.default = {
    getNet: function getNet() {
        return isNet;
    }
};

/***/ }),

/***/ 196:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _rankField = __webpack_require__(197);

var _rankField2 = _interopRequireDefault(_rankField);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_rankField2.default.el = '#root';
new Vue(_rankField2.default);

/***/ }),

/***/ 197:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(198)
)
__vue_styles__.push(__webpack_require__(199)
)

/* script */
__vue_exports__ = __webpack_require__(200)

/* template */
var __vue_template__ = __webpack_require__(201)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/src/views/company/rankField.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-08127472"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 198:
/***/ (function(module, exports) {

module.exports = {
  "app_bg": {
    "backgroundColor": "#ffffff"
  },
  "refresh": {
    "width": "750",
    "height": "200",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "loading": {
    "width": "750",
    "height": "100",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "refresh_text": {
    "width": "80",
    "height": "80"
  },
  "nores": {
    "display": "flex",
    "flexDirection": "column",
    "alignItems": "center",
    "justifyContent": "center",
    "width": "750",
    "marginTop": "82",
    "marginBottom": "82"
  },
  "nopic": {
    "width": "300",
    "height": "300"
  },
  "notxt": {
    "height": "30",
    "lineHeight": "30",
    "fontSize": "30",
    "color": "#666666",
    "marginTop": "80"
  },
  "tabs": {
    "height": "91",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderBottomColor": "#d6d6d6",
    "backgroundColor": "#ffffff"
  },
  "tab_a": {
    "flex": 1,
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "tab_line": {
    "width": "128",
    "height": "4",
    "backgroundColor": "#FBAF17",
    "borderRadius": "100"
  },
  "tab_txt": {
    "height": "90",
    "lineHeight": "90",
    "fontSize": "32",
    "color": "#3B3B3B",
    "fontWeight": "bold"
  },
  "tab_select": {
    "color": "#FBAF17",
    "fontWeight": "bold",
    "borderBottomWidth": "4",
    "borderStyle": "solid",
    "borderBottomColor": "#FBAF17"
  },
  "item_tag": {
    "position": "absolute",
    "height": "48",
    "right": "0",
    "top": "42"
  },
  "statusbg": {
    "width": "170",
    "height": "48"
  },
  "statusbg1": {
    "width": "197"
  },
  "statustxt": {
    "position": "absolute",
    "fontSize": "26",
    "color": "#ffffff",
    "top": "0",
    "right": "24",
    "lineHeight": "48"
  },
  "tousu_item": {
    "width": "750",
    "position": "relative",
    "paddingLeft": "32",
    "paddingRight": "32",
    "paddingTop": "30",
    "paddingBottom": "30",
    "marginBottom": "12",
    "backgroundColor": "#ffffff"
  },
  "item_head": {
    "height": "72",
    "display": "flex",
    "flexDirection": "row"
  },
  "head_pic": {
    "width": "72",
    "height": "72",
    "borderRadius": "72"
  },
  "head_txt": {
    "display": "flex",
    "flexDirection": "column",
    "marginLeft": "30"
  },
  "head_name": {
    "lines": 1,
    "width": "380",
    "height": "42",
    "textOverflow": "ellipsis",
    "lineHeight": "42",
    "fontSize": "30",
    "color": "#666666"
  },
  "head_time": {
    "lineHeight": "28",
    "fontSize": "20",
    "color": "#84848A"
  },
  "grp_user": {
    "fontSize": "20",
    "color": "#84848A",
    "lineHeight": "24",
    "marginTop": "16",
    "marginBottom": "32"
  },
  "grp_title_div": {
    "width": "686",
    "height": "40",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-start",
    "flexWrap": "nowrap",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "new_grp_title": {
    "lineHeight": "40",
    "fontSize": "36",
    "color": "#212121",
    "width": "623",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item_hot": {
    "width": "686",
    "height": "46",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-start",
    "flexWrap": "nowrap",
    "lines": 1,
    "textOverflow": "ellipsis",
    "marginTop": "32",
    "marginBottom": "20"
  },
  "hot_pic": {
    "width": "38",
    "height": "44",
    "marginRight": "12"
  },
  "activity_pic": {
    "width": "55",
    "height": "32",
    "marginRight": "8"
  },
  "item_tit": {
    "width": "623",
    "lines": 1,
    "fontSize": "36",
    "height": "46",
    "lineHeight": "46",
    "color": "#333333",
    "textOverflow": "ellipsis"
  },
  "item_tit1": {
    "width": "573",
    "lines": 1,
    "fontSize": "36",
    "height": "46",
    "lineHeight": "46",
    "color": "#333333",
    "textOverflow": "ellipsis"
  },
  "item_info": {
    "lines": 2,
    "marginBottom": "22",
    "fontSize": "26",
    "lineHeight": "38",
    "color": "#5D5D5D",
    "textOverflow": "ellipsis"
  },
  "tousu_info_div": {
    "position": "relative",
    "width": "686"
  },
  "tousu_info_name": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "fontSize": "26",
    "color": "#212121",
    "lineHeight": "38",
    "backgroundColor": "#ffffff"
  },
  "tousu_info": {
    "width": "686",
    "fontSize": "26",
    "lineHeight": "38",
    "color": "#5D5D5D",
    "lines": 2,
    "overflow": "hidden",
    "textOverflow": "ellipsis"
  },
  "grp_obj": {
    "position": "relative",
    "width": "686"
  },
  "grp_obj1": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "fontSize": "26",
    "color": "#212121",
    "lineHeight": "38",
    "backgroundColor": "#ffffff"
  },
  "grp_obj2": {
    "width": "686",
    "fontSize": "26",
    "color": "#5d5d5d",
    "lineHeight": "38",
    "lines": 2,
    "overflow": "hidden",
    "textOverflow": "ellipsis"
  },
  "heimao_ops": {
    "marginTop": "22",
    "display": "flex",
    "flexDirection": "row"
  },
  "ops": {
    "height": "40",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "marginRight": "70"
  },
  "zan": {
    "width": "36",
    "height": "34"
  },
  "cmnt": {
    "width": "36",
    "height": "34"
  },
  "share": {
    "width": "33",
    "height": "28"
  },
  "txt": {
    "fontSize": "26",
    "color": "#84848A",
    "marginLeft": "10"
  },
  "stxt": {
    "color": "#fbaf17"
  },
  "btmspace": {
    "width": "750",
    "height": "100"
  },
  "jury_div": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "marginTop": "20",
    "height": "48"
  },
  "jury_div_tag": {
    "width": "48",
    "height": "48"
  },
  "jury_div_txt": {
    "marginLeft": "12",
    "color": "#212121",
    "fontSize": "32"
  },
  "gshare_box": {
    "position": "fixed",
    "top": 0,
    "left": 0,
    "right": 0,
    "bottom": 0
  },
  "gshare_mask": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "right": 0,
    "bottom": 0,
    "backgroundColor": "#FFFBF2"
  },
  "gshare_loading": {
    "position": "absolute",
    "top": "500",
    "left": 0,
    "right": 0,
    "fontSize": "32",
    "lineHeight": "46",
    "color": "#212121",
    "textAlign": "center",
    "zIndex": 2
  },
  "gshare_wrap": {
    "position": "absolute",
    "width": "640",
    "left": "55",
    "top": "30",
    "bottom": 0,
    "zIndex": 2
  },
  "gshare_photo": {
    "position": "relative",
    "width": "640",
    "height": "1058"
  },
  "gshare_space": {
    "width": "640",
    "height": "20",
    "backgroundColor": "#FFFBF2"
  },
  "gshare_bg": {
    "width": "640",
    "height": "1058"
  },
  "gshare_close": {
    "position": "absolute",
    "width": "54",
    "height": "54",
    "top": "34",
    "right": "21"
  },
  "gshare_btn": {
    "position": "relative",
    "width": "640",
    "marginTop": "36",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "gbtn": {
    "width": "112",
    "display": "flex",
    "flexDirection": "column",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "gbtn1": {
    "marginRight": "162"
  },
  "gimage": {
    "width": "112",
    "height": "112"
  },
  "gtext": {
    "fontSize": "32",
    "lineHeight": "46",
    "textAlign": "center",
    "color": "#212121"
  },
  "heimao_no_msg": {
    "fontSize": "32",
    "color": "#5d5d5d",
    "textAlign": "center",
    "lineHeight": "50",
    "marginTop": "50",
    "marginBottom": "200"
  },
  "list_num_div": {
    "display": "flex",
    "flexDirection": "row",
    "height": "33",
    "alignItems": "center"
  },
  "reply_num": {
    "fontSize": "24",
    "color": "#84848A"
  },
  "num_space": {
    "marginRight": "19"
  },
  "zan_icon": {
    "width": "26",
    "height": "23",
    "marginRight": "12"
  },
  "zan_num": {
    "fontSize": "24",
    "color": "#FBAF17"
  }
}

/***/ }),

/***/ 199:
/***/ (function(module, exports) {

module.exports = {
  "rankpage": {
    "backgroundColor": "#ffffff",
    "display": "flex",
    "flexDirection": "column"
  },
  "rankItem": {
    "position": "relative",
    "height": "128",
    "width": "750",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#efefef",
    "borderBottomWidth": "2",
    "flexDirection": "row",
    "justifyContent": "flex-start",
    "alignItems": "center"
  },
  "rankNumber": {
    "marginLeft": "23",
    "fontSize": "32",
    "color": "#212121"
  },
  "topThree": {
    "color": "#FF8800"
  },
  "rankIcon": {
    "width": "94",
    "height": "94",
    "borderRadius": 50,
    "marginLeft": "43",
    "marginRight": "25"
  },
  "rankIcon1": {
    "width": "40",
    "height": "57"
  },
  "rankIcon2": {
    "width": "60",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "arrdiv": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "height": "24"
  },
  "arrimg": {
    "width": "18",
    "height": "23"
  },
  "arrtxt": {
    "fontSize": "22"
  },
  "arrtxt1": {
    "color": "#ee6304"
  },
  "arrtxt2": {
    "color": "#5fa016"
  },
  "arrtxt3": {
    "width": "19",
    "height": "4",
    "backgroundColor": "#666666",
    "marginRight": "10"
  },
  "arrtxt4": {
    "width": "54",
    "height": "25"
  },
  "rankName": {
    "marginLeft": "24",
    "fontSize": "30",
    "color": "#212121"
  },
  "loading": {
    "position": "relative",
    "width": "750",
    "height": "200",
    "backgroundColor": "#ffffff",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "list-tip": {
    "width": "750",
    "height": "74",
    "textAlign": "center",
    "lineHeight": "74",
    "fontSize": "26",
    "color": "#84848a",
    "backgroundColor": "#fffbf2"
  },
  "notes-box": {
    "position": "fixed",
    "top": 0,
    "left": 0,
    "bottom": 0,
    "right": 0,
    "backgroundColor": "rgba(0,0,0,0.5)"
  },
  "notes-wrap": {
    "position": "absolute",
    "left": "24",
    "backgroundColor": "#ffffff",
    "width": "702",
    "paddingLeft": "40",
    "paddingBottom": "50",
    "paddingRight": "40",
    "paddingTop": "50",
    "borderRadius": "20"
  },
  "notes-head": {
    "height": "32",
    "lineHeight": "32",
    "textAlign": "center",
    "fontSize": "32",
    "color": "#212121",
    "fontWeight": "700",
    "marginBottom": "32"
  },
  "notes-text": {
    "fontSize": "32",
    "color": "#333333",
    "lineHeight": "48"
  },
  "notes-close-div": {
    "position": "absolute",
    "right": "41",
    "top": "41",
    "width": "37",
    "height": "37"
  },
  "notes-close": {
    "width": "23",
    "height": "23",
    "marginLeft": "7",
    "marginTop": "7"
  },
  "rank-space": {
    "width": "750",
    "height": "100",
    "backgroundColor": "#ffffff"
  },
  "no-item": {
    "width": "750"
  },
  "no-item-pic": {
    "width": "300",
    "height": "300",
    "marginTop": "50",
    "marginLeft": "225"
  },
  "no-item-text": {
    "marginTop": "40",
    "fontSize": "32",
    "color": "#666666",
    "textAlign": "center"
  },
  "newRankList": {
    "position": "relative"
  },
  "rankShadow": {
    "boxShadow": "0 2px 12px 0 rgba(211,211,211,0.5)"
  },
  "newTabs": {
    "width": "750",
    "height": "96",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "space-between",
    "backgroundColor": "#ffffff"
  },
  "newTabBorder": {
    "borderTopWidth": "2",
    "borderStyle": "solid",
    "borderColor": "#EFEFEF"
  },
  "newTabLeft": {
    "paddingLeft": "32",
    "height": "96",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-start"
  },
  "new_tab_txt": {
    "paddingLeft": "32",
    "paddingRight": "32",
    "lineHeight": "92",
    "fontSize": "34",
    "color": "#323232",
    "fontWeight": "bold",
    "borderBottomWidth": "4",
    "borderStyle": "solid",
    "borderColor": "#ffffff"
  },
  "new_tab_select": {
    "color": "#FBAF17",
    "borderColor": "#FFB51D"
  },
  "rankTime": {
    "paddingRight": "32",
    "height": "96",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "flex-end",
    "alignItems": "center"
  },
  "rankTimeTxt": {
    "fontSize": "32",
    "color": "#212121",
    "marginRight": "16"
  },
  "rankTimeIcon": {
    "width": "22",
    "height": "13"
  },
  "timeList": {
    "position": "absolute",
    "top": "96",
    "right": 0,
    "width": "386",
    "backgroundColor": "#ffffff",
    "borderStyle": "solid",
    "borderColor": "#efefef",
    "borderTopWidth": "2",
    "borderLeftWidth": "2",
    "borderRightWidth": "2"
  },
  "timeList2": {
    "top": "192"
  },
  "timeItem": {
    "position": "relative",
    "width": "386",
    "height": "100",
    "lineHeight": "100",
    "textAlign": "center",
    "fontSize": "32",
    "color": "#212121",
    "borderStyle": "solid",
    "borderColor": "#efefef",
    "borderBottomWidth": "2",
    "backgroundColor": "#ffffff"
  },
  "timeItemSelect": {
    "backgroundColor": "#fbaf17"
  },
  "newRankMore": {
    "marginLeft": "32",
    "marginRight": "32",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "space-between",
    "height": "116"
  },
  "rankMoreBorder": {
    "borderBottomWidth": "2",
    "borderStyle": "solid",
    "borderColor": "#EAEAEA"
  },
  "rankMoreTxt": {
    "fontSize": "32",
    "lineHeight": "32",
    "color": "#212121"
  },
  "rankMoreArr": {
    "width": "20",
    "height": "40"
  },
  "fieldScroll": {
    "width": "750",
    "height": "96",
    "backgroundColor": "#ffffff",
    "display": "flex",
    "flexDirection": "row",
    "paddingLeft": "32"
  },
  "fieldTabDiv": {
    "lineHeight": "96",
    "paddingLeft": "32",
    "paddingRight": "32"
  },
  "fieldTab": {
    "lineHeight": "96",
    "fontSize": "32",
    "fontWeight": "bold",
    "color": "#323232"
  },
  "fieldTabS": {
    "color": "#FBAF17"
  },
  "topRankTitle": {
    "height": "80",
    "lineHeight": "80",
    "paddingTop": "10",
    "paddingLeft": "32",
    "fontSize": "34",
    "color": "#212121",
    "fontWeight": "bold",
    "backgroundColor": "#ffffff"
  },
  "fieldListScroll": {
    "paddingTop": "25",
    "paddingLeft": "32",
    "paddingRight": "32",
    "paddingBottom": "32",
    "display": "flex",
    "flexDirection": "row"
  },
  "noCard": {
    "width": "686",
    "fontSize": "32",
    "color": "#666666",
    "textAlign": "center",
    "paddingTop": "40",
    "paddingBottom": "40"
  },
  "fieldCard": {
    "width": "360",
    "height": "408",
    "paddingTop": "36",
    "paddingLeft": "40",
    "paddingRight": "40",
    "marginRight": "24",
    "borderRadius": "6",
    "backgroundColor": "#ffffff",
    "borderWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#E8E8E8",
    "boxShadow": "4px 4px 10px 0 rgba(234, 234, 234, 0.5)",
    "display": "flex",
    "flexDirection": "column"
  },
  "fieldCardTitle": {
    "position": "relative",
    "height": "48",
    "color": "#333333",
    "marginBottom": "25"
  },
  "cardTitle": {
    "fontSize": "34",
    "lineHeight": "48",
    "color": "#333333"
  },
  "cardTitleLine": {
    "position": "absolute",
    "left": 0,
    "bottom": "7",
    "width": "65",
    "height": "6",
    "backgroundColor": "#FBAF17",
    "opacity": 0.5
  },
  "cardItem": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "height": "32",
    "marginBottom": "24"
  },
  "cardItemLeft": {
    "fontSize": "26",
    "marginRight": "16",
    "color": "#212121"
  },
  "cardItemTop": {
    "color": "#FBAF17"
  },
  "cardItemRight": {
    "fontSize": "26",
    "color": "#212121",
    "lines": 1,
    "textOverflow": "ellipsis",
    "width": "240",
    "height": "32"
  },
  "rankWrap": {
    "width": "686",
    "marginLeft": "32",
    "paddingTop": "15",
    "paddingBottom": "23"
  },
  "newRankItem": {
    "height": "128",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "space-between"
  },
  "rankItemLeft": {
    "fontSize": "32",
    "color": "#666666"
  },
  "rankItemTop": {
    "color": "#FBAF17"
  },
  "rankItemRight": {
    "width": "634",
    "height": "128",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-start",
    "borderBottomWidth": "2",
    "borderStyle": "solid",
    "borderColor": "#EFEFEF"
  },
  "rankItemRightNo": {
    "borderColor": "#FFFFFF"
  },
  "rankAvatar": {
    "width": "94",
    "height": "94",
    "borderRadius": "94"
  },
  "rankItemCln": {
    "width": "450",
    "marginLeft": "25",
    "marginRight": "10",
    "display": "flex",
    "flexDirection": "column",
    "justifyContent": "center",
    "alignItems": "flex-start"
  },
  "rankItemName": {
    "fontSize": "32",
    "lineHeight": "32",
    "color": "#212121",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "rankInfoList": {
    "width": "470",
    "height": "24",
    "marginTop": "16",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-start",
    "flexWrap": "nowrap"
  },
  "rankItemInfo": {
    "fontSize": "24",
    "lineHeight": "24",
    "color": "#8C8C8C",
    "marginRight": "12"
  },
  "rankSpace": {
    "width": "750",
    "backgroundColor": "#F8F8F8"
  },
  "rankSpace1": {
    "height": "8"
  },
  "rankSpace2": {
    "height": "32"
  },
  "weekTitle": {
    "fontSize": "34",
    "lineHeight": "36",
    "fontWeight": "bold",
    "color": "#212121",
    "paddingTop": "40",
    "paddingBottom": "30",
    "paddingLeft": "32",
    "backgroundColor": "#ffffff"
  },
  "weekListScroll": {
    "paddingLeft": "32",
    "paddingRight": "32",
    "paddingBottom": "40",
    "display": "flex",
    "flexDirection": "row",
    "backgroundColor": "#ffffff"
  },
  "weekCard": {
    "marginRight": "88",
    "width": "446",
    "display": "flex",
    "flexDirection": "column"
  },
  "weekCardItem": {
    "width": "446",
    "height": "128",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "space-between"
  },
  "weekItemRight": {
    "width": "394",
    "height": "128",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-start",
    "borderBottomWidth": "2",
    "borderStyle": "solid",
    "borderColor": "#EFEFEF"
  },
  "weekItemRightNo": {
    "borderColor": "#FFFFFF"
  },
  "weekItemName": {
    "fontSize": "32",
    "lineHeight": "32",
    "color": "#212121",
    "width": "200",
    "marginLeft": "24",
    "marginRight": "10",
    "overflow": "hidden",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "iPhoneXDiv": {
    "height": "86"
  },
  "iOSDiv": {
    "height": "38"
  },
  "android": {
    "height": "0"
  },
  "navbar": {
    "width": "750",
    "backgroundColor": "#000000"
  },
  "fieldTopNav": {
    "backgroundColor": "#000000",
    "width": "750",
    "height": "80",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-start",
    "paddingRight": "32",
    "paddingLeft": "32"
  },
  "backdiv": {
    "width": "50",
    "height": "80"
  },
  "backIcon": {
    "width": "20",
    "height": "36",
    "marginTop": "22"
  },
  "fieldNavTxt": {
    "width": "586",
    "color": "#FBAF17",
    "fontSize": "32",
    "textAlign": "center"
  },
  "fieldNavRight": {
    "position": "absolute",
    "right": "32",
    "top": 0,
    "height": "80",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-end"
  },
  "fieldNavBtn": {
    "fontSize": "32",
    "color": "#D8D8D8",
    "marginRight": "10"
  },
  "fieldTopList": {
    "backgroundColor": "#000000",
    "width": "750",
    "paddingLeft": "32",
    "paddingTop": "17",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "flexWrap": "wrap"
  },
  "fieldItemBtn": {
    "height": "56",
    "lineHeight": "52",
    "paddingLeft": "30",
    "paddingRight": "30",
    "borderRadius": "8",
    "fontSize": "32",
    "color": "#FBAF17",
    "marginRight": "16",
    "marginBottom": "16",
    "borderWidth": "2",
    "borderStyle": "solid",
    "borderColor": "#FBAF17"
  },
  "fieldItemS": {
    "backgroundColor": "#FBAF17",
    "color": "#212121"
  },
  "rankBottom": {
    "width": "750",
    "height": "100",
    "backgroundColor": "#ffffff"
  }
}

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory();
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define([], factory);
	}
	else {
		// Global (browser)
		root.CryptoJS = factory();
	}
}(this, function () {

	/**
	 * CryptoJS core components.
	 */
	var CryptoJS = CryptoJS || (function (Math, undefined) {
	    /*
	     * Local polyfil of Object.create
	     */
	    var create = Object.create || (function () {
	        function F() {};

	        return function (obj) {
	            var subtype;

	            F.prototype = obj;

	            subtype = new F();

	            F.prototype = null;

	            return subtype;
	        };
	    }())

	    /**
	     * CryptoJS namespace.
	     */
	    var C = {};

	    /**
	     * Library namespace.
	     */
	    var C_lib = C.lib = {};

	    /**
	     * Base object for prototypal inheritance.
	     */
	    var Base = C_lib.Base = (function () {


	        return {
	            /**
	             * Creates a new object that inherits from this object.
	             *
	             * @param {Object} overrides Properties to copy into the new object.
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         field: 'value',
	             *
	             *         method: function () {
	             *         }
	             *     });
	             */
	            extend: function (overrides) {
	                // Spawn
	                var subtype = create(this);

	                // Augment
	                if (overrides) {
	                    subtype.mixIn(overrides);
	                }

	                // Create default initializer
	                if (!subtype.hasOwnProperty('init') || this.init === subtype.init) {
	                    subtype.init = function () {
	                        subtype.$super.init.apply(this, arguments);
	                    };
	                }

	                // Initializer's prototype is the subtype object
	                subtype.init.prototype = subtype;

	                // Reference supertype
	                subtype.$super = this;

	                return subtype;
	            },

	            /**
	             * Extends this object and runs the init method.
	             * Arguments to create() will be passed to init().
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var instance = MyType.create();
	             */
	            create: function () {
	                var instance = this.extend();
	                instance.init.apply(instance, arguments);

	                return instance;
	            },

	            /**
	             * Initializes a newly created object.
	             * Override this method to add some logic when your objects are created.
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         init: function () {
	             *             // ...
	             *         }
	             *     });
	             */
	            init: function () {
	            },

	            /**
	             * Copies properties into this object.
	             *
	             * @param {Object} properties The properties to mix in.
	             *
	             * @example
	             *
	             *     MyType.mixIn({
	             *         field: 'value'
	             *     });
	             */
	            mixIn: function (properties) {
	                for (var propertyName in properties) {
	                    if (properties.hasOwnProperty(propertyName)) {
	                        this[propertyName] = properties[propertyName];
	                    }
	                }

	                // IE won't copy toString using the loop above
	                if (properties.hasOwnProperty('toString')) {
	                    this.toString = properties.toString;
	                }
	            },

	            /**
	             * Creates a copy of this object.
	             *
	             * @return {Object} The clone.
	             *
	             * @example
	             *
	             *     var clone = instance.clone();
	             */
	            clone: function () {
	                return this.init.prototype.extend(this);
	            }
	        };
	    }());

	    /**
	     * An array of 32-bit words.
	     *
	     * @property {Array} words The array of 32-bit words.
	     * @property {number} sigBytes The number of significant bytes in this word array.
	     */
	    var WordArray = C_lib.WordArray = Base.extend({
	        /**
	         * Initializes a newly created word array.
	         *
	         * @param {Array} words (Optional) An array of 32-bit words.
	         * @param {number} sigBytes (Optional) The number of significant bytes in the words.
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.create();
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607]);
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607], 6);
	         */
	        init: function (words, sigBytes) {
	            words = this.words = words || [];

	            if (sigBytes != undefined) {
	                this.sigBytes = sigBytes;
	            } else {
	                this.sigBytes = words.length * 4;
	            }
	        },

	        /**
	         * Converts this word array to a string.
	         *
	         * @param {Encoder} encoder (Optional) The encoding strategy to use. Default: CryptoJS.enc.Hex
	         *
	         * @return {string} The stringified word array.
	         *
	         * @example
	         *
	         *     var string = wordArray + '';
	         *     var string = wordArray.toString();
	         *     var string = wordArray.toString(CryptoJS.enc.Utf8);
	         */
	        toString: function (encoder) {
	            return (encoder || Hex).stringify(this);
	        },

	        /**
	         * Concatenates a word array to this word array.
	         *
	         * @param {WordArray} wordArray The word array to append.
	         *
	         * @return {WordArray} This word array.
	         *
	         * @example
	         *
	         *     wordArray1.concat(wordArray2);
	         */
	        concat: function (wordArray) {
	            // Shortcuts
	            var thisWords = this.words;
	            var thatWords = wordArray.words;
	            var thisSigBytes = this.sigBytes;
	            var thatSigBytes = wordArray.sigBytes;

	            // Clamp excess bits
	            this.clamp();

	            // Concat
	            if (thisSigBytes % 4) {
	                // Copy one byte at a time
	                for (var i = 0; i < thatSigBytes; i++) {
	                    var thatByte = (thatWords[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                    thisWords[(thisSigBytes + i) >>> 2] |= thatByte << (24 - ((thisSigBytes + i) % 4) * 8);
	                }
	            } else {
	                // Copy one word at a time
	                for (var i = 0; i < thatSigBytes; i += 4) {
	                    thisWords[(thisSigBytes + i) >>> 2] = thatWords[i >>> 2];
	                }
	            }
	            this.sigBytes += thatSigBytes;

	            // Chainable
	            return this;
	        },

	        /**
	         * Removes insignificant bits.
	         *
	         * @example
	         *
	         *     wordArray.clamp();
	         */
	        clamp: function () {
	            // Shortcuts
	            var words = this.words;
	            var sigBytes = this.sigBytes;

	            // Clamp
	            words[sigBytes >>> 2] &= 0xffffffff << (32 - (sigBytes % 4) * 8);
	            words.length = Math.ceil(sigBytes / 4);
	        },

	        /**
	         * Creates a copy of this word array.
	         *
	         * @return {WordArray} The clone.
	         *
	         * @example
	         *
	         *     var clone = wordArray.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone.words = this.words.slice(0);

	            return clone;
	        },

	        /**
	         * Creates a word array filled with random bytes.
	         *
	         * @param {number} nBytes The number of random bytes to generate.
	         *
	         * @return {WordArray} The random word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.random(16);
	         */
	        random: function (nBytes) {
	            var words = [];

	            var r = (function (m_w) {
	                var m_w = m_w;
	                var m_z = 0x3ade68b1;
	                var mask = 0xffffffff;

	                return function () {
	                    m_z = (0x9069 * (m_z & 0xFFFF) + (m_z >> 0x10)) & mask;
	                    m_w = (0x4650 * (m_w & 0xFFFF) + (m_w >> 0x10)) & mask;
	                    var result = ((m_z << 0x10) + m_w) & mask;
	                    result /= 0x100000000;
	                    result += 0.5;
	                    return result * (Math.random() > .5 ? 1 : -1);
	                }
	            });

	            for (var i = 0, rcache; i < nBytes; i += 4) {
	                var _r = r((rcache || Math.random()) * 0x100000000);

	                rcache = _r() * 0x3ade67b7;
	                words.push((_r() * 0x100000000) | 0);
	            }

	            return new WordArray.init(words, nBytes);
	        }
	    });

	    /**
	     * Encoder namespace.
	     */
	    var C_enc = C.enc = {};

	    /**
	     * Hex encoding strategy.
	     */
	    var Hex = C_enc.Hex = {
	        /**
	         * Converts a word array to a hex string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The hex string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var hexString = CryptoJS.enc.Hex.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;

	            // Convert
	            var hexChars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                hexChars.push((bite >>> 4).toString(16));
	                hexChars.push((bite & 0x0f).toString(16));
	            }

	            return hexChars.join('');
	        },

	        /**
	         * Converts a hex string to a word array.
	         *
	         * @param {string} hexStr The hex string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Hex.parse(hexString);
	         */
	        parse: function (hexStr) {
	            // Shortcut
	            var hexStrLength = hexStr.length;

	            // Convert
	            var words = [];
	            for (var i = 0; i < hexStrLength; i += 2) {
	                words[i >>> 3] |= parseInt(hexStr.substr(i, 2), 16) << (24 - (i % 8) * 4);
	            }

	            return new WordArray.init(words, hexStrLength / 2);
	        }
	    };

	    /**
	     * Latin1 encoding strategy.
	     */
	    var Latin1 = C_enc.Latin1 = {
	        /**
	         * Converts a word array to a Latin1 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The Latin1 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var latin1String = CryptoJS.enc.Latin1.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;

	            // Convert
	            var latin1Chars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                latin1Chars.push(String.fromCharCode(bite));
	            }

	            return latin1Chars.join('');
	        },

	        /**
	         * Converts a Latin1 string to a word array.
	         *
	         * @param {string} latin1Str The Latin1 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Latin1.parse(latin1String);
	         */
	        parse: function (latin1Str) {
	            // Shortcut
	            var latin1StrLength = latin1Str.length;

	            // Convert
	            var words = [];
	            for (var i = 0; i < latin1StrLength; i++) {
	                words[i >>> 2] |= (latin1Str.charCodeAt(i) & 0xff) << (24 - (i % 4) * 8);
	            }

	            return new WordArray.init(words, latin1StrLength);
	        }
	    };

	    /**
	     * UTF-8 encoding strategy.
	     */
	    var Utf8 = C_enc.Utf8 = {
	        /**
	         * Converts a word array to a UTF-8 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The UTF-8 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var utf8String = CryptoJS.enc.Utf8.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            try {
	                return decodeURIComponent(escape(Latin1.stringify(wordArray)));
	            } catch (e) {
	                throw new Error('Malformed UTF-8 data');
	            }
	        },

	        /**
	         * Converts a UTF-8 string to a word array.
	         *
	         * @param {string} utf8Str The UTF-8 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Utf8.parse(utf8String);
	         */
	        parse: function (utf8Str) {
	            return Latin1.parse(unescape(encodeURIComponent(utf8Str)));
	        }
	    };

	    /**
	     * Abstract buffered block algorithm template.
	     *
	     * The property blockSize must be implemented in a concrete subtype.
	     *
	     * @property {number} _minBufferSize The number of blocks that should be kept unprocessed in the buffer. Default: 0
	     */
	    var BufferedBlockAlgorithm = C_lib.BufferedBlockAlgorithm = Base.extend({
	        /**
	         * Resets this block algorithm's data buffer to its initial state.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm.reset();
	         */
	        reset: function () {
	            // Initial values
	            this._data = new WordArray.init();
	            this._nDataBytes = 0;
	        },

	        /**
	         * Adds new data to this block algorithm's buffer.
	         *
	         * @param {WordArray|string} data The data to append. Strings are converted to a WordArray using UTF-8.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm._append('data');
	         *     bufferedBlockAlgorithm._append(wordArray);
	         */
	        _append: function (data) {
	            // Convert string to WordArray, else assume WordArray already
	            if (typeof data == 'string') {
	                data = Utf8.parse(data);
	            }

	            // Append
	            this._data.concat(data);
	            this._nDataBytes += data.sigBytes;
	        },

	        /**
	         * Processes available data blocks.
	         *
	         * This method invokes _doProcessBlock(offset), which must be implemented by a concrete subtype.
	         *
	         * @param {boolean} doFlush Whether all blocks and partial blocks should be processed.
	         *
	         * @return {WordArray} The processed data.
	         *
	         * @example
	         *
	         *     var processedData = bufferedBlockAlgorithm._process();
	         *     var processedData = bufferedBlockAlgorithm._process(!!'flush');
	         */
	        _process: function (doFlush) {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;
	            var dataSigBytes = data.sigBytes;
	            var blockSize = this.blockSize;
	            var blockSizeBytes = blockSize * 4;

	            // Count blocks ready
	            var nBlocksReady = dataSigBytes / blockSizeBytes;
	            if (doFlush) {
	                // Round up to include partial blocks
	                nBlocksReady = Math.ceil(nBlocksReady);
	            } else {
	                // Round down to include only full blocks,
	                // less the number of blocks that must remain in the buffer
	                nBlocksReady = Math.max((nBlocksReady | 0) - this._minBufferSize, 0);
	            }

	            // Count words ready
	            var nWordsReady = nBlocksReady * blockSize;

	            // Count bytes ready
	            var nBytesReady = Math.min(nWordsReady * 4, dataSigBytes);

	            // Process blocks
	            if (nWordsReady) {
	                for (var offset = 0; offset < nWordsReady; offset += blockSize) {
	                    // Perform concrete-algorithm logic
	                    this._doProcessBlock(dataWords, offset);
	                }

	                // Remove processed words
	                var processedWords = dataWords.splice(0, nWordsReady);
	                data.sigBytes -= nBytesReady;
	            }

	            // Return processed words
	            return new WordArray.init(processedWords, nBytesReady);
	        },

	        /**
	         * Creates a copy of this object.
	         *
	         * @return {Object} The clone.
	         *
	         * @example
	         *
	         *     var clone = bufferedBlockAlgorithm.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone._data = this._data.clone();

	            return clone;
	        },

	        _minBufferSize: 0
	    });

	    /**
	     * Abstract hasher template.
	     *
	     * @property {number} blockSize The number of 32-bit words this hasher operates on. Default: 16 (512 bits)
	     */
	    var Hasher = C_lib.Hasher = BufferedBlockAlgorithm.extend({
	        /**
	         * Configuration options.
	         */
	        cfg: Base.extend(),

	        /**
	         * Initializes a newly created hasher.
	         *
	         * @param {Object} cfg (Optional) The configuration options to use for this hash computation.
	         *
	         * @example
	         *
	         *     var hasher = CryptoJS.algo.SHA256.create();
	         */
	        init: function (cfg) {
	            // Apply config defaults
	            this.cfg = this.cfg.extend(cfg);

	            // Set initial values
	            this.reset();
	        },

	        /**
	         * Resets this hasher to its initial state.
	         *
	         * @example
	         *
	         *     hasher.reset();
	         */
	        reset: function () {
	            // Reset data buffer
	            BufferedBlockAlgorithm.reset.call(this);

	            // Perform concrete-hasher logic
	            this._doReset();
	        },

	        /**
	         * Updates this hasher with a message.
	         *
	         * @param {WordArray|string} messageUpdate The message to append.
	         *
	         * @return {Hasher} This hasher.
	         *
	         * @example
	         *
	         *     hasher.update('message');
	         *     hasher.update(wordArray);
	         */
	        update: function (messageUpdate) {
	            // Append
	            this._append(messageUpdate);

	            // Update the hash
	            this._process();

	            // Chainable
	            return this;
	        },

	        /**
	         * Finalizes the hash computation.
	         * Note that the finalize operation is effectively a destructive, read-once operation.
	         *
	         * @param {WordArray|string} messageUpdate (Optional) A final message update.
	         *
	         * @return {WordArray} The hash.
	         *
	         * @example
	         *
	         *     var hash = hasher.finalize();
	         *     var hash = hasher.finalize('message');
	         *     var hash = hasher.finalize(wordArray);
	         */
	        finalize: function (messageUpdate) {
	            // Final message update
	            if (messageUpdate) {
	                this._append(messageUpdate);
	            }

	            // Perform concrete-hasher logic
	            var hash = this._doFinalize();

	            return hash;
	        },

	        blockSize: 512/32,

	        /**
	         * Creates a shortcut function to a hasher's object interface.
	         *
	         * @param {Hasher} hasher The hasher to create a helper for.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var SHA256 = CryptoJS.lib.Hasher._createHelper(CryptoJS.algo.SHA256);
	         */
	        _createHelper: function (hasher) {
	            return function (message, cfg) {
	                return new hasher.init(cfg).finalize(message);
	            };
	        },

	        /**
	         * Creates a shortcut function to the HMAC's object interface.
	         *
	         * @param {Hasher} hasher The hasher to use in this HMAC helper.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var HmacSHA256 = CryptoJS.lib.Hasher._createHmacHelper(CryptoJS.algo.SHA256);
	         */
	        _createHmacHelper: function (hasher) {
	            return function (message, key) {
	                return new C_algo.HMAC.init(hasher, key).finalize(message);
	            };
	        }
	    });

	    /**
	     * Algorithm namespace.
	     */
	    var C_algo = C.algo = {};

	    return C;
	}(Math));


	return CryptoJS;

}));

/***/ }),

/***/ 200:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _util = __webpack_require__(4);

var _util2 = _interopRequireDefault(_util);

var _netinfo = __webpack_require__(11);

var _netinfo2 = _interopRequireDefault(_netinfo);

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var navigator = weex.requireModule("navigator");
var WXUmeng = weex.requireModule("WXUmeng");
var device = weex.config.env;
exports.default = {
    name: "Rank",
    components: {},
    data: function data() {
        return {
            baseUrl: "",
            dataList: [],
            weekRankList: [],
            weekListlen: 0,
            weekLen: 0,
            showLoading: false,
            refreshing: "hide",
            spanarr: [{
                "span": "week",
                "text": "周榜"
            }, {
                "span": "month",
                "text": "月榜"
            }, {
                "span": "season",
                "text": "季榜"
            }],
            formdata: {
                type: "black",
                span: "week",
                date: parseInt(new Date().getTime() / 1000),
                text: "周榜"
            },
            notesTag: false,
            ruleTag: false,
            timeTag: false,
            isiPhoneX: device.platform === "iOS" && (device.deviceHeight === 1792 || device.deviceHeight >= 2436),
            isiOS: device.platform === "iOS",
            tipHeight: 74,
            tipATag: true,
            tipText: {
                "week": "近7天投诉榜单",
                "month": "上一个自然月投诉榜单",
                "season": "近3个自然月投诉榜单"
            },
            pageHeight: 1000,
            nodatatag: false,
            fieldList: [],
            fieldListTag: false,
            fieldIndex: 0,
            fieldId: "",
            fieldTitle: "",
            cardTimeArr: ['周榜', '月榜', '季榜'],
            topCardList: []
        };
    },
    created: function created() {
        this.baseUrl = _util2.default.getBaseUrl(weex.config.bundleUrl);
        var config = weex.config.env;
        var screenWidth = config.deviceWidth;
        var screenHeight = config.deviceHeight;
        this.pageHeight = Math.ceil(750 * screenHeight / screenWidth);
        this.showLoading = true;
        var pageurl = this.$getConfig().bundleUrl;
        this.fieldId = _util2.default.getUrlSearch(pageurl, "id");
        this.getScope();
        this.initPage();
    },

    methods: {
        initPage: function initPage() {
            this.getTopCard();
            this.getRank();
            this.getWeekList();
        },
        toRankCard: function toRankCard(item, aspan) {
            var params = {
                url: this.baseUrl + "company/rankCard.js?id=" + item.id + "&type=" + item.type + "Rank&span=" + aspan,
                animated: "true"
            };
            navigator.push(params, function (e) {});
        },
        toCompany: function toCompany() {
            WXUmeng.umengclick("top_rank_tab", "tab", "shangjia");

            var params = {
                url: this.baseUrl + "company/company.js",
                animated: "true"
            };
            navigator.push(params, function (e) {});
        },
        changeCard: function changeCard(item, type) {
            if (item.type == type) return;
            item.type = type;
        },
        getTopCard: function getTopCard() {
            var _this = this;

            _apis2.default.fetch(_configApi2.default.filed_rank_card + "field=" + this.fieldId).then(function (res) {
                if (res && res.result.status.code == 0) {
                    var alist = res.result.data;
                    alist.forEach(function (item) {
                        item.type = "black";
                    });
                    _this.topCardList = alist;
                } else {}
            });
        },
        getScope: function getScope() {
            var _this2 = this;

            _apis2.default.fetch(_configApi2.default.company_field).then(function (res) {
                if (res && res.result.status.code == 0) {
                    var alist = res.result.data;
                    for (var i = 0, len = alist.length; i < len; i++) {
                        if (alist[i].id == _this2.fieldId) {
                            _this2.fieldIndex = i;
                            _this2.fieldTitle = alist[i].title;
                            break;
                        }
                    }
                    _this2.fieldList = alist;
                } else {}
            });
        },

        selectRank: function selectRank(e) {
            if (this.formdata.type == e) {
                return;
            }
            this.timeTag = false;
            this.formdata.type = e;
            this.getRank();
        },
        getRank: function getRank() {
            var _this3 = this;

            setTimeout(function () {
                _this3.tipATag = false;
            }, 1000);
            var tempdata = this.formdata;
            _apis2.default.fetch(_configApi2.default.company_billboard + "type=" + tempdata.type + "&span=" + tempdata.span + "&date=" + tempdata.date + "&field=" + this.fieldId).then(function (res) {
                if (res && res.result.status.code == 0) {
                    _this3.dataList = res.result.data;
                    _this3.showLoading = false;
                    _this3.refreshing = "hide";
                    _this3.nodatatag = true;
                    _this3.$refs.list.resetLoadmore();
                } else {}
            }).catch(function (err) {});
        },
        getWeekList: function getWeekList() {
            var _this4 = this;

            _apis2.default.fetch(_configApi2.default.week_rank_list + "field=" + this.fieldId).then(function (res) {
                if (res && res.result.status.code == 0) {
                    _this4.weekRankList = res.result.data;
                    _this4.weekListlen = _this4.weekRankList.length;
                    _this4.weekLen = parseInt(_this4.weekListlen / 5) + 1;
                } else {}
            }).catch(function (err) {});
        },

        /*刷新*/
        onrefresh: function onrefresh() {
            this.refreshing = "show";
            this.initPage();
        },
        toSearchPage: function toSearchPage() {
            WXUmeng.umengclick("search", "tab", "hongheibang");

            var params = {
                url: this.baseUrl + "search/searchPage.js",
                animated: "true"
            };
            navigator.push(params, function (e) {});
        },
        toBusiness: function toBusiness(id, num) {
            var params = {
                url: this.baseUrl + "company/companyDetail.js?id=" + id,
                animated: "true"
            };
            navigator.push(params, function (e) {});
        },
        noteShow: function noteShow(tag) {
            this[tag] = true;
        },
        noteClose: function noteClose(tag) {
            this[tag] = false;
        },
        time_show: function time_show() {
            this.timeTag = !this.timeTag;
        },
        time_select: function time_select(_span, _text) {
            if (this.formdata.span == _span) {
                this.timeTag = false;
                return;
            }
            this.formdata.span = _span;
            this.formdata.text = _text;
            this.timeTag = false;
            this.tipATag = true;
            this.getRank();
        },
        showFieldList: function showFieldList() {
            this.fieldListTag = !this.fieldListTag;
        },
        changeField: function changeField(idx, item) {
            this.fieldIndex = idx;
            this.fieldTitle = item.title;
            this.fieldListTag = false;
            this.fieldId = item.id;
            this.initPage();
        },
        backPage: function backPage() {
            navigator.pop();
        },
        formatNum: function formatNum(num) {
            var num1 = num / 100000;
            if (num1 > 1) {
                var num11 = num1 * 10;
                var num2 = num11 % 1;
                if (num2 == 0) {
                    return parseInt(num11) + 'w';
                } else return parseInt(num11) + 'w+';
            } else return num;
        }
    }
};

/***/ }),

/***/ 201:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["rankpage"]
  }, [(_vm.isiPhoneX) ? _c('div', {
    staticClass: ["iPhoneXDiv", "navbar"]
  }) : (_vm.isiOS) ? _c('div', {
    staticClass: ["iOSDiv", "navbar"]
  }) : _c('div', {
    staticClass: ["android", "navbar"]
  }), _c('div', {
    staticClass: ["fieldTopNav"]
  }, [_c('div', {
    staticClass: ["backdiv"],
    on: {
      "click": _vm.backPage
    }
  }, [_c('image', {
    staticClass: ["backIcon"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/backto.png"
    }
  })]), _c('text', {
    staticClass: ["fieldNavTxt"]
  }, [_vm._v(_vm._s(_vm.fieldTitle))]), _c('div', {
    staticClass: ["fieldNavRight"],
    on: {
      "click": _vm.showFieldList
    }
  }, [_c('text', {
    staticClass: ["fieldNavBtn"]
  }, [_vm._v("切换领域")]), _c('image', {
    staticClass: ["rankTimeIcon"],
    attrs: {
      "src": _vm.fieldListTag ? 'https://n.sinaimg.cn/finance/blackcat/wap/img/rank_field_arr2.png' : 'https://n.sinaimg.cn/finance/blackcat/wap/img/rank_field_arr1.png'
    }
  })])]), (_vm.fieldListTag) ? _c('div', {
    staticClass: ["fieldTopList"]
  }, _vm._l((_vm.fieldList), function(item, index) {
    return _c('text', {
      key: index,
      staticClass: ["fieldItemBtn"],
      class: [_vm.fieldIndex == index ? 'fieldItemS' : ''],
      on: {
        "click": function($event) {
          _vm.changeField(index, item)
        }
      }
    }, [_vm._v(_vm._s(item.title))])
  })) : _vm._e(), (_vm.notesTag) ? _c('div', {
    staticClass: ["notes-box"],
    on: {
      "click": function($event) {}
    }
  }, [_c('div', {
    staticClass: ["notes-wrap"],
    style: {
      top: (_vm.pageHeight - 580) / 2 + 'px'
    }
  }, [_c('text', {
    staticClass: ["notes-head"]
  }, [_vm._v("榜单规则")]), _c('text', {
    staticClass: ["notes-text"]
  }, [_vm._v("1.周榜、月榜、季榜：周榜取最近一周内有效投诉数据；月榜、季榜取上一个自然月、自然季度的有效投诉数据，再通过算法生成排行榜；")]), _c('text', {
    staticClass: ["notes-text"]
  }, [_vm._v("2.红、黑榜：通过“有效投诉量”、“回复量+确认完成量”、“回复率”、“完成率”、“响应时间”、“初始分配时间”等多个维度的影响因子来打分得出排行；")]), _c('text', {
    staticClass: ["notes-text"]
  }, [_vm._v("3.回复效率榜单：主要参考影响因子“响应时间”来得出实时排行。")]), _c('text', {
    staticClass: ["notes-text"]
  }, [_vm._v("4.一周投诉飙升榜：取商家最近7天投诉量跟上个周期的投诉量差值，由多到少排列。")]), _c('div', {
    staticClass: ["notes-close-div"],
    on: {
      "click": function($event) {
        _vm.noteClose('notesTag')
      }
    }
  }, [_c('image', {
    staticClass: ["notes-close"],
    attrs: {
      "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/new-rank-c.png"
    }
  })])])]) : _vm._e(), (_vm.ruleTag) ? _c('div', {
    staticClass: ["notes-box"],
    on: {
      "click": function($event) {}
    }
  }, [_c('div', {
    staticClass: ["notes-wrap"],
    style: {
      top: (_vm.pageHeight - 340) / 2 + 'px'
    }
  }, [_c('text', {
    staticClass: ["notes-head"]
  }, [_vm._v("免责声明")]), _c('text', {
    staticClass: ["notes-text"]
  }, [_vm._v("以上所有数据均来源于黑猫投诉平台，仅代表企业在黑猫投诉平台的投诉解决情况，不代表其他平台或企业总体投诉解决情况。未经授权严禁转载。")]), _c('div', {
    staticClass: ["notes-close-div"],
    on: {
      "click": function($event) {
        _vm.noteClose('ruleTag')
      }
    }
  }, [_c('image', {
    staticClass: ["notes-close"],
    attrs: {
      "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/new-rank-c.png"
    }
  })])])]) : _vm._e(), _c('list', {
    staticClass: ["rankScroller"],
    attrs: {
      "showScrollbar": "false"
    }
  }, [_c('refresh', {
    ref: "refresh",
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing
    },
    on: {
      "refresh": function($event) {
        _vm.onrefresh(1)
      }
    }
  }, [(_vm.isiOS) ? _c('image', {
    ref: "refreshtag",
    staticClass: ["refresh_text"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/zcapp/zc_loading.gif?v=2.0"
    }
  }) : _c('GifImage', {
    ref: "refreshtag",
    staticClass: ["refresh_text"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/zcapp/zc_loading.gif?v=2.0"
    }
  })], 1), _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_vm._l((_vm.topCardList), function(item, index) {
    return _c('div', {
      key: 't' + index,
      staticClass: ["topRankList"]
    }, [_c('div', {
      staticClass: ["rankShadow"]
    }, [_c('text', {
      staticClass: ["topRankTitle"]
    }, [_vm._v(_vm._s(item.title))]), _c('div', {
      staticClass: ["newTabs"]
    }, [_c('div', {
      staticClass: ["newTabLeft"]
    }, [_c('text', {
      staticClass: ["new_tab_txt"],
      class: [item.type == 'red' ? 'new_tab_select' : ''],
      on: {
        "click": function($event) {
          _vm.changeCard(item, 'red')
        }
      }
    }, [_vm._v("红榜")]), _c('text', {
      staticClass: ["new_tab_txt"],
      class: [item.type == 'black' ? 'new_tab_select' : ''],
      on: {
        "click": function($event) {
          _vm.changeCard(item, 'black')
        }
      }
    }, [_vm._v("黑榜")]), _c('text', {
      staticClass: ["new_tab_txt", "new_tab_l"],
      class: [item.type == 'reply' ? 'new_tab_select' : ''],
      on: {
        "click": function($event) {
          _vm.changeCard(item, 'reply')
        }
      }
    }, [_vm._v("回复效率")])])])]), _c('scroller', {
      staticClass: ["fieldListScroll"],
      attrs: {
        "scrollDirection": "horizontal",
        "showScrollbar": "false"
      }
    }, [_vm._l((item.list[item.type]), function(citem, cindex) {
      return [(citem.list && citem.list.length > 0) ? _c('div', {
        key: 'c' + cindex,
        staticClass: ["fieldCard"],
        on: {
          "click": function($event) {
            _vm.toRankCard(item, citem.span)
          }
        }
      }, [_c('div', {
        staticClass: ["fieldCardTitle"]
      }, [_c('text', {
        staticClass: ["cardTitle"]
      }, [_vm._v(_vm._s(_vm.cardTimeArr[citem.span - 1]))]), _c('div', {
        staticClass: ["cardTitleLine"]
      })]), _vm._l((citem.list), function(nitem, nindex) {
        return _c('div', {
          key: 'n' + nindex,
          staticClass: ["cardItem"]
        }, [_c('text', {
          staticClass: ["cardItemLeft"],
          class: [nindex < 3 ? 'cardItemTop' : '']
        }, [_vm._v(_vm._s(nindex + 1) + ".")]), _c('text', {
          staticClass: ["cardItemRight"]
        }, [_vm._v(_vm._s(nitem.title))])])
      })], 2) : _vm._e()]
    }), (item.list[item.type]) ? [((item.list[item.type][0] && item.list[item.type][0].list.length == 0) && (item.list[item.type][1] && item.list[item.type][1].list.length == 0) && (item.list[item.type][2] && item.list[item.type][2].list.length == 0)) ? _c('text', {
      staticClass: ["noCard"]
    }, [_vm._v("暂无数据，请等待")]) : _vm._e()] : _vm._e()], 2)])
  }), _c('div', {
    staticClass: ["rankSpace", "rankSpace2"]
  }), _c('div', {
    staticClass: ["newRankList"]
  }, [_c('div', {
    staticClass: ["rankShadow"]
  }, [_c('text', {
    staticClass: ["topRankTitle"]
  }, [_vm._v(_vm._s(_vm.fieldTitle) + "总榜")]), _c('div', {
    staticClass: ["newTabs"]
  }, [_c('div', {
    staticClass: ["newTabLeft"]
  }, [_c('text', {
    staticClass: ["new_tab_txt"],
    class: [_vm.formdata.type == 'red' ? 'new_tab_select' : ''],
    on: {
      "click": function($event) {
        _vm.selectRank('red')
      }
    }
  }, [_vm._v("红榜")]), _c('text', {
    staticClass: ["new_tab_txt"],
    class: [_vm.formdata.type == 'black' ? 'new_tab_select' : ''],
    on: {
      "click": function($event) {
        _vm.selectRank('black')
      }
    }
  }, [_vm._v("黑榜")]), _c('text', {
    staticClass: ["new_tab_txt", "new_tab_l"],
    class: [_vm.formdata.type == 'reply' ? 'new_tab_select' : ''],
    on: {
      "click": function($event) {
        _vm.selectRank('reply')
      }
    }
  }, [_vm._v("回复效率")])]), _c('div', {
    staticClass: ["rankTime"],
    on: {
      "click": _vm.time_show
    }
  }, [_c('text', {
    staticClass: ["rankTimeTxt"]
  }, [_vm._v(_vm._s(_vm.formdata.text))]), _c('image', {
    staticClass: ["rankTimeIcon"],
    attrs: {
      "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/new-rank-arr.png"
    }
  })])])]), (_vm.tipATag) ? _c('text', {
    staticClass: ["list-tip"]
  }, [_vm._v(_vm._s(_vm.tipText[_vm.formdata.span]))]) : _vm._e(), _c('div', {
    staticClass: ["rankWrap"]
  }, _vm._l((_vm.dataList), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["newRankItem"],
      on: {
        "click": function($event) {
          _vm.toBusiness(item.uid, index)
        }
      }
    }, [_c('text', {
      staticClass: ["rankItemLeft"],
      class: [index < 3 ? 'rankItemTop' : '']
    }, [_vm._v(_vm._s(index + 1))]), _c('div', {
      staticClass: ["rankItemRight"],
      class: [index == _vm.dataList.length - 1 ? 'rankItemRightNo' : '']
    }, [_c('image', {
      staticClass: ["rankAvatar"],
      attrs: {
        "src": item.avatar
      }
    }), _c('div', {
      staticClass: ["rankItemCln"]
    }, [_c('text', {
      staticClass: ["rankItemName"]
    }, [_vm._v(_vm._s(item.title))])]), (_vm.formdata.type == 'red') ? [(index < 3) ? _c('image', {
      staticClass: ["rankIcon1"],
      attrs: {
        "src": ("https://n.sinaimg.cn/finance/blackcat/wap/img/new-rank" + (index+1) + ".png")
      }
    }) : [(parseInt(item.rank_diff) > 0) ? _c('div', {
      staticClass: ["arrdiv"]
    }, [_c('image', {
      staticClass: ["arrimg"],
      attrs: {
        "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/new-top.png"
      }
    }), _c('text', {
      staticClass: ["arrtxt", "arrtxt1"]
    }, [_vm._v(_vm._s(item.rank_diff))])]) : (parseInt(item.rank_diff) < 0) ? _c('div', {
      staticClass: ["arrdiv"]
    }, [_c('image', {
      staticClass: ["arrimg"],
      attrs: {
        "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/new-down.png"
      }
    }), _c('text', {
      staticClass: ["arrtxt", "arrtxt2"]
    }, [_vm._v(_vm._s(-item.rank_diff))])]) : (parseInt(item.rank_diff) == 0) ? _c('div', {
      staticClass: ["arrdiv"]
    }, [_c('text', {
      staticClass: ["arrtxt", "arrtxt3"]
    })]) : _c('div', {
      staticClass: ["arrdiv"]
    }, [_c('image', {
      staticClass: ["arrtxt4"],
      attrs: {
        "src": _vm.isiOS ? 'local:///company_new.png' : 'local:///company_new'
      }
    })])]] : _vm._e()], 2)])
  })), (_vm.nodatatag && _vm.dataList && _vm.dataList.length <= 0) ? _c('div', {
    staticClass: ["no-item"]
  }, [_c('image', {
    staticClass: ["no-item-pic"],
    attrs: {
      "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/new-rank-no.png"
    }
  }), _c('text', {
    staticClass: ["no-item-text"]
  }, [_vm._v("暂无数据")])]) : _vm._e(), (_vm.timeTag) ? _c('div', {
    staticClass: ["timeList", "timeList2"],
    on: {
      "click": function($event) {}
    }
  }, _vm._l((_vm.spanarr), function(item, index) {
    return _c('text', {
      key: 't' + index,
      staticClass: ["timeItem"],
      class: [item.span == _vm.formdata.span ? 'timeItemSelect' : ''],
      on: {
        "click": function($event) {
          _vm.time_select(item.span, item.text)
        }
      }
    }, [_vm._v(_vm._s(item.text))])
  })) : _vm._e()]), _c('div', {
    staticClass: ["rankSpace", "rankSpace1"]
  }), _c('div', {
    staticClass: ["newWeekTop"]
  }, [_c('text', {
    staticClass: ["weekTitle"]
  }, [_vm._v("一周投诉蹿升榜")]), _c('scroller', {
    staticClass: ["weekListScroll"],
    attrs: {
      "scrollDirection": "horizontal",
      "showScrollbar": "false"
    }
  }, [_vm._l((_vm.weekLen), function(n) {
    return [(5 * (n - 1) < _vm.weekListlen) ? _c('div', {
      key: 'c' + n,
      staticClass: ["weekCard"]
    }, [_vm._l((5), function(idx) {
      return [((5 * (n - 1) + idx - 1) < _vm.weekListlen) ? _c('div', {
        key: 'w' + idx,
        staticClass: ["weekCardItem"],
        on: {
          "click": function($event) {
            _vm.toBusiness(_vm.weekRankList[5 * (n - 1) + idx - 1].uid)
          }
        }
      }, [_c('text', {
        staticClass: ["rankItemLeft"],
        class: [5 * (n - 1) + idx - 1 < 3 ? 'rankItemTop' : '']
      }, [_vm._v(_vm._s(5 * (n - 1) + idx))]), _c('div', {
        staticClass: ["weekItemRight"],
        class: [idx == 5 ? 'weekItemRightNo' : '']
      }, [_c('image', {
        staticClass: ["rankAvatar"],
        attrs: {
          "src": _vm.weekRankList[5 * (n - 1) + idx - 1].avatar
        }
      }), _c('text', {
        staticClass: ["weekItemName"]
      }, [_vm._v(_vm._s(_vm.weekRankList[5 * (n - 1) + idx - 1].title))]), _c('div', {
        staticClass: ["arrdiv"]
      }, [_c('image', {
        staticClass: ["arrimg"],
        attrs: {
          "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/new-top.png"
        }
      }), _c('text', {
        staticClass: ["arrtxt", "arrtxt1"]
      }, [_vm._v(_vm._s(_vm.weekRankList[5 * (n - 1) + idx - 1].valid_diff))])])])]) : _vm._e()]
    })], 2) : _vm._e()]
  })], 2)]), _c('div', {
    staticClass: ["rankSpace", "rankSpace2"]
  }), _c('div', {
    staticClass: ["newRankMore", "rankMoreBorder"],
    on: {
      "click": function($event) {
        _vm.noteShow('notesTag')
      }
    }
  }, [_c('text', {
    staticClass: ["rankMoreTxt"]
  }, [_vm._v("榜单规则")]), _c('image', {
    staticClass: ["rankMoreArr"],
    attrs: {
      "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/comp_arr.png"
    }
  })]), _c('div', {
    staticClass: ["newRankMore"],
    on: {
      "click": function($event) {
        _vm.noteShow('ruleTag')
      }
    }
  }, [_c('text', {
    staticClass: ["rankMoreTxt"]
  }, [_vm._v("免责声明")]), _c('image', {
    staticClass: ["rankMoreArr"],
    attrs: {
      "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/comp_arr.png"
    }
  })]), _c('div', {
    staticClass: ["rankBottom"]
  })], 2)])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// 登录组件
var loginModule = weex.requireModule('STWeekLoginModule');
var modal = weex.requireModule('modal');
var WXBadge = weex.requireModule('WXBadge');
var storage = weex.requireModule('storage');


// 是否登录
function isLogin() {
  return new Promise(function (resolve) {
    // let userInfo = loginModule.weiboUserInfo();
    // if (userInfo.length <= 0) {
    storage.getItem("user_login_sub", function (event) {
      if (event.data && event.data != 'undefined') {
        resolve(true);
      } else {
        resolve(false);
      }
    });
    // }
    // else {
    //   resolve(true);
    // }
  });
}

// 退出登录
function logout(msg) {
  storage.getItem("user_login_type", function (event) {
    if (event.data && event.data == 'weibo') {
      loginModule.openURL('weiboLogoutAction', function (ret) {
        var loginInfo = ret;
        if (loginInfo.length <= 0) {
          storage.removeItem("phone_login_code"); //清理刷新cookie
          storage.removeItem("user_login_sub"); //清理登录sub
          storage.removeItem("phone_web_cookie"); //清理webview的cookie
          delWebCookie(); //端上清理webview的cookie
          WXBadge.hideBadge(); //清理个人消息
          var logoutchannel = new BroadcastChannel("logout");
          logoutchannel.postMessage("logout");
          storage.setItem("toPageTag", "false"); //清理创建投诉tag
          _apis2.default.loginsub = {}; //清理sub
          if (!msg) {
            modal.toast({
              message: '退出登录成功',
              duration: 0.3
            });
          }
        }
      });
    } else {
      _apis2.default.post('' + _configApi2.default.logout_phone, {
        "sub": event.data
      }).then(function () {
        storage.removeItem("phone_login_code"); //清理刷新cookie
        storage.removeItem("user_login_sub"); //清理登录sub
        storage.removeItem("phone_web_cookie"); //清理webview的cookie
        delWebCookie(); //端上清理webview的cookie
        WXBadge.hideBadge(); //清理个人消息
        var logoutchannel = new BroadcastChannel("logout");
        logoutchannel.postMessage("logout");
        storage.setItem("toPageTag", "false"); //清理创建投诉tag
        _apis2.default.loginsub = {}; //清理sub
        if (!msg) {
          modal.toast({
            message: '退出登录成功',
            duration: 0.3
          });
        }
      });
    }
  });
}
function setWebCookie(obj) {
  var wcookie = {
    ".sina.cn": {
      "Expries": obj.expire,
      "data": obj.cookie['.sina.cn'],
      "Domain": ".sina.cn"
    },
    ".sina.com.cn": {
      "Expries": obj.expire,
      "data": obj.cookie['.sina.com.cn'],
      "Domain": ".sina.com.cn"
    },
    ".weibo.com": {
      "Expries": obj.expire,
      "data": obj.cookie['.weibo.com'],
      "Domain": ".weibo.com"
    }
  };
  loginModule.setAppHttpCookie(JSON.stringify(wcookie));

  storage.setItem("phone_web_cookie", JSON.stringify(obj));
}

function delWebCookie() {
  loginModule.deleteAppHttpCookie();
}

storage.getItem("phone_web_cookie", function (event) {
  if (event.data && event.data != 'undefined') {
    setWebCookie(JSON.parse(event.data));
    var cookie_data = event.data;
    storage.getItem("phone_login_code", function (event) {
      if (event.data == "undefined") {
        storage.setItem("phone_login_code", cookie_data.sub + "$login$" + cookie_data.uid + "$login$" + cookie_data.expire);
      }
    });
  }
});

exports.default = {
  isLogin: isLogin,
  logout: logout,
  setWebCookie: setWebCookie
};

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
 * @Author: lidan6
 * @Date: 2018-09-10 09:54:36
 * @LastEditors: lidan6
 * @LastEditTime: 2021-03-03 10:37:52
 * @Description: 
 */
var device = weex.config.env;
var WXShareModule = weex.requireModule("WXShareModule");
var modal = weex.requireModule('modal');

var _votetemptag = false;
var utilFunc = {
  showShare: function showShare(param, callback) {
    WXShareModule.weexShare(param, function (ret) {
      if (ret == "success") {
        modal.toast({
          message: "分享成功",
          duration: 0.3
        });
        callback(true);
      } else if (ret == "fail") {
        modal.toast({
          message: "分享失败",
          duration: 0.3
        });
        //callback(false)
      }
    });
  },
  voteFor: function voteFor(obj, callback) {
    if (_votetemptag) return;
    _votetemptag = true;
    var turl = "";
    var data = {};
    if (obj.type) {
      turl = _configApi2.default.report_upvote;
      data = {
        id: obj.id
      };
    } else {
      turl = _configApi2.default.complaint_upvote;
      data = {
        sn: obj.id
      };
    }
    _apis2.default.post(turl, data).then(function (res) {
      callback(res);
      _votetemptag = false;
    }).catch(function (err) {
      _votetemptag = false;
      modal.toast({
        message: "点赞失败",
        duration: 0.8
      });
    });
  },
  initIconFont: function initIconFont() {
    //  let domModule = weex.requireModule('dom');
    //  domModule.addRule('fontFace', {
    //    'fontFamily': "iconfont",
    //    'src': "url('https://at.alicdn.com/t/font_404010_jgmnakd1zizr529.ttf')"
    //  });
  },
  getBaseUrl: function getBaseUrl(url) {
    var bundleUrl = new String(url);
    var nativeBase = void 0;
    //let isAndroidAssets  bundleUrl.indexOf('file://assets/') >= 0;
    //let isiOSAssets = device.platform === 'iOS' || bundleUrl.indexOf('file://') >= 0 && bundleUrl.indexOf('.app') > 0;
    if (device.platform === 'iOS') {
      nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
      nativeBase = nativeBase.split("/views/")[0] + "/views/";
    } else {
      nativeBase = 'file://assets/dist/views/';
    }
    //console.log("ios++:"+nativeBase);
    // }
    // else {
    //     let host = 'localhost:12580';
    //     let matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
    //     if (matches && matches.length >= 2) {
    //         host = matches[1];
    //     }
    //     nativeBase = 'https://' + host + '/' + this.dir + '/build/';
    // }
    var h5Base = './index.html?page=./' + this.dir + '/build/';
    // in Native
    var base = nativeBase;
    if ((typeof window === "undefined" ? "undefined" : _typeof(window)) === 'object') {
      // in Browser or WebView
      base = h5Base;
    }
    return base;
  },
  setBundleUrl: function setBundleUrl(url, jsFile) {
    var bundleUrl = url;
    var host = '';
    var path = '';
    var nativeBase = void 0;
    var isAndroidAssets = bundleUrl.indexOf('your_current_IP') >= 0 || bundleUrl.indexOf('file://assets/') >= 0;
    var isiOSAssets = bundleUrl.indexOf('file:///') >= 0 && bundleUrl.indexOf('SinaZC.app') > 0;
    if (isAndroidAssets) {
      nativeBase = 'file://assets/dist';
    } else if (isiOSAssets) {
      // file:///var/mobile/Containers/Bundle/Application/{id}/SinaZC.app/
      // file:///Users/{user}/Library/Developer/CoreSimulator/Devices/{id}/data/Containers/Bundle/Application/{id}/SinaZC.app/
      nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
    } else {
      var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
      var matchFirstPath = /\/\/[^\/]+\/([^\/]+)\//.exec(bundleUrl);
      if (matches && matches.length >= 2) {
        host = matches[1];
      }
      if (matchFirstPath && matchFirstPath.length >= 2) {
        path = matchFirstPath[1];
      }
      nativeBase = 'https://' + host + '/';
    }
    var h5Base = './index.html?page=';
    // in Native
    var base = nativeBase;
    if (typeof navigator !== 'undefined' && (navigator.appCodeName === 'Mozilla' || navigator.product === 'Gecko')) {
      // check if in weexpack project
      if (path === 'web' || path === 'dist') {
        base = h5Base + '/dist/';
      } else {
        base = h5Base + '';
      }
    } else {
      base = nativeBase + (!!path ? path + '/' : '');
    }

    var newUrl = base + jsFile;
    return newUrl;
  },
  getUrlSearch: function getUrlSearch(url, name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = url.slice(url.indexOf('?') + 1).match(reg);
    if (r != null) {
      try {
        return decodeURIComponent(r[2]);
      } catch (_e) {
        return null;
      }
    }
    return null;
  },
  getStrLen: function getStrLen(str) {
    var tstr = '' + str;
    var num = 0,
        arr = tstr.split(''),
        len = arr.length;
    for (var i = 0; i < len; i++) {
      if (/[^\x00-\xff]/ig.test(arr[i])) num += 2;else num++;
    }
    return num;
  },
  getUserName: function getUserName(str) {
    var tstr = '' + str;
    var num = 0,
        arr = tstr.split(''),
        len = arr.length,
        res = [];
    for (var i = 0; i < len; i++) {
      if (num > 10) {
        res.push('...');
        return res.join('');
      }
      if (/[^\x00-\xff]/ig.test(arr[i])) num += 2;else num++;
      res.push(arr[i]);
    }
    return res.join('');
  },
  isiOS: function isiOS() {
    return device.platform === 'iOS';
  },

  /*
   * 截断字符串
   * @param str 传入字符串
   * @param len 截断长度
   * @param hasDot 末尾是否...
   * @returns {String}
   */
  truncateString: function truncateString(str, len) {
    var hasDot = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

    var newLength = 0;
    var newStr = '';
    var singleChar = '';
    var chineseRegex = /[^\x00-\xff]/g;
    var strLength = str.replace(chineseRegex, '**').length;
    for (var i = 0; i < strLength; i++) {
      singleChar = str.charAt(i).toString();
      if (singleChar.match(chineseRegex) !== null) {
        newLength += 2;
      } else {
        newLength++;
      }
      if (newLength > len) {
        break;
      }
      newStr += singleChar;
    }

    if (hasDot && strLength > len) {
      newStr += '...';
    }
    return newStr;
  },
  mergeDeep: function mergeDeep(target) {
    var _Utils;

    for (var _len = arguments.length, sources = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      sources[_key - 1] = arguments[_key];
    }

    if (!sources.length) return target;
    var source = sources.shift();
    if (Utils.isObject(target) && Utils.isObject(source)) {
      for (var key in source) {
        if (Utils.isObject(source[key])) {
          if (!target[key]) {
            Object.assign(target, _defineProperty({}, key, {}));
          }
          Utils.mergeDeep(target[key], source[key]);
        } else {
          Object.assign(target, _defineProperty({}, key, source[key]));
        }
      }
    }
    return (_Utils = Utils).mergeDeep.apply(_Utils, [target].concat(sources));
  }
};

exports.default = utilFunc;

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory(__webpack_require__(2));
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define(["./core"], factory);
	}
	else {
		// Global (browser)
		factory(root.CryptoJS);
	}
}(this, function (CryptoJS) {

	(function (Math) {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var Hasher = C_lib.Hasher;
	    var C_algo = C.algo;

	    // Initialization and round constants tables
	    var H = [];
	    var K = [];

	    // Compute constants
	    (function () {
	        function isPrime(n) {
	            var sqrtN = Math.sqrt(n);
	            for (var factor = 2; factor <= sqrtN; factor++) {
	                if (!(n % factor)) {
	                    return false;
	                }
	            }

	            return true;
	        }

	        function getFractionalBits(n) {
	            return ((n - (n | 0)) * 0x100000000) | 0;
	        }

	        var n = 2;
	        var nPrime = 0;
	        while (nPrime < 64) {
	            if (isPrime(n)) {
	                if (nPrime < 8) {
	                    H[nPrime] = getFractionalBits(Math.pow(n, 1 / 2));
	                }
	                K[nPrime] = getFractionalBits(Math.pow(n, 1 / 3));

	                nPrime++;
	            }

	            n++;
	        }
	    }());

	    // Reusable object
	    var W = [];

	    /**
	     * SHA-256 hash algorithm.
	     */
	    var SHA256 = C_algo.SHA256 = Hasher.extend({
	        _doReset: function () {
	            this._hash = new WordArray.init(H.slice(0));
	        },

	        _doProcessBlock: function (M, offset) {
	            // Shortcut
	            var H = this._hash.words;

	            // Working variables
	            var a = H[0];
	            var b = H[1];
	            var c = H[2];
	            var d = H[3];
	            var e = H[4];
	            var f = H[5];
	            var g = H[6];
	            var h = H[7];

	            // Computation
	            for (var i = 0; i < 64; i++) {
	                if (i < 16) {
	                    W[i] = M[offset + i] | 0;
	                } else {
	                    var gamma0x = W[i - 15];
	                    var gamma0  = ((gamma0x << 25) | (gamma0x >>> 7))  ^
	                                  ((gamma0x << 14) | (gamma0x >>> 18)) ^
	                                   (gamma0x >>> 3);

	                    var gamma1x = W[i - 2];
	                    var gamma1  = ((gamma1x << 15) | (gamma1x >>> 17)) ^
	                                  ((gamma1x << 13) | (gamma1x >>> 19)) ^
	                                   (gamma1x >>> 10);

	                    W[i] = gamma0 + W[i - 7] + gamma1 + W[i - 16];
	                }

	                var ch  = (e & f) ^ (~e & g);
	                var maj = (a & b) ^ (a & c) ^ (b & c);

	                var sigma0 = ((a << 30) | (a >>> 2)) ^ ((a << 19) | (a >>> 13)) ^ ((a << 10) | (a >>> 22));
	                var sigma1 = ((e << 26) | (e >>> 6)) ^ ((e << 21) | (e >>> 11)) ^ ((e << 7)  | (e >>> 25));

	                var t1 = h + sigma1 + ch + K[i] + W[i];
	                var t2 = sigma0 + maj;

	                h = g;
	                g = f;
	                f = e;
	                e = (d + t1) | 0;
	                d = c;
	                c = b;
	                b = a;
	                a = (t1 + t2) | 0;
	            }

	            // Intermediate hash value
	            H[0] = (H[0] + a) | 0;
	            H[1] = (H[1] + b) | 0;
	            H[2] = (H[2] + c) | 0;
	            H[3] = (H[3] + d) | 0;
	            H[4] = (H[4] + e) | 0;
	            H[5] = (H[5] + f) | 0;
	            H[6] = (H[6] + g) | 0;
	            H[7] = (H[7] + h) | 0;
	        },

	        _doFinalize: function () {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;

	            var nBitsTotal = this._nDataBytes * 8;
	            var nBitsLeft = data.sigBytes * 8;

	            // Add padding
	            dataWords[nBitsLeft >>> 5] |= 0x80 << (24 - nBitsLeft % 32);
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 14] = Math.floor(nBitsTotal / 0x100000000);
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 15] = nBitsTotal;
	            data.sigBytes = dataWords.length * 4;

	            // Hash final blocks
	            this._process();

	            // Return final computed hash
	            return this._hash;
	        },

	        clone: function () {
	            var clone = Hasher.clone.call(this);
	            clone._hash = this._hash.clone();

	            return clone;
	        }
	    });

	    /**
	     * Shortcut function to the hasher's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     *
	     * @return {WordArray} The hash.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hash = CryptoJS.SHA256('message');
	     *     var hash = CryptoJS.SHA256(wordArray);
	     */
	    C.SHA256 = Hasher._createHelper(SHA256);

	    /**
	     * Shortcut function to the HMAC's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     * @param {WordArray|string} key The secret key.
	     *
	     * @return {WordArray} The HMAC.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hmac = CryptoJS.HmacSHA256(message, key);
	     */
	    C.HmacSHA256 = Hasher._createHmacHelper(SHA256);
	}(Math));


	return CryptoJS.SHA256;

}));

/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory(__webpack_require__(2));
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define(["./core"], factory);
	}
	else {
		// Global (browser)
		factory(root.CryptoJS);
	}
}(this, function (CryptoJS) {

	(function (Math) {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var Hasher = C_lib.Hasher;
	    var C_algo = C.algo;

	    // Constants table
	    var T = [];

	    // Compute constants
	    (function () {
	        for (var i = 0; i < 64; i++) {
	            T[i] = (Math.abs(Math.sin(i + 1)) * 0x100000000) | 0;
	        }
	    }());

	    /**
	     * MD5 hash algorithm.
	     */
	    var MD5 = C_algo.MD5 = Hasher.extend({
	        _doReset: function () {
	            this._hash = new WordArray.init([
	                0x67452301, 0xefcdab89,
	                0x98badcfe, 0x10325476
	            ]);
	        },

	        _doProcessBlock: function (M, offset) {
	            // Swap endian
	            for (var i = 0; i < 16; i++) {
	                // Shortcuts
	                var offset_i = offset + i;
	                var M_offset_i = M[offset_i];

	                M[offset_i] = (
	                    (((M_offset_i << 8)  | (M_offset_i >>> 24)) & 0x00ff00ff) |
	                    (((M_offset_i << 24) | (M_offset_i >>> 8))  & 0xff00ff00)
	                );
	            }

	            // Shortcuts
	            var H = this._hash.words;

	            var M_offset_0  = M[offset + 0];
	            var M_offset_1  = M[offset + 1];
	            var M_offset_2  = M[offset + 2];
	            var M_offset_3  = M[offset + 3];
	            var M_offset_4  = M[offset + 4];
	            var M_offset_5  = M[offset + 5];
	            var M_offset_6  = M[offset + 6];
	            var M_offset_7  = M[offset + 7];
	            var M_offset_8  = M[offset + 8];
	            var M_offset_9  = M[offset + 9];
	            var M_offset_10 = M[offset + 10];
	            var M_offset_11 = M[offset + 11];
	            var M_offset_12 = M[offset + 12];
	            var M_offset_13 = M[offset + 13];
	            var M_offset_14 = M[offset + 14];
	            var M_offset_15 = M[offset + 15];

	            // Working varialbes
	            var a = H[0];
	            var b = H[1];
	            var c = H[2];
	            var d = H[3];

	            // Computation
	            a = FF(a, b, c, d, M_offset_0,  7,  T[0]);
	            d = FF(d, a, b, c, M_offset_1,  12, T[1]);
	            c = FF(c, d, a, b, M_offset_2,  17, T[2]);
	            b = FF(b, c, d, a, M_offset_3,  22, T[3]);
	            a = FF(a, b, c, d, M_offset_4,  7,  T[4]);
	            d = FF(d, a, b, c, M_offset_5,  12, T[5]);
	            c = FF(c, d, a, b, M_offset_6,  17, T[6]);
	            b = FF(b, c, d, a, M_offset_7,  22, T[7]);
	            a = FF(a, b, c, d, M_offset_8,  7,  T[8]);
	            d = FF(d, a, b, c, M_offset_9,  12, T[9]);
	            c = FF(c, d, a, b, M_offset_10, 17, T[10]);
	            b = FF(b, c, d, a, M_offset_11, 22, T[11]);
	            a = FF(a, b, c, d, M_offset_12, 7,  T[12]);
	            d = FF(d, a, b, c, M_offset_13, 12, T[13]);
	            c = FF(c, d, a, b, M_offset_14, 17, T[14]);
	            b = FF(b, c, d, a, M_offset_15, 22, T[15]);

	            a = GG(a, b, c, d, M_offset_1,  5,  T[16]);
	            d = GG(d, a, b, c, M_offset_6,  9,  T[17]);
	            c = GG(c, d, a, b, M_offset_11, 14, T[18]);
	            b = GG(b, c, d, a, M_offset_0,  20, T[19]);
	            a = GG(a, b, c, d, M_offset_5,  5,  T[20]);
	            d = GG(d, a, b, c, M_offset_10, 9,  T[21]);
	            c = GG(c, d, a, b, M_offset_15, 14, T[22]);
	            b = GG(b, c, d, a, M_offset_4,  20, T[23]);
	            a = GG(a, b, c, d, M_offset_9,  5,  T[24]);
	            d = GG(d, a, b, c, M_offset_14, 9,  T[25]);
	            c = GG(c, d, a, b, M_offset_3,  14, T[26]);
	            b = GG(b, c, d, a, M_offset_8,  20, T[27]);
	            a = GG(a, b, c, d, M_offset_13, 5,  T[28]);
	            d = GG(d, a, b, c, M_offset_2,  9,  T[29]);
	            c = GG(c, d, a, b, M_offset_7,  14, T[30]);
	            b = GG(b, c, d, a, M_offset_12, 20, T[31]);

	            a = HH(a, b, c, d, M_offset_5,  4,  T[32]);
	            d = HH(d, a, b, c, M_offset_8,  11, T[33]);
	            c = HH(c, d, a, b, M_offset_11, 16, T[34]);
	            b = HH(b, c, d, a, M_offset_14, 23, T[35]);
	            a = HH(a, b, c, d, M_offset_1,  4,  T[36]);
	            d = HH(d, a, b, c, M_offset_4,  11, T[37]);
	            c = HH(c, d, a, b, M_offset_7,  16, T[38]);
	            b = HH(b, c, d, a, M_offset_10, 23, T[39]);
	            a = HH(a, b, c, d, M_offset_13, 4,  T[40]);
	            d = HH(d, a, b, c, M_offset_0,  11, T[41]);
	            c = HH(c, d, a, b, M_offset_3,  16, T[42]);
	            b = HH(b, c, d, a, M_offset_6,  23, T[43]);
	            a = HH(a, b, c, d, M_offset_9,  4,  T[44]);
	            d = HH(d, a, b, c, M_offset_12, 11, T[45]);
	            c = HH(c, d, a, b, M_offset_15, 16, T[46]);
	            b = HH(b, c, d, a, M_offset_2,  23, T[47]);

	            a = II(a, b, c, d, M_offset_0,  6,  T[48]);
	            d = II(d, a, b, c, M_offset_7,  10, T[49]);
	            c = II(c, d, a, b, M_offset_14, 15, T[50]);
	            b = II(b, c, d, a, M_offset_5,  21, T[51]);
	            a = II(a, b, c, d, M_offset_12, 6,  T[52]);
	            d = II(d, a, b, c, M_offset_3,  10, T[53]);
	            c = II(c, d, a, b, M_offset_10, 15, T[54]);
	            b = II(b, c, d, a, M_offset_1,  21, T[55]);
	            a = II(a, b, c, d, M_offset_8,  6,  T[56]);
	            d = II(d, a, b, c, M_offset_15, 10, T[57]);
	            c = II(c, d, a, b, M_offset_6,  15, T[58]);
	            b = II(b, c, d, a, M_offset_13, 21, T[59]);
	            a = II(a, b, c, d, M_offset_4,  6,  T[60]);
	            d = II(d, a, b, c, M_offset_11, 10, T[61]);
	            c = II(c, d, a, b, M_offset_2,  15, T[62]);
	            b = II(b, c, d, a, M_offset_9,  21, T[63]);

	            // Intermediate hash value
	            H[0] = (H[0] + a) | 0;
	            H[1] = (H[1] + b) | 0;
	            H[2] = (H[2] + c) | 0;
	            H[3] = (H[3] + d) | 0;
	        },

	        _doFinalize: function () {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;

	            var nBitsTotal = this._nDataBytes * 8;
	            var nBitsLeft = data.sigBytes * 8;

	            // Add padding
	            dataWords[nBitsLeft >>> 5] |= 0x80 << (24 - nBitsLeft % 32);

	            var nBitsTotalH = Math.floor(nBitsTotal / 0x100000000);
	            var nBitsTotalL = nBitsTotal;
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 15] = (
	                (((nBitsTotalH << 8)  | (nBitsTotalH >>> 24)) & 0x00ff00ff) |
	                (((nBitsTotalH << 24) | (nBitsTotalH >>> 8))  & 0xff00ff00)
	            );
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 14] = (
	                (((nBitsTotalL << 8)  | (nBitsTotalL >>> 24)) & 0x00ff00ff) |
	                (((nBitsTotalL << 24) | (nBitsTotalL >>> 8))  & 0xff00ff00)
	            );

	            data.sigBytes = (dataWords.length + 1) * 4;

	            // Hash final blocks
	            this._process();

	            // Shortcuts
	            var hash = this._hash;
	            var H = hash.words;

	            // Swap endian
	            for (var i = 0; i < 4; i++) {
	                // Shortcut
	                var H_i = H[i];

	                H[i] = (((H_i << 8)  | (H_i >>> 24)) & 0x00ff00ff) |
	                       (((H_i << 24) | (H_i >>> 8))  & 0xff00ff00);
	            }

	            // Return final computed hash
	            return hash;
	        },

	        clone: function () {
	            var clone = Hasher.clone.call(this);
	            clone._hash = this._hash.clone();

	            return clone;
	        }
	    });

	    function FF(a, b, c, d, x, s, t) {
	        var n = a + ((b & c) | (~b & d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function GG(a, b, c, d, x, s, t) {
	        var n = a + ((b & d) | (c & ~d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function HH(a, b, c, d, x, s, t) {
	        var n = a + (b ^ c ^ d) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function II(a, b, c, d, x, s, t) {
	        var n = a + (c ^ (b | ~d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    /**
	     * Shortcut function to the hasher's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     *
	     * @return {WordArray} The hash.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hash = CryptoJS.MD5('message');
	     *     var hash = CryptoJS.MD5(wordArray);
	     */
	    C.MD5 = Hasher._createHelper(MD5);

	    /**
	     * Shortcut function to the HMAC's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     * @param {WordArray|string} key The secret key.
	     *
	     * @return {WordArray} The HMAC.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hmac = CryptoJS.HmacMD5(message, key);
	     */
	    C.HmacMD5 = Hasher._createHmacHelper(MD5);
	}(Math));


	return CryptoJS.MD5;

}));

/***/ })

/******/ });