// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 334);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/*
 * @Author: lidan6
 * @Date: 2018-09-05 18:16:06
 * @LastEditors: lidan6
 * @LastEditTime: 2021-07-23 10:45:29
 * @Description: 
 */
var isProduction = true;

var host = 'https://tousu.sina.cn/';
var payhost = 'https://app.finance.sina.com.cn/';
var applepay = 'https://pay.cj.sina.com.cn/wallet/api/';
if (!isProduction) {
    host = 'http://dev.tousu.sina.cn/';
    payhost = 'http://test.app.finance.sina.com.cn/';
    applepay = 'http://junli5.pay.cj.sina.com.cn/wallet/api/';
}
var configApi = {
    // host
    version: "2.4.3",
    host: host,
    ARTICLES: host + 'apps/api/article/feed_v1?', //报道接口 需要修改
    MESSAGE_LIST: host + 'apps/api/user/message_list_v1?', //消息列表
    send_message: host + 'apps/api/sms/send_v1?', //发送短信 初次绑定
    SEND_CERT: host + 'apps/api/user/send_cert_v1?', //发送验证码
    VERIFY_PHONE: host + 'apps/api/user/verify_phone_v1?', //验证验证码
    update_phone: host + 'apps/api/user/update_phone_v1?', //更新手机
    top_rank: host + 'apps/api/top_rank/index_v1?', //红黑榜
    article_view: host + 'apps/api/article/view_v1/?', //报道详情页
    INDEX_FEED: host + 'apps/api/complaint/feed_v1?', //首页投诉列表
    INDEX_OTHER: host + 'apps/api/index/index_v1?', //首页其他消息
    index_eval: host + 'apps/api/complaint/hot_evals_v1?', //首页其他消息
    complaint_create: host + 'apps/api/complaint/create_v2/?', //创建投诉页面
    complaint_reply: host + 'apps/api/complaint/reply_v2/?', //商家回复投诉
    grp_reply: host + 'apps/api/grp_comp/reply_v1/?', //集体投诉回复
    grp_join: host + 'apps/api/grp_comp/join_v1/?', //集体投诉回复
    complaint_update: host + 'apps/api/complaint/update_v2/?', //用户更新投诉
    company_detail: host + 'apps/api/company/view_v1?', //商家详情页
    company_received: host + 'apps/api/company/received_complaints_v1?', //商家收到的投诉页
    company_list: host + 'apps/api/company/list_v1?page_size=10&', //商家列表
    complaint_view: host + 'apps/api/complaint/view_v1/?', //投诉单页面
    complaint_complete: host + 'apps/api/complaint/complete_v1/?', //用户完成投诉
    evaluate_star: host + 'apps/api/complaint/evaluate_after_auto_cocomplete_v1/?', //投诉评价
    complaint_info: host + 'apps/api/complaint/info_v1/?', //用户评价页面商家信息
    user_view: host + 'apps/api/user/view_v1?', //我的个人中心
    user_complaints: host + 'apps/api/user/complaints_v1?', //用户的投诉
    user_received_complaints: host + 'apps/api/user/received_complaints_v1?', //商家收到的投诉
    SEARCH_SUGGEST: host + 'apps/api/index/suggest_v1?', //搜索投诉单
    SEARCH_RESULT: host + 'apps/api/complaint/search_v1?', //搜索结果页投诉单列表
    SELLER_LIST: host + 'api/company/main_search?sort_col=1&sort_ord=2&', //商家list
    share_amount_complaint: host + 'apps/api/complaint/share_v1/?', //投诉分享数 首页
    share_amount_article: host + 'apps/api/article/share_v1/?', //投诉分享数 文章
    complaint_like: host + 'apps/api/complaint/info_v1?sn=', //获取投诉点赞数
    report_like: host + 'apps/api/article/info_v1?id=', //获取报到点赞数
    report_upvote: host + 'apps/api/article/upvote_v1?', //报道点赞
    complaint_upvote: host + 'apps/api/complaint/upvote_v1?', //投诉点赞
    // 评论数接口
    cmnt_num: 'https://comment5.news.sina.com.cn/cmnt/count?format=json&newslist=',
    // 评论列表接口
    cmnt_list: 'https://comment5.news.sina.com.cn/page/info?channel=tousu&',
    // 热门评论列表
    cmnt_hot_list: 'https://comment5.news.sina.com.cn/page/info?version=1&format=json&channel=tousu&group=0&compress=0&ie=utf-8&oe=utf-8&page_size=10&t_size=5&h_size=5&thread=1&',
    // 更多评论接口
    cmnt_detail: 'https://comment5.news.sina.com.cn/cmnt/info?channel=tousu&ie=utf-8&oe=utf-8&format=json&page_size=15&order=0&thread=1&',
    // 评论点赞接口
    cmnt_zan: 'https://cmnt.sina.cn/aj/v2/vote?tj_ch=cj',
    // 发送评论
    cmnt_send: host + 'apps/api/comment/submit_v1?',
    //帮帮团
    jury_index: host + 'apps/api/jury/feed_v1?',
    jury_page: host + 'apps/api/jury/view_v1?',
    jury_list: host + 'apps/api/jury/list_complaints_v1?',
    jury_invite: host + 'apps/api/jury/invite_v1?',
    jury_handle_invite: host + 'apps/api/jury/handle_invite_v1?',
    jury_hot: host + 'apps/api/jury/hot_v1?', //热门帮帮团
    jury_hot_comp: host + 'apps/api/jury/hotcomps_v1?', //热门投诉
    jury_rank: host + 'apps/api/jury/rank_v1?', //回复、点赞榜
    invite_list: host + 'apps/api/jury/jury_list_v1?', //可邀请帮帮团列表
    //微博之夜活动
    activity_list: host + 'apps/api/activity/star_list_v1?activity_id=1&src=2&',
    detail_star: host + 'apps/api/activity/star_detail_v1?activity_id=1&src=2&',
    vote_star: host + 'apps/api/activity/vote_v1?',
    weiboList: host + 'apps/api/activity/star_list_v1?activity_id=1&src=2&page=1&page_size=9',
    weiboMy: host + 'apps/api/activity/my_votes_v1?activity_id=1&src=2',
    weiboSearch: host + 'apps/api/activity/star_search_v1?activity_id=1&src=2&keywords=',
    weiboTip: host + 'apps/api/activity/get_votes_v1?activity_id=1&src=2',
    jsVersion: host + 'apps/api/index/static_resource_version_v1?activity_id=1&src=2',
    video_get_auth: host + 'apps/api/video/get_auth_url_v1?',
    video_create_video: host + 'apps/api/video/create_video_v1?',
    tousu_create: host + 'apps/api/complaint/store_create_v1?',
    tousu_verify: host + 'apps/api/complaint/check_alertword_v1?',
    //complaint_update:`${host}apps/api/complaint/store_update_v1?`,
    complaint_my_history: host + 'apps/api/complaint/my_history_companies_v1?',
    complaint_hot_company: host + 'apps/api/complaint/hot_companies_v1?',
    MY_COMPLAINT_COMPANY: host + 'api/company/search?', //投诉公司搜索
    complaint_types: host + 'apps/api/company/issues_v1?',
    push_get: host + 'apps/api/user/push_msg_v1?',
    push_delete: host + 'apps/api/user/del_push_msg_v1?',
    image_upload: host + 'apps/api/files/image_uploader_v1?add_water=1',
    company_billboard: host + 'api/top_rank/rank?', //红黑榜
    company_field: host + 'api/top_rank/rank_fields?', //红黑榜领域
    login_phone_vcode: host + 'apps/api/user/send_vc_v1?', //手机号验证码
    login_phone: host + 'apps/api/user/phone_login_v1?', //手机号登录
    logout_phone: host + 'apps/api/user/logout_v1?', //手机号登出
    cookie_phone: host + 'apps/api/user/get_cookie_v1?', //手机号cookie刷新
    weixin_login: host + 'apps/api/user/wx_login_v1?', //微信登录
    apple_login: host + 'apps/api/user/apple_login_v1?', //苹果登录
    token_cookie: host + 'apps/api/user/token2cookie_v1?', //微博登录token换cookie
    grp_list: host + 'apps/api/grp_comp/feed_v1?', //
    group_tslist: host + 'apps/api/grp_comp/feed_by_co_v1?', //选择商家集体投诉列表
    group_suggest: host + 'apps/api/grp_comp/suggs_v1?', //历史维权建议
    group_progress: host + 'apps/api/grp_comp/progs_v1?', //历史投诉进度
    group_comps: host + 'apps/api/grp_comp/comps_v1?', //集体投诉的子投诉
    user_glist: host + 'apps/api/grp_comp/init_grpcomps_v1?', //用户发起的集体投诉
    company_glist: host + 'apps/api/grp_comp/recv_grpcomps_v1?', //商家收到的集体投诉
    group_reply: host + 'apps/api/grp_comp/store_reply_v1?', //集体投诉回复
    group_join: host + 'apps/api/grp_comp/join_info_v1?', //参与集体投诉
    group_store_sugg: host + 'apps/api/grp_comp/store_sugg_v1?', //保存历史维权建议
    group_share_img: host + 'apps/api/grp_comp/shr_img_v1?', //获取分享海报
    ts_share_img: host + 'apps/api/complaint/shr_img_v1?', //获取分享海报
    group_share_num: host + 'apps/api/grp_comp/incr_shr_amt_v1/', //集体投诉分享数
    group_file_hide: host + 'apps/api/grp_comp/set_atch_hide_v1?', //集体投诉隐藏附件
    group_can_join: host + 'apps/api/grp_comp/can_join_v1?', //集体投诉隐藏附件
    group_upvote: host + 'apps/api/grp_comp/upvote_v1?', //投诉点赞
    group_view: host + 'apps/api/grp_comp/view_v1/', //投诉单页面
    group_info: host + 'apps/api/grp_comp/info_v1/', //投诉单
    //打赏
    food_list: payhost + 'pay/order/mplevels?type=7&arr[pCode]=hmreward',
    food_order: payhost + 'pay/order/make?decrypt=1&type=7&id=',
    food_cancel: payhost + 'pay/order/cancel?orderId=',
    food_detail: payhost + 'pay/order/detail?orderId=',
    pay_order: payhost + 'pay/order/pay?decrypt=1&orderId=',
    bind_order: host + 'apps/api/reward/create?',
    share_order: host + 'apps/api/reward/shr_img?',
    order_list: host + 'apps/api/reward/records?',
    //苹果端打赏
    apple_food_list: applepay + 'wallet_order/levels?app_id=2&type=2',
    apple_food_order: applepay + 'wallet_order/make?app_id=2&type=2&id=',
    apple_food_cancel: applepay + 'wallet_order/cancel?app_id=2&type=2&order_id=',
    apple_order_receipt: applepay + 'wallet_order/recv_receipt?',
    //黑猫双十二活动
    lotteryPage: host + 'apps/api/act/lottery?',
    lotteryChance: host + 'apps/api/act/can_draw?',
    //主播
    zhubo_list: host + 'apps/api/company/anchor_feed_v1?',
    zhubo_rank: host + 'apps/api/company/anchor_rank_v1?',
    //反馈
    feedback_sub: host + 'apps/api/feedback/add?',
    feedback_pic: host + 'apps/api/feedback/img_upload?',
    message_read: host + 'apps/api/user/message_read_v1?', //读取消息
    user_device_info: host + 'apps/api/index/app_version?', //上报用户信息
    top_card_time: host + 'apps/api/top_rank/grprank_span?', //总榜card
    new_rank_card: host + 'apps/api/top_rank/grprank_card?', //总榜card
    filed_rank_card: host + 'apps/api/top_rank/grprank_field_card?', //分领域card
    top_card_list: host + 'apps/api/top_rank/grprank_list?', //关注榜单列表
    week_rank_list: host + 'apps/api/top_rank/riserank_list?', //蹿升周榜单列表
    comp_is_field: host + 'apps/api/company/field?', //查询商家分类
    //618活动
    act_offline: host + 'apps/api/topic/act20210618?',
    act_user_rank: host + 'apps/api/topic/user_rank?',
    act_comp_rank: host + 'apps/api/topic/company_rank?',
    act_cmnt_rank: host + 'apps/api/topic/hot_comment?',
    user_is_law: host + 'apps/api/complaint/sync_lawfirm?',
    all_comp_field: host + 'apps/api/complaint/qxzx_fields?'
};

exports.default = configApi;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

var _login = __webpack_require__(3);

var _login2 = _interopRequireDefault(_login);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * @Author: lidan6
 * @Date: 2018-09-11 13:55:45
 * @LastEditors: lidan6
 * @LastEditTime: 2021-07-13 18:22:11
 * @Description: 
 */
var stream = weex.requireModule('stream');
var SHA256 = __webpack_require__(5);
var MD5 = __webpack_require__(6);
var loginModule = weex.requireModule('STWeekLoginModule');
var storage = weex.requireModule('storage');
var device = weex.config.env;


//const console = weex.requireModule('console');

function randomWord(randomFlag, min, max) {
   var str = "",
       range = min,
       arr = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
   // 随机产生
   if (randomFlag) {
      range = Math.round(Math.random() * (max - min)) + min;
   }
   for (var i = 0; i < range; i++) {
      var pos = Math.round(Math.random() * (arr.length - 1));
      str += arr[pos];
   }
   return str;
}

var versionCode = _configApi2.default.version;
var ts = new Date().getTime();
var rs = randomWord(false, 16);
var token = 'P0tk894Tcxi4t%S$';
var urlparam = "";
var ShareParam = "";

function getUrlParam() {
   var signature = "";
   signature = SHA256([ts, rs, token].sort().join('')).toString();
   urlparam = "&version=" + versionCode + "&ts=" + ts + "&rs=" + rs + "&signature=" + signature;
}

function getUrlToken() {
   var signature = "";
   var logintoken = "";
   var loginrefresh = "";
   var logindata = loginModule.weiboUserInfo();
   if (logindata.length > 0) {
      logindata = JSON.parse(logindata);
      logintoken = logindata["access_token"];
      loginrefresh = logindata["refresh_token"];
      signature = SHA256([ts, rs, token, logintoken, loginrefresh].sort().join('')).toString();
      urlparam = "&version=" + versionCode + "&ts=" + ts + "&rs=" + rs + "&signature=" + signature + "&token=" + logintoken + "&refresh=" + loginrefresh;
   }
}

//获取苹果支付的参数
var apple_ts = new Date().getTime();
var apple_rs = randomWord(false, 16);
var apple_token = 'sfApp_A#8$n@i%!S*8_';
var apple_param = "";
function getAppleParam() {
   var apple_sign = MD5(apple_ts + apple_rs + apple_token).toString();
   apple_param = "&version=" + versionCode + "&ts=" + apple_ts + "&rs=" + apple_rs + "&signature=" + apple_sign;
}

function toParams(obj) {
   var param = "";
   for (var name in obj) {
      if (typeof obj[name] != 'function' && _typeof(obj[name]) != "object") {
         param += "&" + name + "=" + obj[name];
      } else {
         param += "&" + name + "=" + JSON.stringify(obj[name]);
      }
   }
   return param.substring(1);
}

function getParams() {
   getUrlParam();
   return urlparam;
}

var login_time_dif = 36000000; //10小时
function refresh_cookie() {
   return new Promise(function (resolve, reject) {
      storage.getItem("phone_login_code", function (event) {
         if (event.data && event.data != 'undefined') {
            var loginarr = event.data.split("$login$");
            var logintime = loginarr[2] * 1000;
            var nowtime = new Date().getTime();
            if (logintime > 0 && logintime - nowtime < login_time_dif) {
               var ldata = {
                  sub: loginarr[0],
                  uid: loginarr[1],
                  ver: versionCode
               };
               post(_configApi2.default.cookie_phone, ldata).then(function (res) {
                  if (res && res.result.status.code == 0) {
                     var logincookie1 = res.result.data;
                     storage.setItem("phone_login_code", logincookie1.sub + "$login$" + logincookie1.uid + "$login$" + logincookie1.expire);
                     //webview里的cookie
                     _login2.default.setWebCookie(logincookie1);
                     resolve(true);
                  } else {
                     resolve(false);
                  }
               });
            } else {
               resolve(true);
            }
         } else {
            resolve(true);
         }
      });
   });
}

function fetch(dataurl) {
   getUrlParam();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   var headstr = "";
   if (device.platform === 'iOS') {
      headstr = loginModule.reqidstr();
   }
   return new Promise(function (resolve, reject) {
      var requestObj = {
         method: 'GET',
         url: url,
         type: 'json'
      };
      if (headstr) {
         requestObj["headers"] = {
            "SN-REQID": headstr
         };
      }
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function post(dataurl, data, cmnttag) {
   getUrlParam();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function fetchCookie(dataurl, data) {
   getUrlToken();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function videopost(dataurl, data) {
   var url = "" + dataurl;
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {});
}

function videoComplete(dataurl, data) {
   var url = "" + dataurl;
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/json',
         'Referer': 'https://tousu.sina.cn',
         'User-Agent': 'Mozilla/5.0 (iPhone; CPU iPhone OS 9_1 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Version/9.0 Mobile/13B143 Safari/601.1'
      };
      stream.fetch({
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: data
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.ok);
         }
      });
   });
}

function get(dataurl) {
   //let url = `${dataurl+cmnttoken}`
   var url = dataurl;
   return new Promise(function (resolve, reject) {
      stream.fetch({
         method: 'GET',
         url: url,
         type: 'json'
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.status);
         }
      });
   });
}

function send(dataurl, data) {
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded'
      };
      stream.fetch({
         method: 'POST',
         url: dataurl,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.status); //修改为错误状态码
         }
      });
   });
}

function appleFetch(dataurl) {
   getAppleParam();
   var url = "" + (dataurl + apple_param);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var requestObj = {
         method: 'GET',
         url: url,
         type: 'json'
      };

      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function applePost(dataurl, data) {
   getAppleParam();
   var url = "" + (dataurl + apple_param);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };

      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

exports.default = {
   fetch: fetch,
   send: send,
   get: get,
   post: post,
   getParams: getParams,
   fetchCookie: fetchCookie,
   videopost: videopost,
   videoComplete: videoComplete,
   refresh_cookie: refresh_cookie,
   appleFetch: appleFetch,
   applePost: applePost
};

/***/ }),

/***/ 105:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(106)
)
__vue_styles__.push(__webpack_require__(107)
)

/* script */
__vue_exports__ = __webpack_require__(108)

/* template */
var __vue_template__ = __webpack_require__(109)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/src/views/me/business.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-4b033aad"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 106:
/***/ (function(module, exports) {

module.exports = {
  "app_bg": {
    "backgroundColor": "#ffffff"
  },
  "refresh": {
    "width": "750",
    "height": "200",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "loading": {
    "width": "750",
    "height": "100",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "refresh_text": {
    "width": "80",
    "height": "80"
  },
  "nores": {
    "display": "flex",
    "flexDirection": "column",
    "alignItems": "center",
    "justifyContent": "center",
    "width": "750",
    "marginTop": "82",
    "marginBottom": "82"
  },
  "nopic": {
    "width": "300",
    "height": "300"
  },
  "notxt": {
    "height": "30",
    "lineHeight": "30",
    "fontSize": "30",
    "color": "#666666",
    "marginTop": "80"
  },
  "tabs": {
    "height": "91",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderBottomColor": "#d6d6d6",
    "backgroundColor": "#ffffff"
  },
  "tab_a": {
    "flex": 1,
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "tab_line": {
    "width": "128",
    "height": "4",
    "backgroundColor": "#FBAF17",
    "borderRadius": "100"
  },
  "tab_txt": {
    "height": "90",
    "lineHeight": "90",
    "fontSize": "32",
    "color": "#3B3B3B",
    "fontWeight": "bold"
  },
  "tab_select": {
    "color": "#FBAF17",
    "fontWeight": "bold",
    "borderBottomWidth": "4",
    "borderStyle": "solid",
    "borderBottomColor": "#FBAF17"
  },
  "item_tag": {
    "position": "absolute",
    "height": "48",
    "right": "0",
    "top": "42"
  },
  "statusbg": {
    "width": "170",
    "height": "48"
  },
  "statusbg1": {
    "width": "197"
  },
  "statustxt": {
    "position": "absolute",
    "fontSize": "26",
    "color": "#ffffff",
    "top": "0",
    "right": "24",
    "lineHeight": "48"
  },
  "tousu_item": {
    "width": "750",
    "position": "relative",
    "paddingLeft": "32",
    "paddingRight": "32",
    "paddingTop": "30",
    "paddingBottom": "30",
    "marginBottom": "12",
    "backgroundColor": "#ffffff"
  },
  "item_head": {
    "height": "72",
    "display": "flex",
    "flexDirection": "row"
  },
  "head_pic": {
    "width": "72",
    "height": "72",
    "borderRadius": "72"
  },
  "head_txt": {
    "display": "flex",
    "flexDirection": "column",
    "marginLeft": "30"
  },
  "head_name": {
    "lines": 1,
    "width": "380",
    "height": "42",
    "textOverflow": "ellipsis",
    "lineHeight": "42",
    "fontSize": "30",
    "color": "#666666"
  },
  "head_time": {
    "lineHeight": "28",
    "fontSize": "20",
    "color": "#84848A"
  },
  "grp_user": {
    "fontSize": "20",
    "color": "#84848A",
    "lineHeight": "24",
    "marginTop": "16",
    "marginBottom": "32"
  },
  "grp_title_div": {
    "width": "686",
    "height": "40",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-start",
    "flexWrap": "nowrap",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "new_grp_title": {
    "lineHeight": "40",
    "fontSize": "36",
    "color": "#212121",
    "width": "623",
    "lines": 1,
    "textOverflow": "ellipsis"
  },
  "item_hot": {
    "width": "686",
    "height": "46",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "flex-start",
    "flexWrap": "nowrap",
    "lines": 1,
    "textOverflow": "ellipsis",
    "marginTop": "32",
    "marginBottom": "20"
  },
  "hot_pic": {
    "width": "38",
    "height": "44",
    "marginRight": "12"
  },
  "activity_pic": {
    "width": "55",
    "height": "32",
    "marginRight": "8"
  },
  "item_tit": {
    "width": "623",
    "lines": 1,
    "fontSize": "36",
    "height": "46",
    "lineHeight": "46",
    "color": "#333333",
    "textOverflow": "ellipsis"
  },
  "item_tit1": {
    "width": "573",
    "lines": 1,
    "fontSize": "36",
    "height": "46",
    "lineHeight": "46",
    "color": "#333333",
    "textOverflow": "ellipsis"
  },
  "item_info": {
    "lines": 2,
    "marginBottom": "22",
    "fontSize": "26",
    "lineHeight": "38",
    "color": "#5D5D5D",
    "textOverflow": "ellipsis"
  },
  "tousu_info_div": {
    "position": "relative",
    "width": "686"
  },
  "tousu_info_name": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "fontSize": "26",
    "color": "#212121",
    "lineHeight": "38",
    "backgroundColor": "#ffffff"
  },
  "tousu_info": {
    "width": "686",
    "fontSize": "26",
    "lineHeight": "38",
    "color": "#5D5D5D",
    "lines": 2,
    "overflow": "hidden",
    "textOverflow": "ellipsis"
  },
  "grp_obj": {
    "position": "relative",
    "width": "686"
  },
  "grp_obj1": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "fontSize": "26",
    "color": "#212121",
    "lineHeight": "38",
    "backgroundColor": "#ffffff"
  },
  "grp_obj2": {
    "width": "686",
    "fontSize": "26",
    "color": "#5d5d5d",
    "lineHeight": "38",
    "lines": 2,
    "overflow": "hidden",
    "textOverflow": "ellipsis"
  },
  "heimao_ops": {
    "marginTop": "22",
    "display": "flex",
    "flexDirection": "row"
  },
  "ops": {
    "height": "40",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "marginRight": "70"
  },
  "zan": {
    "width": "36",
    "height": "34"
  },
  "cmnt": {
    "width": "36",
    "height": "34"
  },
  "share": {
    "width": "33",
    "height": "28"
  },
  "txt": {
    "fontSize": "26",
    "color": "#84848A",
    "marginLeft": "10"
  },
  "stxt": {
    "color": "#fbaf17"
  },
  "btmspace": {
    "width": "750",
    "height": "100"
  },
  "jury_div": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "marginTop": "20",
    "height": "48"
  },
  "jury_div_tag": {
    "width": "48",
    "height": "48"
  },
  "jury_div_txt": {
    "marginLeft": "12",
    "color": "#212121",
    "fontSize": "32"
  },
  "gshare_box": {
    "position": "fixed",
    "top": 0,
    "left": 0,
    "right": 0,
    "bottom": 0
  },
  "gshare_mask": {
    "position": "absolute",
    "top": 0,
    "left": 0,
    "right": 0,
    "bottom": 0,
    "backgroundColor": "#FFFBF2"
  },
  "gshare_loading": {
    "position": "absolute",
    "top": "500",
    "left": 0,
    "right": 0,
    "fontSize": "32",
    "lineHeight": "46",
    "color": "#212121",
    "textAlign": "center",
    "zIndex": 2
  },
  "gshare_wrap": {
    "position": "absolute",
    "width": "640",
    "left": "55",
    "top": "30",
    "bottom": 0,
    "zIndex": 2
  },
  "gshare_photo": {
    "position": "relative",
    "width": "640",
    "height": "1058"
  },
  "gshare_space": {
    "width": "640",
    "height": "20",
    "backgroundColor": "#FFFBF2"
  },
  "gshare_bg": {
    "width": "640",
    "height": "1058"
  },
  "gshare_close": {
    "position": "absolute",
    "width": "54",
    "height": "54",
    "top": "34",
    "right": "21"
  },
  "gshare_btn": {
    "position": "relative",
    "width": "640",
    "marginTop": "36",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "gbtn": {
    "width": "112",
    "display": "flex",
    "flexDirection": "column",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "gbtn1": {
    "marginRight": "162"
  },
  "gimage": {
    "width": "112",
    "height": "112"
  },
  "gtext": {
    "fontSize": "32",
    "lineHeight": "46",
    "textAlign": "center",
    "color": "#212121"
  },
  "heimao_no_msg": {
    "fontSize": "32",
    "color": "#5d5d5d",
    "textAlign": "center",
    "lineHeight": "50",
    "marginTop": "50",
    "marginBottom": "200"
  },
  "list_num_div": {
    "display": "flex",
    "flexDirection": "row",
    "height": "33",
    "alignItems": "center"
  },
  "reply_num": {
    "fontSize": "24",
    "color": "#84848A"
  },
  "num_space": {
    "marginRight": "19"
  },
  "zan_icon": {
    "width": "26",
    "height": "23",
    "marginRight": "12"
  },
  "zan_num": {
    "fontSize": "24",
    "color": "#FBAF17"
  }
}

/***/ }),

/***/ 107:
/***/ (function(module, exports) {

module.exports = {
  "shead_top": {
    "marginTop": "20"
  },
  "tips_div": {
    "position": "relative",
    "width": "750"
  },
  "company_tip": {
    "position": "absolute",
    "top": "8",
    "left": "800",
    "width": "310",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "tip_arr": {
    "width": "20",
    "height": "40"
  },
  "tip_txt": {
    "width": "280",
    "paddingLeft": "12",
    "paddingRight": "12",
    "paddingBottom": "12",
    "paddingTop": "12",
    "lineHeight": "32",
    "fontSize": "24",
    "color": "#ffffff",
    "borderRadius": "12",
    "backgroundColor": "#444444",
    "marginLeft": "-2"
  },
  "me_head": {
    "position": "relative",
    "height": "220",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "40",
    "paddingRight": "40",
    "borderBottomColor": "#E6E6E6",
    "borderBottomWidth": "2",
    "borderStyle": "solid"
  },
  "me_photo": {
    "position": "relative",
    "width": "148",
    "height": "148",
    "marginRight": "24"
  },
  "mehead_pic": {
    "width": "148",
    "height": "148",
    "borderRadius": "148",
    "overflow": "hidden"
  },
  "mehead_txt": {
    "position": "absolute",
    "bottom": 0,
    "right": 0,
    "width": "48",
    "height": "48",
    "borderRadius": "48",
    "backgroundColor": "#fbaf17",
    "fontSize": "26",
    "color": "#ffffff",
    "lineHeight": "48",
    "textAlign": "center"
  },
  "me_name": {
    "paddingTop": "20"
  },
  "name1": {
    "lines": 1,
    "fontSize": "36",
    "color": "#212121",
    "lineHeight": "50",
    "width": "320",
    "textOverflow": "ellipsis"
  },
  "name2": {
    "lineHeight": "40",
    "fontSize": "26",
    "color": "#A3A3A3"
  },
  "me_tags": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "width": "240",
    "height": "48",
    "marginTop": "16"
  },
  "me_tag1": {
    "width": "160",
    "height": "48",
    "marginRight": "20"
  },
  "me_tag2": {
    "width": "38",
    "height": "38"
  },
  "me_info": {
    "position": "absolute",
    "top": "96",
    "right": "40",
    "lineHeight": "38",
    "fontSize": "26",
    "color": "#A3A3A3"
  },
  "business": {
    "height": "180",
    "paddingTop": "20",
    "paddingBottom": "24",
    "paddingLeft": "2",
    "borderBottomColor": "#E6E6E6",
    "borderBottomWidth": "2",
    "borderStyle": "solid",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "space-between"
  },
  "score_item": {
    "width": "186",
    "borderRightColor": "#979797",
    "borderRightWidth": "1",
    "borderStyle": "dashed",
    "display": "flex",
    "flexDirection": "column",
    "alignItems": "center"
  },
  "score": {
    "width": "186",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "flex-end",
    "marginTop": "10"
  },
  "score_num": {
    "lineHeight": "50",
    "fontSize": "56",
    "color": "#FBAF17"
  },
  "score_txt": {
    "lineHeight": "33",
    "fontSize": "24",
    "color": "#A3A3A3"
  },
  "score_type": {
    "marginTop": "28",
    "lineHeight": "45",
    "fontSize": "32",
    "color": "#212121"
  },
  "my_msgs": {
    "height": "80",
    "paddingTop": "8",
    "paddingBottom": "8",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "msg_item": {
    "width": "250",
    "borderRightColor": "#979797",
    "borderRightWidth": "1",
    "borderStyle": "dashed",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "msgs_txt": {
    "fontSize": "26"
  },
  "score_last": {
    "borderRightWidth": "0"
  },
  "msg": {
    "position": "relative",
    "width": "47",
    "height": "54",
    "marginRight": "16"
  },
  "msgwidth": {
    "width": "33"
  },
  "msg_pic1": {
    "width": "33",
    "height": "26",
    "marginTop": "14"
  },
  "msg_pic2": {
    "width": "32",
    "height": "32",
    "marginRight": "10"
  },
  "msg_txt": {
    "position": "absolute",
    "top": "0",
    "right": "0",
    "width": "28",
    "height": "28",
    "borderRadius": "28",
    "backgroundColor": "#FF0000",
    "color": "#ffffff",
    "fontSize": "20",
    "textAlign": "center",
    "lineHeight": "28"
  },
  "me_space": {
    "width": "750",
    "height": "20",
    "backgroundColor": "#F4F4F4"
  },
  "home_list": {
    "position": "fixed",
    "top": "100",
    "bottom": "0",
    "left": 0,
    "width": "750",
    "backgroundColor": "#F4F4F4"
  },
  "complaint_btn": {
    "marginTop": "10",
    "height": "80",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "flex-end"
  },
  "complaint_btn1": {
    "width": "198",
    "height": "78",
    "textAlign": "center",
    "lineHeight": "80",
    "color": "#FBAF17",
    "borderStyle": "solid",
    "borderWidth": "1",
    "borderColor": "#FBAF17",
    "fontSize": "32",
    "borderRadius": 100,
    "marginLeft": "16"
  },
  "complaint_btn2": {
    "width": "200",
    "height": "80",
    "textAlign": "center",
    "lineHeight": "80",
    "color": "#ffffff",
    "fontSize": "32",
    "borderRadius": 100,
    "backgroundColor": "#FBAF17",
    "marginLeft": "16"
  },
  "tabs": {
    "height": "91",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "flex-start",
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderBottomColor": "#E6E6E6",
    "backgroundColor": "#ffffff"
  },
  "tab_a": {
    "width": "370",
    "display": "flex",
    "alignItems": "center"
  },
  "tabspace": {
    "width": "750",
    "height": "24",
    "backgroundColor": "#ffffff"
  },
  "subtabs": {
    "width": "750",
    "height": "92",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "space-between",
    "borderStyle": "solid",
    "borderColor": "#d6d6d6",
    "borderTopWidth": "1",
    "borderBottomWidth": "1",
    "backgroundColor": "#ffffff"
  },
  "subtab_item": {
    "display": "flex",
    "flexDirection": "column",
    "justifyContent": "center",
    "alignItems": "center",
    "flex": 1,
    "height": "92",
    "borderStyle": "solid",
    "borderColor": "#d6d6d6",
    "borderRightWidth": "1"
  },
  "subtab1": {
    "height": "32",
    "lineHeight": "32",
    "textAlign": "center",
    "fontSize": "28",
    "color": "#777777"
  },
  "subtab": {
    "flex": 1,
    "height": "92",
    "lineHeight": "92",
    "textAlign": "center",
    "fontSize": "28",
    "color": "#777777",
    "borderStyle": "solid",
    "borderColor": "#d6d6d6",
    "borderRightWidth": "1"
  },
  "noborder": {
    "borderWidth": "0"
  },
  "stab_select": {
    "color": "#fbaf17"
  },
  "item_space": {
    "width": "750",
    "height": "12",
    "backgroundColor": "#f8f8f8"
  },
  "grp_item": {
    "backgroundColor": "#ffffff",
    "paddingTop": "32",
    "paddingLeft": "32",
    "paddingRight": "32",
    "paddingBottom": "48"
  },
  "grp_blk": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "height": "100",
    "backgroundColor": "#f8f8f8",
    "marginBottom": "24"
  },
  "blk": {
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "blk1": {
    "width": "276",
    "marginLeft": "40"
  },
  "blk_tit": {
    "fontSize": "26",
    "color": "#212121"
  },
  "blk_num": {
    "fontSize": "48",
    "color": "#ffb112",
    "paddingLeft": "20"
  },
  "blk_per": {
    "fontSize": "32",
    "color": "#a3a3a3",
    "paddingLeft": "10"
  },
  "grp_con": {
    "fontSize": "26",
    "color": "#5d5d5d",
    "lineHeight": "38",
    "marginBottom": "16"
  },
  "gl_status": {
    "fontSize": "32",
    "color": "#fbaf17",
    "lineHeight": "56"
  },
  "heimao_ops": {
    "marginTop": "24",
    "height": "40",
    "display": "flex",
    "flexDirection": "row"
  },
  "ops": {
    "height": "40",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "marginRight": "70"
  },
  "zan": {
    "width": "36",
    "height": "36",
    "alignSelf": "flex-start"
  },
  "cmnt": {
    "width": "36",
    "height": "36",
    "alignSelf": "flex-end"
  },
  "share": {
    "width": "36",
    "height": "36",
    "alignSelf": "center"
  },
  "otxt": {
    "fontSize": "26",
    "color": "#84848A",
    "marginLeft": "10"
  },
  "stxt": {
    "color": "#fbaf17"
  }
}

/***/ }),

/***/ 108:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _util = __webpack_require__(4);

var _util2 = _interopRequireDefault(_util);

var _login = __webpack_require__(3);

var _login2 = _interopRequireDefault(_login);

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

var _progress = __webpack_require__(21);

var _progress2 = _interopRequireDefault(_progress);

var _operate = __webpack_require__(20);

var _operate2 = _interopRequireDefault(_operate);

var _searchBox = __webpack_require__(28);

var _searchBox2 = _interopRequireDefault(_searchBox);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var navigator = weex.requireModule('navigator');
var modal = weex.requireModule('modal');
var WXUmeng = weex.requireModule("WXUmeng");
exports.default = {
    name: 'App',
    props: {
        userInfo: {
            type: Object
        }
    },
    components: {
        Progress: _progress2.default,
        Operate: _operate2.default,
        SearchBox: _searchBox2.default
    },
    data: function data() {
        return {
            isiOS: _util2.default.isiOS(),
            tabnum: 1,
            subtabnum1: 0,
            subtabnum2: 0,
            baseUrl: "",
            myTousuList: [],
            tousuPage: 1,
            tousuTotal: 1,
            showLoading: true,
            loadtag: true,
            businessInfo: {},
            refreshing: "hide",
            tipTop: 800,
            tagtimer: null,
            gshare_tag: false,
            gshare_pic: false,
            gshare_src: "",
            gitem: {}
        };
    },
    created: function created() {
        var _this = this;

        this.baseUrl = _util2.default.getBaseUrl(weex.config.bundleUrl);
        this.businessInfo = this.userInfo.company.userEval;
        this.getReceive();

        var channel = new BroadcastChannel("tscomplete");
        channel.onmessage = function (event) {
            if (event.data == "done") {
                if (_this.tabnum == 2) {
                    _this.tousuPage = 1;
                    _this.myTousuList = [];
                    _this.getMyTousu();
                }
            }
        };
    },

    methods: {
        closeGrp: function closeGrp() {
            this.gitem = {};
            this.gshare_tag = false;
            this.gshare_pic = false;
        },
        getGrpPic: function getGrpPic(obj) {
            var _this2 = this;

            this.gitem = obj;
            this.gshare_tag = true;
            this.gshare_pic = false;
            _apis2.default.fetch(_configApi2.default.group_share_img + '&gsn=' + this.gitem.gsn).then(function (res) {
                if (res && res.result.status.code == 0) {
                    _this2.gshare_src = res.result.data;
                    _this2.gshare_pic = true;
                } else {
                    modal.toast({
                        message: res.result.status.msg,
                        duration: 1
                    });
                }
            });
        },
        grpShare: function grpShare() {
            var tempTitle = this.gitem.title;
            if (this.gitem.topicId == 1) tempTitle = "#618吐槽大会#" + tempTitle;
            var param = {
                text: tempTitle + "(分享自@黑猫投诉)",
                url: this.gitem.url,
                img: this.gshare_src,
                wx_title: this.gitem.title,
                wx_desc: this.gitem.content,
                sharetype: 2,
                sn: this.gitem.gsn
            };
            _util2.default.showShare(param, function (tag) {});
        },
        grpSave: function grpSave() {
            var $image = this.$refs.groupic;
            $image.save(function (result) {
                if (result.success) {
                    modal.toast({
                        message: "保存成功",
                        duration: 0.8
                    });
                } else {
                    modal.toast({
                        message: "保存失败",
                        duration: 0.8
                    });
                }
            });
        },

        /*刷新*/
        onrefresh: function onrefresh(event) {
            this.refreshing = "show";
            this.initPage();
        },

        /*帮帮团 */
        showJury: function showJury(sn) {
            var jparam = { 'url': this.baseUrl + 'jury/juryInvite.js?id=' + sn, 'animated': 'true' };
            navigator.push(jparam, function (e) {});
        },
        toSearchPage: function toSearchPage() {
            var params = { 'url': this.baseUrl + 'search/searchPage.js', 'animated': 'true' };
            navigator.push(params, function (e) {});
        },
        getUserRole: function getUserRole() {
            var _this3 = this;

            _apis2.default.fetch(_configApi2.default.user_view).then(function (res) {
                if (res && res.result.status.code == 0) {
                    _this3.userInfo = res.result.data;
                } else {
                    modal.toast({
                        message: res.result.status.msg,
                        duration: 1
                    });
                }
            });
        },
        initPage: function initPage() {
            this.tousuPage = 1;
            this.myTousuList = [];
            this.tab_change(1);
            this.getUserRole();
        },
        toHelp: function toHelp() {
            var params = { 'url': this.baseUrl + 'information/help.js', 'animated': 'true' };
            navigator.push(params, function (e) {});
        },
        toDatas: function toDatas() {
            var params = { 'url': this.baseUrl + 'information/datas.js', 'animated': 'true' };
            navigator.push(params, function (e) {});
        },
        tipShow: function tipShow() {
            var _this4 = this;

            if (this.tagtimer) {
                clearTimeout(this.tagtimer);
                this.tagtimer = null;
                this.tipTop = 800;
                return;
            } else {
                this.tipTop = 440;
            }
            this.tagtimer = setTimeout(function () {
                _this4.tipTop = 800;
                _this4.tagtimer = null;
            }, 3000);
        },
        toCmntList: function toCmntList(cid) {
            WXUmeng.umengclick("user_complaint_move", "tab", "pinglun");

            var params = {
                url: this.baseUrl + 'comment/cmntList.js?cid=' + cid,
                animated: "true"
            };
            navigator.push(params, function (e) {});
        },
        showShare: function showShare(obj, index) {
            WXUmeng.umengclick("user_complaint_move", "tab", "fenxiang");
            var tempTitle = obj.title;
            if (obj.topicId == 1) tempTitle = "#618吐槽大会#" + tempTitle;
            var param = {
                text: tempTitle + "(分享自@黑猫投诉)",
                url: obj.url,
                img: "https://n.sinaimg.cn/finance/blackcat/wap/img/icon-desk.jpeg",
                wx_title: obj.title,
                wx_desc: obj.summary,
                sharetype: 0,
                sn: obj.sn
            };
            var sdata = {
                sn: obj.sn
            };
            var self = this;
            _util2.default.showShare(param, function (tag) {
                if (tag) {
                    _apis2.default.post(_configApi2.default.share_amount_complaint, sdata).then(function (res) {
                        if (res && res.result.status.code == 0) {
                            self.myTousuList[index].isshare = true;
                            self.myTousuList[index].share_amount = res.result.data.amount;
                        }
                        // else{
                        //     modal.toast({
                        //         message: res.result.status.msg,
                        //         duration: 1
                        //     });
                        // }
                    });
                }
            });
        },
        zanOps: function zanOps(sn, index) {
            WXUmeng.umengclick("user_complaint_move", "tab", "dianzan");

            var self = this;
            _util2.default.voteFor({
                id: sn,
                type: 0
            }, function (res) {
                if (res && res.result.status.code == 0) {
                    self.myTousuList[index].is_upvote = !self.myTousuList[index].is_upvote;
                    self.myTousuList[index].upvote_amount = res.result.data.amount;
                } else {
                    modal.toast({
                        message: res.result.status.msg,
                        duration: 1
                    });
                }
            });
        },
        showGrpShare: function showGrpShare(obj, index) {
            var _this5 = this;

            var tempTitle = obj.title;
            if (obj.topicId == 1) tempTitle = "#618吐槽大会#" + tempTitle;
            var param = {
                text: tempTitle + "(分享自@黑猫投诉)",
                url: obj.url,
                img: "https://n.sinaimg.cn/finance/blackcat/wap/img/icon-desk.jpeg",
                wx_title: obj.title,
                wx_desc: obj.content,
                sharetype: 1,
                sn: obj.gsn
            };
            _util2.default.showShare(param, function (tag) {
                if (tag) {
                    _apis2.default.post(_configApi2.default.group_share_num + obj.gsn + "?", { gsn: obj.gsn }).then(function (res) {
                        if (res && res.result.status.code == 0) {
                            _this5.myTousuList[index].isshare = true;
                            _this5.myTousuList[index].share_amt += 1;
                        }
                    });
                }
            });
        },
        zanGrpOps: function zanGrpOps(gsn, index) {
            var _this6 = this;

            WXUmeng.umengclick("user_complaint_move", "tab", "dianzan");

            var turl = _configApi2.default.group_upvote;
            var data = {
                gsn: gsn
            };
            _apis2.default.post(turl, data).then(function (res) {
                if (res && res.result.status.code == 0) {
                    _this6.myTousuList[index].upvoted = !_this6.myTousuList[index].upvoted;
                    _this6.myTousuList[index].upvote_amt = res.result.data.amount;
                } else {
                    modal.toast({
                        message: res.result.status.msg,
                        duration: 1
                    });
                }
            }).catch(function (err) {
                modal.toast({
                    message: "点赞失败",
                    duration: 0.8
                });
            });
        },
        initParams: function initParams() {
            this.showLoading = true;
            this.myTousuList = [];
            this.tousuPage = 1;
            this.tousuTotal = 1;
        },
        tab_change: function tab_change(num) {
            if (this.showLoading) return;
            this.tabnum = num;
            this.initParams();
            if (num == 1) this.getReceive();else this.getMyTousu();

            var umengstr = "geren";
            if (num == 2) umengstr = "jiti";
            WXUmeng.umengclick("user_company", "tab", umengstr);
        },
        subtab_change1: function subtab_change1(num) {
            if (this.showLoading) return;
            this.showLoading = true;
            this.subtabnum1 = num;
            this.initParams();
            this.getReceive();

            var umengstr = "quanbu";
            if (num == 1) umengstr = "chulizhong";else if (num == 2) umengstr = "yibuchong";else if (num == 3) umengstr = "yiwancheng";else if (num == 4) umengstr = "zanweigongkai";
            WXUmeng.umengclick("user_company_tab", "tab", umengstr);
        },
        subtab_change2: function subtab_change2(num) {
            if (this.showLoading) return;
            this.showLoading = true;
            this.subtabnum2 = num;
            this.initParams();
            this.getMyTousu();

            var umengstr = "quanbu";
            if (num == 1) umengstr = "daihuifu";else if (num == 2) umengstr = "yibuchong";else if (num == 3) umengstr = "yiwancheng";
            WXUmeng.umengclick("user_common_company_tab", "tab", umengstr);
        },
        toTousuPage: function toTousuPage(sn) {
            var params = { 'url': this.baseUrl + 'tousu/tousuDetail.js?id=' + sn, 'animated': 'true' };
            navigator.push(params, function (e) {});
        },
        toGroupPage: function toGroupPage(gsn, num) {
            var params = { 'url': this.baseUrl + 'group/groupDetail.js?id=' + gsn, 'animated': 'true' };
            navigator.push(params, function (e) {});
        },
        toComplaint: function toComplaint(num, sn) {
            var params = { 'url': this.baseUrl + 'tousu/tousuEvaluate.js?id=' + sn, 'animated': 'true' };
            if (num > 0) {
                var type = 'reply';
                if (num == 2) type = 'update';else if (num == 3) type = 'grpreply';else if (num == 4) type = 'grpupdate';
                params = { 'url': this.baseUrl + 'tousu/tousuForm.js?id=' + sn + '&type=' + type, 'animated': 'true' };
            }
            navigator.push(params, function (e) {});
        },
        getReceive: function getReceive() {
            var _this7 = this;

            _apis2.default.fetch(_configApi2.default.user_received_complaints + '&page_size=10&page=' + this.tousuPage + '&type=' + this.subtabnum1).then(function (res) {
                if (res && res.result.status.code == 0) {
                    var tempdata = res.result.data;
                    _this7.myTousuList = _this7.myTousuList.concat(tempdata.lists);
                    _this7.showLoading = false;
                    _this7.tousuTotal = tempdata.pager.page_amount;
                    if (_this7.tousuPage <= _this7.tousuTotal) _this7.tousuPage++;
                } else {
                    modal.toast({
                        message: res.result.status.msg,
                        duration: 1
                    });
                }
                _this7.refreshing = "hide";
                _this7.loadtag = true;
            });
        },
        getMyTousu: function getMyTousu() {
            var _this8 = this;

            _apis2.default.fetch(_configApi2.default.company_glist + '&page_size=10&page=' + this.tousuPage + '&type=' + this.subtabnum2).then(function (res) {
                if (res && res.result.status.code == 0) {
                    var tempdata = res.result.data;
                    _this8.myTousuList = _this8.myTousuList.concat(tempdata.list);
                    _this8.showLoading = false;
                    _this8.tousuTotal = tempdata.pager.page_amount;
                    if (_this8.tousuPage <= _this8.tousuTotal) _this8.tousuPage++;
                } else {
                    modal.toast({
                        message: res.result.status.msg,
                        duration: 1
                    });
                }
                _this8.refreshing = "hide";
                _this8.loadtag = true;
            });
        },
        loadMoreItems: function loadMoreItems() {
            this.showLoading = true;
            if (this.loadtag) {
                this.loadtag = false;
                if (this.tousuPage <= this.tousuTotal) {
                    if (this.tabnum == 1) this.getReceive();else this.getMyTousu();
                } else this.showLoading = false;
            }
        },
        messageTo: function messageTo(url) {
            // if(url == "message"){
            //     this.userInfo.unReadCount=0;
            //     this.$emit("hideBadge");
            // }
            navigator.push({
                url: this.baseUrl + 'information/' + url + '.js',
                animated: "true"
            }, function (event) {});
        }
    }
};

/***/ }),

/***/ 109:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('SearchBox', {
    attrs: {
      "loadpage": _vm.onrefresh,
      "toSearchPage": _vm.toSearchPage
    }
  }), _c('list', {
    staticClass: ["home_list"],
    attrs: {
      "showScrollbar": "false",
      "loadmoreoffset": "500"
    },
    on: {
      "loadmore": _vm.loadMoreItems
    }
  }, [_c('refresh', {
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing
    },
    on: {
      "refresh": _vm.onrefresh
    }
  }, [(_vm.isiOS) ? _c('image', {
    ref: "refreshtag",
    staticClass: ["refresh_text"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/zcapp/zc_loading.gif?v=2.0"
    }
  }) : _c('GifImage', {
    ref: "refreshtag",
    staticClass: ["refresh_text"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/zcapp/zc_loading.gif?v=2.0"
    }
  })], 1), _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["tips_div"]
  }, [_c('div', {
    staticClass: ["me_head", "app_bg"]
  }, [_c('div', {
    staticClass: ["me_photo"]
  }, [_c('image', {
    staticClass: ["mehead_pic"],
    attrs: {
      "src": _vm.userInfo.avatar
    }
  }), _c('text', {
    staticClass: ["mehead_txt"]
  }, [_vm._v("商")])]), _c('div', {
    staticClass: ["me_name"]
  }, [_c('text', {
    staticClass: ["name1"]
  }, [_vm._v(_vm._s(_vm.userInfo.name))]), _c('div', {
    staticClass: ["me_tags"]
  }, [_c('image', {
    staticClass: ["me_tag1"],
    attrs: {
      "src": _vm.userInfo.is_noexp ? 'https://n.sinaimg.cn/tech/hmapp/company_tag1.png' : 'https://n.sinaimg.cn/tech/hmapp/company_tag2.png'
    }
  }), _c('image', {
    staticClass: ["me_tag2"],
    attrs: {
      "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/new-company-tip.png"
    },
    on: {
      "click": _vm.tipShow
    }
  })])]), _c('text', {
    staticClass: ["me_info"],
    on: {
      "click": function($event) {
        _vm.messageTo('info')
      }
    }
  }, [_vm._v("编辑资料>")])]), _c('div', {
    staticClass: ["business", "app_bg"]
  }, [_c('div', {
    staticClass: ["score_item"]
  }, [_c('div', {
    staticClass: ["score"]
  }, [_c('text', {
    staticClass: ["score_num"]
  }, [_vm._v(_vm._s(_vm.businessInfo.eval_sum))]), _c('text', {
    staticClass: ["score_txt"]
  }, [_vm._v("份")])]), _c('text', {
    staticClass: ["score_type"]
  }, [_vm._v("用户评价")])]), _c('div', {
    staticClass: ["score_item"]
  }, [_c('div', {
    staticClass: ["score"]
  }, [_c('text', {
    staticClass: ["score_num"]
  }, [_vm._v(_vm._s(_vm.businessInfo.attitude))]), _c('text', {
    staticClass: ["score_txt"]
  }, [_vm._v("分")])]), _c('text', {
    staticClass: ["score_type"]
  }, [_vm._v("服务态度")])]), _c('div', {
    staticClass: ["score_item"]
  }, [_c('div', {
    staticClass: ["score"]
  }, [_c('text', {
    staticClass: ["score_num"]
  }, [_vm._v(_vm._s(_vm.businessInfo.process))]), _c('text', {
    staticClass: ["score_txt"]
  }, [_vm._v("分")])]), _c('text', {
    staticClass: ["score_type"]
  }, [_vm._v("服务速度")])]), _c('div', {
    staticClass: ["score_item", "score_last"]
  }, [_c('div', {
    staticClass: ["score"]
  }, [_c('text', {
    staticClass: ["score_num"]
  }, [_vm._v(_vm._s(_vm.businessInfo.satisfaction))]), _c('text', {
    staticClass: ["score_txt"]
  }, [_vm._v("分")])]), _c('text', {
    staticClass: ["score_type"]
  }, [_vm._v("满意度")])])]), _c('div', {
    staticClass: ["company_tip"],
    style: {
      left: _vm.tipTop + 'px'
    }
  }, [_c('image', {
    staticClass: ["tip_arr"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/tips_arr2x.png"
    }
  }), _c('text', {
    staticClass: ["tip_txt"]
  }, [_vm._v("“快速解决商家”是黑猫平台为了激励商家更快、更好解决消费者投诉，通过严格考核机制评选出的回复速度快，投诉回复率、完成率高的优质商家。“快速解决商家”资格每月动态变化。")])])]), _c('div', {
    staticClass: ["my_msgs", "app_bg"]
  }, [_c('div', {
    staticClass: ["msg_item"],
    on: {
      "click": function($event) {
        _vm.messageTo('message')
      }
    }
  }, [_c('div', {
    staticClass: ["msg"],
    class: [_vm.userInfo.unReadCount <= 0 ? 'msgwidth' : '']
  }, [_c('image', {
    staticClass: ["msg_pic1"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/mymsg3x.png"
    }
  }), (_vm.userInfo.unReadCount > 0) ? _c('text', {
    staticClass: ["msg_txt"]
  }, [_vm._v(_vm._s(_vm.userInfo.unReadCount))]) : _vm._e()]), _c('text', {
    staticClass: ["msgs_txt"]
  }, [_vm._v("消息")])]), _c('div', {
    staticClass: ["msg_space"]
  }), _c('div', {
    staticClass: ["msg_item"],
    on: {
      "click": _vm.toHelp
    }
  }, [_c('image', {
    staticClass: ["msg_pic2"],
    attrs: {
      "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/new-company-help.png"
    }
  }), _c('text', {
    staticClass: ["msgs_txt"]
  }, [_vm._v("帮助")])]), _c('div', {
    staticClass: ["msg_space"]
  }), _c('div', {
    staticClass: ["msg_item", "score_last"],
    on: {
      "click": _vm.toDatas
    }
  }, [_c('image', {
    staticClass: ["msg_pic2"],
    attrs: {
      "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/new-company-datas.png"
    }
  }), _c('text', {
    staticClass: ["msgs_txt"]
  }, [_vm._v("数据")])])]), _c('div', {
    staticClass: ["me_space"]
  })]), _c('header', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["tabs"]
  }, [_c('div', {
    staticClass: ["tab_a"]
  }, [_c('text', {
    staticClass: ["tab_txt"],
    class: [_vm.tabnum == 1 ? 'tab_select' : ''],
    on: {
      "click": function($event) {
        _vm.tab_change(1)
      }
    }
  }, [_vm._v("收到的个人投诉")])]), _c('div', {
    staticClass: ["tab_a"]
  }, [_c('text', {
    staticClass: ["tab_txt"],
    class: [_vm.tabnum == 2 ? 'tab_select' : ''],
    on: {
      "click": function($event) {
        _vm.tab_change(2)
      }
    }
  }, [_vm._v("收到的集体投诉")])])])]), (_vm.tabnum == 1) ? _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["tabspace"]
  }), _c('div', {
    staticClass: ["subtabs"]
  }, [_c('div', {
    staticClass: ["subtab_item"],
    on: {
      "click": function($event) {
        _vm.subtab_change1(0)
      }
    }
  }, [_c('text', {
    staticClass: ["subtab1"],
    class: [_vm.subtabnum1 == 0 ? 'stab_select' : '']
  }, [_vm._v("全部")]), _c('text', {
    staticClass: ["subtab1"],
    class: [_vm.subtabnum1 == 0 ? 'stab_select' : '']
  }, [_vm._v(_vm._s(_vm.userInfo.recv_amt.all))])]), _c('div', {
    staticClass: ["subtab_item"],
    on: {
      "click": function($event) {
        _vm.subtab_change1(1)
      }
    }
  }, [_c('text', {
    staticClass: ["subtab1"],
    class: [_vm.subtabnum1 == 1 ? 'stab_select' : '']
  }, [_vm._v("处理中")]), _c('text', {
    staticClass: ["subtab1"],
    class: [_vm.subtabnum1 == 1 ? 'stab_select' : '']
  }, [_vm._v(_vm._s(_vm.userInfo.recv_amt.noreply))])]), _c('div', {
    staticClass: ["subtab_item"],
    on: {
      "click": function($event) {
        _vm.subtab_change1(2)
      }
    }
  }, [_c('text', {
    staticClass: ["subtab1"],
    class: [_vm.subtabnum1 == 2 ? 'stab_select' : '']
  }, [_vm._v("已补充")]), _c('text', {
    staticClass: ["subtab1"],
    class: [_vm.subtabnum1 == 2 ? 'stab_select' : '']
  }, [_vm._v(_vm._s(_vm.userInfo.recv_amt.sup))])]), _c('div', {
    staticClass: ["subtab_item"],
    on: {
      "click": function($event) {
        _vm.subtab_change1(3)
      }
    }
  }, [_c('text', {
    staticClass: ["subtab1"],
    class: [_vm.subtabnum1 == 3 ? 'stab_select' : '', _vm.userInfo.recv_amt && _vm.userInfo.recv_amt.noexposed > 0 ? '' : 'noborder']
  }, [_vm._v("已完成")]), _c('text', {
    staticClass: ["subtab1"],
    class: [_vm.subtabnum1 == 3 ? 'stab_select' : '', _vm.userInfo.recv_amt && _vm.userInfo.recv_amt.noexposed > 0 ? '' : 'noborder']
  }, [_vm._v(_vm._s(_vm.userInfo.recv_amt.completed))])]), (_vm.userInfo.recv_amt && _vm.userInfo.recv_amt.noexposed > 0) ? _c('div', {
    staticClass: ["subtab_item"],
    on: {
      "click": function($event) {
        _vm.subtab_change1(4)
      }
    }
  }, [_c('text', {
    staticClass: ["subtab1", "noborder"],
    class: [_vm.subtabnum1 == 4 ? 'stab_select' : '']
  }, [_vm._v("暂未公开")]), _c('text', {
    staticClass: ["subtab1", "noborder"],
    class: [_vm.subtabnum1 == 4 ? 'stab_select' : '']
  }, [_vm._v(_vm._s(_vm.userInfo.recv_amt.noexposed))])]) : _vm._e()])]) : _vm._e(), (_vm.tabnum == 2) ? _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["tabspace"]
  }), (_vm.userInfo.init_amt) ? _c('div', {
    staticClass: ["subtabs"]
  }, [_c('text', {
    staticClass: ["subtab"],
    class: [_vm.subtabnum2 == 0 ? 'stab_select' : ''],
    on: {
      "click": function($event) {
        _vm.subtab_change2(0)
      }
    }
  }, [_vm._v("全部(" + _vm._s(_vm.userInfo.grp_recv_amt.all) + ")")]), _c('text', {
    staticClass: ["subtab"],
    class: [_vm.subtabnum2 == 1 ? 'stab_select' : ''],
    on: {
      "click": function($event) {
        _vm.subtab_change2(1)
      }
    }
  }, [_vm._v("待回复(" + _vm._s(_vm.userInfo.grp_recv_amt.noreply) + ")")]), _c('text', {
    staticClass: ["subtab"],
    class: [_vm.subtabnum2 == 2 ? 'stab_select' : ''],
    on: {
      "click": function($event) {
        _vm.subtab_change2(2)
      }
    }
  }, [_vm._v("已补充(" + _vm._s(_vm.userInfo.grp_recv_amt.sup) + ")")]), _c('text', {
    staticClass: ["subtab", "noborder"],
    class: [_vm.subtabnum2 == 3 ? 'stab_select' : ''],
    on: {
      "click": function($event) {
        _vm.subtab_change2(3)
      }
    }
  }, [_vm._v("已完成(" + _vm._s(_vm.userInfo.grp_recv_amt.completed) + ")")])]) : _vm._e()]) : _vm._e(), (_vm.tabnum == 1 && _vm.myTousuList && _vm.myTousuList.length > 0) ? _vm._l((_vm.myTousuList), function(tsitem, index) {
    return _c('cell', {
      key: index,
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('div', {
      staticClass: ["tousu_item"],
      on: {
        "click": function($event) {
          _vm.toTousuPage(tsitem.sn)
        }
      }
    }, [_c('div', {
      staticClass: ["item_head"]
    }, [_c('image', {
      staticClass: ["head_pic"],
      attrs: {
        "src": tsitem.user_avatar
      }
    }), _c('div', {
      staticClass: ["head_txt"]
    }, [_c('text', {
      staticClass: ["head_name"]
    }, [_vm._v(_vm._s(tsitem.user_title))]), _c('text', {
      staticClass: ["head_time"]
    }, [_vm._v(_vm._s(tsitem.timestamp))])])]), _c('Progress', {
      attrs: {
        "progress": tsitem.status,
        "isUsr": "true"
      }
    }), _c('div', {
      staticClass: ["item_hot"]
    }, [(tsitem.topicId == 1) ? _c('image', {
      staticClass: ["activity_pic"],
      attrs: {
        "src": "https://n.sinaimg.cn/tech/hmapp/activity618.png"
      }
    }) : _vm._e(), _c('text', {
      staticClass: ["item_tit"]
    }, [_vm._v(_vm._s(tsitem.title))])]), _c('text', {
      staticClass: ["item_info"]
    }, [_vm._v(_vm._s(tsitem.summary))]), _c('div', {
      staticClass: ["tousu_info_div"]
    }, [_c('text', {
      staticClass: ["tousu_info_name"]
    }, [_vm._v("[投诉对象] ")]), _c('text', {
      staticClass: ["tousu_info"]
    }, [_vm._v("[投诉对象] " + _vm._s(tsitem.cotitle))])]), (tsitem.appeal != '') ? _c('div', {
      staticClass: ["tousu_info_div"]
    }, [_c('text', {
      staticClass: ["tousu_info_name"]
    }, [_vm._v("[投诉要求] ")]), _c('text', {
      staticClass: ["tousu_info"]
    }, [_vm._v("[投诉要求] " + _vm._s(tsitem.appeal))])]) : _vm._e(), (tsitem.has_jury) ? _c('div', {
      staticClass: ["jury_div"]
    }, [_c('image', {
      staticClass: ["jury_div_tag"],
      attrs: {
        "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/jury_big_tag1.png"
      }
    }), _c('text', {
      staticClass: ["jury_div_txt"]
    }, [_vm._v("帮帮团已介入")])]) : _vm._e(), (tsitem.status !== 0 && tsitem.status !== 2) ? _c('Operate', {
      attrs: {
        "opdata": tsitem
      },
      on: {
        "zanOps": function($event) {
          _vm.zanOps(tsitem.sn, index)
        },
        "toCmntList": function($event) {
          _vm.toCmntList(tsitem.comment_id)
        },
        "showShare": function($event) {
          _vm.showShare(tsitem, index)
        }
      }
    }) : _vm._e(), (tsitem.status == 4) ? _c('div', {
      staticClass: ["complaint_btn"]
    }, [_c('text', {
      staticClass: ["complaint_btn1"],
      on: {
        "click": function($event) {
          _vm.toComplaint(1, tsitem.sn)
        }
      }
    }, [_vm._v("回复")])]) : (tsitem.status == 6 && tsitem.ext_src == 0) ? _c('div', {
      staticClass: ["complaint_btn"]
    }, [_c('text', {
      staticClass: ["complaint_btn1"],
      on: {
        "click": function($event) {
          _vm.showJury(tsitem.sn)
        }
      }
    }, [_vm._v("邀请帮帮团")]), _c('text', {
      staticClass: ["complaint_btn1"],
      on: {
        "click": function($event) {
          _vm.toComplaint(1, tsitem.sn)
        }
      }
    }, [_vm._v("回复")])]) : _vm._e()], 1)])
  }) : (_vm.tabnum == 1 && !_vm.showLoading) ? [_vm._m(0)] : _vm._e(), (_vm.tabnum == 2 && _vm.myTousuList && _vm.myTousuList.length > 0) ? _vm._l((_vm.myTousuList), function(cdata, cindex) {
    return _c('cell', {
      key: cindex,
      appendAsTree: true,
      attrs: {
        "append": "tree"
      }
    }, [_c('div', {
      staticClass: ["grp_item"],
      on: {
        "click": function($event) {
          _vm.toGroupPage(cdata.gsn, _vm.index)
        }
      }
    }, [_c('div', {
      staticClass: ["grp_title_div"]
    }, [(cdata.topicId == 1) ? _c('image', {
      staticClass: ["activity_pic"],
      attrs: {
        "src": "https://n.sinaimg.cn/tech/hmapp/activity618.png"
      }
    }) : _vm._e(), _c('text', {
      staticClass: ["new_grp_title"]
    }, [_vm._v(_vm._s(cdata.title))])]), _c('text', {
      staticClass: ["grp_user"]
    }, [_vm._v("发起人 " + _vm._s(cdata.user.title) + " 发布于 " + _vm._s(cdata.ct))]), _c('div', {
      staticClass: ["grp_blk"]
    }, [_c('div', {
      staticClass: ["blk", "blk1"]
    }, [_c('text', {
      staticClass: ["blk_tit"]
    }, [_vm._v("集体投诉量")]), _c('text', {
      staticClass: ["blk_num"]
    }, [_vm._v(_vm._s(cdata.comp_amt))])]), _c('div', {
      staticClass: ["blk"]
    }, [_c('text', {
      staticClass: ["blk_tit"]
    }, [_vm._v("集体处理率")]), _c('text', {
      staticClass: ["blk_num"]
    }, [_vm._v(_vm._s(cdata.solve_per))]), _c('text', {
      staticClass: ["blk_per"]
    }, [_vm._v("%")])])]), _c('text', {
      staticClass: ["grp_con"]
    }, [_vm._v(_vm._s(cdata.content))]), _c('div', {
      staticClass: ["grp_obj"]
    }, [_c('text', {
      staticClass: ["grp_obj1"]
    }, [_vm._v("[投诉对象] ")]), _c('text', {
      staticClass: ["grp_obj2"]
    }, [_vm._v("[投诉对象] " + _vm._s(cdata.cotitle))])]), _c('div', {
      staticClass: ["grp_obj"]
    }, [_c('text', {
      staticClass: ["grp_obj1"]
    }, [_vm._v("[问题类型] ")]), _c('text', {
      staticClass: ["grp_obj2"]
    }, [_vm._v("[问题类型] " + _vm._s(cdata.issue))])]), _c('div', {
      staticClass: ["grp_obj"]
    }, [_c('text', {
      staticClass: ["grp_obj1"]
    }, [_vm._v("[投诉要求] ")]), _c('text', {
      staticClass: ["grp_obj2"]
    }, [_vm._v("[投诉要求] " + _vm._s(cdata.appeal))])]), (cdata.status == 0) ? _c('text', {
      staticClass: ["gl_status"]
    }, [_vm._v("待审核")]) : (cdata.status == 1) ? _c('text', {
      staticClass: ["gl_status"]
    }, [_vm._v("待分配")]) : (cdata.status == 2) ? _c('text', {
      staticClass: ["gl_status"]
    }, [_vm._v("审核通过待发布")]) : (cdata.status == 3) ? _c('text', {
      staticClass: ["gl_status"]
    }, [_vm._v("已发布")]) : (cdata.status == 4) ? _c('text', {
      staticClass: ["gl_status"]
    }, [_vm._v("审核不通过")]) : (cdata.status == 5) ? _c('text', {
      staticClass: ["gl_status"]
    }, [_vm._v("已关闭")]) : _vm._e(), _c('div', {
      staticClass: ["heimao_ops"],
      on: {
        "click": function($event) {}
      }
    }, [_c('div', {
      staticClass: ["ops"],
      on: {
        "click": function($event) {
          _vm.zanGrpOps(cdata.gsn, cindex)
        }
      }
    }, [_c('image', {
      staticClass: ["zan"],
      attrs: {
        "resize": "contain",
        "src": cdata.upvoted ? 'https://n.sinaimg.cn/tech/hmapp/zaned3x.png' : 'https://n.sinaimg.cn/tech/hmapp/vote_small.png'
      }
    }), _c('text', {
      staticClass: ["otxt"],
      class: [cdata.upvoted ? 'stxt' : '']
    }, [_vm._v(_vm._s(cdata.upvote_amt))])]), _c('div', {
      staticClass: ["ops"],
      on: {
        "click": function($event) {
          _vm.toCmntList(cdata.cmnt_id)
        }
      }
    }, [_c('image', {
      staticClass: ["cmnt"],
      attrs: {
        "resize": "contain",
        "src": "https://n.sinaimg.cn/tech/hmapp/comment_small.png"
      }
    }), _c('text', {
      staticClass: ["otxt"]
    }, [_vm._v(_vm._s(cdata.cmnt_amt))])]), _c('div', {
      staticClass: ["ops"],
      on: {
        "click": function($event) {
          _vm.showGrpShare(cdata, cindex)
        }
      }
    }, [_c('image', {
      staticClass: ["share"],
      attrs: {
        "resize": "contain",
        "src": cdata.isshare ? 'https://n.sinaimg.cn/tech/hmapp/shareed3x.png' : 'https://n.sinaimg.cn/tech/hmapp/share_small.png'
      }
    }), _c('text', {
      staticClass: ["otxt"]
    }, [_vm._v(_vm._s(cdata.share_amt))])])]), _c('div', {
      staticClass: ["complaint_btn"]
    }, [(cdata.can_add) ? _c('text', {
      staticClass: ["complaint_btn1"],
      on: {
        "click": function($event) {
          _vm.toComplaint(3, cdata.gsn)
        }
      }
    }, [_vm._v("补充投诉")]) : _vm._e(), (cdata.can_reply) ? _c('text', {
      staticClass: ["complaint_btn1"],
      on: {
        "click": function($event) {
          _vm.toComplaint(3, cdata.gsn)
        }
      }
    }, [_vm._v("回复")]) : _vm._e(), (cdata.can_update) ? _c('text', {
      staticClass: ["complaint_btn1"],
      on: {
        "click": function($event) {
          _vm.toComplaint(4, cdata.gsn)
        }
      }
    }, [_vm._v("修改投诉")]) : _vm._e(), (cdata.can_shrimg) ? _c('text', {
      staticClass: ["complaint_btn3"],
      on: {
        "click": function($event) {
          _vm.getGrpPic(cdata.gsn)
        }
      }
    }, [_vm._v("邀请参与集体投诉")]) : _vm._e()])]), _c('div', {
      staticClass: ["item_space"]
    })])
  }) : (_vm.tabnum == 2 && !_vm.showLoading) ? [_vm._m(1)] : _vm._e(), (_vm.showLoading) ? _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["loading"]
  }, [(_vm.isiOS) ? _c('image', {
    ref: "refreshtag",
    staticClass: ["refresh_text"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/zcapp/zc_loading.gif?v=2.0"
    }
  }) : _c('GifImage', {
    ref: "refreshtag",
    staticClass: ["refresh_text"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/zcapp/zc_loading.gif?v=2.0"
    }
  })], 1)]) : _vm._e(), _vm._m(2)], 2), (_vm.gshare_tag) ? _c('div', {
    staticClass: ["gshare_box"],
    on: {
      "click": function($event) {}
    }
  }, [_c('div', {
    staticClass: ["gshare_mask"],
    on: {
      "click": _vm.closeGrp
    }
  }), (!_vm.gshare_pic) ? _c('text', {
    staticClass: ["gshare_loading"]
  }, [_vm._v("分享图片生成中...")]) : _vm._e(), (_vm.gshare_pic) ? _c('div', {
    staticClass: ["gshare_wrap"]
  }, [_c('div', {
    staticClass: ["gshare_photo"]
  }, [_c('image', {
    ref: "groupic",
    staticClass: ["gshare_bg"],
    attrs: {
      "src": _vm.gshare_src
    }
  }), _c('image', {
    staticClass: ["gshare_close"],
    attrs: {
      "src": "https://n.sinaimg.cn/finance/blackcat/wap/img/share_close.png"
    },
    on: {
      "click": _vm.closeGrp
    }
  })]), _c('div', {
    staticClass: ["gshare_btn"]
  }, [_c('div', {
    staticClass: ["gbtn", "gbtn1"],
    on: {
      "click": _vm.grpSave
    }
  }, [_c('image', {
    staticClass: ["gimage"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/grp_save2x.png"
    }
  }), _c('text', {
    staticClass: ["gtext"]
  }, [_vm._v("保存")])]), _c('div', {
    staticClass: ["gbtn"],
    on: {
      "click": _vm.grpShare
    }
  }, [_c('image', {
    staticClass: ["gimage"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/grp_share2x.png"
    }
  }), _c('text', {
    staticClass: ["gtext"]
  }, [_vm._v("分享")])])])]) : _vm._e()]) : _vm._e()], 1)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('text', {
    staticClass: ["heimao_no_msg"]
  }, [_vm._v("暂无更多")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('text', {
    staticClass: ["heimao_no_msg"]
  }, [_vm._v("暂无更多")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('cell', {
    appendAsTree: true,
    attrs: {
      "append": "tree"
    }
  }, [_c('div', {
    staticClass: ["btmspace"]
  })])
}]}
module.exports.render._withStripped = true

/***/ }),

/***/ 12:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(13)
)

/* script */
__vue_exports__ = __webpack_require__(14)

/* template */
var __vue_template__ = __webpack_require__(15)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/src/components/topBlank.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3920bce2"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = {
  "iPhoneXDiv": {
    "height": "76"
  },
  "iOSDiv": {
    "height": "38"
  },
  "android": {
    "height": "0"
  }
}

/***/ }),

/***/ 14:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var device = weex.config.env;
exports.default = {
    data: function data() {
        return {
            isiPhoneX: device.platform === "iOS" && (device.deviceHeight === 1792 || device.deviceHeight >= 2436),
            isiOS: device.platform === 'iOS',
            isAndroid: device.platform === 'android'
        };
    }
};

/***/ }),

/***/ 15:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.isiPhoneX) ? _c('div', {
    staticClass: ["iPhoneXDiv"]
  }) : (_vm.isiOS) ? _c('div', {
    staticClass: ["iOSDiv"]
  }) : (_vm.isAndroid) ? _c('div', {
    staticClass: ["android"]
  }) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory();
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define([], factory);
	}
	else {
		// Global (browser)
		root.CryptoJS = factory();
	}
}(this, function () {

	/**
	 * CryptoJS core components.
	 */
	var CryptoJS = CryptoJS || (function (Math, undefined) {
	    /*
	     * Local polyfil of Object.create
	     */
	    var create = Object.create || (function () {
	        function F() {};

	        return function (obj) {
	            var subtype;

	            F.prototype = obj;

	            subtype = new F();

	            F.prototype = null;

	            return subtype;
	        };
	    }())

	    /**
	     * CryptoJS namespace.
	     */
	    var C = {};

	    /**
	     * Library namespace.
	     */
	    var C_lib = C.lib = {};

	    /**
	     * Base object for prototypal inheritance.
	     */
	    var Base = C_lib.Base = (function () {


	        return {
	            /**
	             * Creates a new object that inherits from this object.
	             *
	             * @param {Object} overrides Properties to copy into the new object.
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         field: 'value',
	             *
	             *         method: function () {
	             *         }
	             *     });
	             */
	            extend: function (overrides) {
	                // Spawn
	                var subtype = create(this);

	                // Augment
	                if (overrides) {
	                    subtype.mixIn(overrides);
	                }

	                // Create default initializer
	                if (!subtype.hasOwnProperty('init') || this.init === subtype.init) {
	                    subtype.init = function () {
	                        subtype.$super.init.apply(this, arguments);
	                    };
	                }

	                // Initializer's prototype is the subtype object
	                subtype.init.prototype = subtype;

	                // Reference supertype
	                subtype.$super = this;

	                return subtype;
	            },

	            /**
	             * Extends this object and runs the init method.
	             * Arguments to create() will be passed to init().
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var instance = MyType.create();
	             */
	            create: function () {
	                var instance = this.extend();
	                instance.init.apply(instance, arguments);

	                return instance;
	            },

	            /**
	             * Initializes a newly created object.
	             * Override this method to add some logic when your objects are created.
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         init: function () {
	             *             // ...
	             *         }
	             *     });
	             */
	            init: function () {
	            },

	            /**
	             * Copies properties into this object.
	             *
	             * @param {Object} properties The properties to mix in.
	             *
	             * @example
	             *
	             *     MyType.mixIn({
	             *         field: 'value'
	             *     });
	             */
	            mixIn: function (properties) {
	                for (var propertyName in properties) {
	                    if (properties.hasOwnProperty(propertyName)) {
	                        this[propertyName] = properties[propertyName];
	                    }
	                }

	                // IE won't copy toString using the loop above
	                if (properties.hasOwnProperty('toString')) {
	                    this.toString = properties.toString;
	                }
	            },

	            /**
	             * Creates a copy of this object.
	             *
	             * @return {Object} The clone.
	             *
	             * @example
	             *
	             *     var clone = instance.clone();
	             */
	            clone: function () {
	                return this.init.prototype.extend(this);
	            }
	        };
	    }());

	    /**
	     * An array of 32-bit words.
	     *
	     * @property {Array} words The array of 32-bit words.
	     * @property {number} sigBytes The number of significant bytes in this word array.
	     */
	    var WordArray = C_lib.WordArray = Base.extend({
	        /**
	         * Initializes a newly created word array.
	         *
	         * @param {Array} words (Optional) An array of 32-bit words.
	         * @param {number} sigBytes (Optional) The number of significant bytes in the words.
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.create();
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607]);
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607], 6);
	         */
	        init: function (words, sigBytes) {
	            words = this.words = words || [];

	            if (sigBytes != undefined) {
	                this.sigBytes = sigBytes;
	            } else {
	                this.sigBytes = words.length * 4;
	            }
	        },

	        /**
	         * Converts this word array to a string.
	         *
	         * @param {Encoder} encoder (Optional) The encoding strategy to use. Default: CryptoJS.enc.Hex
	         *
	         * @return {string} The stringified word array.
	         *
	         * @example
	         *
	         *     var string = wordArray + '';
	         *     var string = wordArray.toString();
	         *     var string = wordArray.toString(CryptoJS.enc.Utf8);
	         */
	        toString: function (encoder) {
	            return (encoder || Hex).stringify(this);
	        },

	        /**
	         * Concatenates a word array to this word array.
	         *
	         * @param {WordArray} wordArray The word array to append.
	         *
	         * @return {WordArray} This word array.
	         *
	         * @example
	         *
	         *     wordArray1.concat(wordArray2);
	         */
	        concat: function (wordArray) {
	            // Shortcuts
	            var thisWords = this.words;
	            var thatWords = wordArray.words;
	            var thisSigBytes = this.sigBytes;
	            var thatSigBytes = wordArray.sigBytes;

	            // Clamp excess bits
	            this.clamp();

	            // Concat
	            if (thisSigBytes % 4) {
	                // Copy one byte at a time
	                for (var i = 0; i < thatSigBytes; i++) {
	                    var thatByte = (thatWords[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                    thisWords[(thisSigBytes + i) >>> 2] |= thatByte << (24 - ((thisSigBytes + i) % 4) * 8);
	                }
	            } else {
	                // Copy one word at a time
	                for (var i = 0; i < thatSigBytes; i += 4) {
	                    thisWords[(thisSigBytes + i) >>> 2] = thatWords[i >>> 2];
	                }
	            }
	            this.sigBytes += thatSigBytes;

	            // Chainable
	            return this;
	        },

	        /**
	         * Removes insignificant bits.
	         *
	         * @example
	         *
	         *     wordArray.clamp();
	         */
	        clamp: function () {
	            // Shortcuts
	            var words = this.words;
	            var sigBytes = this.sigBytes;

	            // Clamp
	            words[sigBytes >>> 2] &= 0xffffffff << (32 - (sigBytes % 4) * 8);
	            words.length = Math.ceil(sigBytes / 4);
	        },

	        /**
	         * Creates a copy of this word array.
	         *
	         * @return {WordArray} The clone.
	         *
	         * @example
	         *
	         *     var clone = wordArray.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone.words = this.words.slice(0);

	            return clone;
	        },

	        /**
	         * Creates a word array filled with random bytes.
	         *
	         * @param {number} nBytes The number of random bytes to generate.
	         *
	         * @return {WordArray} The random word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.random(16);
	         */
	        random: function (nBytes) {
	            var words = [];

	            var r = (function (m_w) {
	                var m_w = m_w;
	                var m_z = 0x3ade68b1;
	                var mask = 0xffffffff;

	                return function () {
	                    m_z = (0x9069 * (m_z & 0xFFFF) + (m_z >> 0x10)) & mask;
	                    m_w = (0x4650 * (m_w & 0xFFFF) + (m_w >> 0x10)) & mask;
	                    var result = ((m_z << 0x10) + m_w) & mask;
	                    result /= 0x100000000;
	                    result += 0.5;
	                    return result * (Math.random() > .5 ? 1 : -1);
	                }
	            });

	            for (var i = 0, rcache; i < nBytes; i += 4) {
	                var _r = r((rcache || Math.random()) * 0x100000000);

	                rcache = _r() * 0x3ade67b7;
	                words.push((_r() * 0x100000000) | 0);
	            }

	            return new WordArray.init(words, nBytes);
	        }
	    });

	    /**
	     * Encoder namespace.
	     */
	    var C_enc = C.enc = {};

	    /**
	     * Hex encoding strategy.
	     */
	    var Hex = C_enc.Hex = {
	        /**
	         * Converts a word array to a hex string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The hex string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var hexString = CryptoJS.enc.Hex.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;

	            // Convert
	            var hexChars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                hexChars.push((bite >>> 4).toString(16));
	                hexChars.push((bite & 0x0f).toString(16));
	            }

	            return hexChars.join('');
	        },

	        /**
	         * Converts a hex string to a word array.
	         *
	         * @param {string} hexStr The hex string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Hex.parse(hexString);
	         */
	        parse: function (hexStr) {
	            // Shortcut
	            var hexStrLength = hexStr.length;

	            // Convert
	            var words = [];
	            for (var i = 0; i < hexStrLength; i += 2) {
	                words[i >>> 3] |= parseInt(hexStr.substr(i, 2), 16) << (24 - (i % 8) * 4);
	            }

	            return new WordArray.init(words, hexStrLength / 2);
	        }
	    };

	    /**
	     * Latin1 encoding strategy.
	     */
	    var Latin1 = C_enc.Latin1 = {
	        /**
	         * Converts a word array to a Latin1 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The Latin1 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var latin1String = CryptoJS.enc.Latin1.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;

	            // Convert
	            var latin1Chars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                latin1Chars.push(String.fromCharCode(bite));
	            }

	            return latin1Chars.join('');
	        },

	        /**
	         * Converts a Latin1 string to a word array.
	         *
	         * @param {string} latin1Str The Latin1 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Latin1.parse(latin1String);
	         */
	        parse: function (latin1Str) {
	            // Shortcut
	            var latin1StrLength = latin1Str.length;

	            // Convert
	            var words = [];
	            for (var i = 0; i < latin1StrLength; i++) {
	                words[i >>> 2] |= (latin1Str.charCodeAt(i) & 0xff) << (24 - (i % 4) * 8);
	            }

	            return new WordArray.init(words, latin1StrLength);
	        }
	    };

	    /**
	     * UTF-8 encoding strategy.
	     */
	    var Utf8 = C_enc.Utf8 = {
	        /**
	         * Converts a word array to a UTF-8 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The UTF-8 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var utf8String = CryptoJS.enc.Utf8.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            try {
	                return decodeURIComponent(escape(Latin1.stringify(wordArray)));
	            } catch (e) {
	                throw new Error('Malformed UTF-8 data');
	            }
	        },

	        /**
	         * Converts a UTF-8 string to a word array.
	         *
	         * @param {string} utf8Str The UTF-8 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Utf8.parse(utf8String);
	         */
	        parse: function (utf8Str) {
	            return Latin1.parse(unescape(encodeURIComponent(utf8Str)));
	        }
	    };

	    /**
	     * Abstract buffered block algorithm template.
	     *
	     * The property blockSize must be implemented in a concrete subtype.
	     *
	     * @property {number} _minBufferSize The number of blocks that should be kept unprocessed in the buffer. Default: 0
	     */
	    var BufferedBlockAlgorithm = C_lib.BufferedBlockAlgorithm = Base.extend({
	        /**
	         * Resets this block algorithm's data buffer to its initial state.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm.reset();
	         */
	        reset: function () {
	            // Initial values
	            this._data = new WordArray.init();
	            this._nDataBytes = 0;
	        },

	        /**
	         * Adds new data to this block algorithm's buffer.
	         *
	         * @param {WordArray|string} data The data to append. Strings are converted to a WordArray using UTF-8.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm._append('data');
	         *     bufferedBlockAlgorithm._append(wordArray);
	         */
	        _append: function (data) {
	            // Convert string to WordArray, else assume WordArray already
	            if (typeof data == 'string') {
	                data = Utf8.parse(data);
	            }

	            // Append
	            this._data.concat(data);
	            this._nDataBytes += data.sigBytes;
	        },

	        /**
	         * Processes available data blocks.
	         *
	         * This method invokes _doProcessBlock(offset), which must be implemented by a concrete subtype.
	         *
	         * @param {boolean} doFlush Whether all blocks and partial blocks should be processed.
	         *
	         * @return {WordArray} The processed data.
	         *
	         * @example
	         *
	         *     var processedData = bufferedBlockAlgorithm._process();
	         *     var processedData = bufferedBlockAlgorithm._process(!!'flush');
	         */
	        _process: function (doFlush) {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;
	            var dataSigBytes = data.sigBytes;
	            var blockSize = this.blockSize;
	            var blockSizeBytes = blockSize * 4;

	            // Count blocks ready
	            var nBlocksReady = dataSigBytes / blockSizeBytes;
	            if (doFlush) {
	                // Round up to include partial blocks
	                nBlocksReady = Math.ceil(nBlocksReady);
	            } else {
	                // Round down to include only full blocks,
	                // less the number of blocks that must remain in the buffer
	                nBlocksReady = Math.max((nBlocksReady | 0) - this._minBufferSize, 0);
	            }

	            // Count words ready
	            var nWordsReady = nBlocksReady * blockSize;

	            // Count bytes ready
	            var nBytesReady = Math.min(nWordsReady * 4, dataSigBytes);

	            // Process blocks
	            if (nWordsReady) {
	                for (var offset = 0; offset < nWordsReady; offset += blockSize) {
	                    // Perform concrete-algorithm logic
	                    this._doProcessBlock(dataWords, offset);
	                }

	                // Remove processed words
	                var processedWords = dataWords.splice(0, nWordsReady);
	                data.sigBytes -= nBytesReady;
	            }

	            // Return processed words
	            return new WordArray.init(processedWords, nBytesReady);
	        },

	        /**
	         * Creates a copy of this object.
	         *
	         * @return {Object} The clone.
	         *
	         * @example
	         *
	         *     var clone = bufferedBlockAlgorithm.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone._data = this._data.clone();

	            return clone;
	        },

	        _minBufferSize: 0
	    });

	    /**
	     * Abstract hasher template.
	     *
	     * @property {number} blockSize The number of 32-bit words this hasher operates on. Default: 16 (512 bits)
	     */
	    var Hasher = C_lib.Hasher = BufferedBlockAlgorithm.extend({
	        /**
	         * Configuration options.
	         */
	        cfg: Base.extend(),

	        /**
	         * Initializes a newly created hasher.
	         *
	         * @param {Object} cfg (Optional) The configuration options to use for this hash computation.
	         *
	         * @example
	         *
	         *     var hasher = CryptoJS.algo.SHA256.create();
	         */
	        init: function (cfg) {
	            // Apply config defaults
	            this.cfg = this.cfg.extend(cfg);

	            // Set initial values
	            this.reset();
	        },

	        /**
	         * Resets this hasher to its initial state.
	         *
	         * @example
	         *
	         *     hasher.reset();
	         */
	        reset: function () {
	            // Reset data buffer
	            BufferedBlockAlgorithm.reset.call(this);

	            // Perform concrete-hasher logic
	            this._doReset();
	        },

	        /**
	         * Updates this hasher with a message.
	         *
	         * @param {WordArray|string} messageUpdate The message to append.
	         *
	         * @return {Hasher} This hasher.
	         *
	         * @example
	         *
	         *     hasher.update('message');
	         *     hasher.update(wordArray);
	         */
	        update: function (messageUpdate) {
	            // Append
	            this._append(messageUpdate);

	            // Update the hash
	            this._process();

	            // Chainable
	            return this;
	        },

	        /**
	         * Finalizes the hash computation.
	         * Note that the finalize operation is effectively a destructive, read-once operation.
	         *
	         * @param {WordArray|string} messageUpdate (Optional) A final message update.
	         *
	         * @return {WordArray} The hash.
	         *
	         * @example
	         *
	         *     var hash = hasher.finalize();
	         *     var hash = hasher.finalize('message');
	         *     var hash = hasher.finalize(wordArray);
	         */
	        finalize: function (messageUpdate) {
	            // Final message update
	            if (messageUpdate) {
	                this._append(messageUpdate);
	            }

	            // Perform concrete-hasher logic
	            var hash = this._doFinalize();

	            return hash;
	        },

	        blockSize: 512/32,

	        /**
	         * Creates a shortcut function to a hasher's object interface.
	         *
	         * @param {Hasher} hasher The hasher to create a helper for.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var SHA256 = CryptoJS.lib.Hasher._createHelper(CryptoJS.algo.SHA256);
	         */
	        _createHelper: function (hasher) {
	            return function (message, cfg) {
	                return new hasher.init(cfg).finalize(message);
	            };
	        },

	        /**
	         * Creates a shortcut function to the HMAC's object interface.
	         *
	         * @param {Hasher} hasher The hasher to use in this HMAC helper.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var HmacSHA256 = CryptoJS.lib.Hasher._createHmacHelper(CryptoJS.algo.SHA256);
	         */
	        _createHmacHelper: function (hasher) {
	            return function (message, key) {
	                return new C_algo.HMAC.init(hasher, key).finalize(message);
	            };
	        }
	    });

	    /**
	     * Algorithm namespace.
	     */
	    var C_algo = C.algo = {};

	    return C;
	}(Math));


	return CryptoJS;

}));

/***/ }),

/***/ 20:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(22)
)

/* script */
__vue_exports__ = __webpack_require__(23)

/* template */
var __vue_template__ = __webpack_require__(24)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/src/components/operate.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-39ea31a4"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 21:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(25)
)

/* script */
__vue_exports__ = __webpack_require__(26)

/* template */
var __vue_template__ = __webpack_require__(27)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/src/components/progress.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-48caafbd"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 22:
/***/ (function(module, exports) {

module.exports = {
  "heimao_ops": {
    "marginTop": "24",
    "height": "26",
    "display": "flex",
    "flexDirection": "row"
  },
  "ops": {
    "height": "26",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "marginRight": "60"
  },
  "zan": {
    "width": "23",
    "height": "25",
    "alignSelf": "flex-start"
  },
  "cmnt": {
    "width": "24",
    "height": "26",
    "alignSelf": "flex-end"
  },
  "share": {
    "width": "23",
    "height": "24",
    "alignSelf": "center"
  },
  "txt": {
    "fontSize": "22",
    "color": "#84848A",
    "marginLeft": "10"
  },
  "stxt": {
    "color": "#fbaf17"
  }
}

/***/ }),

/***/ 23:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _util = __webpack_require__(4);

var _util2 = _interopRequireDefault(_util);

var _login = __webpack_require__(3);

var _login2 = _interopRequireDefault(_login);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var navigator = weex.requireModule('navigator');
var modal = weex.requireModule('modal');
exports.default = {
  props: ['opdata', 'cmntshow'],
  data: function data() {
    return {
      baseUrl: ""
    };
  },
  created: function created() {
    this.baseUrl = _util2.default.getBaseUrl(weex.config.bundleUrl);
  },

  methods: {
    zanOps: function zanOps() {
      var _this = this;

      _login2.default.isLogin().then(function (res) {
        if (res) {
          _this.$emit("zanOps");
        } else {
          var params = {
            'url': _this.baseUrl + 'me/melogin.js',
            'animated': 'true'
          };
          navigator.push(params, function (e) {});
        }
      });
    },
    toCmntList: function toCmntList() {
      this.$emit("toCmntList");
    },
    showShare: function showShare() {
      this.$emit("showShare");
    }
  }
};

/***/ }),

/***/ 24:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["heimao_ops"]
  }, [_c('div', {
    staticClass: ["ops"],
    on: {
      "click": _vm.zanOps
    }
  }, [_c('image', {
    staticClass: ["zan"],
    attrs: {
      "resize": "contain",
      "src": _vm.opdata.is_upvote ? 'https://n.sinaimg.cn/tech/hmapp/app_new_zan2.png' : 'https://n.sinaimg.cn/tech/hmapp/app_new_zan1.png'
    }
  }), (_vm.opdata.upvote_amount > 0) ? _c('text', {
    staticClass: ["txt"],
    class: [_vm.opdata.is_upvote ? 'stxt' : '']
  }, [_vm._v(_vm._s(_vm.opdata.upvote_amount))]) : _vm._e()]), (_vm.cmntshow != 1) ? _c('div', {
    staticClass: ["ops"],
    on: {
      "click": _vm.toCmntList
    }
  }, [_c('image', {
    staticClass: ["cmnt"],
    attrs: {
      "resize": "contain",
      "src": "https://n.sinaimg.cn/tech/hmapp/app_new_cmnt1.png"
    }
  }), (_vm.opdata.comment_amount > 0) ? _c('text', {
    staticClass: ["txt"]
  }, [_vm._v(_vm._s(_vm.opdata.comment_amount))]) : _vm._e()]) : _vm._e(), _c('div', {
    staticClass: ["ops"],
    on: {
      "click": _vm.showShare
    }
  }, [_c('image', {
    staticClass: ["share"],
    attrs: {
      "resize": "contain",
      "src": _vm.opdata.isshare ? 'https://n.sinaimg.cn/tech/hmapp/app_new_share2.png' : 'https://n.sinaimg.cn/tech/hmapp/app_new_share1.png'
    }
  }), (_vm.opdata.share_amount > 0) ? _c('text', {
    staticClass: ["txt"],
    class: [_vm.opdata.isshare ? 'stxt' : '']
  }, [_vm._v(_vm._s(_vm.opdata.share_amount))]) : _vm._e()])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 25:
/***/ (function(module, exports) {

module.exports = {
  "item_tag": {
    "position": "absolute",
    "height": "48",
    "right": "0",
    "top": "42"
  },
  "statusbg": {
    "width": "170",
    "height": "48"
  },
  "statusbg1": {
    "width": "197"
  },
  "statustxt": {
    "position": "absolute",
    "fontSize": "26",
    "color": "#ffffff",
    "top": "0",
    "right": "24",
    "lineHeight": "48"
  }
}

/***/ }),

/***/ 26:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var device = weex.config.env;
exports.default = {
    props: {
        progress: -1,
        isUsr: false
    },
    data: function data() {
        return {};
    }
};

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.progress == 0) ? _c('div', {
    staticClass: ["item_tag"]
  }, [_c('image', {
    staticClass: ["statusbg", "statusbg1"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/tousu43x.png"
    }
  }), _c('text', {
    staticClass: ["statustxt"]
  }, [_vm._v("待平台审核")])]) : (_vm.progress == 1) ? _c('div', {
    staticClass: ["item_tag"]
  }, [_c('image', {
    staticClass: ["statusbg", "statusbg1"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/tousu33x.png"
    }
  }), _c('text', {
    staticClass: ["statustxt"]
  }, [_vm._v("审核已通过")])]) : (_vm.progress == 2) ? _c('div', {
    staticClass: ["item_tag"]
  }, [_c('image', {
    staticClass: ["statusbg", "statusbg1"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/tousu33x.png"
    }
  }), _c('text', {
    staticClass: ["statustxt"]
  }, [_vm._v("审核未通过")])]) : (_vm.progress == 3) ? _c('div', {
    staticClass: ["item_tag"]
  }, [_c('image', {
    staticClass: ["statusbg", "statusbg1"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/tousu33x.png"
    }
  }), _c('text', {
    staticClass: ["statustxt"]
  }, [_vm._v("待分配商家")])]) : (_vm.progress == 4) ? _c('div', {
    staticClass: ["item_tag"]
  }, [_c('image', {
    staticClass: ["statusbg"],
    class: [_vm.isUsr ? 'statusbg1' : ''],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/tousu33x.png"
    }
  }), (_vm.isUsr) ? _c('text', {
    staticClass: ["statustxt"]
  }, [_vm._v("待商家回复")]) : _c('text', {
    staticClass: ["statustxt"]
  }, [_vm._v("处理中")])]) : (_vm.progress == 5) ? _c('div', {
    staticClass: ["item_tag"]
  }, [_c('image', {
    staticClass: ["statusbg", "statusbg1"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/tousu53x.png"
    }
  }), _c('text', {
    staticClass: ["statustxt"]
  }, [_vm._v("分配商家失败")])]) : (_vm.progress == 6) ? _c('div', {
    staticClass: ["item_tag"]
  }, [_c('image', {
    staticClass: ["statusbg"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/tousu13x.png"
    }
  }), _c('text', {
    staticClass: ["statustxt"]
  }, [_vm._v("已回复")])]) : (_vm.progress == 7) ? _c('div', {
    staticClass: ["item_tag"]
  }, [_c('image', {
    staticClass: ["statusbg"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/tousu23x.png"
    }
  }), _c('text', {
    staticClass: ["statustxt"]
  }, [_vm._v("已完成")])]) : (_vm.progress == 8) ? _c('div', {
    staticClass: ["item_tag"]
  }, [_c('image', {
    staticClass: ["statusbg"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/tousu53x.png"
    }
  }), _c('text', {
    staticClass: ["statustxt"]
  }, [_vm._v("已关闭")])]) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 28:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(31)
)

/* script */
__vue_exports__ = __webpack_require__(32)

/* template */
var __vue_template__ = __webpack_require__(33)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/src/components/searchBox.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-113924ba"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// 登录组件
var loginModule = weex.requireModule('STWeekLoginModule');
var modal = weex.requireModule('modal');
var WXBadge = weex.requireModule('WXBadge');
var storage = weex.requireModule('storage');


// 是否登录
function isLogin() {
  return new Promise(function (resolve) {
    // let userInfo = loginModule.weiboUserInfo();
    // if (userInfo.length <= 0) {
    storage.getItem("user_login_sub", function (event) {
      if (event.data && event.data != 'undefined') {
        resolve(true);
      } else {
        resolve(false);
      }
    });
    // }
    // else {
    //   resolve(true);
    // }
  });
}

// 退出登录
function logout(msg) {
  storage.getItem("user_login_type", function (event) {
    if (event.data && event.data == 'weibo') {
      loginModule.openURL('weiboLogoutAction', function (ret) {
        var loginInfo = ret;
        if (loginInfo.length <= 0) {
          storage.removeItem("phone_login_code"); //清理刷新cookie
          storage.removeItem("user_login_sub"); //清理登录sub
          storage.removeItem("phone_web_cookie"); //清理webview的cookie
          delWebCookie(); //端上清理webview的cookie
          WXBadge.hideBadge(); //清理个人消息
          var logoutchannel = new BroadcastChannel("logout");
          logoutchannel.postMessage("logout");
          storage.setItem("toPageTag", "false"); //清理创建投诉tag
          _apis2.default.loginsub = {}; //清理sub
          if (!msg) {
            modal.toast({
              message: '退出登录成功',
              duration: 0.3
            });
          }
        }
      });
    } else {
      _apis2.default.post('' + _configApi2.default.logout_phone, {
        "sub": event.data
      }).then(function () {
        storage.removeItem("phone_login_code"); //清理刷新cookie
        storage.removeItem("user_login_sub"); //清理登录sub
        storage.removeItem("phone_web_cookie"); //清理webview的cookie
        delWebCookie(); //端上清理webview的cookie
        WXBadge.hideBadge(); //清理个人消息
        var logoutchannel = new BroadcastChannel("logout");
        logoutchannel.postMessage("logout");
        storage.setItem("toPageTag", "false"); //清理创建投诉tag
        _apis2.default.loginsub = {}; //清理sub
        if (!msg) {
          modal.toast({
            message: '退出登录成功',
            duration: 0.3
          });
        }
      });
    }
  });
}
function setWebCookie(obj) {
  var wcookie = {
    ".sina.cn": {
      "Expries": obj.expire,
      "data": obj.cookie['.sina.cn'],
      "Domain": ".sina.cn"
    },
    ".sina.com.cn": {
      "Expries": obj.expire,
      "data": obj.cookie['.sina.com.cn'],
      "Domain": ".sina.com.cn"
    },
    ".weibo.com": {
      "Expries": obj.expire,
      "data": obj.cookie['.weibo.com'],
      "Domain": ".weibo.com"
    }
  };
  loginModule.setAppHttpCookie(JSON.stringify(wcookie));

  storage.setItem("phone_web_cookie", JSON.stringify(obj));
}

function delWebCookie() {
  loginModule.deleteAppHttpCookie();
}

storage.getItem("phone_web_cookie", function (event) {
  if (event.data && event.data != 'undefined') {
    setWebCookie(JSON.parse(event.data));
    var cookie_data = event.data;
    storage.getItem("phone_login_code", function (event) {
      if (event.data == "undefined") {
        storage.setItem("phone_login_code", cookie_data.sub + "$login$" + cookie_data.uid + "$login$" + cookie_data.expire);
      }
    });
  }
});

exports.default = {
  isLogin: isLogin,
  logout: logout,
  setWebCookie: setWebCookie
};

/***/ }),

/***/ 31:
/***/ (function(module, exports) {

module.exports = {
  "heimao_head": {
    "width": "750",
    "height": "100",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "space-between",
    "backgroundColor": "#000000"
  },
  "head_logo": {
    "width": "198",
    "height": "55",
    "marginLeft": "24"
  },
  "head_search": {
    "width": "480",
    "height": "64",
    "marginRight": "24"
  }
}

/***/ }),

/***/ 32:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _topBlank = __webpack_require__(12);

var _topBlank2 = _interopRequireDefault(_topBlank);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: ['toSearchPage', 'loadpage'],
    components: {
        TopBlank: _topBlank2.default
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 33:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["heimao_head"]
  }, [_c('image', {
    staticClass: ["head_logo"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/heimao_logo3x.png"
    },
    on: {
      "click": _vm.loadpage
    }
  }), _c('image', {
    staticClass: ["head_search"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/heimao_search3x.png"
    },
    on: {
      "click": _vm.toSearchPage
    }
  })])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 334:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _business = __webpack_require__(105);

var _business2 = _interopRequireDefault(_business);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_business2.default.el = '#root';
new Vue(_business2.default);

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
 * @Author: lidan6
 * @Date: 2018-09-10 09:54:36
 * @LastEditors: lidan6
 * @LastEditTime: 2021-03-03 10:37:52
 * @Description: 
 */
var device = weex.config.env;
var WXShareModule = weex.requireModule("WXShareModule");
var modal = weex.requireModule('modal');

var _votetemptag = false;
var utilFunc = {
  showShare: function showShare(param, callback) {
    WXShareModule.weexShare(param, function (ret) {
      if (ret == "success") {
        modal.toast({
          message: "分享成功",
          duration: 0.3
        });
        callback(true);
      } else if (ret == "fail") {
        modal.toast({
          message: "分享失败",
          duration: 0.3
        });
        //callback(false)
      }
    });
  },
  voteFor: function voteFor(obj, callback) {
    if (_votetemptag) return;
    _votetemptag = true;
    var turl = "";
    var data = {};
    if (obj.type) {
      turl = _configApi2.default.report_upvote;
      data = {
        id: obj.id
      };
    } else {
      turl = _configApi2.default.complaint_upvote;
      data = {
        sn: obj.id
      };
    }
    _apis2.default.post(turl, data).then(function (res) {
      callback(res);
      _votetemptag = false;
    }).catch(function (err) {
      _votetemptag = false;
      modal.toast({
        message: "点赞失败",
        duration: 0.8
      });
    });
  },
  initIconFont: function initIconFont() {
    //  let domModule = weex.requireModule('dom');
    //  domModule.addRule('fontFace', {
    //    'fontFamily': "iconfont",
    //    'src': "url('https://at.alicdn.com/t/font_404010_jgmnakd1zizr529.ttf')"
    //  });
  },
  getBaseUrl: function getBaseUrl(url) {
    var bundleUrl = new String(url);
    var nativeBase = void 0;
    //let isAndroidAssets  bundleUrl.indexOf('file://assets/') >= 0;
    //let isiOSAssets = device.platform === 'iOS' || bundleUrl.indexOf('file://') >= 0 && bundleUrl.indexOf('.app') > 0;
    if (device.platform === 'iOS') {
      nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
      nativeBase = nativeBase.split("/views/")[0] + "/views/";
    } else {
      nativeBase = 'file://assets/dist/views/';
    }
    //console.log("ios++:"+nativeBase);
    // }
    // else {
    //     let host = 'localhost:12580';
    //     let matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
    //     if (matches && matches.length >= 2) {
    //         host = matches[1];
    //     }
    //     nativeBase = 'https://' + host + '/' + this.dir + '/build/';
    // }
    var h5Base = './index.html?page=./' + this.dir + '/build/';
    // in Native
    var base = nativeBase;
    if ((typeof window === "undefined" ? "undefined" : _typeof(window)) === 'object') {
      // in Browser or WebView
      base = h5Base;
    }
    return base;
  },
  setBundleUrl: function setBundleUrl(url, jsFile) {
    var bundleUrl = url;
    var host = '';
    var path = '';
    var nativeBase = void 0;
    var isAndroidAssets = bundleUrl.indexOf('your_current_IP') >= 0 || bundleUrl.indexOf('file://assets/') >= 0;
    var isiOSAssets = bundleUrl.indexOf('file:///') >= 0 && bundleUrl.indexOf('SinaZC.app') > 0;
    if (isAndroidAssets) {
      nativeBase = 'file://assets/dist';
    } else if (isiOSAssets) {
      // file:///var/mobile/Containers/Bundle/Application/{id}/SinaZC.app/
      // file:///Users/{user}/Library/Developer/CoreSimulator/Devices/{id}/data/Containers/Bundle/Application/{id}/SinaZC.app/
      nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
    } else {
      var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
      var matchFirstPath = /\/\/[^\/]+\/([^\/]+)\//.exec(bundleUrl);
      if (matches && matches.length >= 2) {
        host = matches[1];
      }
      if (matchFirstPath && matchFirstPath.length >= 2) {
        path = matchFirstPath[1];
      }
      nativeBase = 'https://' + host + '/';
    }
    var h5Base = './index.html?page=';
    // in Native
    var base = nativeBase;
    if (typeof navigator !== 'undefined' && (navigator.appCodeName === 'Mozilla' || navigator.product === 'Gecko')) {
      // check if in weexpack project
      if (path === 'web' || path === 'dist') {
        base = h5Base + '/dist/';
      } else {
        base = h5Base + '';
      }
    } else {
      base = nativeBase + (!!path ? path + '/' : '');
    }

    var newUrl = base + jsFile;
    return newUrl;
  },
  getUrlSearch: function getUrlSearch(url, name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = url.slice(url.indexOf('?') + 1).match(reg);
    if (r != null) {
      try {
        return decodeURIComponent(r[2]);
      } catch (_e) {
        return null;
      }
    }
    return null;
  },
  getStrLen: function getStrLen(str) {
    var tstr = '' + str;
    var num = 0,
        arr = tstr.split(''),
        len = arr.length;
    for (var i = 0; i < len; i++) {
      if (/[^\x00-\xff]/ig.test(arr[i])) num += 2;else num++;
    }
    return num;
  },
  getUserName: function getUserName(str) {
    var tstr = '' + str;
    var num = 0,
        arr = tstr.split(''),
        len = arr.length,
        res = [];
    for (var i = 0; i < len; i++) {
      if (num > 10) {
        res.push('...');
        return res.join('');
      }
      if (/[^\x00-\xff]/ig.test(arr[i])) num += 2;else num++;
      res.push(arr[i]);
    }
    return res.join('');
  },
  isiOS: function isiOS() {
    return device.platform === 'iOS';
  },

  /*
   * 截断字符串
   * @param str 传入字符串
   * @param len 截断长度
   * @param hasDot 末尾是否...
   * @returns {String}
   */
  truncateString: function truncateString(str, len) {
    var hasDot = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

    var newLength = 0;
    var newStr = '';
    var singleChar = '';
    var chineseRegex = /[^\x00-\xff]/g;
    var strLength = str.replace(chineseRegex, '**').length;
    for (var i = 0; i < strLength; i++) {
      singleChar = str.charAt(i).toString();
      if (singleChar.match(chineseRegex) !== null) {
        newLength += 2;
      } else {
        newLength++;
      }
      if (newLength > len) {
        break;
      }
      newStr += singleChar;
    }

    if (hasDot && strLength > len) {
      newStr += '...';
    }
    return newStr;
  },
  mergeDeep: function mergeDeep(target) {
    var _Utils;

    for (var _len = arguments.length, sources = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      sources[_key - 1] = arguments[_key];
    }

    if (!sources.length) return target;
    var source = sources.shift();
    if (Utils.isObject(target) && Utils.isObject(source)) {
      for (var key in source) {
        if (Utils.isObject(source[key])) {
          if (!target[key]) {
            Object.assign(target, _defineProperty({}, key, {}));
          }
          Utils.mergeDeep(target[key], source[key]);
        } else {
          Object.assign(target, _defineProperty({}, key, source[key]));
        }
      }
    }
    return (_Utils = Utils).mergeDeep.apply(_Utils, [target].concat(sources));
  }
};

exports.default = utilFunc;

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory(__webpack_require__(2));
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define(["./core"], factory);
	}
	else {
		// Global (browser)
		factory(root.CryptoJS);
	}
}(this, function (CryptoJS) {

	(function (Math) {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var Hasher = C_lib.Hasher;
	    var C_algo = C.algo;

	    // Initialization and round constants tables
	    var H = [];
	    var K = [];

	    // Compute constants
	    (function () {
	        function isPrime(n) {
	            var sqrtN = Math.sqrt(n);
	            for (var factor = 2; factor <= sqrtN; factor++) {
	                if (!(n % factor)) {
	                    return false;
	                }
	            }

	            return true;
	        }

	        function getFractionalBits(n) {
	            return ((n - (n | 0)) * 0x100000000) | 0;
	        }

	        var n = 2;
	        var nPrime = 0;
	        while (nPrime < 64) {
	            if (isPrime(n)) {
	                if (nPrime < 8) {
	                    H[nPrime] = getFractionalBits(Math.pow(n, 1 / 2));
	                }
	                K[nPrime] = getFractionalBits(Math.pow(n, 1 / 3));

	                nPrime++;
	            }

	            n++;
	        }
	    }());

	    // Reusable object
	    var W = [];

	    /**
	     * SHA-256 hash algorithm.
	     */
	    var SHA256 = C_algo.SHA256 = Hasher.extend({
	        _doReset: function () {
	            this._hash = new WordArray.init(H.slice(0));
	        },

	        _doProcessBlock: function (M, offset) {
	            // Shortcut
	            var H = this._hash.words;

	            // Working variables
	            var a = H[0];
	            var b = H[1];
	            var c = H[2];
	            var d = H[3];
	            var e = H[4];
	            var f = H[5];
	            var g = H[6];
	            var h = H[7];

	            // Computation
	            for (var i = 0; i < 64; i++) {
	                if (i < 16) {
	                    W[i] = M[offset + i] | 0;
	                } else {
	                    var gamma0x = W[i - 15];
	                    var gamma0  = ((gamma0x << 25) | (gamma0x >>> 7))  ^
	                                  ((gamma0x << 14) | (gamma0x >>> 18)) ^
	                                   (gamma0x >>> 3);

	                    var gamma1x = W[i - 2];
	                    var gamma1  = ((gamma1x << 15) | (gamma1x >>> 17)) ^
	                                  ((gamma1x << 13) | (gamma1x >>> 19)) ^
	                                   (gamma1x >>> 10);

	                    W[i] = gamma0 + W[i - 7] + gamma1 + W[i - 16];
	                }

	                var ch  = (e & f) ^ (~e & g);
	                var maj = (a & b) ^ (a & c) ^ (b & c);

	                var sigma0 = ((a << 30) | (a >>> 2)) ^ ((a << 19) | (a >>> 13)) ^ ((a << 10) | (a >>> 22));
	                var sigma1 = ((e << 26) | (e >>> 6)) ^ ((e << 21) | (e >>> 11)) ^ ((e << 7)  | (e >>> 25));

	                var t1 = h + sigma1 + ch + K[i] + W[i];
	                var t2 = sigma0 + maj;

	                h = g;
	                g = f;
	                f = e;
	                e = (d + t1) | 0;
	                d = c;
	                c = b;
	                b = a;
	                a = (t1 + t2) | 0;
	            }

	            // Intermediate hash value
	            H[0] = (H[0] + a) | 0;
	            H[1] = (H[1] + b) | 0;
	            H[2] = (H[2] + c) | 0;
	            H[3] = (H[3] + d) | 0;
	            H[4] = (H[4] + e) | 0;
	            H[5] = (H[5] + f) | 0;
	            H[6] = (H[6] + g) | 0;
	            H[7] = (H[7] + h) | 0;
	        },

	        _doFinalize: function () {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;

	            var nBitsTotal = this._nDataBytes * 8;
	            var nBitsLeft = data.sigBytes * 8;

	            // Add padding
	            dataWords[nBitsLeft >>> 5] |= 0x80 << (24 - nBitsLeft % 32);
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 14] = Math.floor(nBitsTotal / 0x100000000);
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 15] = nBitsTotal;
	            data.sigBytes = dataWords.length * 4;

	            // Hash final blocks
	            this._process();

	            // Return final computed hash
	            return this._hash;
	        },

	        clone: function () {
	            var clone = Hasher.clone.call(this);
	            clone._hash = this._hash.clone();

	            return clone;
	        }
	    });

	    /**
	     * Shortcut function to the hasher's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     *
	     * @return {WordArray} The hash.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hash = CryptoJS.SHA256('message');
	     *     var hash = CryptoJS.SHA256(wordArray);
	     */
	    C.SHA256 = Hasher._createHelper(SHA256);

	    /**
	     * Shortcut function to the HMAC's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     * @param {WordArray|string} key The secret key.
	     *
	     * @return {WordArray} The HMAC.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hmac = CryptoJS.HmacSHA256(message, key);
	     */
	    C.HmacSHA256 = Hasher._createHmacHelper(SHA256);
	}(Math));


	return CryptoJS.SHA256;

}));

/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory(__webpack_require__(2));
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define(["./core"], factory);
	}
	else {
		// Global (browser)
		factory(root.CryptoJS);
	}
}(this, function (CryptoJS) {

	(function (Math) {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var Hasher = C_lib.Hasher;
	    var C_algo = C.algo;

	    // Constants table
	    var T = [];

	    // Compute constants
	    (function () {
	        for (var i = 0; i < 64; i++) {
	            T[i] = (Math.abs(Math.sin(i + 1)) * 0x100000000) | 0;
	        }
	    }());

	    /**
	     * MD5 hash algorithm.
	     */
	    var MD5 = C_algo.MD5 = Hasher.extend({
	        _doReset: function () {
	            this._hash = new WordArray.init([
	                0x67452301, 0xefcdab89,
	                0x98badcfe, 0x10325476
	            ]);
	        },

	        _doProcessBlock: function (M, offset) {
	            // Swap endian
	            for (var i = 0; i < 16; i++) {
	                // Shortcuts
	                var offset_i = offset + i;
	                var M_offset_i = M[offset_i];

	                M[offset_i] = (
	                    (((M_offset_i << 8)  | (M_offset_i >>> 24)) & 0x00ff00ff) |
	                    (((M_offset_i << 24) | (M_offset_i >>> 8))  & 0xff00ff00)
	                );
	            }

	            // Shortcuts
	            var H = this._hash.words;

	            var M_offset_0  = M[offset + 0];
	            var M_offset_1  = M[offset + 1];
	            var M_offset_2  = M[offset + 2];
	            var M_offset_3  = M[offset + 3];
	            var M_offset_4  = M[offset + 4];
	            var M_offset_5  = M[offset + 5];
	            var M_offset_6  = M[offset + 6];
	            var M_offset_7  = M[offset + 7];
	            var M_offset_8  = M[offset + 8];
	            var M_offset_9  = M[offset + 9];
	            var M_offset_10 = M[offset + 10];
	            var M_offset_11 = M[offset + 11];
	            var M_offset_12 = M[offset + 12];
	            var M_offset_13 = M[offset + 13];
	            var M_offset_14 = M[offset + 14];
	            var M_offset_15 = M[offset + 15];

	            // Working varialbes
	            var a = H[0];
	            var b = H[1];
	            var c = H[2];
	            var d = H[3];

	            // Computation
	            a = FF(a, b, c, d, M_offset_0,  7,  T[0]);
	            d = FF(d, a, b, c, M_offset_1,  12, T[1]);
	            c = FF(c, d, a, b, M_offset_2,  17, T[2]);
	            b = FF(b, c, d, a, M_offset_3,  22, T[3]);
	            a = FF(a, b, c, d, M_offset_4,  7,  T[4]);
	            d = FF(d, a, b, c, M_offset_5,  12, T[5]);
	            c = FF(c, d, a, b, M_offset_6,  17, T[6]);
	            b = FF(b, c, d, a, M_offset_7,  22, T[7]);
	            a = FF(a, b, c, d, M_offset_8,  7,  T[8]);
	            d = FF(d, a, b, c, M_offset_9,  12, T[9]);
	            c = FF(c, d, a, b, M_offset_10, 17, T[10]);
	            b = FF(b, c, d, a, M_offset_11, 22, T[11]);
	            a = FF(a, b, c, d, M_offset_12, 7,  T[12]);
	            d = FF(d, a, b, c, M_offset_13, 12, T[13]);
	            c = FF(c, d, a, b, M_offset_14, 17, T[14]);
	            b = FF(b, c, d, a, M_offset_15, 22, T[15]);

	            a = GG(a, b, c, d, M_offset_1,  5,  T[16]);
	            d = GG(d, a, b, c, M_offset_6,  9,  T[17]);
	            c = GG(c, d, a, b, M_offset_11, 14, T[18]);
	            b = GG(b, c, d, a, M_offset_0,  20, T[19]);
	            a = GG(a, b, c, d, M_offset_5,  5,  T[20]);
	            d = GG(d, a, b, c, M_offset_10, 9,  T[21]);
	            c = GG(c, d, a, b, M_offset_15, 14, T[22]);
	            b = GG(b, c, d, a, M_offset_4,  20, T[23]);
	            a = GG(a, b, c, d, M_offset_9,  5,  T[24]);
	            d = GG(d, a, b, c, M_offset_14, 9,  T[25]);
	            c = GG(c, d, a, b, M_offset_3,  14, T[26]);
	            b = GG(b, c, d, a, M_offset_8,  20, T[27]);
	            a = GG(a, b, c, d, M_offset_13, 5,  T[28]);
	            d = GG(d, a, b, c, M_offset_2,  9,  T[29]);
	            c = GG(c, d, a, b, M_offset_7,  14, T[30]);
	            b = GG(b, c, d, a, M_offset_12, 20, T[31]);

	            a = HH(a, b, c, d, M_offset_5,  4,  T[32]);
	            d = HH(d, a, b, c, M_offset_8,  11, T[33]);
	            c = HH(c, d, a, b, M_offset_11, 16, T[34]);
	            b = HH(b, c, d, a, M_offset_14, 23, T[35]);
	            a = HH(a, b, c, d, M_offset_1,  4,  T[36]);
	            d = HH(d, a, b, c, M_offset_4,  11, T[37]);
	            c = HH(c, d, a, b, M_offset_7,  16, T[38]);
	            b = HH(b, c, d, a, M_offset_10, 23, T[39]);
	            a = HH(a, b, c, d, M_offset_13, 4,  T[40]);
	            d = HH(d, a, b, c, M_offset_0,  11, T[41]);
	            c = HH(c, d, a, b, M_offset_3,  16, T[42]);
	            b = HH(b, c, d, a, M_offset_6,  23, T[43]);
	            a = HH(a, b, c, d, M_offset_9,  4,  T[44]);
	            d = HH(d, a, b, c, M_offset_12, 11, T[45]);
	            c = HH(c, d, a, b, M_offset_15, 16, T[46]);
	            b = HH(b, c, d, a, M_offset_2,  23, T[47]);

	            a = II(a, b, c, d, M_offset_0,  6,  T[48]);
	            d = II(d, a, b, c, M_offset_7,  10, T[49]);
	            c = II(c, d, a, b, M_offset_14, 15, T[50]);
	            b = II(b, c, d, a, M_offset_5,  21, T[51]);
	            a = II(a, b, c, d, M_offset_12, 6,  T[52]);
	            d = II(d, a, b, c, M_offset_3,  10, T[53]);
	            c = II(c, d, a, b, M_offset_10, 15, T[54]);
	            b = II(b, c, d, a, M_offset_1,  21, T[55]);
	            a = II(a, b, c, d, M_offset_8,  6,  T[56]);
	            d = II(d, a, b, c, M_offset_15, 10, T[57]);
	            c = II(c, d, a, b, M_offset_6,  15, T[58]);
	            b = II(b, c, d, a, M_offset_13, 21, T[59]);
	            a = II(a, b, c, d, M_offset_4,  6,  T[60]);
	            d = II(d, a, b, c, M_offset_11, 10, T[61]);
	            c = II(c, d, a, b, M_offset_2,  15, T[62]);
	            b = II(b, c, d, a, M_offset_9,  21, T[63]);

	            // Intermediate hash value
	            H[0] = (H[0] + a) | 0;
	            H[1] = (H[1] + b) | 0;
	            H[2] = (H[2] + c) | 0;
	            H[3] = (H[3] + d) | 0;
	        },

	        _doFinalize: function () {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;

	            var nBitsTotal = this._nDataBytes * 8;
	            var nBitsLeft = data.sigBytes * 8;

	            // Add padding
	            dataWords[nBitsLeft >>> 5] |= 0x80 << (24 - nBitsLeft % 32);

	            var nBitsTotalH = Math.floor(nBitsTotal / 0x100000000);
	            var nBitsTotalL = nBitsTotal;
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 15] = (
	                (((nBitsTotalH << 8)  | (nBitsTotalH >>> 24)) & 0x00ff00ff) |
	                (((nBitsTotalH << 24) | (nBitsTotalH >>> 8))  & 0xff00ff00)
	            );
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 14] = (
	                (((nBitsTotalL << 8)  | (nBitsTotalL >>> 24)) & 0x00ff00ff) |
	                (((nBitsTotalL << 24) | (nBitsTotalL >>> 8))  & 0xff00ff00)
	            );

	            data.sigBytes = (dataWords.length + 1) * 4;

	            // Hash final blocks
	            this._process();

	            // Shortcuts
	            var hash = this._hash;
	            var H = hash.words;

	            // Swap endian
	            for (var i = 0; i < 4; i++) {
	                // Shortcut
	                var H_i = H[i];

	                H[i] = (((H_i << 8)  | (H_i >>> 24)) & 0x00ff00ff) |
	                       (((H_i << 24) | (H_i >>> 8))  & 0xff00ff00);
	            }

	            // Return final computed hash
	            return hash;
	        },

	        clone: function () {
	            var clone = Hasher.clone.call(this);
	            clone._hash = this._hash.clone();

	            return clone;
	        }
	    });

	    function FF(a, b, c, d, x, s, t) {
	        var n = a + ((b & c) | (~b & d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function GG(a, b, c, d, x, s, t) {
	        var n = a + ((b & d) | (c & ~d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function HH(a, b, c, d, x, s, t) {
	        var n = a + (b ^ c ^ d) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function II(a, b, c, d, x, s, t) {
	        var n = a + (c ^ (b | ~d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    /**
	     * Shortcut function to the hasher's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     *
	     * @return {WordArray} The hash.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hash = CryptoJS.MD5('message');
	     *     var hash = CryptoJS.MD5(wordArray);
	     */
	    C.MD5 = Hasher._createHelper(MD5);

	    /**
	     * Shortcut function to the HMAC's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     * @param {WordArray|string} key The secret key.
	     *
	     * @return {WordArray} The HMAC.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hmac = CryptoJS.HmacMD5(message, key);
	     */
	    C.HmacMD5 = Hasher._createHmacHelper(MD5);
	}(Math));


	return CryptoJS.MD5;

}));

/***/ })

/******/ });