// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 335);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
/*
 * @Author: lidan6
 * @Date: 2018-09-05 18:16:06
 * @LastEditors: lidan6
 * @LastEditTime: 2021-07-23 10:45:29
 * @Description: 
 */
var isProduction = true;

var host = 'https://tousu.sina.cn/';
var payhost = 'https://app.finance.sina.com.cn/';
var applepay = 'https://pay.cj.sina.com.cn/wallet/api/';
if (!isProduction) {
    host = 'http://dev.tousu.sina.cn/';
    payhost = 'http://test.app.finance.sina.com.cn/';
    applepay = 'http://junli5.pay.cj.sina.com.cn/wallet/api/';
}
var configApi = {
    // host
    version: "2.4.3",
    host: host,
    ARTICLES: host + 'apps/api/article/feed_v1?', //报道接口 需要修改
    MESSAGE_LIST: host + 'apps/api/user/message_list_v1?', //消息列表
    send_message: host + 'apps/api/sms/send_v1?', //发送短信 初次绑定
    SEND_CERT: host + 'apps/api/user/send_cert_v1?', //发送验证码
    VERIFY_PHONE: host + 'apps/api/user/verify_phone_v1?', //验证验证码
    update_phone: host + 'apps/api/user/update_phone_v1?', //更新手机
    top_rank: host + 'apps/api/top_rank/index_v1?', //红黑榜
    article_view: host + 'apps/api/article/view_v1/?', //报道详情页
    INDEX_FEED: host + 'apps/api/complaint/feed_v1?', //首页投诉列表
    INDEX_OTHER: host + 'apps/api/index/index_v1?', //首页其他消息
    index_eval: host + 'apps/api/complaint/hot_evals_v1?', //首页其他消息
    complaint_create: host + 'apps/api/complaint/create_v2/?', //创建投诉页面
    complaint_reply: host + 'apps/api/complaint/reply_v2/?', //商家回复投诉
    grp_reply: host + 'apps/api/grp_comp/reply_v1/?', //集体投诉回复
    grp_join: host + 'apps/api/grp_comp/join_v1/?', //集体投诉回复
    complaint_update: host + 'apps/api/complaint/update_v2/?', //用户更新投诉
    company_detail: host + 'apps/api/company/view_v1?', //商家详情页
    company_received: host + 'apps/api/company/received_complaints_v1?', //商家收到的投诉页
    company_list: host + 'apps/api/company/list_v1?page_size=10&', //商家列表
    complaint_view: host + 'apps/api/complaint/view_v1/?', //投诉单页面
    complaint_complete: host + 'apps/api/complaint/complete_v1/?', //用户完成投诉
    evaluate_star: host + 'apps/api/complaint/evaluate_after_auto_cocomplete_v1/?', //投诉评价
    complaint_info: host + 'apps/api/complaint/info_v1/?', //用户评价页面商家信息
    user_view: host + 'apps/api/user/view_v1?', //我的个人中心
    user_complaints: host + 'apps/api/user/complaints_v1?', //用户的投诉
    user_received_complaints: host + 'apps/api/user/received_complaints_v1?', //商家收到的投诉
    SEARCH_SUGGEST: host + 'apps/api/index/suggest_v1?', //搜索投诉单
    SEARCH_RESULT: host + 'apps/api/complaint/search_v1?', //搜索结果页投诉单列表
    SELLER_LIST: host + 'api/company/main_search?sort_col=1&sort_ord=2&', //商家list
    share_amount_complaint: host + 'apps/api/complaint/share_v1/?', //投诉分享数 首页
    share_amount_article: host + 'apps/api/article/share_v1/?', //投诉分享数 文章
    complaint_like: host + 'apps/api/complaint/info_v1?sn=', //获取投诉点赞数
    report_like: host + 'apps/api/article/info_v1?id=', //获取报到点赞数
    report_upvote: host + 'apps/api/article/upvote_v1?', //报道点赞
    complaint_upvote: host + 'apps/api/complaint/upvote_v1?', //投诉点赞
    // 评论数接口
    cmnt_num: 'https://comment5.news.sina.com.cn/cmnt/count?format=json&newslist=',
    // 评论列表接口
    cmnt_list: 'https://comment5.news.sina.com.cn/page/info?channel=tousu&',
    // 热门评论列表
    cmnt_hot_list: 'https://comment5.news.sina.com.cn/page/info?version=1&format=json&channel=tousu&group=0&compress=0&ie=utf-8&oe=utf-8&page_size=10&t_size=5&h_size=5&thread=1&',
    // 更多评论接口
    cmnt_detail: 'https://comment5.news.sina.com.cn/cmnt/info?channel=tousu&ie=utf-8&oe=utf-8&format=json&page_size=15&order=0&thread=1&',
    // 评论点赞接口
    cmnt_zan: 'https://cmnt.sina.cn/aj/v2/vote?tj_ch=cj',
    // 发送评论
    cmnt_send: host + 'apps/api/comment/submit_v1?',
    //帮帮团
    jury_index: host + 'apps/api/jury/feed_v1?',
    jury_page: host + 'apps/api/jury/view_v1?',
    jury_list: host + 'apps/api/jury/list_complaints_v1?',
    jury_invite: host + 'apps/api/jury/invite_v1?',
    jury_handle_invite: host + 'apps/api/jury/handle_invite_v1?',
    jury_hot: host + 'apps/api/jury/hot_v1?', //热门帮帮团
    jury_hot_comp: host + 'apps/api/jury/hotcomps_v1?', //热门投诉
    jury_rank: host + 'apps/api/jury/rank_v1?', //回复、点赞榜
    invite_list: host + 'apps/api/jury/jury_list_v1?', //可邀请帮帮团列表
    //微博之夜活动
    activity_list: host + 'apps/api/activity/star_list_v1?activity_id=1&src=2&',
    detail_star: host + 'apps/api/activity/star_detail_v1?activity_id=1&src=2&',
    vote_star: host + 'apps/api/activity/vote_v1?',
    weiboList: host + 'apps/api/activity/star_list_v1?activity_id=1&src=2&page=1&page_size=9',
    weiboMy: host + 'apps/api/activity/my_votes_v1?activity_id=1&src=2',
    weiboSearch: host + 'apps/api/activity/star_search_v1?activity_id=1&src=2&keywords=',
    weiboTip: host + 'apps/api/activity/get_votes_v1?activity_id=1&src=2',
    jsVersion: host + 'apps/api/index/static_resource_version_v1?activity_id=1&src=2',
    video_get_auth: host + 'apps/api/video/get_auth_url_v1?',
    video_create_video: host + 'apps/api/video/create_video_v1?',
    tousu_create: host + 'apps/api/complaint/store_create_v1?',
    tousu_verify: host + 'apps/api/complaint/check_alertword_v1?',
    //complaint_update:`${host}apps/api/complaint/store_update_v1?`,
    complaint_my_history: host + 'apps/api/complaint/my_history_companies_v1?',
    complaint_hot_company: host + 'apps/api/complaint/hot_companies_v1?',
    MY_COMPLAINT_COMPANY: host + 'api/company/search?', //投诉公司搜索
    complaint_types: host + 'apps/api/company/issues_v1?',
    push_get: host + 'apps/api/user/push_msg_v1?',
    push_delete: host + 'apps/api/user/del_push_msg_v1?',
    image_upload: host + 'apps/api/files/image_uploader_v1?add_water=1',
    company_billboard: host + 'api/top_rank/rank?', //红黑榜
    company_field: host + 'api/top_rank/rank_fields?', //红黑榜领域
    login_phone_vcode: host + 'apps/api/user/send_vc_v1?', //手机号验证码
    login_phone: host + 'apps/api/user/phone_login_v1?', //手机号登录
    logout_phone: host + 'apps/api/user/logout_v1?', //手机号登出
    cookie_phone: host + 'apps/api/user/get_cookie_v1?', //手机号cookie刷新
    weixin_login: host + 'apps/api/user/wx_login_v1?', //微信登录
    apple_login: host + 'apps/api/user/apple_login_v1?', //苹果登录
    token_cookie: host + 'apps/api/user/token2cookie_v1?', //微博登录token换cookie
    grp_list: host + 'apps/api/grp_comp/feed_v1?', //
    group_tslist: host + 'apps/api/grp_comp/feed_by_co_v1?', //选择商家集体投诉列表
    group_suggest: host + 'apps/api/grp_comp/suggs_v1?', //历史维权建议
    group_progress: host + 'apps/api/grp_comp/progs_v1?', //历史投诉进度
    group_comps: host + 'apps/api/grp_comp/comps_v1?', //集体投诉的子投诉
    user_glist: host + 'apps/api/grp_comp/init_grpcomps_v1?', //用户发起的集体投诉
    company_glist: host + 'apps/api/grp_comp/recv_grpcomps_v1?', //商家收到的集体投诉
    group_reply: host + 'apps/api/grp_comp/store_reply_v1?', //集体投诉回复
    group_join: host + 'apps/api/grp_comp/join_info_v1?', //参与集体投诉
    group_store_sugg: host + 'apps/api/grp_comp/store_sugg_v1?', //保存历史维权建议
    group_share_img: host + 'apps/api/grp_comp/shr_img_v1?', //获取分享海报
    ts_share_img: host + 'apps/api/complaint/shr_img_v1?', //获取分享海报
    group_share_num: host + 'apps/api/grp_comp/incr_shr_amt_v1/', //集体投诉分享数
    group_file_hide: host + 'apps/api/grp_comp/set_atch_hide_v1?', //集体投诉隐藏附件
    group_can_join: host + 'apps/api/grp_comp/can_join_v1?', //集体投诉隐藏附件
    group_upvote: host + 'apps/api/grp_comp/upvote_v1?', //投诉点赞
    group_view: host + 'apps/api/grp_comp/view_v1/', //投诉单页面
    group_info: host + 'apps/api/grp_comp/info_v1/', //投诉单
    //打赏
    food_list: payhost + 'pay/order/mplevels?type=7&arr[pCode]=hmreward',
    food_order: payhost + 'pay/order/make?decrypt=1&type=7&id=',
    food_cancel: payhost + 'pay/order/cancel?orderId=',
    food_detail: payhost + 'pay/order/detail?orderId=',
    pay_order: payhost + 'pay/order/pay?decrypt=1&orderId=',
    bind_order: host + 'apps/api/reward/create?',
    share_order: host + 'apps/api/reward/shr_img?',
    order_list: host + 'apps/api/reward/records?',
    //苹果端打赏
    apple_food_list: applepay + 'wallet_order/levels?app_id=2&type=2',
    apple_food_order: applepay + 'wallet_order/make?app_id=2&type=2&id=',
    apple_food_cancel: applepay + 'wallet_order/cancel?app_id=2&type=2&order_id=',
    apple_order_receipt: applepay + 'wallet_order/recv_receipt?',
    //黑猫双十二活动
    lotteryPage: host + 'apps/api/act/lottery?',
    lotteryChance: host + 'apps/api/act/can_draw?',
    //主播
    zhubo_list: host + 'apps/api/company/anchor_feed_v1?',
    zhubo_rank: host + 'apps/api/company/anchor_rank_v1?',
    //反馈
    feedback_sub: host + 'apps/api/feedback/add?',
    feedback_pic: host + 'apps/api/feedback/img_upload?',
    message_read: host + 'apps/api/user/message_read_v1?', //读取消息
    user_device_info: host + 'apps/api/index/app_version?', //上报用户信息
    top_card_time: host + 'apps/api/top_rank/grprank_span?', //总榜card
    new_rank_card: host + 'apps/api/top_rank/grprank_card?', //总榜card
    filed_rank_card: host + 'apps/api/top_rank/grprank_field_card?', //分领域card
    top_card_list: host + 'apps/api/top_rank/grprank_list?', //关注榜单列表
    week_rank_list: host + 'apps/api/top_rank/riserank_list?', //蹿升周榜单列表
    comp_is_field: host + 'apps/api/company/field?', //查询商家分类
    //618活动
    act_offline: host + 'apps/api/topic/act20210618?',
    act_user_rank: host + 'apps/api/topic/user_rank?',
    act_comp_rank: host + 'apps/api/topic/company_rank?',
    act_cmnt_rank: host + 'apps/api/topic/hot_comment?',
    user_is_law: host + 'apps/api/complaint/sync_lawfirm?',
    all_comp_field: host + 'apps/api/complaint/qxzx_fields?'
};

exports.default = configApi;

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

var _login = __webpack_require__(3);

var _login2 = _interopRequireDefault(_login);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * @Author: lidan6
 * @Date: 2018-09-11 13:55:45
 * @LastEditors: lidan6
 * @LastEditTime: 2021-07-13 18:22:11
 * @Description: 
 */
var stream = weex.requireModule('stream');
var SHA256 = __webpack_require__(5);
var MD5 = __webpack_require__(6);
var loginModule = weex.requireModule('STWeekLoginModule');
var storage = weex.requireModule('storage');
var device = weex.config.env;


//const console = weex.requireModule('console');

function randomWord(randomFlag, min, max) {
   var str = "",
       range = min,
       arr = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
   // 随机产生
   if (randomFlag) {
      range = Math.round(Math.random() * (max - min)) + min;
   }
   for (var i = 0; i < range; i++) {
      var pos = Math.round(Math.random() * (arr.length - 1));
      str += arr[pos];
   }
   return str;
}

var versionCode = _configApi2.default.version;
var ts = new Date().getTime();
var rs = randomWord(false, 16);
var token = 'P0tk894Tcxi4t%S$';
var urlparam = "";
var ShareParam = "";

function getUrlParam() {
   var signature = "";
   signature = SHA256([ts, rs, token].sort().join('')).toString();
   urlparam = "&version=" + versionCode + "&ts=" + ts + "&rs=" + rs + "&signature=" + signature;
}

function getUrlToken() {
   var signature = "";
   var logintoken = "";
   var loginrefresh = "";
   var logindata = loginModule.weiboUserInfo();
   if (logindata.length > 0) {
      logindata = JSON.parse(logindata);
      logintoken = logindata["access_token"];
      loginrefresh = logindata["refresh_token"];
      signature = SHA256([ts, rs, token, logintoken, loginrefresh].sort().join('')).toString();
      urlparam = "&version=" + versionCode + "&ts=" + ts + "&rs=" + rs + "&signature=" + signature + "&token=" + logintoken + "&refresh=" + loginrefresh;
   }
}

//获取苹果支付的参数
var apple_ts = new Date().getTime();
var apple_rs = randomWord(false, 16);
var apple_token = 'sfApp_A#8$n@i%!S*8_';
var apple_param = "";
function getAppleParam() {
   var apple_sign = MD5(apple_ts + apple_rs + apple_token).toString();
   apple_param = "&version=" + versionCode + "&ts=" + apple_ts + "&rs=" + apple_rs + "&signature=" + apple_sign;
}

function toParams(obj) {
   var param = "";
   for (var name in obj) {
      if (typeof obj[name] != 'function' && _typeof(obj[name]) != "object") {
         param += "&" + name + "=" + obj[name];
      } else {
         param += "&" + name + "=" + JSON.stringify(obj[name]);
      }
   }
   return param.substring(1);
}

function getParams() {
   getUrlParam();
   return urlparam;
}

var login_time_dif = 36000000; //10小时
function refresh_cookie() {
   return new Promise(function (resolve, reject) {
      storage.getItem("phone_login_code", function (event) {
         if (event.data && event.data != 'undefined') {
            var loginarr = event.data.split("$login$");
            var logintime = loginarr[2] * 1000;
            var nowtime = new Date().getTime();
            if (logintime > 0 && logintime - nowtime < login_time_dif) {
               var ldata = {
                  sub: loginarr[0],
                  uid: loginarr[1],
                  ver: versionCode
               };
               post(_configApi2.default.cookie_phone, ldata).then(function (res) {
                  if (res && res.result.status.code == 0) {
                     var logincookie1 = res.result.data;
                     storage.setItem("phone_login_code", logincookie1.sub + "$login$" + logincookie1.uid + "$login$" + logincookie1.expire);
                     //webview里的cookie
                     _login2.default.setWebCookie(logincookie1);
                     resolve(true);
                  } else {
                     resolve(false);
                  }
               });
            } else {
               resolve(true);
            }
         } else {
            resolve(true);
         }
      });
   });
}

function fetch(dataurl) {
   getUrlParam();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   var headstr = "";
   if (device.platform === 'iOS') {
      headstr = loginModule.reqidstr();
   }
   return new Promise(function (resolve, reject) {
      var requestObj = {
         method: 'GET',
         url: url,
         type: 'json'
      };
      if (headstr) {
         requestObj["headers"] = {
            "SN-REQID": headstr
         };
      }
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function post(dataurl, data, cmnttag) {
   getUrlParam();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function fetchCookie(dataurl, data) {
   getUrlToken();
   var url = "" + (dataurl + urlparam);
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };
      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function videopost(dataurl, data) {
   var url = "" + dataurl;
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {});
}

function videoComplete(dataurl, data) {
   var url = "" + dataurl;
   console.log('------------------------------------');
   console.log(url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/json',
         'Referer': 'https://tousu.sina.cn',
         'User-Agent': 'Mozilla/5.0 (iPhone; CPU iPhone OS 9_1 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Version/9.0 Mobile/13B143 Safari/601.1'
      };
      stream.fetch({
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: data
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.ok);
         }
      });
   });
}

function get(dataurl) {
   //let url = `${dataurl+cmnttoken}`
   var url = dataurl;
   return new Promise(function (resolve, reject) {
      stream.fetch({
         method: 'GET',
         url: url,
         type: 'json'
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.status);
         }
      });
   });
}

function send(dataurl, data) {
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded'
      };
      stream.fetch({
         method: 'POST',
         url: dataurl,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      }, function (response) {
         if (response.ok) {
            resolve(response.data);
         } else {
            reject(response.status); //修改为错误状态码
         }
      });
   });
}

function appleFetch(dataurl) {
   getAppleParam();
   var url = "" + (dataurl + apple_param);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var requestObj = {
         method: 'GET',
         url: url,
         type: 'json'
      };

      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

function applePost(dataurl, data) {
   getAppleParam();
   var url = "" + (dataurl + apple_param);
   console.log('------------------------------------');
   console.log("地址: " + url);
   console.log('------------------------------------');
   return new Promise(function (resolve, reject) {
      var aheader = {
         'Content-Type': 'application/x-www-form-urlencoded',
         'Referer': 'https://tousu.sina.cn'
      };
      var requestObj = {
         method: 'POST',
         url: url,
         type: 'json',
         headers: aheader,
         body: toParams(data)
      };

      storage.getItem("phone_web_cookie", function (event) {
         if (event.data && event.data != 'undefined') {
            var _data = JSON.parse(event.data);
            requestObj.url += "&sub=" + _data.sub;
            var _time = new Date(_data.expire);
            var _cookie = _data.cookie[".sina.cn"];
            requestObj["headers"] = {
               'Content-Type': 'application/x-www-form-urlencoded',
               'Referer': 'https://tousu.sina.cn',
               'Cookie': "SUB=" + _cookie.SUB + ";SUBP=" + _cookie.SUBP + ";Path=/;Domain=.tousu.sina.cn;Expries=" + _time + ";"
            };
         }
         stream.fetch(requestObj, function (response) {
            if (response.ok) {
               resolve(response.data);
            } else {
               reject(response.ok);
            }
         });
      });
   });
}

exports.default = {
   fetch: fetch,
   send: send,
   get: get,
   post: post,
   getParams: getParams,
   fetchCookie: fetchCookie,
   videopost: videopost,
   videoComplete: videoComplete,
   refresh_cookie: refresh_cookie,
   appleFetch: appleFetch,
   applePost: applePost
};

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.isiPhoneX) ? _c('div', {
    staticClass: ["iPhoneXDiv", "navbar"]
  }) : (_vm.isiOS) ? _c('div', {
    staticClass: ["iOSDiv", "navbar"]
  }) : (_vm.isAndroid) ? _c('div', {
    staticClass: ["android", "navbar"]
  }) : _vm._e(), _c('div', {
    staticClass: ["aheader"]
  }, [_c('div', {
    staticClass: ["backdiv"],
    on: {
      "click": _vm.back
    }
  }, [_c('image', {
    staticClass: ["back"],
    attrs: {
      "src": "https://n.sinaimg.cn/tech/hmapp/backto.png"
    }
  })]), _c('text', {
    staticClass: ["hcenter"]
  }, [_vm._v(_vm._s(_vm.title))]), (_vm.subtitle) ? _c('text', {
    staticClass: ["hright"],
    on: {
      "click": _vm.toPage
    }
  }, [_vm._v(_vm._s(_vm.subtitle))]) : _vm._e()])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory();
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define([], factory);
	}
	else {
		// Global (browser)
		root.CryptoJS = factory();
	}
}(this, function () {

	/**
	 * CryptoJS core components.
	 */
	var CryptoJS = CryptoJS || (function (Math, undefined) {
	    /*
	     * Local polyfil of Object.create
	     */
	    var create = Object.create || (function () {
	        function F() {};

	        return function (obj) {
	            var subtype;

	            F.prototype = obj;

	            subtype = new F();

	            F.prototype = null;

	            return subtype;
	        };
	    }())

	    /**
	     * CryptoJS namespace.
	     */
	    var C = {};

	    /**
	     * Library namespace.
	     */
	    var C_lib = C.lib = {};

	    /**
	     * Base object for prototypal inheritance.
	     */
	    var Base = C_lib.Base = (function () {


	        return {
	            /**
	             * Creates a new object that inherits from this object.
	             *
	             * @param {Object} overrides Properties to copy into the new object.
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         field: 'value',
	             *
	             *         method: function () {
	             *         }
	             *     });
	             */
	            extend: function (overrides) {
	                // Spawn
	                var subtype = create(this);

	                // Augment
	                if (overrides) {
	                    subtype.mixIn(overrides);
	                }

	                // Create default initializer
	                if (!subtype.hasOwnProperty('init') || this.init === subtype.init) {
	                    subtype.init = function () {
	                        subtype.$super.init.apply(this, arguments);
	                    };
	                }

	                // Initializer's prototype is the subtype object
	                subtype.init.prototype = subtype;

	                // Reference supertype
	                subtype.$super = this;

	                return subtype;
	            },

	            /**
	             * Extends this object and runs the init method.
	             * Arguments to create() will be passed to init().
	             *
	             * @return {Object} The new object.
	             *
	             * @static
	             *
	             * @example
	             *
	             *     var instance = MyType.create();
	             */
	            create: function () {
	                var instance = this.extend();
	                instance.init.apply(instance, arguments);

	                return instance;
	            },

	            /**
	             * Initializes a newly created object.
	             * Override this method to add some logic when your objects are created.
	             *
	             * @example
	             *
	             *     var MyType = CryptoJS.lib.Base.extend({
	             *         init: function () {
	             *             // ...
	             *         }
	             *     });
	             */
	            init: function () {
	            },

	            /**
	             * Copies properties into this object.
	             *
	             * @param {Object} properties The properties to mix in.
	             *
	             * @example
	             *
	             *     MyType.mixIn({
	             *         field: 'value'
	             *     });
	             */
	            mixIn: function (properties) {
	                for (var propertyName in properties) {
	                    if (properties.hasOwnProperty(propertyName)) {
	                        this[propertyName] = properties[propertyName];
	                    }
	                }

	                // IE won't copy toString using the loop above
	                if (properties.hasOwnProperty('toString')) {
	                    this.toString = properties.toString;
	                }
	            },

	            /**
	             * Creates a copy of this object.
	             *
	             * @return {Object} The clone.
	             *
	             * @example
	             *
	             *     var clone = instance.clone();
	             */
	            clone: function () {
	                return this.init.prototype.extend(this);
	            }
	        };
	    }());

	    /**
	     * An array of 32-bit words.
	     *
	     * @property {Array} words The array of 32-bit words.
	     * @property {number} sigBytes The number of significant bytes in this word array.
	     */
	    var WordArray = C_lib.WordArray = Base.extend({
	        /**
	         * Initializes a newly created word array.
	         *
	         * @param {Array} words (Optional) An array of 32-bit words.
	         * @param {number} sigBytes (Optional) The number of significant bytes in the words.
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.create();
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607]);
	         *     var wordArray = CryptoJS.lib.WordArray.create([0x00010203, 0x04050607], 6);
	         */
	        init: function (words, sigBytes) {
	            words = this.words = words || [];

	            if (sigBytes != undefined) {
	                this.sigBytes = sigBytes;
	            } else {
	                this.sigBytes = words.length * 4;
	            }
	        },

	        /**
	         * Converts this word array to a string.
	         *
	         * @param {Encoder} encoder (Optional) The encoding strategy to use. Default: CryptoJS.enc.Hex
	         *
	         * @return {string} The stringified word array.
	         *
	         * @example
	         *
	         *     var string = wordArray + '';
	         *     var string = wordArray.toString();
	         *     var string = wordArray.toString(CryptoJS.enc.Utf8);
	         */
	        toString: function (encoder) {
	            return (encoder || Hex).stringify(this);
	        },

	        /**
	         * Concatenates a word array to this word array.
	         *
	         * @param {WordArray} wordArray The word array to append.
	         *
	         * @return {WordArray} This word array.
	         *
	         * @example
	         *
	         *     wordArray1.concat(wordArray2);
	         */
	        concat: function (wordArray) {
	            // Shortcuts
	            var thisWords = this.words;
	            var thatWords = wordArray.words;
	            var thisSigBytes = this.sigBytes;
	            var thatSigBytes = wordArray.sigBytes;

	            // Clamp excess bits
	            this.clamp();

	            // Concat
	            if (thisSigBytes % 4) {
	                // Copy one byte at a time
	                for (var i = 0; i < thatSigBytes; i++) {
	                    var thatByte = (thatWords[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                    thisWords[(thisSigBytes + i) >>> 2] |= thatByte << (24 - ((thisSigBytes + i) % 4) * 8);
	                }
	            } else {
	                // Copy one word at a time
	                for (var i = 0; i < thatSigBytes; i += 4) {
	                    thisWords[(thisSigBytes + i) >>> 2] = thatWords[i >>> 2];
	                }
	            }
	            this.sigBytes += thatSigBytes;

	            // Chainable
	            return this;
	        },

	        /**
	         * Removes insignificant bits.
	         *
	         * @example
	         *
	         *     wordArray.clamp();
	         */
	        clamp: function () {
	            // Shortcuts
	            var words = this.words;
	            var sigBytes = this.sigBytes;

	            // Clamp
	            words[sigBytes >>> 2] &= 0xffffffff << (32 - (sigBytes % 4) * 8);
	            words.length = Math.ceil(sigBytes / 4);
	        },

	        /**
	         * Creates a copy of this word array.
	         *
	         * @return {WordArray} The clone.
	         *
	         * @example
	         *
	         *     var clone = wordArray.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone.words = this.words.slice(0);

	            return clone;
	        },

	        /**
	         * Creates a word array filled with random bytes.
	         *
	         * @param {number} nBytes The number of random bytes to generate.
	         *
	         * @return {WordArray} The random word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.lib.WordArray.random(16);
	         */
	        random: function (nBytes) {
	            var words = [];

	            var r = (function (m_w) {
	                var m_w = m_w;
	                var m_z = 0x3ade68b1;
	                var mask = 0xffffffff;

	                return function () {
	                    m_z = (0x9069 * (m_z & 0xFFFF) + (m_z >> 0x10)) & mask;
	                    m_w = (0x4650 * (m_w & 0xFFFF) + (m_w >> 0x10)) & mask;
	                    var result = ((m_z << 0x10) + m_w) & mask;
	                    result /= 0x100000000;
	                    result += 0.5;
	                    return result * (Math.random() > .5 ? 1 : -1);
	                }
	            });

	            for (var i = 0, rcache; i < nBytes; i += 4) {
	                var _r = r((rcache || Math.random()) * 0x100000000);

	                rcache = _r() * 0x3ade67b7;
	                words.push((_r() * 0x100000000) | 0);
	            }

	            return new WordArray.init(words, nBytes);
	        }
	    });

	    /**
	     * Encoder namespace.
	     */
	    var C_enc = C.enc = {};

	    /**
	     * Hex encoding strategy.
	     */
	    var Hex = C_enc.Hex = {
	        /**
	         * Converts a word array to a hex string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The hex string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var hexString = CryptoJS.enc.Hex.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;

	            // Convert
	            var hexChars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                hexChars.push((bite >>> 4).toString(16));
	                hexChars.push((bite & 0x0f).toString(16));
	            }

	            return hexChars.join('');
	        },

	        /**
	         * Converts a hex string to a word array.
	         *
	         * @param {string} hexStr The hex string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Hex.parse(hexString);
	         */
	        parse: function (hexStr) {
	            // Shortcut
	            var hexStrLength = hexStr.length;

	            // Convert
	            var words = [];
	            for (var i = 0; i < hexStrLength; i += 2) {
	                words[i >>> 3] |= parseInt(hexStr.substr(i, 2), 16) << (24 - (i % 8) * 4);
	            }

	            return new WordArray.init(words, hexStrLength / 2);
	        }
	    };

	    /**
	     * Latin1 encoding strategy.
	     */
	    var Latin1 = C_enc.Latin1 = {
	        /**
	         * Converts a word array to a Latin1 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The Latin1 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var latin1String = CryptoJS.enc.Latin1.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            // Shortcuts
	            var words = wordArray.words;
	            var sigBytes = wordArray.sigBytes;

	            // Convert
	            var latin1Chars = [];
	            for (var i = 0; i < sigBytes; i++) {
	                var bite = (words[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff;
	                latin1Chars.push(String.fromCharCode(bite));
	            }

	            return latin1Chars.join('');
	        },

	        /**
	         * Converts a Latin1 string to a word array.
	         *
	         * @param {string} latin1Str The Latin1 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Latin1.parse(latin1String);
	         */
	        parse: function (latin1Str) {
	            // Shortcut
	            var latin1StrLength = latin1Str.length;

	            // Convert
	            var words = [];
	            for (var i = 0; i < latin1StrLength; i++) {
	                words[i >>> 2] |= (latin1Str.charCodeAt(i) & 0xff) << (24 - (i % 4) * 8);
	            }

	            return new WordArray.init(words, latin1StrLength);
	        }
	    };

	    /**
	     * UTF-8 encoding strategy.
	     */
	    var Utf8 = C_enc.Utf8 = {
	        /**
	         * Converts a word array to a UTF-8 string.
	         *
	         * @param {WordArray} wordArray The word array.
	         *
	         * @return {string} The UTF-8 string.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var utf8String = CryptoJS.enc.Utf8.stringify(wordArray);
	         */
	        stringify: function (wordArray) {
	            try {
	                return decodeURIComponent(escape(Latin1.stringify(wordArray)));
	            } catch (e) {
	                throw new Error('Malformed UTF-8 data');
	            }
	        },

	        /**
	         * Converts a UTF-8 string to a word array.
	         *
	         * @param {string} utf8Str The UTF-8 string.
	         *
	         * @return {WordArray} The word array.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var wordArray = CryptoJS.enc.Utf8.parse(utf8String);
	         */
	        parse: function (utf8Str) {
	            return Latin1.parse(unescape(encodeURIComponent(utf8Str)));
	        }
	    };

	    /**
	     * Abstract buffered block algorithm template.
	     *
	     * The property blockSize must be implemented in a concrete subtype.
	     *
	     * @property {number} _minBufferSize The number of blocks that should be kept unprocessed in the buffer. Default: 0
	     */
	    var BufferedBlockAlgorithm = C_lib.BufferedBlockAlgorithm = Base.extend({
	        /**
	         * Resets this block algorithm's data buffer to its initial state.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm.reset();
	         */
	        reset: function () {
	            // Initial values
	            this._data = new WordArray.init();
	            this._nDataBytes = 0;
	        },

	        /**
	         * Adds new data to this block algorithm's buffer.
	         *
	         * @param {WordArray|string} data The data to append. Strings are converted to a WordArray using UTF-8.
	         *
	         * @example
	         *
	         *     bufferedBlockAlgorithm._append('data');
	         *     bufferedBlockAlgorithm._append(wordArray);
	         */
	        _append: function (data) {
	            // Convert string to WordArray, else assume WordArray already
	            if (typeof data == 'string') {
	                data = Utf8.parse(data);
	            }

	            // Append
	            this._data.concat(data);
	            this._nDataBytes += data.sigBytes;
	        },

	        /**
	         * Processes available data blocks.
	         *
	         * This method invokes _doProcessBlock(offset), which must be implemented by a concrete subtype.
	         *
	         * @param {boolean} doFlush Whether all blocks and partial blocks should be processed.
	         *
	         * @return {WordArray} The processed data.
	         *
	         * @example
	         *
	         *     var processedData = bufferedBlockAlgorithm._process();
	         *     var processedData = bufferedBlockAlgorithm._process(!!'flush');
	         */
	        _process: function (doFlush) {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;
	            var dataSigBytes = data.sigBytes;
	            var blockSize = this.blockSize;
	            var blockSizeBytes = blockSize * 4;

	            // Count blocks ready
	            var nBlocksReady = dataSigBytes / blockSizeBytes;
	            if (doFlush) {
	                // Round up to include partial blocks
	                nBlocksReady = Math.ceil(nBlocksReady);
	            } else {
	                // Round down to include only full blocks,
	                // less the number of blocks that must remain in the buffer
	                nBlocksReady = Math.max((nBlocksReady | 0) - this._minBufferSize, 0);
	            }

	            // Count words ready
	            var nWordsReady = nBlocksReady * blockSize;

	            // Count bytes ready
	            var nBytesReady = Math.min(nWordsReady * 4, dataSigBytes);

	            // Process blocks
	            if (nWordsReady) {
	                for (var offset = 0; offset < nWordsReady; offset += blockSize) {
	                    // Perform concrete-algorithm logic
	                    this._doProcessBlock(dataWords, offset);
	                }

	                // Remove processed words
	                var processedWords = dataWords.splice(0, nWordsReady);
	                data.sigBytes -= nBytesReady;
	            }

	            // Return processed words
	            return new WordArray.init(processedWords, nBytesReady);
	        },

	        /**
	         * Creates a copy of this object.
	         *
	         * @return {Object} The clone.
	         *
	         * @example
	         *
	         *     var clone = bufferedBlockAlgorithm.clone();
	         */
	        clone: function () {
	            var clone = Base.clone.call(this);
	            clone._data = this._data.clone();

	            return clone;
	        },

	        _minBufferSize: 0
	    });

	    /**
	     * Abstract hasher template.
	     *
	     * @property {number} blockSize The number of 32-bit words this hasher operates on. Default: 16 (512 bits)
	     */
	    var Hasher = C_lib.Hasher = BufferedBlockAlgorithm.extend({
	        /**
	         * Configuration options.
	         */
	        cfg: Base.extend(),

	        /**
	         * Initializes a newly created hasher.
	         *
	         * @param {Object} cfg (Optional) The configuration options to use for this hash computation.
	         *
	         * @example
	         *
	         *     var hasher = CryptoJS.algo.SHA256.create();
	         */
	        init: function (cfg) {
	            // Apply config defaults
	            this.cfg = this.cfg.extend(cfg);

	            // Set initial values
	            this.reset();
	        },

	        /**
	         * Resets this hasher to its initial state.
	         *
	         * @example
	         *
	         *     hasher.reset();
	         */
	        reset: function () {
	            // Reset data buffer
	            BufferedBlockAlgorithm.reset.call(this);

	            // Perform concrete-hasher logic
	            this._doReset();
	        },

	        /**
	         * Updates this hasher with a message.
	         *
	         * @param {WordArray|string} messageUpdate The message to append.
	         *
	         * @return {Hasher} This hasher.
	         *
	         * @example
	         *
	         *     hasher.update('message');
	         *     hasher.update(wordArray);
	         */
	        update: function (messageUpdate) {
	            // Append
	            this._append(messageUpdate);

	            // Update the hash
	            this._process();

	            // Chainable
	            return this;
	        },

	        /**
	         * Finalizes the hash computation.
	         * Note that the finalize operation is effectively a destructive, read-once operation.
	         *
	         * @param {WordArray|string} messageUpdate (Optional) A final message update.
	         *
	         * @return {WordArray} The hash.
	         *
	         * @example
	         *
	         *     var hash = hasher.finalize();
	         *     var hash = hasher.finalize('message');
	         *     var hash = hasher.finalize(wordArray);
	         */
	        finalize: function (messageUpdate) {
	            // Final message update
	            if (messageUpdate) {
	                this._append(messageUpdate);
	            }

	            // Perform concrete-hasher logic
	            var hash = this._doFinalize();

	            return hash;
	        },

	        blockSize: 512/32,

	        /**
	         * Creates a shortcut function to a hasher's object interface.
	         *
	         * @param {Hasher} hasher The hasher to create a helper for.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var SHA256 = CryptoJS.lib.Hasher._createHelper(CryptoJS.algo.SHA256);
	         */
	        _createHelper: function (hasher) {
	            return function (message, cfg) {
	                return new hasher.init(cfg).finalize(message);
	            };
	        },

	        /**
	         * Creates a shortcut function to the HMAC's object interface.
	         *
	         * @param {Hasher} hasher The hasher to use in this HMAC helper.
	         *
	         * @return {Function} The shortcut function.
	         *
	         * @static
	         *
	         * @example
	         *
	         *     var HmacSHA256 = CryptoJS.lib.Hasher._createHmacHelper(CryptoJS.algo.SHA256);
	         */
	        _createHmacHelper: function (hasher) {
	            return function (message, key) {
	                return new C_algo.HMAC.init(hasher, key).finalize(message);
	            };
	        }
	    });

	    /**
	     * Algorithm namespace.
	     */
	    var C_algo = C.algo = {};

	    return C;
	}(Math));


	return CryptoJS;

}));

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// 登录组件
var loginModule = weex.requireModule('STWeekLoginModule');
var modal = weex.requireModule('modal');
var WXBadge = weex.requireModule('WXBadge');
var storage = weex.requireModule('storage');


// 是否登录
function isLogin() {
  return new Promise(function (resolve) {
    // let userInfo = loginModule.weiboUserInfo();
    // if (userInfo.length <= 0) {
    storage.getItem("user_login_sub", function (event) {
      if (event.data && event.data != 'undefined') {
        resolve(true);
      } else {
        resolve(false);
      }
    });
    // }
    // else {
    //   resolve(true);
    // }
  });
}

// 退出登录
function logout(msg) {
  storage.getItem("user_login_type", function (event) {
    if (event.data && event.data == 'weibo') {
      loginModule.openURL('weiboLogoutAction', function (ret) {
        var loginInfo = ret;
        if (loginInfo.length <= 0) {
          storage.removeItem("phone_login_code"); //清理刷新cookie
          storage.removeItem("user_login_sub"); //清理登录sub
          storage.removeItem("phone_web_cookie"); //清理webview的cookie
          delWebCookie(); //端上清理webview的cookie
          WXBadge.hideBadge(); //清理个人消息
          var logoutchannel = new BroadcastChannel("logout");
          logoutchannel.postMessage("logout");
          storage.setItem("toPageTag", "false"); //清理创建投诉tag
          _apis2.default.loginsub = {}; //清理sub
          if (!msg) {
            modal.toast({
              message: '退出登录成功',
              duration: 0.3
            });
          }
        }
      });
    } else {
      _apis2.default.post('' + _configApi2.default.logout_phone, {
        "sub": event.data
      }).then(function () {
        storage.removeItem("phone_login_code"); //清理刷新cookie
        storage.removeItem("user_login_sub"); //清理登录sub
        storage.removeItem("phone_web_cookie"); //清理webview的cookie
        delWebCookie(); //端上清理webview的cookie
        WXBadge.hideBadge(); //清理个人消息
        var logoutchannel = new BroadcastChannel("logout");
        logoutchannel.postMessage("logout");
        storage.setItem("toPageTag", "false"); //清理创建投诉tag
        _apis2.default.loginsub = {}; //清理sub
        if (!msg) {
          modal.toast({
            message: '退出登录成功',
            duration: 0.3
          });
        }
      });
    }
  });
}
function setWebCookie(obj) {
  var wcookie = {
    ".sina.cn": {
      "Expries": obj.expire,
      "data": obj.cookie['.sina.cn'],
      "Domain": ".sina.cn"
    },
    ".sina.com.cn": {
      "Expries": obj.expire,
      "data": obj.cookie['.sina.com.cn'],
      "Domain": ".sina.com.cn"
    },
    ".weibo.com": {
      "Expries": obj.expire,
      "data": obj.cookie['.weibo.com'],
      "Domain": ".weibo.com"
    }
  };
  loginModule.setAppHttpCookie(JSON.stringify(wcookie));

  storage.setItem("phone_web_cookie", JSON.stringify(obj));
}

function delWebCookie() {
  loginModule.deleteAppHttpCookie();
}

storage.getItem("phone_web_cookie", function (event) {
  if (event.data && event.data != 'undefined') {
    setWebCookie(JSON.parse(event.data));
    var cookie_data = event.data;
    storage.getItem("phone_login_code", function (event) {
      if (event.data == "undefined") {
        storage.setItem("phone_login_code", cookie_data.sub + "$login$" + cookie_data.uid + "$login$" + cookie_data.expire);
      }
    });
  }
});

exports.default = {
  isLogin: isLogin,
  logout: logout,
  setWebCookie: setWebCookie
};

/***/ }),

/***/ 335:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _changephone = __webpack_require__(336);

var _changephone2 = _interopRequireDefault(_changephone);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_changephone2.default.el = '#root';
new Vue(_changephone2.default);

/***/ }),

/***/ 336:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(337)
)

/* script */
__vue_exports__ = __webpack_require__(338)

/* template */
var __vue_template__ = __webpack_require__(339)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/src/views/me/changephone.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-ac84d23e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 337:
/***/ (function(module, exports) {

module.exports = {
  "change": {
    "backgroundColor": "#f3f3f3"
  },
  "phone_input": {
    "marginTop": "56"
  },
  "remind": {
    "paddingLeft": "32",
    "paddingRight": "32",
    "paddingTop": "56",
    "paddingBottom": "56"
  },
  "remind_text": {
    "fontSize": "26",
    "color": "#5d5d5d",
    "lineHeight": "56"
  },
  "i_item": {
    "height": "88",
    "flexDirection": "row",
    "alignItems": "center",
    "backgroundColor": "#ffffff",
    "borderWidth": "1",
    "borderColor": "#d6d6d6",
    "paddingLeft": "32",
    "width": "750",
    "position": "relative"
  },
  "warning": {
    "position": "absolute",
    "width": "293",
    "height": "80",
    "left": "187",
    "justifyContent": "center"
  },
  "warning-text": {
    "color": "#ff0000",
    "fontSize": "26"
  },
  "input_pre": {
    "fontSize": "26",
    "color": "#212121",
    "width": "131",
    "flexGrow": 0
  },
  "input": {
    "fontSize": "32",
    "color": "#212121",
    "width": "577",
    "height": "87",
    "marginLeft": "24"
  },
  "send": {
    "position": "absolute",
    "right": "32",
    "height": "56",
    "width": "230",
    "borderRadius": "100",
    "borderColor": "#fbaf17",
    "borderWidth": "1",
    "top": "15",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "send_text": {
    "fontSize": "32",
    "color": "#fbaf17"
  },
  "grey_text": {
    "color": "#a3a3a3"
  },
  "grey_send": {
    "backgroundColor": "#e6e6e6",
    "borderColor": "#e6e6e6"
  },
  "bind_button": {
    "backgroundColor": "#fbaf17",
    "borderRadius": "100",
    "width": "638",
    "height": "80",
    "justifyContent": "center",
    "alignItems": "center",
    "alignSelf": "center",
    "marginTop": "105"
  },
  "grey_button": {
    "backgroundColor": "#e6e6e6"
  },
  "bind_text": {
    "fontSize": "36",
    "color": "#212121"
  },
  "input_tip": {
    "paddingLeft": "32",
    "paddingRight": "32",
    "fontSize": "26",
    "color": "#ff7700",
    "lineHeight": "32",
    "marginTop": "20"
  }
}

/***/ }),

/***/ 338:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
   value: true
});

var _util = __webpack_require__(4);

var _util2 = _interopRequireDefault(_util);

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

var _navBar = __webpack_require__(7);

var _navBar2 = _interopRequireDefault(_navBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var modal = weex.requireModule("modal");
var navigator = weex.requireModule('navigator');
exports.default = {
   name: "phone",
   components: {
      Head: _navBar2.default
   },
   data: function data() {
      return {
         rightNumber: false,
         rightPre: false, //验证码是否正确
         rightPreCode: false, //验证码长度是否符合
         editCode: false, //编辑验证码
         rightCode: false, //验证码是否正确
         pre_sent_code: false, //1验证码是否发送
         sent_code: false, //2验证码是否发送
         phoneNumber: "", //手机号码
         pre_number: "", //先前的手机号码
         code: "", //2验证
         pre_code: "", //1验证码
         remain: 0, //2预留时间
         pre_remain: 0, //1预留时间
         warnPhone: false, //手机号码不正确
         warnCode: false, //2验证码不正确
         warnPreCode: false, //1验证码不正确
         channel: {}, //频道
         baseUrl: {} //链接
      };
   },
   watch: {
      sent_code: function sent_code(val) {},
      remain: function remain(val) {
         var that = this;
         setTimeout(function () {
            if (val > 0) {
               that.remain = val - 1;
            } else {
               that.sent_code = false;
            }
         }, 1000);
      },
      pre_remain: function pre_remain(val) {
         var that = this;
         setTimeout(function () {
            if (val > 0) {
               that.pre_remain = val - 1;
            } else {
               that.pre_sent_code = false;
            }
         }, 1000);
      },
      code: function code(val) {
         if (!this.rightNumber) {
            //请输入手机号码
         }
      }
   },
   created: function created() {
      this.channel = new BroadcastChannel("logout");
      //console.log(this.base);
      this.baseUrl = _util2.default.getBaseUrl(weex.config.bundleUrl);

      this.pre_number = _util2.default.getUrlSearch(weex.config.bundleUrl, "number");
   },

   methods: {
      phone_input: function phone_input(event) {
         this.phoneNumber = event.value;
         if (this.warnPhone) {
            this.warnPhone = false;
         } //消除手机号码提醒
         if (this.phoneNumber.length == 11) {
            this.rightNumber = true;
         } else if (this.rightNumber && this.phoneNumber.length < 11) {
            this.rightNumber = false;
         }
      },
      focuson: function focuson(i) {
         //i是input序号
         var ref = "input" + i;
         if (i == 1) {
            this.warnPhone = false;
         } else if (i == 2) {
            this.warnCode = false;
         } else {
            this.warnPreCode = false;
         }
         this.$refs[ref].focus();
      },
      confirm: function confirm() {
         var _this = this;

         var that = this;
         _apis2.default.post("" + _configApi2.default.update_phone, {
            phone: that.phoneNumber,
            code: that.code
         }).then(function (res) {
            if (res && res.result.status.code == 0) {
               modal.toast({
                  message: "绑定成功",
                  duration: 1
               });
               _this.channel.postMessage("phone");
               navigator.pop();
            } else {
               //判断是验证码还是手机的问题
               if (res.result.status.code == 10014) {

                  _this.phoneNumber = "", _this.warnPhone = true;
                  _this.code = "", _this.rightNumber = false; //手机号码错误时，验证码也消失
                  modal.toast({
                     message: "手机号码错误",
                     duration: 1
                  });
               } else if (res.result.status.code == 30005) {
                  modal.toast({
                     message: "验证码错误",
                     duration: 1
                  });
                  _this.code = "";
                  _this.warnCode = true;
               }
            }
         }).catch(function (err) {
            modal.toast({
               message: err,
               duration: 1
            });
         });
      },
      pre_confirm: function pre_confirm() {
         var _this2 = this;

         var that = this;
         _apis2.default.post("" + _configApi2.default.VERIFY_PHONE, {
            code: that.pre_code
         }).then(function (res) {
            if (res && res.result.status.code == 0) {
               modal.toast({
                  message: "验证成功",
                  duration: 1
               });
               _this2.rightPre = true;
            } else {
               modal.toast({
                  message: "验证码错误",
                  duration: 1
               });

               _this2.warnPreCode = true;
               _this2.pre_code = "";
            }
         }).catch(function (err) {
            console.log(err); //需要修改
         });
      },
      code_input: function code_input(event) {
         this.code = event.value;
         if (this.warnCode) {
            this.warnCode = false;
         } //消除验证码提醒
         if (this.code.length == 6) {
            this.rightCode = true;
         } else if (this.rightCode == true && this.code.length < 6) {
            this.rightCode = false;
         }
      },
      pre_code_input: function pre_code_input(event) {
         this.pre_code = event.value;
         if (this.warnPreCode) {
            this.warnPreCode = false;
         } //消除验证码提醒
         if (this.pre_code.length == 6) {
            this.rightPreCode = true;
            this.$refs["input3"].blur();
         } else if (this.rightPreCode == true && this.pre_code.length < 6) {
            this.rightPreCode = false;
         }
      },
      send: function send() {
         var _this3 = this;

         //发送验证码
         _apis2.default.post("" + _configApi2.default.send_message, {
            phone: this.phoneNumber
         }).then(function (res) {
            if (res && res.result.status.code == 0) {
               modal.toast({
                  message: "已发送",
                  duration: 1
               });
            } else if (res.result.status.code == 10014) {
               modal.toast({
                  message: "手机号码错误",
                  duration: 1
               });
               _this3.phoneNumber = "";
               _this3.warnPhone = true;
            }
         }).catch(function (err) {
            console.log(err);
         }); //需要修改
         this.sent_code = true;
         this.editCode = true; //只控制不编辑验证码
         this.remain = 60;
         var codetimer = setTimeout(function () {
            _this3.$refs["input2"].focus();
         }, 150);
      },
      pre_send: function pre_send() {
         this.pre_remain = 60;
         this.pre_sent_code = true;
         var that = this;
         var purl = "" + _configApi2.default.SEND_CERT;
         _apis2.default.post(purl).then(function (res) {
            //console.log(res);
            if (res && res.result.status.code == 0) {
               modal.toast({
                  message: "已发送",
                  duration: 1
               });
            } else {
               modal.toast({
                  message: "error",
                  duration: 1
               });
            }
         }).catch(function (err) {
            console.log(err);
         });
         setTimeout(function () {
            that.$refs["input3"].focus();
         }, 150);
      }
   }
};

/***/ }),

/***/ 339:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["change"]
  }, [_c('Head', {
    attrs: {
      "title": "修改手机"
    }
  }), (!_vm.rightPre) ? _c('div', {
    staticClass: ["pre_code"]
  }, [_c('div', {
    staticClass: ["remind"]
  }, [_c('text', {
    staticClass: ["remind_text"]
  }, [_vm._v("请先验证已有的手机号码后，再绑定新手机号码")]), _c('text', {
    staticClass: ["remind_text"]
  }, [_vm._v("已绑定的手机号码：" + _vm._s(this.pre_number))])]), _c('div', {
    staticClass: ["i_item"]
  }, [_c('text', {
    staticClass: ["input_pre"]
  }, [_vm._v("验证码：")]), _c('input', {
    ref: "input3",
    staticClass: ["input"],
    attrs: {
      "type": "number",
      "maxlength": "6",
      "value": _vm.pre_code,
      "returnKeyType": "defalut"
    },
    on: {
      "input": _vm.pre_code_input
    }
  }), (_vm.warnPreCode) ? _c('div', {
    staticClass: ["warning"],
    on: {
      "click": function($event) {
        _vm.focuson(3)
      }
    }
  }, [_c('text', {
    staticClass: ["warning-text"]
  }, [_vm._v("请输入正确验证码")])]) : _vm._e(), _c('div', {
    class: ['send', _vm.pre_sent_code ? 'grey_send' : ''],
    on: {
      "click": _vm.pre_send
    }
  }, [_c('text', {
    class: ['send_text', _vm.pre_sent_code ? 'grey_text' : '']
  }, [_vm._v(_vm._s(_vm.pre_sent_code ? '重新发送 ' + _vm.pre_remain + "s" : "发送验证码"))])])])]) : _c('div', {
    staticClass: ["phone_input"]
  }, [_vm._m(0), _c('div', {
    key: 2,
    staticClass: ["i_item"]
  }, [_c('text', {
    staticClass: ["input_pre"]
  }, [_vm._v("手机号码：")]), _c('input', {
    ref: "input1",
    staticClass: ["input"],
    attrs: {
      "type": "number",
      "autofocus": true,
      "value": _vm.phoneNumber,
      "maxlength": "11"
    },
    on: {
      "input": _vm.phone_input
    }
  }), (_vm.warnPhone) ? _c('div', {
    staticClass: ["warning"],
    on: {
      "click": function($event) {
        _vm.focuson(1)
      }
    }
  }, [_c('text', {
    staticClass: ["warning-text"]
  }, [_vm._v("请输入正确手机号码")])]) : _vm._e()]), _c('div', {
    key: 3,
    staticClass: ["i_item"]
  }, [_c('text', {
    staticClass: ["input_pre"]
  }, [_vm._v("验证码：")]), _c('input', {
    ref: "input2",
    staticClass: ["input"],
    attrs: {
      "type": "number",
      "disabled": !_vm.editCode,
      "maxlength": "6",
      "value": _vm.code,
      "returnKeyType": "defalut"
    },
    on: {
      "input": _vm.code_input
    }
  }), (_vm.warnCode) ? _c('div', {
    staticClass: ["warning"],
    on: {
      "click": function($event) {
        _vm.focuson(2)
      }
    }
  }, [_c('text', {
    staticClass: ["warning-text"]
  }, [_vm._v("请输入正确验证码")])]) : _vm._e(), (_vm.rightNumber) ? _c('div', {
    class: ['send', _vm.sent_code ? 'grey_send' : ''],
    on: {
      "click": _vm.send
    }
  }, [_c('text', {
    class: ['send_text', _vm.sent_code ? 'grey_text' : '']
  }, [_vm._v(_vm._s(_vm.sent_code ? '重新发送 ' + _vm.remain + "s" : "发送验证码"))])]) : _vm._e()])]), _c('text', {
    staticClass: ["input_tip"]
  }, [_vm._v("此处更改的是黑猫平台为您处理投诉时的联系电话，如需解除与微博的手机号码绑定，请至微博平台更换")]), (!_vm.rightPre) ? _c('div', {
    class: ['bind_button', !_vm.rightPreCode ? 'grey_send' : ''],
    on: {
      "click": _vm.pre_confirm
    }
  }, [_c('text', {
    class: ['bind_text', !_vm.rightPreCode ? 'grey_text' : '']
  }, [_vm._v("下一步")])]) : _c('div', {
    class: ['bind_button', !_vm.rightNumber || !_vm.rightCode ? 'grey_send' : ''],
    on: {
      "click": _vm.confirm
    }
  }, [_c('text', {
    class: ['bind_text', !_vm.rightNumber || !_vm.rightCode ? 'grey_text' : '']
  }, [_vm._v("绑定新手机")])])], 1)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["remind"]
  }, [_c('text', {
    staticClass: ["remind_text"]
  }, [_vm._v("验证通过，请输入新手机号码并进行验证")])])
}]}
module.exports.render._withStripped = true

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _apis = __webpack_require__(1);

var _apis2 = _interopRequireDefault(_apis);

var _configApi = __webpack_require__(0);

var _configApi2 = _interopRequireDefault(_configApi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
 * @Author: lidan6
 * @Date: 2018-09-10 09:54:36
 * @LastEditors: lidan6
 * @LastEditTime: 2021-03-03 10:37:52
 * @Description: 
 */
var device = weex.config.env;
var WXShareModule = weex.requireModule("WXShareModule");
var modal = weex.requireModule('modal');

var _votetemptag = false;
var utilFunc = {
  showShare: function showShare(param, callback) {
    WXShareModule.weexShare(param, function (ret) {
      if (ret == "success") {
        modal.toast({
          message: "分享成功",
          duration: 0.3
        });
        callback(true);
      } else if (ret == "fail") {
        modal.toast({
          message: "分享失败",
          duration: 0.3
        });
        //callback(false)
      }
    });
  },
  voteFor: function voteFor(obj, callback) {
    if (_votetemptag) return;
    _votetemptag = true;
    var turl = "";
    var data = {};
    if (obj.type) {
      turl = _configApi2.default.report_upvote;
      data = {
        id: obj.id
      };
    } else {
      turl = _configApi2.default.complaint_upvote;
      data = {
        sn: obj.id
      };
    }
    _apis2.default.post(turl, data).then(function (res) {
      callback(res);
      _votetemptag = false;
    }).catch(function (err) {
      _votetemptag = false;
      modal.toast({
        message: "点赞失败",
        duration: 0.8
      });
    });
  },
  initIconFont: function initIconFont() {
    //  let domModule = weex.requireModule('dom');
    //  domModule.addRule('fontFace', {
    //    'fontFamily': "iconfont",
    //    'src': "url('https://at.alicdn.com/t/font_404010_jgmnakd1zizr529.ttf')"
    //  });
  },
  getBaseUrl: function getBaseUrl(url) {
    var bundleUrl = new String(url);
    var nativeBase = void 0;
    //let isAndroidAssets  bundleUrl.indexOf('file://assets/') >= 0;
    //let isiOSAssets = device.platform === 'iOS' || bundleUrl.indexOf('file://') >= 0 && bundleUrl.indexOf('.app') > 0;
    if (device.platform === 'iOS') {
      nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
      nativeBase = nativeBase.split("/views/")[0] + "/views/";
    } else {
      nativeBase = 'file://assets/dist/views/';
    }
    //console.log("ios++:"+nativeBase);
    // }
    // else {
    //     let host = 'localhost:12580';
    //     let matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
    //     if (matches && matches.length >= 2) {
    //         host = matches[1];
    //     }
    //     nativeBase = 'https://' + host + '/' + this.dir + '/build/';
    // }
    var h5Base = './index.html?page=./' + this.dir + '/build/';
    // in Native
    var base = nativeBase;
    if ((typeof window === "undefined" ? "undefined" : _typeof(window)) === 'object') {
      // in Browser or WebView
      base = h5Base;
    }
    return base;
  },
  setBundleUrl: function setBundleUrl(url, jsFile) {
    var bundleUrl = url;
    var host = '';
    var path = '';
    var nativeBase = void 0;
    var isAndroidAssets = bundleUrl.indexOf('your_current_IP') >= 0 || bundleUrl.indexOf('file://assets/') >= 0;
    var isiOSAssets = bundleUrl.indexOf('file:///') >= 0 && bundleUrl.indexOf('SinaZC.app') > 0;
    if (isAndroidAssets) {
      nativeBase = 'file://assets/dist';
    } else if (isiOSAssets) {
      // file:///var/mobile/Containers/Bundle/Application/{id}/SinaZC.app/
      // file:///Users/{user}/Library/Developer/CoreSimulator/Devices/{id}/data/Containers/Bundle/Application/{id}/SinaZC.app/
      nativeBase = bundleUrl.substring(0, bundleUrl.lastIndexOf('/') + 1);
    } else {
      var matches = /\/\/([^\/]+?)\//.exec(bundleUrl);
      var matchFirstPath = /\/\/[^\/]+\/([^\/]+)\//.exec(bundleUrl);
      if (matches && matches.length >= 2) {
        host = matches[1];
      }
      if (matchFirstPath && matchFirstPath.length >= 2) {
        path = matchFirstPath[1];
      }
      nativeBase = 'https://' + host + '/';
    }
    var h5Base = './index.html?page=';
    // in Native
    var base = nativeBase;
    if (typeof navigator !== 'undefined' && (navigator.appCodeName === 'Mozilla' || navigator.product === 'Gecko')) {
      // check if in weexpack project
      if (path === 'web' || path === 'dist') {
        base = h5Base + '/dist/';
      } else {
        base = h5Base + '';
      }
    } else {
      base = nativeBase + (!!path ? path + '/' : '');
    }

    var newUrl = base + jsFile;
    return newUrl;
  },
  getUrlSearch: function getUrlSearch(url, name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = url.slice(url.indexOf('?') + 1).match(reg);
    if (r != null) {
      try {
        return decodeURIComponent(r[2]);
      } catch (_e) {
        return null;
      }
    }
    return null;
  },
  getStrLen: function getStrLen(str) {
    var tstr = '' + str;
    var num = 0,
        arr = tstr.split(''),
        len = arr.length;
    for (var i = 0; i < len; i++) {
      if (/[^\x00-\xff]/ig.test(arr[i])) num += 2;else num++;
    }
    return num;
  },
  getUserName: function getUserName(str) {
    var tstr = '' + str;
    var num = 0,
        arr = tstr.split(''),
        len = arr.length,
        res = [];
    for (var i = 0; i < len; i++) {
      if (num > 10) {
        res.push('...');
        return res.join('');
      }
      if (/[^\x00-\xff]/ig.test(arr[i])) num += 2;else num++;
      res.push(arr[i]);
    }
    return res.join('');
  },
  isiOS: function isiOS() {
    return device.platform === 'iOS';
  },

  /*
   * 截断字符串
   * @param str 传入字符串
   * @param len 截断长度
   * @param hasDot 末尾是否...
   * @returns {String}
   */
  truncateString: function truncateString(str, len) {
    var hasDot = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

    var newLength = 0;
    var newStr = '';
    var singleChar = '';
    var chineseRegex = /[^\x00-\xff]/g;
    var strLength = str.replace(chineseRegex, '**').length;
    for (var i = 0; i < strLength; i++) {
      singleChar = str.charAt(i).toString();
      if (singleChar.match(chineseRegex) !== null) {
        newLength += 2;
      } else {
        newLength++;
      }
      if (newLength > len) {
        break;
      }
      newStr += singleChar;
    }

    if (hasDot && strLength > len) {
      newStr += '...';
    }
    return newStr;
  },
  mergeDeep: function mergeDeep(target) {
    var _Utils;

    for (var _len = arguments.length, sources = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      sources[_key - 1] = arguments[_key];
    }

    if (!sources.length) return target;
    var source = sources.shift();
    if (Utils.isObject(target) && Utils.isObject(source)) {
      for (var key in source) {
        if (Utils.isObject(source[key])) {
          if (!target[key]) {
            Object.assign(target, _defineProperty({}, key, {}));
          }
          Utils.mergeDeep(target[key], source[key]);
        } else {
          Object.assign(target, _defineProperty({}, key, source[key]));
        }
      }
    }
    return (_Utils = Utils).mergeDeep.apply(_Utils, [target].concat(sources));
  }
};

exports.default = utilFunc;

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory(__webpack_require__(2));
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define(["./core"], factory);
	}
	else {
		// Global (browser)
		factory(root.CryptoJS);
	}
}(this, function (CryptoJS) {

	(function (Math) {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var Hasher = C_lib.Hasher;
	    var C_algo = C.algo;

	    // Initialization and round constants tables
	    var H = [];
	    var K = [];

	    // Compute constants
	    (function () {
	        function isPrime(n) {
	            var sqrtN = Math.sqrt(n);
	            for (var factor = 2; factor <= sqrtN; factor++) {
	                if (!(n % factor)) {
	                    return false;
	                }
	            }

	            return true;
	        }

	        function getFractionalBits(n) {
	            return ((n - (n | 0)) * 0x100000000) | 0;
	        }

	        var n = 2;
	        var nPrime = 0;
	        while (nPrime < 64) {
	            if (isPrime(n)) {
	                if (nPrime < 8) {
	                    H[nPrime] = getFractionalBits(Math.pow(n, 1 / 2));
	                }
	                K[nPrime] = getFractionalBits(Math.pow(n, 1 / 3));

	                nPrime++;
	            }

	            n++;
	        }
	    }());

	    // Reusable object
	    var W = [];

	    /**
	     * SHA-256 hash algorithm.
	     */
	    var SHA256 = C_algo.SHA256 = Hasher.extend({
	        _doReset: function () {
	            this._hash = new WordArray.init(H.slice(0));
	        },

	        _doProcessBlock: function (M, offset) {
	            // Shortcut
	            var H = this._hash.words;

	            // Working variables
	            var a = H[0];
	            var b = H[1];
	            var c = H[2];
	            var d = H[3];
	            var e = H[4];
	            var f = H[5];
	            var g = H[6];
	            var h = H[7];

	            // Computation
	            for (var i = 0; i < 64; i++) {
	                if (i < 16) {
	                    W[i] = M[offset + i] | 0;
	                } else {
	                    var gamma0x = W[i - 15];
	                    var gamma0  = ((gamma0x << 25) | (gamma0x >>> 7))  ^
	                                  ((gamma0x << 14) | (gamma0x >>> 18)) ^
	                                   (gamma0x >>> 3);

	                    var gamma1x = W[i - 2];
	                    var gamma1  = ((gamma1x << 15) | (gamma1x >>> 17)) ^
	                                  ((gamma1x << 13) | (gamma1x >>> 19)) ^
	                                   (gamma1x >>> 10);

	                    W[i] = gamma0 + W[i - 7] + gamma1 + W[i - 16];
	                }

	                var ch  = (e & f) ^ (~e & g);
	                var maj = (a & b) ^ (a & c) ^ (b & c);

	                var sigma0 = ((a << 30) | (a >>> 2)) ^ ((a << 19) | (a >>> 13)) ^ ((a << 10) | (a >>> 22));
	                var sigma1 = ((e << 26) | (e >>> 6)) ^ ((e << 21) | (e >>> 11)) ^ ((e << 7)  | (e >>> 25));

	                var t1 = h + sigma1 + ch + K[i] + W[i];
	                var t2 = sigma0 + maj;

	                h = g;
	                g = f;
	                f = e;
	                e = (d + t1) | 0;
	                d = c;
	                c = b;
	                b = a;
	                a = (t1 + t2) | 0;
	            }

	            // Intermediate hash value
	            H[0] = (H[0] + a) | 0;
	            H[1] = (H[1] + b) | 0;
	            H[2] = (H[2] + c) | 0;
	            H[3] = (H[3] + d) | 0;
	            H[4] = (H[4] + e) | 0;
	            H[5] = (H[5] + f) | 0;
	            H[6] = (H[6] + g) | 0;
	            H[7] = (H[7] + h) | 0;
	        },

	        _doFinalize: function () {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;

	            var nBitsTotal = this._nDataBytes * 8;
	            var nBitsLeft = data.sigBytes * 8;

	            // Add padding
	            dataWords[nBitsLeft >>> 5] |= 0x80 << (24 - nBitsLeft % 32);
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 14] = Math.floor(nBitsTotal / 0x100000000);
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 15] = nBitsTotal;
	            data.sigBytes = dataWords.length * 4;

	            // Hash final blocks
	            this._process();

	            // Return final computed hash
	            return this._hash;
	        },

	        clone: function () {
	            var clone = Hasher.clone.call(this);
	            clone._hash = this._hash.clone();

	            return clone;
	        }
	    });

	    /**
	     * Shortcut function to the hasher's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     *
	     * @return {WordArray} The hash.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hash = CryptoJS.SHA256('message');
	     *     var hash = CryptoJS.SHA256(wordArray);
	     */
	    C.SHA256 = Hasher._createHelper(SHA256);

	    /**
	     * Shortcut function to the HMAC's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     * @param {WordArray|string} key The secret key.
	     *
	     * @return {WordArray} The HMAC.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hmac = CryptoJS.HmacSHA256(message, key);
	     */
	    C.HmacSHA256 = Hasher._createHmacHelper(SHA256);
	}(Math));


	return CryptoJS.SHA256;

}));

/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

;(function (root, factory) {
	if (true) {
		// CommonJS
		module.exports = exports = factory(__webpack_require__(2));
	}
	else if (typeof define === "function" && define.amd) {
		// AMD
		define(["./core"], factory);
	}
	else {
		// Global (browser)
		factory(root.CryptoJS);
	}
}(this, function (CryptoJS) {

	(function (Math) {
	    // Shortcuts
	    var C = CryptoJS;
	    var C_lib = C.lib;
	    var WordArray = C_lib.WordArray;
	    var Hasher = C_lib.Hasher;
	    var C_algo = C.algo;

	    // Constants table
	    var T = [];

	    // Compute constants
	    (function () {
	        for (var i = 0; i < 64; i++) {
	            T[i] = (Math.abs(Math.sin(i + 1)) * 0x100000000) | 0;
	        }
	    }());

	    /**
	     * MD5 hash algorithm.
	     */
	    var MD5 = C_algo.MD5 = Hasher.extend({
	        _doReset: function () {
	            this._hash = new WordArray.init([
	                0x67452301, 0xefcdab89,
	                0x98badcfe, 0x10325476
	            ]);
	        },

	        _doProcessBlock: function (M, offset) {
	            // Swap endian
	            for (var i = 0; i < 16; i++) {
	                // Shortcuts
	                var offset_i = offset + i;
	                var M_offset_i = M[offset_i];

	                M[offset_i] = (
	                    (((M_offset_i << 8)  | (M_offset_i >>> 24)) & 0x00ff00ff) |
	                    (((M_offset_i << 24) | (M_offset_i >>> 8))  & 0xff00ff00)
	                );
	            }

	            // Shortcuts
	            var H = this._hash.words;

	            var M_offset_0  = M[offset + 0];
	            var M_offset_1  = M[offset + 1];
	            var M_offset_2  = M[offset + 2];
	            var M_offset_3  = M[offset + 3];
	            var M_offset_4  = M[offset + 4];
	            var M_offset_5  = M[offset + 5];
	            var M_offset_6  = M[offset + 6];
	            var M_offset_7  = M[offset + 7];
	            var M_offset_8  = M[offset + 8];
	            var M_offset_9  = M[offset + 9];
	            var M_offset_10 = M[offset + 10];
	            var M_offset_11 = M[offset + 11];
	            var M_offset_12 = M[offset + 12];
	            var M_offset_13 = M[offset + 13];
	            var M_offset_14 = M[offset + 14];
	            var M_offset_15 = M[offset + 15];

	            // Working varialbes
	            var a = H[0];
	            var b = H[1];
	            var c = H[2];
	            var d = H[3];

	            // Computation
	            a = FF(a, b, c, d, M_offset_0,  7,  T[0]);
	            d = FF(d, a, b, c, M_offset_1,  12, T[1]);
	            c = FF(c, d, a, b, M_offset_2,  17, T[2]);
	            b = FF(b, c, d, a, M_offset_3,  22, T[3]);
	            a = FF(a, b, c, d, M_offset_4,  7,  T[4]);
	            d = FF(d, a, b, c, M_offset_5,  12, T[5]);
	            c = FF(c, d, a, b, M_offset_6,  17, T[6]);
	            b = FF(b, c, d, a, M_offset_7,  22, T[7]);
	            a = FF(a, b, c, d, M_offset_8,  7,  T[8]);
	            d = FF(d, a, b, c, M_offset_9,  12, T[9]);
	            c = FF(c, d, a, b, M_offset_10, 17, T[10]);
	            b = FF(b, c, d, a, M_offset_11, 22, T[11]);
	            a = FF(a, b, c, d, M_offset_12, 7,  T[12]);
	            d = FF(d, a, b, c, M_offset_13, 12, T[13]);
	            c = FF(c, d, a, b, M_offset_14, 17, T[14]);
	            b = FF(b, c, d, a, M_offset_15, 22, T[15]);

	            a = GG(a, b, c, d, M_offset_1,  5,  T[16]);
	            d = GG(d, a, b, c, M_offset_6,  9,  T[17]);
	            c = GG(c, d, a, b, M_offset_11, 14, T[18]);
	            b = GG(b, c, d, a, M_offset_0,  20, T[19]);
	            a = GG(a, b, c, d, M_offset_5,  5,  T[20]);
	            d = GG(d, a, b, c, M_offset_10, 9,  T[21]);
	            c = GG(c, d, a, b, M_offset_15, 14, T[22]);
	            b = GG(b, c, d, a, M_offset_4,  20, T[23]);
	            a = GG(a, b, c, d, M_offset_9,  5,  T[24]);
	            d = GG(d, a, b, c, M_offset_14, 9,  T[25]);
	            c = GG(c, d, a, b, M_offset_3,  14, T[26]);
	            b = GG(b, c, d, a, M_offset_8,  20, T[27]);
	            a = GG(a, b, c, d, M_offset_13, 5,  T[28]);
	            d = GG(d, a, b, c, M_offset_2,  9,  T[29]);
	            c = GG(c, d, a, b, M_offset_7,  14, T[30]);
	            b = GG(b, c, d, a, M_offset_12, 20, T[31]);

	            a = HH(a, b, c, d, M_offset_5,  4,  T[32]);
	            d = HH(d, a, b, c, M_offset_8,  11, T[33]);
	            c = HH(c, d, a, b, M_offset_11, 16, T[34]);
	            b = HH(b, c, d, a, M_offset_14, 23, T[35]);
	            a = HH(a, b, c, d, M_offset_1,  4,  T[36]);
	            d = HH(d, a, b, c, M_offset_4,  11, T[37]);
	            c = HH(c, d, a, b, M_offset_7,  16, T[38]);
	            b = HH(b, c, d, a, M_offset_10, 23, T[39]);
	            a = HH(a, b, c, d, M_offset_13, 4,  T[40]);
	            d = HH(d, a, b, c, M_offset_0,  11, T[41]);
	            c = HH(c, d, a, b, M_offset_3,  16, T[42]);
	            b = HH(b, c, d, a, M_offset_6,  23, T[43]);
	            a = HH(a, b, c, d, M_offset_9,  4,  T[44]);
	            d = HH(d, a, b, c, M_offset_12, 11, T[45]);
	            c = HH(c, d, a, b, M_offset_15, 16, T[46]);
	            b = HH(b, c, d, a, M_offset_2,  23, T[47]);

	            a = II(a, b, c, d, M_offset_0,  6,  T[48]);
	            d = II(d, a, b, c, M_offset_7,  10, T[49]);
	            c = II(c, d, a, b, M_offset_14, 15, T[50]);
	            b = II(b, c, d, a, M_offset_5,  21, T[51]);
	            a = II(a, b, c, d, M_offset_12, 6,  T[52]);
	            d = II(d, a, b, c, M_offset_3,  10, T[53]);
	            c = II(c, d, a, b, M_offset_10, 15, T[54]);
	            b = II(b, c, d, a, M_offset_1,  21, T[55]);
	            a = II(a, b, c, d, M_offset_8,  6,  T[56]);
	            d = II(d, a, b, c, M_offset_15, 10, T[57]);
	            c = II(c, d, a, b, M_offset_6,  15, T[58]);
	            b = II(b, c, d, a, M_offset_13, 21, T[59]);
	            a = II(a, b, c, d, M_offset_4,  6,  T[60]);
	            d = II(d, a, b, c, M_offset_11, 10, T[61]);
	            c = II(c, d, a, b, M_offset_2,  15, T[62]);
	            b = II(b, c, d, a, M_offset_9,  21, T[63]);

	            // Intermediate hash value
	            H[0] = (H[0] + a) | 0;
	            H[1] = (H[1] + b) | 0;
	            H[2] = (H[2] + c) | 0;
	            H[3] = (H[3] + d) | 0;
	        },

	        _doFinalize: function () {
	            // Shortcuts
	            var data = this._data;
	            var dataWords = data.words;

	            var nBitsTotal = this._nDataBytes * 8;
	            var nBitsLeft = data.sigBytes * 8;

	            // Add padding
	            dataWords[nBitsLeft >>> 5] |= 0x80 << (24 - nBitsLeft % 32);

	            var nBitsTotalH = Math.floor(nBitsTotal / 0x100000000);
	            var nBitsTotalL = nBitsTotal;
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 15] = (
	                (((nBitsTotalH << 8)  | (nBitsTotalH >>> 24)) & 0x00ff00ff) |
	                (((nBitsTotalH << 24) | (nBitsTotalH >>> 8))  & 0xff00ff00)
	            );
	            dataWords[(((nBitsLeft + 64) >>> 9) << 4) + 14] = (
	                (((nBitsTotalL << 8)  | (nBitsTotalL >>> 24)) & 0x00ff00ff) |
	                (((nBitsTotalL << 24) | (nBitsTotalL >>> 8))  & 0xff00ff00)
	            );

	            data.sigBytes = (dataWords.length + 1) * 4;

	            // Hash final blocks
	            this._process();

	            // Shortcuts
	            var hash = this._hash;
	            var H = hash.words;

	            // Swap endian
	            for (var i = 0; i < 4; i++) {
	                // Shortcut
	                var H_i = H[i];

	                H[i] = (((H_i << 8)  | (H_i >>> 24)) & 0x00ff00ff) |
	                       (((H_i << 24) | (H_i >>> 8))  & 0xff00ff00);
	            }

	            // Return final computed hash
	            return hash;
	        },

	        clone: function () {
	            var clone = Hasher.clone.call(this);
	            clone._hash = this._hash.clone();

	            return clone;
	        }
	    });

	    function FF(a, b, c, d, x, s, t) {
	        var n = a + ((b & c) | (~b & d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function GG(a, b, c, d, x, s, t) {
	        var n = a + ((b & d) | (c & ~d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function HH(a, b, c, d, x, s, t) {
	        var n = a + (b ^ c ^ d) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    function II(a, b, c, d, x, s, t) {
	        var n = a + (c ^ (b | ~d)) + x + t;
	        return ((n << s) | (n >>> (32 - s))) + b;
	    }

	    /**
	     * Shortcut function to the hasher's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     *
	     * @return {WordArray} The hash.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hash = CryptoJS.MD5('message');
	     *     var hash = CryptoJS.MD5(wordArray);
	     */
	    C.MD5 = Hasher._createHelper(MD5);

	    /**
	     * Shortcut function to the HMAC's object interface.
	     *
	     * @param {WordArray|string} message The message to hash.
	     * @param {WordArray|string} key The secret key.
	     *
	     * @return {WordArray} The HMAC.
	     *
	     * @static
	     *
	     * @example
	     *
	     *     var hmac = CryptoJS.HmacMD5(message, key);
	     */
	    C.HmacMD5 = Hasher._createHmacHelper(MD5);
	}(Math));


	return CryptoJS.MD5;

}));

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(8)
)

/* script */
__vue_exports__ = __webpack_require__(9)

/* template */
var __vue_template__ = __webpack_require__(10)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/lidan6/sinawork/project/heimao/src/components/navBar.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-68781400"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = {
  "iPhoneXDiv": {
    "height": "86"
  },
  "iOSDiv": {
    "height": "38"
  },
  "android": {
    "height": "0"
  },
  "navbar": {
    "width": "750",
    "backgroundColor": "#000000"
  },
  "aheader": {
    "position": "relative",
    "backgroundColor": "#000000",
    "height": "80",
    "display": "flex",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center",
    "paddingRight": "32",
    "paddingLeft": "32"
  },
  "backdiv": {
    "position": "absolute",
    "left": "17",
    "top": "0",
    "width": "50",
    "height": "80",
    "display": "flex",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "back": {
    "width": "20",
    "height": "36"
  },
  "hcenter": {
    "color": "#fbaf17",
    "fontSize": "32",
    "lineHeight": "80"
  },
  "hright": {
    "position": "absolute",
    "right": "30",
    "top": "0",
    "color": "#ffffff",
    "fontSize": "30",
    "lineHeight": "80",
    "height": "80"
  }
}

/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var navigator = weex.requireModule('navigator');
var device = weex.config.env;

exports.default = {
    props: ['title', 'subtitle', 'showtip'],
    data: function data() {
        return {
            isiPhoneX: device.platform === "iOS" && (device.deviceHeight === 1792 || device.deviceHeight >= 2436),
            isiOS: device.platform === 'iOS',
            isAndroid: device.platform === 'android'
        };
    },

    methods: {
        back: function back() {
            navigator.pop();
        },
        toPage: function toPage() {
            this.$emit("toPage");
        }
    }
};

/***/ })

/******/ });